/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.flink.streaming.examples.twitter.util;

public class TwitterStreamData {
	public static final String[] TEXTS = new String[] {
			"{\"delete\":{\"status\":{\"id\":448896216110080001,\"id_str\":\"448896216110080001\",\"user_id\":1586900228,\"user_id_str\":\"1586900228\"},\"timestamp_ms\":\"1412178007914\"}}",
			"{\"created_at\":\"Wed Oct 01 15:40:07 +0000 2014\",\"id\":517338176713523201,\"id_str\":\"517338176713523201\",\"text\":\"RT @IniAnwarHadi: If you're naive enough to think that we would be better off if the opposition won the last elections, then good for you.\",\"source\":\"\\u003ca href=\\\"https:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for  Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1402119228,\"id_str\":\"1402119228\",\"name\":\"\\u6cd5 \\u8482 \\u54c8\",\"screen_name\":\"sesepiSepi\",\"location\":\"Malaysia || Edinburgh\",\"url\":null,\"description\":\"To whom are you enslaving yourself?\",\"protected\":false,\"verified\":false,\"followers_count\":255,\"friends_count\":197,\"listed_count\":2,\"favourites_count\":4064,\"statuses_count\":30382,\"created_at\":\"Sat May 04 12:01:31 +0000 2013\",\"utc_offset\":28800,\"time_zone\":\"Beijing\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FF6699\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/436368673033306112\\/gR_FAlFW.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/436368673033306112\\/gR_FAlFW.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"B40B43\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/510951209868337152\\/6eNXVNb__normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/510951209868337152\\/6eNXVNb__normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1402119228\\/1409317654\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:17:59 +0000 2014\",\"id\":517332604706508800,\"id_str\":\"517332604706508800\",\"text\":\"If you're naive enough to think that we would be better off if the opposition won the last elections, then good for you.\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":234395084,\"id_str\":\"234395084\",\"name\":\"Anwar Hadi\",\"screen_name\":\"IniAnwarHadi\",\"location\":\"Pulau Pinang\",\"url\":\"http:\\/\\/www.anakazman.blogspot.com\",\"description\":\"Sometimes a blogger, sometimes a vlogger, sometimes a noob teacher, always a Muslim. Managed by Gushcloud. @DeludeOfficial\",\"protected\":false,\"verified\":false,\"followers_count\":102098,\"friends_count\":289,\"listed_count\":210,\"favourites_count\":186,\"statuses_count\":45071,\"created_at\":\"Wed Jan 05 15:15:07 +0000 2011\",\"utc_offset\":28800,\"time_zone\":\"Kuala Lumpur\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/456689283240189952\\/ldMM1VUP_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/456689283240189952\\/ldMM1VUP_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/234395084\\/1349837992\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":75,\"favorite_count\":42,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"en\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"IniAnwarHadi\",\"name\":\"Anwar Hadi\",\"id\":234395084,\"id_str\":\"234395084\",\"indices\":[3,16]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178007807\"}",
			"{\"delete\":{\"status\":{\"id\":516592555278872576,\"id_str\":\"516592555278872576\",\"user_id\":2835411134,\"user_id_str\":\"2835411134\"},\"timestamp_ms\":\"1412178007920\"}}",
			"{\"created_at\":\"Wed Oct 01 15:40:07 +0000 2014\",\"id\":517338176709345280,\"id_str\":\"517338176709345280\",\"text\":\"RT @takaaaki0410: \\u697d\\u3057\\u305d\\u3046\\u306b\\u9699\\u9593\\u30c1\\u30a7\\u30c3\\u30af\\u3092\\u3059\\u308b\\u3061\\u3073\\u3046\\u305d\\u30ba\\u3002\\u304b\\u308f\\u3046\\u305d\\u3089\\u3057\\u304f\\u306a\\u3063\\u3066\\u304d\\u307e\\u3057\\u305f\\u3002#\\u30b5\\u30f3\\u30b7\\u30e3\\u30a4\\u30f3\\u6c34\\u65cf\\u9928 http:\\/\\/t.co\\/McsvrHPAr0\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":118319345,\"id_str\":\"118319345\",\"name\":\"leonardo\",\"screen_name\":\"masumind\",\"location\":\"Japan\",\"url\":null,\"description\":\"Working for strategic designing. Once lived in U.S.A., U.S.S.R. and Russia. Now in Japan. Part-time university lecturer \\u500b\\u4eba\\u306e\\u7acb\\u5834\\u3067\\u3064\\u3076\\u3084\\u3044\\u3066\\u3044\\u307e\\u3059\\u3002\",\"protected\":false,\"verified\":false,\"followers_count\":1604,\"friends_count\":597,\"listed_count\":131,\"favourites_count\":600,\"statuses_count\":27957,\"created_at\":\"Sun Feb 28 08:33:20 +0000 2010\",\"utc_offset\":32400,\"time_zone\":\"Tokyo\",\"geo_enaboutputPathled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"ACDED6\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/282110252\\/IMG_4869.JPG\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/282110252\\/IMG_4869.JPG\",\"profile_background_tile\":true,\"profile_link_color\":\"038543\",\"profile_sidebar_border_color\":\"EEEEEE\",\"profile_sidebar_fill_color\":\"F6F6F6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/1423205970\\/2006_8___________103_normal.jpg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/1423205970\\/2006_8___________103_normal.jpg\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 14:17:39 +0000 2014\",\"id\":517317423549018112,\"id_str\":\"517317423549018112\",\"text\":\"\\u697d\\u3057\\u305d\\u3046\\u306b\\u9699\\u9593\\u30c1\\u30a7\\u30c3\\u30af\\u3092\\u3059\\u308b\\u3061\\u3073\\u3046\\u305d\\u30ba\\u3002\\u304b\\u308f\\u3046\\u305d\\u3089\\u3057\\u304f\\u306a\\u3063\\u3066\\u304d\\u307e\\u3057\\u305f\\u3002#\\u30b5\\u30f3\\u30b7\\u30e3\\u30a4\\u30f3\\u6c34\\u65cf\\u9928 http:\\/\\/t.co\\/McsvrHPAr0\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":265723969,\"id_str\":\"265723969\",\"name\":\"Takaaki Sawada\",\"screen_name\":\"takaaaki0410\",\"location\":\"\",\"url\":null,\"description\":\"\\u304a\\u3044\\u3057\\u3044\\u3082\\u306e\\u3068\\u30ab\\u30ef\\u30a6\\u30bd\\u304c\\u597d\\u304d\\u3067\\u3059\\u3002\",\"protected\":false,\"verified\":false,\"followers_count\":352,\"friends_count\":197,\"listed_count\":13,\"favourites_count\":366,\"statuses_count\":6634,\"created_at\":\"Mon Mar 14 01:54:33 +0000 2011\",\"utc_offset\":32400,\"time_zone\":\"Tokyo\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"000000\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/749259666\\/9ebe30d2ac8d95d6266181ab0f61f90c.png\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/749259666\\/9ebe30d2ac8d95d6266181ab0f61f90c.png\",\"profile_background_tile\":true,\"profile_link_color\":\"599BFF\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"585959\",\"profile_text_color\":\"FF82E8\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/415878656800460801\\/OSLSTJcC_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/415878656800460801\\/OSLSTJcC_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/265723969\\/1398242024\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":69,\"favorite_count\":79,\"entities\":{\"hashtags\":[{\"text\":\"\\u30b5\\u30f3\\u30b7\\u30e3\\u30a4\\u30f3\\u6c34\\u65cf\\u9928\",\"indices\":[35,45]}],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":517317416271880192,\"id_str\":\"517317416271880192\",\"indices\":[46,68],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3hcwECIAA7e5T.png\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3hcwECIAA7e5T.png\",\"url\":\"http:\\/\\/t.co\\/McsvrHPAr0\",\"display_url\":\"pic.twitter.com\\/McsvrHPAr0\",\"expanded_url\":\"http:\\/\\/twitter.com\\/takaaaki0410\\/status\\/517317423549018112\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":400,\"resize\":\"fit\"},\"large\":{\"w\":1024,\"h\":683,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":226,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":517317416271880192,\"id_str\":\"517317416271880192\",\"indices\":[46,68],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3hcwECIAA7e5T.png\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3hcwECIAA7e5T.png\",\"url\":\"http:\\/\\/t.co\\/McsvrHPAr0\",\"display_url\":\"pic.twitter.com\\/McsvrHPAr0\",\"expanded_url\":\"http:\\/\\/twitter.com\\/takaaaki0410\\/status\\/517317423549018112\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":400,\"resize\":\"fit\"},\"large\":{\"w\":1024,\"h\":683,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":226,\"resize\":\"fit\"}}},{\"id\":517317413965004800,\"id_str\":\"517317413965004800\",\"indices\":[46,68],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3hcneCAAA-HPL.png\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3hcneCAAA-HPL.png\",\"url\":\"http:\\/\\/t.co\\/McsvrHPAr0\",\"display_url\":\"pic.twitter.com\\/McsvrHPAr0\",\"expanded_url\":\"http:\\/\\/twitter.com\\/takaaaki0410\\/status\\/517317423549018112\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":400,\"resize\":\"fit\"},\"large\":{\"w\":1024,\"h\":683,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":226,\"resize\":\"fit\"}}},{\"id\":517317407241543681,\"id_str\":\"517317407241543681\",\"indices\":[46,68],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3hcObCIAEm57j.png\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3hcObCIAEm57j.png\",\"url\":\"http:\\/\\/t.co\\/McsvrHPAr0\",\"display_url\":\"pic.twitter.com\\/McsvrHPAr0\",\"expanded_url\":\"http:\\/\\/twitter.com\\/takaaaki0410\\/status\\/517317423549018112\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":400,\"resize\":\"fit\"},\"large\":{\"w\":1024,\"h\":683,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":226,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ja\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"\\u30b5\\u30f3\\u30b7\\u30e3\\u30a4\\u30f3\\u6c34\\u65cf\\u9928\",\"indices\":[53,63]}],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"takaaaki0410\",\"name\":\"Takaaki Sawada\",\"id\":265723969,\"id_str\":\"265723969\",\"indices\":[3,16]}],\"symbols\":[],\"media\":[{\"id\":517317416271880192,\"id_str\":\"517317416271880192\",\"indices\":[64,86],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3hcwECIAA7e5T.png\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3hcwECIAA7e5T.png\",\"url\":\"http:\\/\\/t.co\\/McsvrHPAr0\",\"display_url\":\"pic.twitter.com\\/McsvrHPAr0\",\"expanded_url\":\"http:\\/\\/twitter.com\\/takaaaki0410\\/status\\/517317423549018112\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":400,\"resize\":\"fit\"},\"large\":{\"w\":1024,\"h\":683,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":226,\"resize\":\"fit\"}},\"source_status_id\":517317423549018112,\"source_status_id_str\":\"517317423549018112\"}]},\"extended_entities\":{\"media\":[{\"id\":517317416271880192,\"id_str\":\"517317416271880192\",\"indices\":[64,86],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3hcwECIAA7e5T.png\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3hcwECIAA7e5T.png\",\"url\":\"http:\\/\\/t.co\\/McsvrHPAr0\",\"display_url\":\"pic.twitter.com\\/McsvrHPAr0\",\"expanded_url\":\"http:\\/\\/twitter.com\\/takaaaki0410\\/status\\/517317423549018112\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":400,\"resize\":\"fit\"},\"large\":{\"w\":1024,\"h\":683,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":226,\"resize\":\"fit\"}},\"source_status_id\":517317423549018112,\"source_status_id_str\":\"517317423549018112\"},{\"id\":517317413965004800,\"id_str\":\"517317413965004800\",\"indices\":[64,86],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3hcneCAAA-HPL.png\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3hcneCAAA-HPL.png\",\"url\":\"http:\\/\\/t.co\\/McsvrHPAr0\",\"display_url\":\"pic.twitter.com\\/McsvrHPAr0\",\"expanded_url\":\"http:\\/\\/twitter.com\\/takaaaki0410\\/status\\/517317423549018112\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":400,\"resize\":\"fit\"},\"large\":{\"w\":1024,\"h\":683,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":226,\"resize\":\"fit\"}},\"source_status_id\":517317423549018112,\"source_status_id_str\":\"517317423549018112\"},{\"id\":517317407241543681,\"id_str\":\"517317407241543681\",\"indices\":[64,86],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3hcObCIAEm57j.png\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3hcObCIAEm57j.png\",\"url\":\"http:\\/\\/t.co\\/McsvrHPAr0\",\"display_url\":\"pic.twitter.com\\/McsvrHPAr0\",\"expanded_url\":\"http:\\/\\/twitter.com\\/takaaaki0410\\/status\\/517317423549018112\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":400,\"resize\":\"fit\"},\"large\":{\"w\":1024,\"h\":683,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":226,\"resize\":\"fit\"}},\"source_status_id\":517317423549018112,\"source_status_id_str\":\"517317423549018112\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178007863\"}",
			"{\"delete\":{\"status\":{\"id\":517192344945192960,\"id_str\":\"517192344945192960\",\"user_id\":1134175530,\"user_id_str\":\"1134175530\"},\"timestamp_ms\":\"1412178007972\"}}",
			"{\"delete\":{\"status\":{\"id\":431653696582078464,\"id_str\":\"431653696582078464\",\"user_id\":1028327856,\"user_id_str\":\"1028327856\"},\"timestamp_ms\":\"1412178007990\"}}",
			"{\"delete\":{\"status\":{\"id\":517337912464408576,\"id_str\":\"517337912464408576\",\"user_id\":607266683,\"user_id_str\":\"607266683\"},\"timestamp_ms\":\"1412178008106\"}}",
			"{\"delete\":{\"status\":{\"id\":517191707427758080,\"id_str\":\"517191707427758080\",\"user_id\":268787345,\"user_id_str\":\"268787345\"},\"timestamp_ms\":\"1412178008127\"}}",
			"{\"delete\":{\"status\":{\"id\":382158053065256961,\"id_str\":\"382158053065256961\",\"user_id\":1303521211,\"user_id_str\":\"1303521211\"},\"timestamp_ms\":\"1412178008294\"}}",
			"{\"delete\":{\"status\":{\"id\":421056787530280960,\"id_str\":\"421056787530280960\",\"user_id\":63286510,\"user_id_str\":\"63286510\"},\"timestamp_ms\":\"1412178008377\"}}",
			"{\"delete\":{\"status\":{\"id\":450659899941584898,\"id_str\":\"450659899941584898\",\"user_id\":257093107,\"user_id_str\":\"257093107\"},\"timestamp_ms\":\"1412178008454\"}}",
			"{\"delete\":{\"status\":{\"id\":450515712348790784,\"id_str\":\"450515712348790784\",\"user_id\":257093107,\"user_id_str\":\"257093107\"},\"timestamp_ms\":\"1412178008458\"}}",
			"{\"delete\":{\"status\":{\"id\":517190671422087168,\"id_str\":\"517190671422087168\",\"user_id\":1147896566,\"user_id_str\":\"1147896566\"},\"timestamp_ms\":\"1412178008435\"}}",
			"{\"delete\":{\"status\":{\"id\":324613502436257793,\"id_str\":\"324613502436257793\",\"user_id\":634892640,\"user_id_str\":\"634892640\"},\"timestamp_ms\":\"1412178008499\"}}",
			"{\"delete\":{\"status\":{\"id\":497003314308186112,\"id_str\":\"497003314308186112\",\"user_id\":451705771,\"user_id_str\":\"451705771\"},\"timestamp_ms\":\"1412178008523\"}}",
			"{\"delete\":{\"status\":{\"id\":516590386823696385,\"id_str\":\"516590386823696385\",\"user_id\":1556958698,\"user_id_str\":\"1556958698\"},\"timestamp_ms\":\"1412178008623\"}}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180895662080,\"id_str\":\"517338180895662080\",\"text\":\"yolunu bulmaktan umudunu kesme, \\u00e7\\u00fcnk\\u00fc umut,tur insana yol g\\u00f6steren\\n G\\u00f6klerdeY\\u0131ld\\u0131zKalplerdeAy T\\u00fcrkiyedirGalatasaray\",\"source\":\"\\u003ca href=\\\"https:\\/\\/twitter.com\\/\\\" rel=\\\"nofollow\\\"\\u003eMobile Webs\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":712720935,\"id_str\":\"712720935\",\"name\":\"Bensuu\",\"screen_name\":\"bnsukara\",\"location\":\"YASEM\\u0130N HER\\u015eEY\\u0130M\",\"url\":\"https:\\/\\/www.facebook.com\\/Webmaster99\",\"description\":\"EMRE POLAT TAK\\u0130P EDEN TAK\\u0130PC\\u0130 KAZANIYOR ----@emrepolatt1\",\"protected\":false,\"verified\":false,\"followers_count\":422,\"friends_count\":327,\"listed_count\":0,\"favourites_count\":4960,\"statuses_count\":3561,\"created_at\":\"Sun Oct 13 14:14:03 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"tr\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000113509334\\/492598cb8f47b2a29fe392d7e9eabb44.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000113509334\\/492598cb8f47b2a29fe392d7e9eabb44.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516711945240838144\\/1MXxVPoJ_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516711945240838144\\/1MXxVPoJ_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/712720935\\/1402706181\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"tr\",\"timestamp_ms\":\"1412178008664\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180887261184,\"id_str\":\"517338180887261184\",\"text\":\"#Bug\\u00fcnG\\u00fcnlerdenAvrupan\\u0131nFethiGALATASARAY\\u0131m\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":295319165,\"id_str\":\"295319165\",\"name\":\"Do\\u011fa Marangoz 1905\",\"screen_name\":\"doa1905\",\"location\":\"\",\"url\":null,\"description\":\"Cehennem donana kadar #GALATASARAY N.K.F.V.A.S -Sar\\u0131yer Do\\u011fa Koleji #HamitAltintop #FelipeMelo #BurakY\\u0131lmaz #OlcanAd\\u0131n 30.03.2012 T.D OMERNAZ \\u0130stanbul\\/Sar\\u0131yer\",\"protected\":false,\"verified\":false,\"followers_count\":578,\"friends_count\":272,\"listed_count\":0,\"favourites_count\":7928,\"statuses_count\":12005,\"created_at\":\"Sun May 08 19:51:11 +0000 2011\",\"utc_offset\":-18000,\"time_zone\":\"Quito\",\"geo_enabled\":false,\"lang\":\"tr\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/814478464\\/5ea45052ee5cdc7d424ede463bd88795.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/814478464\\/5ea45052ee5cdc7d424ede463bd88795.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/513713202191163392\\/dKiNGqS-_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/513713202191163392\\/dKiNGqS-_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/295319165\\/1397810158\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"Bug\\u00fcnG\\u00fcnlerdenAvrupan\\u0131nFethiGALATASARAY\\u0131m\",\"indices\":[0,42]}],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"und\",\"timestamp_ms\":\"1412178008666\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180883058688,\"id_str\":\"517338180883058688\",\"text\":\"Un par de zapatos, dos estilos http:\\/\\/t.co\\/SOGGZDmTrk\",\"source\":\"\\u003ca href=\\\"http:\\/\\/www.wonderland.fm\\/\\\" rel=\\\"nofollow\\\"\\u003ewonderland.fm App\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1135415474,\"id_str\":\"1135415474\",\"name\":\"CalzandoZapatos\",\"screen_name\":\"CalzandoZapatos\",\"location\":\"\",\"url\":null,\"description\":\"Sobre todo tipo de zapatos y calzado. Encontraras lo m\\u00e1s nuevo en noticias, y todo tipo de ofertas\",\"protected\":false,\"verified\":false,\"followers_count\":10181,\"friends_count\":10975,\"listed_count\":15,\"favourites_count\":0,\"statuses_count\":5434,\"created_at\":\"Wed Jan 30 22:51:24 +0000 2013\",\"utc_offset\":7200,\"time_zone\":\"Amsterdam\",\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"D1B6D1\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme17\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme17\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"CC3366\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"E6F6F9\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":false,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/3197686515\\/08837c6a23605352e2bd73c7890cb54d_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/3197686515\\/08837c6a23605352e2bd73c7890cb54d_normal.jpeg\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/SOGGZDmTrk\",\"expanded_url\":\"http:\\/\\/bit.ly\\/1rGjI18\",\"display_url\":\"bit.ly\\/1rGjI18\",\"indices\":[31,53]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178008663\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180887257088,\"id_str\":\"517338180887257088\",\"text\":\"\\u0412\\u043c\\u0435\\u0441\\u0442\\u043e \\u044d\\u0442\\u043e\\u0433\\u043e \\u0440\\u043e\\u0434\\u0438\\u0442\\u0435\\u043b\\u0438 \\u0434\\u043e\\u043b\\u0436\\u043d\\u044b \\u043f\\u0435\\u0440\\u0435\\u043d\\u0430\\u043f\\u0440\\u0430\\u0432\\u0438\\u0442\\u044c \\u0434\\u0435\\u0442\\u0435\\u0439.\",\"source\":\"\\u003ca href=\\\"http:\\/\\/barlear.ru\\/\\\" rel=\\\"nofollow\\\"\\u003eSocialNetworkMarketingApp\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":350347678,\"id_str\":\"350347678\",\"name\":\"murat g\\u00fcndo\\u011fdu\",\"screen_name\":\"mrt_mrt_\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":369,\"friends_count\":387,\"listed_count\":1,\"favourites_count\":0,\"statuses_count\":1691,\"created_at\":\"Sun Aug 07 16:36:54 +0000 2011\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"tr\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/1482992087\\/58537_148894648483546_100000890344526_246985_5158298_n_normal.jpg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/1482992087\\/58537_148894648483546_100000890344526_246985_5158298_n_normal.jpg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ru\",\"timestamp_ms\":\"1412178008664\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180878860288,\"id_str\":\"517338180878860288\",\"text\":\"RT @jennybethm: Illegal Immigration: 70 Percent of Released Families Never Report Back To Federal Agents http:\\/\\/t.co\\/89DNq2IUFK #teaparty\",\"source\":\"\\u003ca href=\\\"https:\\/\\/roundteam.co\\\" rel=\\\"nofollow\\\"\\u003eRoundTeam\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":596541160,\"id_str\":\"596541160\",\"name\":\"Choose Freedom\",\"screen_name\":\"choose__freedom\",\"location\":\"Where they can't find me.\",\"url\":null,\"description\":\"I believe in #freedom, limited government, a strong national defense, secure borders + personal responsibility. #tcot #tlot #PJNET #NRA #2A #TeaParty #TGDN\",\"protected\":false,\"verified\":false,\"followers_count\":1552,\"friends_count\":1237,\"listed_count\":34,\"favourites_count\":30,\"statuses_count\":44052,\"created_at\":\"Fri Jun 01 15:05:49 +0000 2012\",\"utc_offset\":-14400,\"time_zone\":\"Eastern Time (US & Canada)\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/445184233460752385\\/RTBwpDuJ_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/445184233460752385\\/RTBwpDuJ_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/596541160\\/1408567298\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:21:13 +0000 2014\",\"id\":517333419173609472,\"id_str\":\"517333419173609472\",\"text\":\"Illegal Immigration: 70 Percent of Released Families Never Report Back To Federal Agents http:\\/\\/t.co\\/89DNq2IUFK #teaparty\",\"source\":\"\\u003ca href=\\\"http:\\/\\/bufferapp.com\\\" rel=\\\"nofollow\\\"\\u003eBuffer\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":6742412,\"id_str\":\"6742412\",\"name\":\"Jenny Beth Martin\",\"screen_name\":\"jennybethm\",\"location\":\"Atlanta, Ga\",\"url\":\"http:\\/\\/jenuinejen.com\",\"description\":\"Co-Founder Tea Party Patriots; Tips, Tales, and Thoughts of Peach State Mom of Twins; Christian; Conservative; was Republican now American #tcot #teaparty #tgdn\",\"protected\":false,\"verified\":true,\"followers_count\":42320,\"friends_count\":23511,\"listed_count\":717,\"favourites_count\":570,\"statuses_count\":6266,\"created_at\":\"Mon Jun 11 14:32:10 +0000 2007\",\"utc_offset\":-14400,\"time_zone\":\"Eastern Time (US & Canada)\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"000000\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/95371301\\/new_fake_large_175-4.jpg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/95371301\\/new_fake_large_175-4.jpg\",\"profile_background_tile\":false,\"profile_link_color\":\"D60000\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"1C1939\",\"profile_text_color\":\"777777\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/2281265352\\/7e3d1pifsn0tjy895f5q_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/2281265352\\/7e3d1pifsn0tjy895f5q_normal.jpeg\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":4,\"favorite_count\":3,\"entities\":{\"hashtags\":[{\"text\":\"teaparty\",\"indices\":[112,121]}],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/89DNq2IUFK\",\"expanded_url\":\"http:\\/\\/buff.ly\\/1nGdCzB\",\"display_url\":\"buff.ly\\/1nGdCzB\",\"indices\":[89,111]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"en\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"teaparty\",\"indices\":[128,137]}],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/89DNq2IUFK\",\"expanded_url\":\"http:\\/\\/buff.ly\\/1nGdCzB\",\"display_url\":\"buff.ly\\/1nGdCzB\",\"indices\":[105,127]}],\"user_mentions\":[{\"screen_name\":\"jennybethm\",\"name\":\"Jenny Beth Martin\",\"id\":6742412,\"id_str\":\"6742412\",\"indices\":[3,14]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178008676\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180899864576,\"id_str\":\"517338180899864576\",\"text\":\"RT @ExtinctLana90: Je suis 100% d'accord pour mettre  #YEnAVraimentMarreDesTypesQuiFontDesHashtag\\u00e0RallongeHeureusementQueTuMetsDesMajuscule\\u2026\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2245575537,\"id_str\":\"2245575537\",\"name\":\"krikristoophe\",\"screen_name\":\"krikristoophe\",\"location\":\"quelque part\",\"url\":null,\"description\":\"snapchat: christophe22470\\r\\ninstagram : @christophe22470 (trop d'imagination)\",\"protected\":false,\"verified\":false,\"followers_count\":393,\"friends_count\":370,\"listed_count\":1,\"favourites_count\":402,\"statuses_count\":8458,\"created_at\":\"Thu Dec 26 23:27:14 +0000 2013\",\"utc_offset\":7200,\"time_zone\":\"Paris\",\"geo_enabled\":true,\"lang\":\"fr\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"31A81C\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/510763955930021888\\/RWzT-EhH_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/510763955930021888\\/RWzT-EhH_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2245575537\\/1407702870\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:31:10 +0000 2014\",\"id\":517335924968292353,\"id_str\":\"517335924968292353\",\"text\":\"Je suis 100% d'accord pour mettre  #YEnAVraimentMarreDesTypesQuiFontDesHashtag\\u00e0RallongeHeureusementQueTuMetsDesMajusculesHein en TT :D\",\"source\":\"\\u003ca href=\\\"http:\\/\\/www.meltingmots.com\\\" rel=\\\"nofollow\\\"\\u003eExtinctLana90\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2593022185,\"id_str\":\"2593022185\",\"name\":\"Lana\",\"screen_name\":\"ExtinctLana90\",\"location\":\"\",\"url\":null,\"description\":\"Lana, pour vous servir.  Ou pas.\\r\\n#TeamInsomniaque.\",\"protected\":false,\"verified\":false,\"followers_count\":487,\"friends_count\":893,\"listed_count\":0,\"favourites_count\":1,\"statuses_count\":1829,\"created_at\":\"Sat Jun 28 12:14:50 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"fr\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/482916277862662145\\/iylCxj4N_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/482916277862662145\\/iylCxj4N_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2593022185\\/1403971199\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":1,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"YEnAVraimentMarreDesTypesQuiFontDesHashtag\\u00e0RallongeHeureusementQueTuMetsDesMajusculesHein\",\"indices\":[35,125]}],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"fr\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"YEnAVraimentMarreDesTypesQuiFontDesHashtag\\u00e0RallongeHeureusementQueTuMetsDesMajusculesHein\",\"indices\":[54,140]}],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"ExtinctLana90\",\"name\":\"Lana\",\"id\":2593022185,\"id_str\":\"2593022185\",\"indices\":[3,17]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"fr\",\"timestamp_ms\":\"1412178008683\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180912427008,\"id_str\":\"517338180912427008\",\"text\":\"RT @r1_follow1: \\u0628\\u064a\\u0639 \\u0645\\u062a\\u0627\\u0628\\u0639\\u064a\\u0646 \\u062e\\u0644\\u064a\\u062c\\u064a\\u0646 \\u0644\\u0644\\u062a\\u0648\\u064a\\u062a\\u0631 \\u0648 \\u0625\\u0646\\u0633\\u062a\\u0642\\u0631\\u0627\\u0645 \\n\\n\\u0644\\u0644\\u062a\\u0648\\u0627\\u0635\\u0644 \\u0648\\u0627\\u062a\\u0633 \\u0627\\u0628 0596168454\\n\\nhttp:\\/\\/t.co\\/JzuAqNDCbV \\n 749\",\"source\":\"\\u003ca href=\\\"http:\\/\\/ffasr3.com\\/2\\\" rel=\\\"nofollow\\\"\\u003e\\u0627\\u0644\\u062a\\u0648\\u064a\\u062a\\u0631\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2650616521,\"id_str\":\"2650616521\",\"name\":\"quteba usma alani\",\"screen_name\":\"QutebaUsma\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":9,\"friends_count\":40,\"listed_count\":0,\"favourites_count\":6,\"statuses_count\":2086,\"created_at\":\"Wed Jul 16 09:51:04 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/abs.twimg.com\\/sticky\\/default_profile_images\\/default_profile_0_normal.png\",\"profile_image_url_https\":\"https:\\/\\/abs.twimg.com\\/sticky\\/default_profile_images\\/default_profile_0_normal.png\",\"default_profile\":true,\"default_profile_image\":true,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:36:11 +0000 2014\",\"id\":517337187596390400,\"id_str\":\"517337187596390400\",\"text\":\"\\u0628\\u064a\\u0639 \\u0645\\u062a\\u0627\\u0628\\u0639\\u064a\\u0646 \\u062e\\u0644\\u064a\\u062c\\u064a\\u0646 \\u0644\\u0644\\u062a\\u0648\\u064a\\u062a\\u0631 \\u0648 \\u0625\\u0646\\u0633\\u062a\\u0642\\u0631\\u0627\\u0645 \\n\\n\\u0644\\u0644\\u062a\\u0648\\u0627\\u0635\\u0644 \\u0648\\u0627\\u062a\\u0633 \\u0627\\u0628 0596168454\\n\\nhttp:\\/\\/t.co\\/JzuAqNDCbV \\n 749\",\"source\":\"\\u003ca href=\\\"http:\\/\\/ffasr3.com\\/a\\\" rel=\\\"nofollow\\\"\\u003etweet \\/a\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2800103305,\"id_str\":\"2800103305\",\"name\":\"\\u0628\\u064a\\u0639 \\u0645\\u062a\\u0627\\u0628\\u0639\\u064a\\u0646\",\"screen_name\":\"r1_follow1\",\"location\":\"\",\"url\":null,\"description\":\"\\u200f\\u200f\\u0628\\u064a\\u0639 \\u0645\\u062a\\u0627\\u0628\\u0639\\u064a\\u0646 \\u062d\\u0642\\u064a\\u0642\\u064a\\u0646 \\u062e\\u0644\\u064a\\u062c\\u064a\\u0646 \\u0644\\u0644\\u062a\\u0648\\u064a\\u062a\\u0631 \\u0648 \\u0627\\u0646\\u0633\\u062a\\u063a\\u0631\\u0627\\u0645 \\u0648 \\u0644\\u0627\\u064a\\u0643\\u0627\\u062a \\u062e\\u0644\\u064a\\u062c\\u064a\\u0646 \\u062b\\u0627\\u0628\\u062a\\u064a\\u0646 \\u0645\\u0639 \\u0636\\u0645\\u0627\\u0646 \\u0644\\u0643 \\u0627\\u0644\\u0645\\u062a\\u0627\\u0628\\u0639\\u064a\\u0646 \\u0648\\u0627\\u062a\\u0633 \\u0627\\u0628 0596168454\",\"protected\":false,\"verified\":false,\"followers_count\":7704,\"friends_count\":5500,\"listed_count\":4,\"favourites_count\":3,\"statuses_count\":3089,\"created_at\":\"Tue Sep 09 15:02:39 +0000 2014\",\"utc_offset\":3600,\"time_zone\":\"London\",\"geo_enabled\":false,\"lang\":\"fr\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/509428053143846912\\/gAG3VoKW_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/509428053143846912\\/gAG3VoKW_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2800103305\\/1410292101\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":1517,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":515942230847021056,\"id_str\":\"515942230847021056\",\"indices\":[68,90],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/Byj-ubJCYAAZchS.png\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/Byj-ubJCYAAZchS.png\",\"url\":\"http:\\/\\/t.co\\/JzuAqNDCbV\",\"display_url\":\"pic.twitter.com\\/JzuAqNDCbV\",\"expanded_url\":\"http:\\/\\/twitter.com\\/ilyass_h\\/status\\/515942234248998912\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":598,\"h\":352,\"resize\":\"fit\"},\"medium\":{\"w\":598,\"h\":352,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":200,\"resize\":\"fit\"}},\"source_status_id\":515942234248998912,\"source_status_id_str\":\"515942234248998912\"}]},\"extended_entities\":{\"media\":[{\"id\":515942230847021056,\"id_str\":\"515942230847021056\",\"indices\":[68,90],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/Byj-ubJCYAAZchS.png\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/Byj-ubJCYAAZchS.png\",\"url\":\"http:\\/\\/t.co\\/JzuAqNDCbV\",\"display_url\":\"pic.twitter.com\\/JzuAqNDCbV\",\"expanded_url\":\"http:\\/\\/twitter.com\\/ilyass_h\\/status\\/515942234248998912\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":598,\"h\":352,\"resize\":\"fit\"},\"medium\":{\"w\":598,\"h\":352,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":200,\"resize\":\"fit\"}},\"source_status_id\":515942234248998912,\"source_status_id_str\":\"515942234248998912\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ar\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"r1_follow1\",\"name\":\"\\u0628\\u064a\\u0639 \\u0645\\u062a\\u0627\\u0628\\u0639\\u064a\\u0646\",\"id\":2800103305,\"id_str\":\"2800103305\",\"indices\":[3,14]}],\"symbols\":[],\"media\":[{\"id\":515942230847021056,\"id_str\":\"515942230847021056\",\"indices\":[84,106],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/Byj-ubJCYAAZchS.png\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/Byj-ubJCYAAZchS.png\",\"url\":\"http:\\/\\/t.co\\/JzuAqNDCbV\",\"display_url\":\"pic.twitter.com\\/JzuAqNDCbV\",\"expanded_url\":\"http:\\/\\/twitter.com\\/ilyass_h\\/status\\/515942234248998912\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":598,\"h\":352,\"resize\":\"fit\"},\"medium\":{\"w\":598,\"h\":352,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":200,\"resize\":\"fit\"}},\"source_status_id\":515942234248998912,\"source_status_id_str\":\"515942234248998912\"}]},\"extended_entities\":{\"media\":[{\"id\":515942230847021056,\"id_str\":\"515942230847021056\",\"indices\":[84,106],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/Byj-ubJCYAAZchS.png\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/Byj-ubJCYAAZchS.png\",\"url\":\"http:\\/\\/t.co\\/JzuAqNDCbV\",\"display_url\":\"pic.twitter.com\\/JzuAqNDCbV\",\"expanded_url\":\"http:\\/\\/twitter.com\\/ilyass_h\\/status\\/515942234248998912\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":598,\"h\":352,\"resize\":\"fit\"},\"medium\":{\"w\":598,\"h\":352,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":200,\"resize\":\"fit\"}},\"source_status_id\":515942234248998912,\"source_status_id_str\":\"515942234248998912\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ar\",\"timestamp_ms\":\"1412178008686\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180891467776,\"id_str\":\"517338180891467776\",\"text\":\"RT @K31L4_: @oliviazecchin waaaaaaa que decis personaje jajajaja\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1473191491,\"id_str\":\"1473191491\",\"name\":\"Oli\",\"screen_name\":\"oliviazecchin\",\"location\":\"\",\"url\":null,\"description\":\"Y la verdad, no hay cosa peor, \\nque vivir sin pasi\\u00f3n..\",\"protected\":false,\"verified\":false,\"followers_count\":360,\"friends_count\":325,\"listed_count\":0,\"favourites_count\":1688,\"statuses_count\":11441,\"created_at\":\"Fri May 31 21:55:06 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"ACDED6\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme18\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme18\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"038543\",\"profile_sidebar_border_color\":\"EEEEEE\",\"profile_sidebar_fill_color\":\"F6F6F6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/509118978350804992\\/Topjl7PV_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/509118978350804992\\/Topjl7PV_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1473191491\\/1410377782\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:27:42 +0000 2014\",\"id\":517335050082205696,\"id_str\":\"517335050082205696\",\"text\":\"@oliviazecchin waaaaaaa que decis personaje jajajaja\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517333590489964545,\"in_reply_to_status_id_str\":\"517333590489964545\",\"in_reply_to_user_id\":1473191491,\"in_reply_to_user_id_str\":\"1473191491\",\"in_reply_to_screen_name\":\"oliviazecchin\",\"user\":{\"id\":917988457,\"id_str\":\"917988457\",\"name\":\"cronopio redondito\",\"screen_name\":\"K31L4_\",\"location\":\"Carlos Alberto Garc\\u00eda Moreno\",\"url\":null,\"description\":\"\\u2119\\u211d\\u2655 y sus Redonditos de Ricota y AP en algunos ciclos solares. Club Atl\\u00e9tico Rosario Central. Mi vieja cri\\u00f3 un idiota de coraz\\u00f3n lun\\u00e1tico.\",\"protected\":false,\"verified\":false,\"followers_count\":97,\"friends_count\":119,\"listed_count\":0,\"favourites_count\":149,\"statuses_count\":4060,\"created_at\":\"Thu Nov 01 01:01:39 +0000 2012\",\"utc_offset\":-10800,\"time_zone\":\"Santiago\",\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"131516\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/469629734930771968\\/-8Z_79Q1.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/469629734930771968\\/-8Z_79Q1.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"42171A\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/478290344656650240\\/cYsZS_tY_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/478290344656650240\\/cYsZS_tY_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/917988457\\/1408206021\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":1,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"oliviazecchin\",\"name\":\"Oli\",\"id\":1473191491,\"id_str\":\"1473191491\",\"indices\":[0,14]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"es\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"K31L4_\",\"name\":\"cronopio redondito\",\"id\":917988457,\"id_str\":\"917988457\",\"indices\":[3,10]},{\"screen_name\":\"oliviazecchin\",\"name\":\"Oli\",\"id\":1473191491,\"id_str\":\"1473191491\",\"indices\":[12,26]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178008684\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180912443392,\"id_str\":\"517338180912443392\",\"text\":\"@BD_Lay I Knew It \\ud83d\\ude02\\ud83d\\ude2d\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517335209826848769,\"in_reply_to_status_id_str\":\"517335209826848769\",\"in_reply_to_user_id\":311668757,\"in_reply_to_user_id_str\":\"311668757\",\"in_reply_to_screen_name\":\"BD_Lay\",\"user\":{\"id\":568404382,\"id_str\":\"568404382\",\"name\":\"NUT WORLD BITCH\\u2757\",\"screen_name\":\"Ballout_4250\",\"location\":\"Welcome To Nut World\\u2757 4\\u20e32\\u20e35\\u20e30\\u20e3\",\"url\":null,\"description\":\"Big Ballout FRM The A\\u2757 Free All The Guys \\u2757R.I.P. Hoddy & Nut\\u2757.. Love Viniya Life \\u2757\\ufe0f\\u2764\\ufe0f\",\"protected\":false,\"verified\":false,\"followers_count\":963,\"friends_count\":907,\"listed_count\":2,\"favourites_count\":9224,\"statuses_count\":56249,\"created_at\":\"Tue May 01 17:52:53 +0000 2012\",\"utc_offset\":-10800,\"time_zone\":\"Atlantic Time (Canada)\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000039624360\\/ed7ce9d140503e73711e6d71fe6fce1c.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000039624360\\/ed7ce9d140503e73711e6d71fe6fce1c.jpeg\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/508187491305009152\\/uE0eB6zG_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/508187491305009152\\/uE0eB6zG_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/568404382\\/1409189327\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"BD_Lay\",\"name\":\"sheemagang \",\"id\":311668757,\"id_str\":\"311668757\",\"indices\":[0,7]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178008671\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180886872064,\"id_str\":\"517338180886872064\",\"text\":\"\\u5a18\\u3002\\u30b3\\u30f3\\u306e\\u65e5\\u3060\\u3063\\u305f\\u306e\\u306b\\u4f55\\u6545\\u304b\\u8133\\u5185\\u3067\\u306f\\u30d9\\u30ea\\u304c\\u6d41\\u308c\\u3066\\u304a\\u308b\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":132108937,\"id_str\":\"132108937\",\"name\":\"\\u72c2\\u30cf\\u30e0\\u3061\\u3072\\u308d'14\",\"screen_name\":\"chii_hs\",\"location\":\"\\u3055\\u3093\\u308a\\u304a\\u3074\\u3085\\u30fc\\u308d\\u3089\\u3093\\u3069\",\"url\":null,\"description\":\"\\u6b4c\\u3046\\u3053\\u3068\\u3068\\u4f5c\\u308b\\u3053\\u3068\\u304c\\u597d\\u304d\\u3067\\u3059\\u3002\\u30e9\\u30fc\\u30e1\\u30f3*\\u30b5\\u30f3\\u30ea\\u30aa*\\u30b7\\u30ca\\u30e2\\u30ed\\u30fc\\u30eb*\\u8584\\u685c\\u9b3c*\\u304a\\u6d0b\\u670d*\\u30cf\\u30ed\\u30d7\\u30ed*\\u30e2\\u30fc\\u30cb\\u30f3\\u30b0\\u5a18\\u3002*\",\"protected\":false,\"verified\":false,\"followers_count\":388,\"friends_count\":391,\"listed_count\":15,\"favourites_count\":2259,\"statuses_count\":40945,\"created_at\":\"Mon Apr 12 09:04:44 +0000 2010\",\"utc_offset\":32400,\"time_zone\":\"Tokyo\",\"geo_enabled\":true,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"1A1B1F\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme9\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme9\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"2FC2EF\",\"profile_sidebar_border_color\":\"181A1E\",\"profile_sidebar_fill_color\":\"252429\",\"profile_text_color\":\"666666\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/458234331832410112\\/UW0e7cCy_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/458234331832410112\\/UW0e7cCy_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/132108937\\/1395030721\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178008664\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180904030210,\"id_str\":\"517338180904030210\",\"text\":\"RT @V8888S: \\u0645\\u0633\\u0627\\u0621 \\u0627\\u0644\\u0643\\u0644\\u0645\\u0629 \\u0627\\u0644\\u062d\\u0644\\u0648\\u0629 \\u0645\\u0633\\u0627\\u0621 \\u0627\\u0644\\u062d\\u0628 \\u0628\\u0644\\u064a\\u0627 \\u062d\\u062f\\u0648\\u062f \\u0645\\u0633\\u0627\\u0621 \\u064a\\u062d\\u062a\\u0648\\u064a\\u0647 \\u0627\\u0644\\u0643\\u0648\\u0646 \\u0644\\u0623\\u0646\\u0643 \\u0623\\u0646\\u062a \\u0641\\u064a\\u0647 \\u0645\\u0648\\u062c\\u0648\\u062f \\u0645\\u0633\\u0627\\u0626\\u064a \\u0627\\u0646\\u062a\\u0650  \\u2764\\ufe0f\\ud83d\\udc8b\\ud83c\\udf39\",\"source\":\"\\u003ca href=\\\"http:\\/\\/vsbelle.net\\/120\\/\\\" rel=\\\"nofollow\\\"\\u003ehttp:\\/\\/vsbelle.net\\/120\\/\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2254043439,\"id_str\":\"2254043439\",\"name\":\"Camilla\\r Darcey\\r\",\"screen_name\":\"a_lndem00\",\"location\":\"Texas\\r\",\"url\":null,\"description\":\"\\u0644\\u0644\\u0635\\u062f\\u0627\\u0642\\u0629 (\\u0627\\u0644\\u062e\\u0627\\u0635)\\n\\n\\u0627\\u0644\\u0631\\u064a\\u0627\\u0636\",\"protected\":false,\"verified\":false,\"followers_count\":81,\"friends_count\":521,\"listed_count\":0,\"favourites_count\":2339,\"statuses_count\":24523,\"created_at\":\"Tue Dec 31 11:32:31 +0000 2013\",\"utc_offset\":-25200,\"time_zone\":\"Pacific Time (US & Canada)\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"141414\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme7\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme7\\/bg.gif\",\"profile_background_tile\":true,\"profile_link_color\":\"942C2C\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"F3F3F3\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/430389252866592768\\/SWbXjVTn_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/430389252866592768\\/SWbXjVTn_normal.jpeg\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:32:09 +0000 2014\",\"id\":517336173060968448,\"id_str\":\"517336173060968448\",\"text\":\"\\u0645\\u0633\\u0627\\u0621 \\u0627\\u0644\\u0643\\u0644\\u0645\\u0629 \\u0627\\u0644\\u062d\\u0644\\u0648\\u0629 \\u0645\\u0633\\u0627\\u0621 \\u0627\\u0644\\u062d\\u0628 \\u0628\\u0644\\u064a\\u0627 \\u062d\\u062f\\u0648\\u062f \\u0645\\u0633\\u0627\\u0621 \\u064a\\u062d\\u062a\\u0648\\u064a\\u0647 \\u0627\\u0644\\u0643\\u0648\\u0646 \\u0644\\u0623\\u0646\\u0643 \\u0623\\u0646\\u062a \\u0641\\u064a\\u0647 \\u0645\\u0648\\u062c\\u0648\\u062f \\u0645\\u0633\\u0627\\u0626\\u064a \\u0627\\u0646\\u062a\\u0650  \\u2764\\ufe0f\\ud83d\\udc8b\\ud83c\\udf39\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2740802604,\"id_str\":\"2740802604\",\"name\":\"\\u0631\\u062c\\u0644 \\u0645\\u0632\\u0622\\u062c\\u064a\",\"screen_name\":\"V8888S\",\"location\":\"\",\"url\":null,\"description\":\"\\u0627\\u0646\\u0627 \\u0631\\u062c\\u0644 \\u0645\\u0632\\u0627\\u062c\\u064a \\u0630\\u0622\\u062a \\u0645\\u0641\\u0631\\u062f\\u0622\\u062a \\u0639\\u0646\\u064a\\u062f\\u06be\\u06c1\\u064e \\u0644\\u0633\\u062a \\u0645\\u062c\\u0628\\u0648\\u0631 \\u0639\\u0644\\u0649 \\u062a\\u0628\\u0631\\u064a\\u064e\\u0631 \\u0645\\u0648\\u0622\\u0642\\u0641\\u064a \\u0644\\u0645\\u0646\\u064e \\u064a\\u0633\\u064a\\u0621 \\u0622\\u0644\\u0638\\u0646 \\u0622\\u062a\\u062d\\u062f\\u062b \\u0628\\u0639\\u0641\\u0648\\u064a\\u06be\\u06c1\\u064e \\u0622\\u0636\\u062d\\u0643\\u0643 \\u0628\\u0634\\u062f\\u06be\\u06c1\\u064e \\u0623\\u063a\\u0627\\u0631 \\u0628\\u062c\\u0646\\u0648\\u0646 \\u0648\\u0623\\u0639\\u0634\\u0642 \\u0628\\u062e\\u062c\\u0644 .. \\u0623\\u0646\\u062a\\u0645\\u064a \\u0644\\u0644\\u0647\\u0644\\u0627\\u0644\",\"protected\":false,\"verified\":false,\"followers_count\":9443,\"friends_count\":153,\"listed_count\":0,\"favourites_count\":81,\"statuses_count\":3183,\"created_at\":\"Mon Aug 18 00:21:00 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ar\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/501402712164933633\\/jfgUf6cZ_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/501402712164933633\\/jfgUf6cZ_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2740802604\\/1412092338\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":671,\"favorite_count\":1,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ar\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"V8888S\",\"name\":\"\\u0631\\u062c\\u0644 \\u0645\\u0632\\u0622\\u062c\\u064a\",\"id\":2740802604,\"id_str\":\"2740802604\",\"indices\":[3,10]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ar\",\"timestamp_ms\":\"1412178008681\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180891443201,\"id_str\":\"517338180891443201\",\"text\":\"\\u0622\\u0628\\u0644\\u063a \\u0645\\u0646 \\u0627\\u0644\\u0643\\u0644\\u0627\\u0645 [ \\u0627\\u0644\\u0644\\u0647\\u0645 \\u0623\\u0646\\u0639\\u0645 \\u0639\\u0644\\u064a\\u0646\\u0627 \\u0628\\u062d\\u0645\\u062f\\u0643 \\u0648 \\u0631\\u0636\\u0627\\u0643 ] #\\u063a\\u0631\\u062f_\\u0628\\u0635\\u0648\\u0631\\u0629\",\"source\":\"\\u003ca href=\\\"http:\\/\\/batross.com\\\" rel=\\\"nofollow\\\"\\u003e\\u0628\\u0627\\u0644\\u062e\\u064a\\u0631 \\u063a\\u0631\\u062f\\u0644\\u064a\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":603454115,\"id_str\":\"603454115\",\"name\":\"\\u0627\\u0644\\u0643\\u0627\\u0633\\u06312006\",\"screen_name\":\"DKL2006\",\"location\":\"\\u0627\\u0644\\u0631\\u064a\\u0627\\u0636\",\"url\":null,\"description\":\"\\u200f\\u200f\\u0645\\u0648\\u0638\\u0641  (\\u0627\\u062d\\u0628 \\u0627\\u0644\\u062d\\u064a\\u0627\\u0629 \\u0648\\u0627\\u0646 \\u063a\\u062f\\u0631\\u0648 \\u0628\\u064a \\u0627\\u0644\\u0628\\u0634\\u0631)\",\"protected\":false,\"verified\":false,\"followers_count\":864,\"friends_count\":1997,\"listed_count\":0,\"favourites_count\":21,\"statuses_count\":5489,\"created_at\":\"Sat Jun 09 09:21:16 +0000 2012\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"ar\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/514354297622892545\\/wnTPiDj6_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/514354297622892545\\/wnTPiDj6_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/603454115\\/1411467703\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"\\u063a\\u0631\\u062f_\\u0628\\u0635\\u0648\\u0631\\u0629\",\"indices\":[49,59]}],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ar\",\"timestamp_ms\":\"1412178008664\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180912443393,\"id_str\":\"517338180912443393\",\"text\":\"@jackspotlight amo os vil\\u00f5es, eles s\\u00e3o mais bonitos e gostosos hhahahhhaa\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517337999437078529,\"in_reply_to_status_id_str\":\"517337999437078529\",\"in_reply_to_user_id\":109532411,\"in_reply_to_user_id_str\":\"109532411\",\"in_reply_to_screen_name\":\"jackspotlight\",\"user\":{\"id\":872394073,\"id_str\":\"872394073\",\"name\":\"styles\",\"screen_name\":\"kylizstyles\",\"location\":\"coxa do harry\",\"url\":\"http:\\/\\/nobody-knows-you-the-way-i-do.tumblr.com\",\"description\":\"jenner's\\/ kardashian's e viados \\u2661 wwa tour \\u2661\",\"protected\":false,\"verified\":false,\"followers_count\":1834,\"friends_count\":1979,\"listed_count\":1,\"favourites_count\":3815,\"statuses_count\":60978,\"created_at\":\"Wed Oct 10 19:39:49 +0000 2012\",\"utc_offset\":-7200,\"time_zone\":\"Mid-Atlantic\",\"geo_enabled\":true,\"lang\":\"pt\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FFFFFF\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/469603339643015168\\/scY2ldKq.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/469603339643015168\\/scY2ldKq.jpeg\",\"profile_background_tile\":false,\"profile_link_color\":\"ABB8C2\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/513517169775501312\\/1Emb0kk2_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/513517169775501312\\/1Emb0kk2_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/872394073\\/1411510767\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"jackspotlight\",\"name\":\"camila\",\"id\":109532411,\"id_str\":\"109532411\",\"indices\":[0,14]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"pt\",\"timestamp_ms\":\"1412178008671\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180895649793,\"id_str\":\"517338180895649793\",\"text\":\"Fat chats - The good, the bad and the ugly comments: Study analyzes how people chat about weight on different socia\\u2026 http:\\/\\/t.co\\/kIOa0ebpn7\",\"source\":\"\\u003ca href=\\\"http:\\/\\/www.reddit.com\\/\\\" rel=\\\"nofollow\\\"\\u003eReddit RSS\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2577635288,\"id_str\":\"2577635288\",\"name\":\"Reddit Science\",\"screen_name\":\"Science_Reddit\",\"location\":\"\",\"url\":\"http:\\/\\/www.reddit.com\\/r\\/science\\/new\\/\",\"description\":\"Newest submissions from \\/r\\/science with original links.\",\"protected\":false,\"verified\":false,\"followers_count\":272,\"friends_count\":12,\"listed_count\":6,\"favourites_count\":0,\"statuses_count\":9549,\"created_at\":\"Thu Jun 19 23:11:01 +0000 2014\",\"utc_offset\":10800,\"time_zone\":\"Tallinn\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/480229204919742465\\/DHLw_QAc_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/480229204919742465\\/DHLw_QAc_normal.png\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/kIOa0ebpn7\",\"expanded_url\":\"http:\\/\\/www.springer.com\\/gp\\/about-springer\\/media\\/springer-select\\/fat-chats-the-good-the-bad-and-the-ugly-comments\\/35816\",\"display_url\":\"springer.com\\/gp\\/about-sprin\\u2026\",\"indices\":[117,139]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178008665\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180908249088,\"id_str\":\"517338180908249088\",\"text\":\"When you truly forgive if ever given the opportunity to get even you won't even new worried about it you just move on\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":268692270,\"id_str\":\"268692270\",\"name\":\"Mz. Bossy \",\"screen_name\":\"MzBarbieondat\",\"location\":\"Da Pharmacy \",\"url\":null,\"description\":\"I am that bitch you either love to hate or hate to love either way I'm still dat bitch! #ObeyReality #UGLYGang #CaponeNation #WeMoBBin\",\"protected\":false,\"verified\":false,\"followers_count\":1386,\"friends_count\":1990,\"listed_count\":1,\"favourites_count\":457,\"statuses_count\":9563,\"created_at\":\"Sat Mar 19 08:18:08 +0000 2011\",\"utc_offset\":-18000,\"time_zone\":\"Central Time (US & Canada)\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/730188034\\/989425a06f0c5e65ce6b68c77c2551a1.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/730188034\\/989425a06f0c5e65ce6b68c77c2551a1.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/465219107516723200\\/DHqepczu_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/465219107516723200\\/DHqepczu_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/268692270\\/1411370160\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":{\"type\":\"Point\",\"coordinates\":[34.923717,-88.496280]},\"coordinates\":{\"type\":\"Point\",\"coordinates\":[-88.496280,34.923717]},\"place\":{\"id\":\"8c00285181cdb467\",\"url\":\"https:\\/\\/api.twitter.com\\/1.1\\/geo\\/id\\/8c00285181cdb467.json\",\"place_type\":\"city\",\"name\":\"Corinth\",\"full_name\":\"Corinth, MS\",\"country_code\":\"US\",\"country\":\"United States\",\"bounding_box\":{\"type\":\"Polygon\",\"coordinates\":[[[-88.576522,34.901195],[-88.576522,34.964867],[-88.4694382,34.964867],[-88.4694382,34.901195]]]},\"attributes\":{}},\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178008669\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180882690049,\"id_str\":\"517338180882690049\",\"text\":\"I complimented Susie McBeth\\u2019s page at @aboutdotme! Check it out: http:\\/\\/t.co\\/KYa7ly9oyo @susiemcbeth\",\"source\":\"\\u003ca href=\\\"https:\\/\\/dev.twitter.com\\/docs\\/tfw\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Websites\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2331974365,\"id_str\":\"2331974365\",\"name\":\"Miranda N. Prather\",\"screen_name\":\"MirandaNPrather\",\"location\":\"Middletown, MD\",\"url\":\"http:\\/\\/www.facebook.com\\/blueblueseaottb\",\"description\":\"Writer, horselover, Born in TX, but got my soul in NOLA\\r\\n\\r\\nArea Coordinator for: http:\\/\\/www.grantstoyou.org\\/chapterdisplay.php?id=104\",\"protected\":false,\"verified\":false,\"followers_count\":94,\"friends_count\":266,\"listed_count\":2,\"favourites_count\":481,\"statuses_count\":616,\"created_at\":\"Fri Feb 07 14:44:57 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/512644583595835392\\/U80V8y5D.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/512644583595835392\\/U80V8y5D.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"333333\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"0084B4\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/512645616459980800\\/ZOD6qc7y_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/512645616459980800\\/ZOD6qc7y_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2331974365\\/1411059107\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/KYa7ly9oyo\",\"expanded_url\":\"http:\\/\\/about.me\\/susiemcbeth\",\"display_url\":\"about.me\\/susiemcbeth\",\"indices\":[65,87]}],\"user_mentions\":[{\"screen_name\":\"aboutdotme\",\"name\":\"about.me\",\"id\":115304519,\"id_str\":\"115304519\",\"indices\":[38,49]},{\"screen_name\":\"susiemcbeth\",\"name\":\"Susie McBeth\",\"id\":22052388,\"id_str\":\"22052388\",\"indices\":[88,100]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178008664\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180904026113,\"id_str\":\"517338180904026113\",\"text\":\"RT @danmfc90: \\u201c@theawayfans: Roma fans celebrating their goal at The Etihad last night http:\\/\\/t.co\\/XrRhhiQE0A\\u201d lad in the Millwall hat ther\\u2026\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":473835254,\"id_str\":\"473835254\",\"name\":\"harry weaver\",\"screen_name\":\"1HarryWeaver1\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":490,\"friends_count\":1542,\"listed_count\":0,\"favourites_count\":176,\"statuses_count\":2109,\"created_at\":\"Wed Jan 25 11:28:00 +0000 2012\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/486841189346582529\\/VFZXNXYx_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/486841189346582529\\/VFZXNXYx_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 12:55:49 +0000 2014\",\"id\":517296830582108161,\"id_str\":\"517296830582108161\",\"text\":\"\\u201c@theawayfans: Roma fans celebrating their goal at The Etihad last night http:\\/\\/t.co\\/XrRhhiQE0A\\u201d lad in the Millwall hat there haha \\ud83d\\udc4f\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517287910224461824,\"in_reply_to_status_id_str\":\"517287910224461824\",\"in_reply_to_user_id\":1107326988,\"in_reply_to_user_id_str\":\"1107326988\",\"in_reply_to_screen_name\":\"theawayfans\",\"user\":{\"id\":258893426,\"id_str\":\"258893426\",\"name\":\"Dan Pullen\",\"screen_name\":\"danmfc90\",\"location\":\"Essex\",\"url\":null,\"description\":\"Im an opinionated baby eating wife stabbing millwall fan who enjoys long drunk train journeys up north.. Will probably offend you tbh... Dont believe the hype\",\"protected\":false,\"verified\":false,\"followers_count\":1537,\"friends_count\":1325,\"listed_count\":6,\"favourites_count\":17583,\"statuses_count\":55539,\"created_at\":\"Mon Feb 28 18:48:57 +0000 2011\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/512530957979881473\\/waAvdqKb_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/512530957979881473\\/waAvdqKb_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/258893426\\/1408263439\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":4,\"favorite_count\":4,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"theawayfans\",\"name\":\"The Away Fans\",\"id\":1107326988,\"id_str\":\"1107326988\",\"indices\":[1,13]}],\"symbols\":[],\"media\":[{\"id\":517287908084948992,\"id_str\":\"517287908084948992\",\"indices\":[73,95],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3GnJgCIAAK2O8.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3GnJgCIAAK2O8.jpg\",\"url\":\"http:\\/\\/t.co\\/XrRhhiQE0A\",\"display_url\":\"pic.twitter.com\\/XrRhhiQE0A\",\"expanded_url\":\"http:\\/\\/twitter.com\\/theawayfans\\/status\\/517287910224461824\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":952,\"h\":594,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":212,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":374,\"resize\":\"fit\"}},\"source_status_id\":517287910224461824,\"source_status_id_str\":\"517287910224461824\"}]},\"extended_entities\":{\"media\":[{\"id\":517287908084948992,\"id_str\":\"517287908084948992\",\"indices\":[73,95],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3GnJgCIAAK2O8.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3GnJgCIAAK2O8.jpg\",\"url\":\"http:\\/\\/t.co\\/XrRhhiQE0A\",\"display_url\":\"pic.twitter.com\\/XrRhhiQE0A\",\"expanded_url\":\"http:\\/\\/twitter.com\\/theawayfans\\/status\\/517287910224461824\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":952,\"h\":594,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":212,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":374,\"resize\":\"fit\"}},\"source_status_id\":517287910224461824,\"source_status_id_str\":\"517287910224461824\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"en\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"danmfc90\",\"name\":\"Dan Pullen\",\"id\":258893426,\"id_str\":\"258893426\",\"indices\":[3,12]},{\"screen_name\":\"theawayfans\",\"name\":\"The Away Fans\",\"id\":1107326988,\"id_str\":\"1107326988\",\"indices\":[15,27]}],\"symbols\":[],\"media\":[{\"id\":517287908084948992,\"id_str\":\"517287908084948992\",\"indices\":[87,109],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3GnJgCIAAK2O8.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3GnJgCIAAK2O8.jpg\",\"url\":\"http:\\/\\/t.co\\/XrRhhiQE0A\",\"display_url\":\"pic.twitter.com\\/XrRhhiQE0A\",\"expanded_url\":\"http:\\/\\/twitter.com\\/theawayfans\\/status\\/517287910224461824\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":952,\"h\":594,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":212,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":374,\"resize\":\"fit\"}},\"source_status_id\":517287910224461824,\"source_status_id_str\":\"517287910224461824\"}]},\"extended_entities\":{\"media\":[{\"id\":517287908084948992,\"id_str\":\"517287908084948992\",\"indices\":[87,109],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3GnJgCIAAK2O8.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3GnJgCIAAK2O8.jpg\",\"url\":\"http:\\/\\/t.co\\/XrRhhiQE0A\",\"display_url\":\"pic.twitter.com\\/XrRhhiQE0A\",\"expanded_url\":\"http:\\/\\/twitter.com\\/theawayfans\\/status\\/517287910224461824\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":952,\"h\":594,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":212,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":374,\"resize\":\"fit\"}},\"source_status_id\":517287910224461824,\"source_status_id_str\":\"517287910224461824\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178008693\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180891066368,\"id_str\":\"517338180891066368\",\"text\":\"Mr. Davis just told us his true feelings about John Tarleton and the traditions here at Tarleton...\\ud83d\\ude33\\ud83d\\ude1e #whydoyouteachhere @KateyVinz\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2416900806,\"id_str\":\"2416900806\",\"name\":\"Amy Noel Nixon\",\"screen_name\":\"amynoel1313\",\"location\":\"\",\"url\":null,\"description\":\"Tarleton State \\u0394\\u03a6\\u0395 Art major\",\"protected\":false,\"verified\":false,\"followers_count\":167,\"friends_count\":326,\"listed_count\":0,\"favourites_count\":100,\"statuses_count\":222,\"created_at\":\"Sat Mar 29 04:10:23 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/514483521650712576\\/8wHhYrpu_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/514483521650712576\\/8wHhYrpu_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2416900806\\/1411497405\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"whydoyouteachhere\",\"indices\":[102,120]}],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"KateyVinz\",\"name\":\"Katelyn\",\"id\":2200388526,\"id_str\":\"2200388526\",\"indices\":[121,131]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178008665\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180908249089,\"id_str\":\"517338180908249089\",\"text\":\"Far too funny https:\\/\\/t.co\\/m1Dxhsjotg\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1851608389,\"id_str\":\"1851608389\",\"name\":\"Charlie\",\"screen_name\":\"CharlieSwinburn\",\"location\":\"london\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":138,\"friends_count\":240,\"listed_count\":1,\"favourites_count\":867,\"statuses_count\":2112,\"created_at\":\"Tue Sep 10 13:59:36 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"en-gb\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/507414131650359296\\/R0W2l5cn_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/507414131650359296\\/R0W2l5cn_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1851608389\\/1386894239\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"https:\\/\\/t.co\\/m1Dxhsjotg\",\"expanded_url\":\"https:\\/\\/m.youtube.com\\/watch?v=0YBumQHPAeU\",\"display_url\":\"m.youtube.com\\/watch?v=0YBumQ\\u2026\",\"indices\":[14,37]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178008669\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180908240896,\"id_str\":\"517338180908240896\",\"text\":\"N\\u00e3o adianta um novo m\\u00eas se suas atitudes forem as mesmas, se quer mudan\\u00e7a comece por voc\\u00ea! \\ud83d\\udc4c\\ud83d\\udc4a\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":619158673,\"id_str\":\"619158673\",\"name\":\"Miii \",\"screen_name\":\"_eittamilena\",\"location\":\"\",\"url\":null,\"description\":\"'Uma cal\\u00e7a desbotada e a cabe\\u00e7a virada pra chamar a aten\\u00e7\\u00e3o \\u266a'\",\"protected\":false,\"verified\":false,\"followers_count\":340,\"friends_count\":287,\"listed_count\":0,\"favourites_count\":957,\"statuses_count\":9104,\"created_at\":\"Tue Jun 26 15:05:38 +0000 2012\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"pt\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"050A09\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/438302563222310912\\/k4YJ0i-L.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/438302563222310912\\/k4YJ0i-L.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"0F0F0F\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"EFEFEF\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/513790988163497985\\/I8QfxJi4_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/513790988163497985\\/I8QfxJi4_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/619158673\\/1411005216\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"pt\",\"timestamp_ms\":\"1412178008670\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180891443204,\"id_str\":\"517338180891443204\",\"text\":\"@FStojanovski1 \\u041e\\u0414 \\u041a\\u0410\\u0414\\u0415\\u0415\\u0415?!\",\"source\":\"\\u003ca href=\\\"https:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android Tablets\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517338023781224449,\"in_reply_to_status_id_str\":\"517338023781224449\",\"in_reply_to_user_id\":320395603,\"in_reply_to_user_id_str\":\"320395603\",\"in_reply_to_screen_name\":\"FStojanovski1\",\"user\":{\"id\":152447146,\"id_str\":\"152447146\",\"name\":\"\\u0416 \\u043c'\\u0430\\u043f\\u0435\\u043b \\u0418\\u0437\\u0430\\u0431\\u0435\\u043b\",\"screen_name\":\"ZeGoatQueen\",\"location\":\"Karposh\\/Skopje\\/Macedonia\",\"url\":null,\"description\":\"\\u043c\\u0435\\u043d\\u0443\\u0432\\u0430\\u043c \\u0434\\u0435\\u043d \\u0437\\u0430 \\u043d\\u043e\\u045c, \\u045c\\u0435 \\u043c\\u0435 \\u0441\\u0430\\u043a\\u0430\\u0448 \\u0441\\u0430\\u043c\\u043e \\u043a\\u043e\\u0433\\u0430 \\u0441\\u0443\\u043c \\u043d\\u0435\\u043d\\u0430\\u0441\\u043f\\u0430\\u043d\\u0430.\",\"protected\":false,\"verified\":false,\"followers_count\":2063,\"friends_count\":890,\"listed_count\":8,\"favourites_count\":17998,\"statuses_count\":6099,\"created_at\":\"Sun Jun 06 00:41:14 +0000 2010\",\"utc_offset\":7200,\"time_zone\":\"Belgrade\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"000000\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000017738538\\/c8ee5e5083a011a55f05f39c6a566a47.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000017738538\\/c8ee5e5083a011a55f05f39c6a566a47.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"8F0808\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"E3D89A\",\"profile_text_color\":\"CB7F65\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/512957977305706496\\/bWZ8xPpK_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/512957977305706496\\/bWZ8xPpK_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/152447146\\/1405958898\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"FStojanovski1\",\"name\":\"\\u0424 \\u0438\\u043b\\u0438 \\u041f?\",\"id\":320395603,\"id_str\":\"320395603\",\"indices\":[0,14]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"sr\",\"timestamp_ms\":\"1412178008665\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180912431104,\"id_str\":\"517338180912431104\",\"text\":\"RT @RyNicoleRoberts: @THISjustINbarow @iamEuroz @Tyga @j_dun_havoc @finullcountdown took ya     long enough \\ud83d\\ude09\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1287669342,\"id_str\":\"1287669342\",\"name\":\"Shabba Ranks\",\"screen_name\":\"j_dun_havoc\",\"location\":\"b-city\",\"url\":null,\"description\":\"(I.G. J_dun_havoc) stay bout that life and Live life like its your last day, tomorrow aint promised #turnup\",\"protected\":false,\"verified\":false,\"followers_count\":241,\"friends_count\":197,\"listed_count\":0,\"favourites_count\":397,\"statuses_count\":1213,\"created_at\":\"Fri Mar 22 04:01:57 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/378800000153725610\\/04899d957f79c414dcef8ee33035485e_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/378800000153725610\\/04899d957f79c414dcef8ee33035485e_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1287669342\\/1363981056\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 06:15:58 +0000 2014\",\"id\":517196201381613568,\"id_str\":\"517196201381613568\",\"text\":\"@THISjustINbarow @iamEuroz @Tyga @j_dun_havoc @finullcountdown took ya     long enough \\ud83d\\ude09\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517190252877086720,\"in_reply_to_status_id_str\":\"517190252877086720\",\"in_reply_to_user_id\":390611821,\"in_reply_to_user_id_str\":\"390611821\",\"in_reply_to_screen_name\":\"THISjustINbarow\",\"user\":{\"id\":66723815,\"id_str\":\"66723815\",\"name\":\"Ryan\",\"screen_name\":\"RyNicoleRoberts\",\"location\":\"Boise\",\"url\":\"http:\\/\\/rynicoleroberts.blogspot.com\",\"description\":\"I write too much & I love hip hop. Writer for @iamthatgirl #bobbysoxer #VMG  http:\\/\\/rynicoleroberts.tumblr.com\",\"protected\":false,\"verified\":false,\"followers_count\":446,\"friends_count\":243,\"listed_count\":2,\"favourites_count\":2946,\"statuses_count\":7108,\"created_at\":\"Tue Aug 18 16:26:28 +0000 2009\",\"utc_offset\":-21600,\"time_zone\":\"Mountain Time (US & Canada)\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"ADD7DE\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme18\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme18\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"045185\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"F6F6F6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/515978742582493184\\/ugXXJP52_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/515978742582493184\\/ugXXJP52_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/66723815\\/1357590432\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":1,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"THISjustINbarow\",\"name\":\"J B\",\"id\":390611821,\"id_str\":\"390611821\",\"indices\":[0,16]},{\"screen_name\":\"iamEuroz\",\"name\":\"Euroz\",\"id\":243505683,\"id_str\":\"243505683\",\"indices\":[17,26]},{\"screen_name\":\"Tyga\",\"name\":\"T-Raww\",\"id\":22733444,\"id_str\":\"22733444\",\"indices\":[27,32]},{\"screen_name\":\"j_dun_havoc\",\"name\":\"Shabba Ranks\",\"id\":1287669342,\"id_str\":\"1287669342\",\"indices\":[33,45]},{\"screen_name\":\"finullcountdown\",\"name\":\"Wake N' Jake\",\"id\":630810289,\"id_str\":\"630810289\",\"indices\":[46,62]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"en\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"RyNicoleRoberts\",\"name\":\"Ryan\",\"id\":66723815,\"id_str\":\"66723815\",\"indices\":[3,19]},{\"screen_name\":\"THISjustINbarow\",\"name\":\"J B\",\"id\":390611821,\"id_str\":\"390611821\",\"indices\":[21,37]},{\"screen_name\":\"iamEuroz\",\"name\":\"Euroz\",\"id\":243505683,\"id_str\":\"243505683\",\"indices\":[38,47]},{\"screen_name\":\"Tyga\",\"name\":\"T-Raww\",\"id\":22733444,\"id_str\":\"22733444\",\"indices\":[48,53]},{\"screen_name\":\"j_dun_havoc\",\"name\":\"Shabba Ranks\",\"id\":1287669342,\"id_str\":\"1287669342\",\"indices\":[54,66]},{\"screen_name\":\"finullcountdown\",\"name\":\"Wake N' Jake\",\"id\":630810289,\"id_str\":\"630810289\",\"indices\":[67,83]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178008684\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180904034304,\"id_str\":\"517338180904034304\",\"text\":\"@biancalagos HA\",\"source\":\"\\u003ca href=\\\"http:\\/\\/tapbots.com\\/tweetbot\\\" rel=\\\"nofollow\\\"\\u003eTweetbot for i\\u039fS\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517334503237615616,\"in_reply_to_status_id_str\":\"517334503237615616\",\"in_reply_to_user_id\":66797341,\"in_reply_to_user_id_str\":\"66797341\",\"in_reply_to_screen_name\":\"biancalagos\",\"user\":{\"id\":858456799,\"id_str\":\"858456799\",\"name\":\"Derek Funk\",\"screen_name\":\"DerekFunkk\",\"location\":\"\",\"url\":null,\"description\":\"They Know Everything\",\"protected\":false,\"verified\":false,\"followers_count\":170,\"friends_count\":160,\"listed_count\":0,\"favourites_count\":8206,\"statuses_count\":11195,\"created_at\":\"Tue Oct 02 17:56:50 +0000 2012\",\"utc_offset\":-14400,\"time_zone\":\"Eastern Time (US & Canada)\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"141B1F\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/685938594\\/4eafb7bafa93720a0fa5fbbbf66d0fd3.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/685938594\\/4eafb7bafa93720a0fa5fbbbf66d0fd3.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"186AA1\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/378800000852157728\\/411b96393d1913a9bb9097eeb7ed3564_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/378800000852157728\\/411b96393d1913a9bb9097eeb7ed3564_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/858456799\\/1350370573\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"biancalagos\",\"name\":\"Bianca Lagos\",\"id\":66797341,\"id_str\":\"66797341\",\"indices\":[0,12]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"und\",\"timestamp_ms\":\"1412178008668\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180907831296,\"id_str\":\"517338180907831296\",\"text\":\"\\u3066\\u304b\\u3001\\u8a71\\u304c\\u30a8\\u30b0\\u3044\\u304b\\u3089\\u30ac\\u30c1\\u3067\\u3072\\u304f\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1948546933,\"id_str\":\"1948546933\",\"name\":\"\\u25bd\\u308a\\u306a\\u3061\\u3087\\u3073\\u25bd\",\"screen_name\":\"jouwan210kin\",\"location\":\"\",\"url\":null,\"description\":\"------------------\\u25bc\\u5897\\u7530\\u8cb4\\u4e45\\u25bd----------------- \\u25b6\\ufe0e\\u25b797-98line\\u25b7\\u25b6\\ufe0e\\u300a\\u725b\\u30bf\\u30f3\\u30b5\\u30a4\\u30c0\\u30fc\\u306e\\u8056\\u5730\\u300b\\u261e4.12\\u9752\\u6625\\u3057\\u3066\\u304d\\u305f\\u261c\",\"protected\":false,\"verified\":false,\"followers_count\":190,\"friends_count\":210,\"listed_count\":2,\"favourites_count\":465,\"statuses_count\":3401,\"created_at\":\"Wed Oct 09 03:49:51 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/498899885425307649\\/w6WOInWc_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/498899885425307649\\/w6WOInWc_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1948546933\\/1407686177\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178008669\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180891058176,\"id_str\":\"517338180891058176\",\"text\":\"You have a deep appreciation of the arts and music.\",\"source\":\"\\u003ca href=\\\"http:\\/\\/www.aquassurance.org\\\" rel=\\\"nofollow\\\"\\u003eHawaiiLifeguard\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2727359120,\"id_str\":\"2727359120\",\"name\":\"Aqua Hawaii\",\"screen_name\":\"HawaiiLifeguard\",\"location\":\"Honolulu, Hawaii\",\"url\":\"http:\\/\\/goo.gl\\/5pgxVw\",\"description\":\"Lifeguard Jobs and Services in Hawaii!\",\"protected\":false,\"verified\":false,\"followers_count\":144,\"friends_count\":583,\"listed_count\":1,\"favourites_count\":498,\"statuses_count\":4758,\"created_at\":\"Tue Aug 12 21:12:58 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"000000\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"FA1919\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"000000\",\"profile_text_color\":\"000000\",\"profile_use_background_image\":false,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/499303096963461120\\/myAGVAz4_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/499303096963461120\\/myAGVAz4_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2727359120\\/1407878085\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178008665\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180883083264,\"id_str\":\"517338180883083264\",\"text\":\"RT @bartabacmode: Hoy post muy RETRO! http:\\/\\/t.co\\/NgHAfXp8MJ @pepsi @PepsiEspana #PepsiLightVintage http:\\/\\/t.co\\/ZIGnZCjYVq\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/#!\\/download\\/ipad\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPad\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2259025056,\"id_str\":\"2259025056\",\"name\":\"Nuria M\\u00e1rquez Ortiz\",\"screen_name\":\"lanurichic\",\"location\":\"\",\"url\":\"http:\\/\\/lanurichic.blogspot.com\",\"description\":\"Combina prendas nuevas con pasadas, a\\u00f1ade complementos y un toque de maquillaje. Respeta y mima tu cuerpo, no te compares y olv\\u00ecdate del que dir\\u00e1n.\",\"protected\":false,\"verified\":false,\"followers_count\":88,\"friends_count\":249,\"listed_count\":0,\"favourites_count\":6,\"statuses_count\":399,\"created_at\":\"Mon Dec 23 14:52:53 +0000 2013\",\"utc_offset\":7200,\"time_zone\":\"Amsterdam\",\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FF6699\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme11\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme11\\/bg.gif\",\"profile_background_tile\":true,\"profile_link_color\":\"B40B43\",\"profile_sidebar_border_color\":\"CC3366\",\"profile_sidebar_fill_color\":\"E5507E\",\"profile_text_color\":\"362720\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/415147216115105793\\/XVZKQ2sx_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/415147216115105793\\/XVZKQ2sx_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2259025056\\/1387813186\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 11:59:26 +0000 2014\",\"id\":517282640945496064,\"id_str\":\"517282640945496064\",\"text\":\"Hoy post muy RETRO! http:\\/\\/t.co\\/NgHAfXp8MJ @pepsi @PepsiEspana #PepsiLightVintage http:\\/\\/t.co\\/ZIGnZCjYVq\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":91599047,\"id_str\":\"91599047\",\"name\":\"b a r t a b a c \",\"screen_name\":\"bartabacmode\",\"location\":\"\",\"url\":\"http:\\/\\/www.bartabacmode.net\",\"description\":\"m a k e f a s h i o n :)\",\"protected\":false,\"verified\":false,\"followers_count\":19822,\"friends_count\":178,\"listed_count\":268,\"favourites_count\":3,\"statuses_count\":4384,\"created_at\":\"Sat Nov 21 16:06:05 +0000 2009\",\"utc_offset\":7200,\"time_zone\":\"Madrid\",\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FF6699\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/548353282\\/bartabac_4.jpg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/548353282\\/bartabac_4.jpg\",\"profile_background_tile\":true,\"profile_link_color\":\"B40B43\",\"profile_sidebar_border_color\":\"CC3366\",\"profile_sidebar_fill_color\":\"E5507E\",\"profile_text_color\":\"362720\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/473461160247701505\\/AIgPBIzJ_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/473461160247701505\\/AIgPBIzJ_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/91599047\\/1401717014\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":3,\"favorite_count\":5,\"entities\":{\"hashtags\":[{\"text\":\"PepsiLightVintage\",\"indices\":[63,81]}],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/NgHAfXp8MJ\",\"expanded_url\":\"http:\\/\\/stylelovely.com\\/bartabacmode\\/2014\\/10\\/welcome-to-the-70s\",\"display_url\":\"stylelovely.com\\/bartabacmode\\/2\\u2026\",\"indices\":[20,42]}],\"user_mentions\":[{\"screen_name\":\"pepsi\",\"name\":\"Pepsi\\u2122\",\"id\":18139619,\"id_str\":\"18139619\",\"indices\":[43,49]},{\"screen_name\":\"PepsiEspana\",\"name\":\"Pepsi Espa\\u00f1a\",\"id\":153024704,\"id_str\":\"153024704\",\"indices\":[50,62]}],\"symbols\":[],\"media\":[{\"id\":517282639389016064,\"id_str\":\"517282639389016064\",\"indices\":[82,104],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3B0eFCQAAA8yh.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3B0eFCQAAA8yh.jpg\",\"url\":\"http:\\/\\/t.co\\/ZIGnZCjYVq\",\"display_url\":\"pic.twitter.com\\/ZIGnZCjYVq\",\"expanded_url\":\"http:\\/\\/twitter.com\\/bartabacmode\\/status\\/517282640945496064\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":340,\"h\":226,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":400,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":750,\"h\":500,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":517282639389016064,\"id_str\":\"517282639389016064\",\"indices\":[82,104],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3B0eFCQAAA8yh.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3B0eFCQAAA8yh.jpg\",\"url\":\"http:\\/\\/t.co\\/ZIGnZCjYVq\",\"display_url\":\"pic.twitter.com\\/ZIGnZCjYVq\",\"expanded_url\":\"http:\\/\\/twitter.com\\/bartabacmode\\/status\\/517282640945496064\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":340,\"h\":226,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":400,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":750,\"h\":500,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"es\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"PepsiLightVintage\",\"indices\":[81,99]}],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/NgHAfXp8MJ\",\"expanded_url\":\"http:\\/\\/stylelovely.com\\/bartabacmode\\/2014\\/10\\/welcome-to-the-70s\",\"display_url\":\"stylelovely.com\\/bartabacmode\\/2\\u2026\",\"indices\":[38,60]}],\"user_mentions\":[{\"screen_name\":\"bartabacmode\",\"name\":\"b a r t a b a c \",\"id\":91599047,\"id_str\":\"91599047\",\"indices\":[3,16]},{\"screen_name\":\"pepsi\",\"name\":\"Pepsi\\u2122\",\"id\":18139619,\"id_str\":\"18139619\",\"indices\":[61,67]},{\"screen_name\":\"PepsiEspana\",\"name\":\"Pepsi Espa\\u00f1a\",\"id\":153024704,\"id_str\":\"153024704\",\"indices\":[68,80]}],\"symbols\":[],\"media\":[{\"id\":517282639389016064,\"id_str\":\"517282639389016064\",\"indices\":[100,122],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3B0eFCQAAA8yh.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3B0eFCQAAA8yh.jpg\",\"url\":\"http:\\/\\/t.co\\/ZIGnZCjYVq\",\"display_url\":\"pic.twitter.com\\/ZIGnZCjYVq\",\"expanded_url\":\"http:\\/\\/twitter.com\\/bartabacmode\\/status\\/517282640945496064\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":340,\"h\":226,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":400,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":750,\"h\":500,\"resize\":\"fit\"}},\"source_status_id\":517282640945496064,\"source_status_id_str\":\"517282640945496064\"}]},\"extended_entities\":{\"media\":[{\"id\":517282639389016064,\"id_str\":\"517282639389016064\",\"indices\":[100,122],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3B0eFCQAAA8yh.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3B0eFCQAAA8yh.jpg\",\"url\":\"http:\\/\\/t.co\\/ZIGnZCjYVq\",\"display_url\":\"pic.twitter.com\\/ZIGnZCjYVq\",\"expanded_url\":\"http:\\/\\/twitter.com\\/bartabacmode\\/status\\/517282640945496064\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":340,\"h\":226,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":400,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":750,\"h\":500,\"resize\":\"fit\"}},\"source_status_id\":517282640945496064,\"source_status_id_str\":\"517282640945496064\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178008677\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180899831808,\"id_str\":\"517338180899831808\",\"text\":\"RT @CiudadPoetica: http:\\/\\/t.co\\/CrpDwlS3XS\",\"source\":\"\\u003ca href=\\\"http:\\/\\/emperadores.tooltwits.com\\/\\\" rel=\\\"nofollow\\\"\\u003eemperadores amigos\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":989771808,\"id_str\":\"989771808\",\"name\":\"Solo Tatuajes \\u2661 \",\"screen_name\":\"SoloTatuajes\",\"location\":\"Espa\\u00f1a \\u2708 |Madrid|\",\"url\":\"http:\\/\\/es.favstar.fm\\/users\\/SoloTatuajes\",\"description\":\"Las mejores fotos e im\\u00e1genes de TATUAJES de todo el mundo las encontrar\\u00e1s aqu\\u00ed. \\u00danete. \\u2661\",\"protected\":false,\"verified\":false,\"followers_count\":291734,\"friends_count\":30,\"listed_count\":351,\"favourites_count\":1273,\"statuses_count\":217,\"created_at\":\"Tue Dec 04 23:21:20 +0000 2012\",\"utc_offset\":7200,\"time_zone\":\"Amsterdam\",\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":true,\"profile_background_color\":\"FFFFFF\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/516985860080676864\\/vc7UQaEU.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/516985860080676864\\/vc7UQaEU.jpeg\",\"profile_background_tile\":false,\"profile_link_color\":\"0080FF\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"FFFFFF\",\"profile_text_color\":\"000000\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516702346575761408\\/GHzOXxE__normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516702346575761408\\/GHzOXxE__normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/989771808\\/1412030126\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Tue Jul 08 02:19:54 +0000 2014\",\"id\":486333826533441536,\"id_str\":\"486333826533441536\",\"text\":\"http:\\/\\/t.co\\/CrpDwlS3XS\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":880777628,\"id_str\":\"880777628\",\"name\":\"Acci\\u00f3n Po\\u00e9tica\",\"screen_name\":\"CiudadPoetica\",\"location\":\"Latinoam\\u00e9rica\",\"url\":null,\"description\":\"P\\u00e1gina Oficial de Acci\\u00f3n Po\\u00e9tica. Bienvenidos a esta revoluci\\u00f3n po\\u00e9tica.\",\"protected\":false,\"verified\":false,\"followers_count\":565149,\"friends_count\":4,\"listed_count\":833,\"favourites_count\":86,\"statuses_count\":1994,\"created_at\":\"Sun Oct 14 19:04:25 +0000 2012\",\"utc_offset\":-16200,\"time_zone\":\"Caracas\",\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":true,\"profile_background_color\":\"FFFFFF\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000164407267\\/oV2jGp2C.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000164407267\\/oV2jGp2C.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"000000\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":false,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/506469120670306304\\/PclSm8W6_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/506469120670306304\\/PclSm8W6_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/880777628\\/1407272071\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":12299,\"favorite_count\":7685,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":486333825526427648,\"id_str\":\"486333825526427648\",\"indices\":[0,22],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/Br_OCaDCcAAIu-2.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/Br_OCaDCcAAIu-2.jpg\",\"url\":\"http:\\/\\/t.co\\/CrpDwlS3XS\",\"display_url\":\"pic.twitter.com\\/CrpDwlS3XS\",\"expanded_url\":\"http:\\/\\/twitter.com\\/CiudadPoetica\\/status\\/486333826533441536\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":500,\"h\":500,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":340,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":500,\"h\":500,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":486333825526427648,\"id_str\":\"486333825526427648\",\"indices\":[0,22],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/Br_OCaDCcAAIu-2.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/Br_OCaDCcAAIu-2.jpg\",\"url\":\"http:\\/\\/t.co\\/CrpDwlS3XS\",\"display_url\":\"pic.twitter.com\\/CrpDwlS3XS\",\"expanded_url\":\"http:\\/\\/twitter.com\\/CiudadPoetica\\/status\\/486333826533441536\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":500,\"h\":500,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":340,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":500,\"h\":500,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"und\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"CiudadPoetica\",\"name\":\"Acci\\u00f3n Po\\u00e9tica\",\"id\":880777628,\"id_str\":\"880777628\",\"indices\":[3,17]}],\"symbols\":[],\"media\":[{\"id\":486333825526427648,\"id_str\":\"486333825526427648\",\"indices\":[19,41],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/Br_OCaDCcAAIu-2.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/Br_OCaDCcAAIu-2.jpg\",\"url\":\"http:\\/\\/t.co\\/CrpDwlS3XS\",\"display_url\":\"pic.twitter.com\\/CrpDwlS3XS\",\"expanded_url\":\"http:\\/\\/twitter.com\\/CiudadPoetica\\/status\\/486333826533441536\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":500,\"h\":500,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":340,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":500,\"h\":500,\"resize\":\"fit\"}},\"source_status_id\":486333826533441536,\"source_status_id_str\":\"486333826533441536\"}]},\"extended_entities\":{\"media\":[{\"id\":486333825526427648,\"id_str\":\"486333825526427648\",\"indices\":[19,41],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/Br_OCaDCcAAIu-2.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/Br_OCaDCcAAIu-2.jpg\",\"url\":\"http:\\/\\/t.co\\/CrpDwlS3XS\",\"display_url\":\"pic.twitter.com\\/CrpDwlS3XS\",\"expanded_url\":\"http:\\/\\/twitter.com\\/CiudadPoetica\\/status\\/486333826533441536\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":500,\"h\":500,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":340,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":500,\"h\":500,\"resize\":\"fit\"}},\"source_status_id\":486333826533441536,\"source_status_id_str\":\"486333826533441536\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":true,\"filter_level\":\"medium\",\"lang\":\"und\",\"timestamp_ms\":\"1412178008694\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180891467777,\"id_str\":\"517338180891467777\",\"text\":\"RT @MartyCaswell: Rex Ryan on Philip Rivers \\\"He's just a tough ass...he's probably the league MVP if you took that vote right now.\\u201d\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2169451749,\"id_str\":\"2169451749\",\"name\":\"skyler young\",\"screen_name\":\"skyyoung48\",\"location\":\"Oberlin,PA\",\"url\":null,\"description\":\"Im a fan of the san diego chargers,san diego padres, LA kings, penn state football, and 6x nascar sprint cup champion jimmie johnson\",\"protected\":false,\"verified\":false,\"followers_count\":265,\"friends_count\":1810,\"listed_count\":1,\"favourites_count\":3427,\"statuses_count\":2604,\"created_at\":\"Tue Nov 05 14:14:55 +0000 2013\",\"utc_offset\":-10800,\"time_zone\":\"Atlantic Time (Canada)\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/445634410491019265\\/vca5xtwW.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/445634410491019265\\/vca5xtwW.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/514468798016278528\\/Aj87I89b_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/514468798016278528\\/Aj87I89b_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2169451749\\/1411493896\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:31:13 +0000 2014\",\"id\":517335934895796224,\"id_str\":\"517335934895796224\",\"text\":\"Rex Ryan on Philip Rivers \\\"He's just a tough ass...he's probably the league MVP if you took that vote right now.\\u201d\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":77034216,\"id_str\":\"77034216\",\"name\":\"Marty Caswell\",\"screen_name\":\"MartyCaswell\",\"location\":\"Southern California\",\"url\":\"http:\\/\\/www.themighty1090.com\\/pages\\/darrensmith_podcasts\",\"description\":\"Producer\\/Reporter for the Darren Smith Show on The Mighty 1090 Sports Radio - Everything Chargers, Padres & more. Proud SDSU grad\",\"protected\":false,\"verified\":false,\"followers_count\":13910,\"friends_count\":289,\"listed_count\":535,\"favourites_count\":15,\"statuses_count\":35779,\"created_at\":\"Thu Sep 24 20:25:05 +0000 2009\",\"utc_offset\":-25200,\"time_zone\":\"Pacific Time (US & Canada)\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"0099B9\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000136221925\\/O1HuoWSj.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000136221925\\/O1HuoWSj.jpeg\",\"profile_background_tile\":false,\"profile_link_color\":\"0099B9\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"95E8EC\",\"profile_text_color\":\"3C3940\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/419992175913357313\\/f5ClsrL-_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/419992175913357313\\/f5ClsrL-_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/77034216\\/1402509414\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":4,\"favorite_count\":4,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"en\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"MartyCaswell\",\"name\":\"Marty Caswell\",\"id\":77034216,\"id_str\":\"77034216\",\"indices\":[3,16]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178008685\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180904030208,\"id_str\":\"517338180904030208\",\"text\":\"Super-cute! http:\\/\\/t.co\\/K0vM5JMG10 #Tweet4u #Promobiz #ARTP #cocosays #500Aday\\n5\",\"source\":\"\\u003ca href=\\\"http:\\/\\/www.hootsuite.com\\\" rel=\\\"nofollow\\\"\\u003eHootsuite\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1306456357,\"id_str\":\"1306456357\",\"name\":\"Marina Lee\",\"screen_name\":\"MarinaBeads\",\"location\":\"Belarus\",\"url\":\"http:\\/\\/www.etsy.com\\/shop\\/LeeMarinahttp:\\/\\/\",\"description\":\"Bead Crochet Necklace and lariats (http:\\/\\/twiends.com\\/marinabeads)\",\"protected\":false,\"verified\":false,\"followers_count\":462,\"friends_count\":310,\"listed_count\":26,\"favourites_count\":2,\"statuses_count\":50795,\"created_at\":\"Wed Mar 27 04:02:38 +0000 2013\",\"utc_offset\":10800,\"time_zone\":\"Baghdad\",\"geo_enabled\":false,\"lang\":\"ru\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"B2DFDA\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme13\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme13\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"93A644\",\"profile_sidebar_border_color\":\"EEEEEE\",\"profile_sidebar_fill_color\":\"FFFFFF\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/3436455354\\/69d4fc96032ac820f5991500c85d9fb7_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/3436455354\\/69d4fc96032ac820f5991500c85d9fb7_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1306456357\\/1370969258\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"Tweet4u\",\"indices\":[35,43]},{\"text\":\"Promobiz\",\"indices\":[44,53]},{\"text\":\"ARTP\",\"indices\":[54,59]},{\"text\":\"cocosays\",\"indices\":[60,69]},{\"text\":\"500Aday\",\"indices\":[70,78]}],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/K0vM5JMG10\",\"expanded_url\":\"http:\\/\\/etsy.me\\/1udBFGP\",\"display_url\":\"etsy.me\\/1udBFGP\",\"indices\":[12,34]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178008668\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180878495746,\"id_str\":\"517338180878495746\",\"text\":\"@Gx100Model \\u3077\\u3063\\u3061\\u3087\\uff1f\\uff1f\\uff1f\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517335495756361728,\"in_reply_to_status_id_str\":\"517335495756361728\",\"in_reply_to_user_id\":1083160184,\"in_reply_to_user_id_str\":\"1083160184\",\"in_reply_to_screen_name\":\"Gx100Model\",\"user\":{\"id\":2424545580,\"id_str\":\"2424545580\",\"name\":\"\\u308b\\u306a@\\u307b\\u3049\\u301c\\u3080\\u30ab\\u30d5\\u30a7\\u516c\\u5f0f\",\"screen_name\":\"maid_runa\",\"location\":\"\\u9b54\\u754c\",\"url\":\"http:\\/\\/www.cafe-athome.com\\/blog\\/runana\\/\",\"description\":\"@\\u307b\\u3049\\u301c\\u3080\\u30ab\\u30d5\\u30a7(@athome_cafe)\\u6240\\u5c5e\\u5e97\\u82176F\\u2661.\\u00b0\\u2445\\uff13\\u6708\\u30e1\\u30a4\\u30c9\\u308b\\u306a\\u3074\\u3087\\u3093\\u3067\\u3059\\u0b18(\\u0a6d\\u0941*\\u02ca\\ua4b3 \\u02cb)\\u0a6d\\u0941*.\\u00b0*\\u2445\\u0b68\\u0b67\\u6c34\\u8272\\/\\u30a8\\u30df\\u30e5\\u30a6\\u3061\\u3083\\u3093\\/\\u3046\\u3055\\u304e\\/\\u30cb\\u30b3\\u53a8\\u0b68\\u0b67*\\u2445 \\u8a50\\u6b3a\\u5199\\u30e1\\u304c\\u5f97\\u610f\\u3067\\u3059( \\u02d8\\u03c9\\u02d8 )\\u3054\\u6ce8\\u610f\\u4e0b\\u3055\\u3044\\u2026\\u029a\\u2020\\u025e\",\"protected\":false,\"verified\":false,\"followers_count\":421,\"friends_count\":109,\"listed_count\":6,\"favourites_count\":634,\"statuses_count\":7393,\"created_at\":\"Thu Apr 03 00:50:15 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516594538953973760\\/4Knb7HxR_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516594538953973760\\/4Knb7HxR_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2424545580\\/1411470113\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"Gx100Model\",\"name\":\"\\u3066\\u3064\\u305f\\u308d\",\"id\":1083160184,\"id_str\":\"1083160184\",\"indices\":[0,11]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178008662\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180891054082,\"id_str\":\"517338180891054082\",\"text\":\"\\u3010\\u5b9a\\u671f\\u3011LINE\\u3084\\u3063\\u3066\\u308b\\u306e\\u3067\\u53cb\\u9054\\u306b\\u306a\\u3063\\u3066\\u3082\\u3044\\u3044\\u3088\\u3063\\u3066\\u65b9\\u306fDM\\u3067ID\\u805e\\u3044\\u3066\\u304f\\u308c\\u308b\\u3068\\u5b09\\u3057\\u3044\\u3067\\u3059\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twittbot.net\\/\\\" rel=\\\"nofollow\\\"\\u003etwittbot.net\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":856082569,\"id_str\":\"856082569\",\"name\":\"\\u3088\\u3046\\u3089P@\\u4e9c\\u7f8e\\u3084\\u3088P\",\"screen_name\":\"yoraP_amiyayoP\",\"location\":\"ARISA\\u540c\\u76dfNo.294\\u6240\\u5c5e\",\"url\":null,\"description\":\"\\u4e09\\u6fa4\\u7d17\\u5343\\u9999\\u3055\\u3093\\u304c\\u5927\\u597d\\u304d\\u3067\\u3059\\u3002\",\"protected\":false,\"verified\":false,\"followers_count\":1604,\"friends_count\":1269,\"listed_count\":17,\"favourites_count\":1641,\"statuses_count\":39795,\"created_at\":\"Mon Oct 01 09:02:53 +0000 2012\",\"utc_offset\":32400,\"time_zone\":\"Irkutsk\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/508598385608114176\\/M3XL3x7g_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/508598385608114176\\/M3XL3x7g_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/856082569\\/1408286132\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178008665\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180907831298,\"id_str\":\"517338180907831298\",\"text\":\"\\u53ec\\u559a\\u58eb\\u3063\\u3066\\u30d7\\u30ed\\u30c6\\u30b9\\u4f7f\\u3048\\u306a\\u3044\\u306e\\u304b\\u3041\",\"source\":\"\\u003ca href=\\\"https:\\/\\/sites.google.com\\/site\\/tweentwitterclient\\/\\\" rel=\\\"nofollow\\\"\\u003eTween\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":24881667,\"id_str\":\"24881667\",\"name\":\"\\u3074\\u304b\",\"screen_name\":\"pikakopikapika\",\"location\":\"\\u2606\\u301c\\uff08\\u309d\\u3002\\u2202\\uff09\",\"url\":null,\"description\":\"\\u3074\\u304b\\u3067\\u3059\\u3002\\uff11\\uff17\\u6b73\\u3002\\u30aa\\u30e0\\u30e9\\u30a4\\u30b9\\u304c\\u597d\\u304d\\u3002\\u30a2\\u30cb\\u30e1\\u898b\\u3066\\u308b\\u3002\\u6771\\u65b9\\u3068\\u304b\\u30cb\\u30b3\\u30cb\\u30b3\\u3068\\u304bUst\\u30c1\\u30a7\\u30c3\\u30ab\\u30fc\\u3068\\u304b\\u95a2\\u9023\\u3002\\u7406\\u7cfb\\u3002PS3\\u3082\\u3063\\u3066\\u308b\\u3002\\u30b9\\u30d1\\uff14\\uff08\\u30ed\\u30fc\\u30ba\\uff09\\u3002\\u30c6\\u30ec\\u30d3\\u756a\\u7d44\\u306f\\u4e16\\u754c\\u3075\\u3057\\u304e\\u767a\\u898b\\u3001THE\\u4e16\\u754c\\u907a\\u7523\\u3002\\u30c1\\u30af\\u30ef\\/\\u30c1\\u30ef\\u30ef\\u3002\\u96ea\\u5370\\u30b3\\u30fc\\u30d2\\u30fc\\u3002\\u3077\\u3088\\u30af\\u30a8\\u306f\\u3058\\u3081\\u307e\\u3057\\u305f\\u3002\",\"protected\":false,\"verified\":false,\"followers_count\":833,\"friends_count\":879,\"listed_count\":87,\"favourites_count\":10579,\"statuses_count\":197264,\"created_at\":\"Tue Mar 17 13:36:54 +0000 2009\",\"utc_offset\":32400,\"time_zone\":\"Tokyo\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"EB5792\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme17\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme17\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"CC3366\",\"profile_sidebar_border_color\":\"DBE9ED\",\"profile_sidebar_fill_color\":\"C5EBF0\",\"profile_text_color\":\"870841\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/1257766377\\/___normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/1257766377\\/___normal.png\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178008669\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180916240384,\"id_str\":\"517338180916240384\",\"text\":\"#putkidsfirst #lou Tired #hungry #cook s companion: 95 Delicious, Healthy Fast Recipes. All With At Least 4 Va... http:\\/\\/t.co\\/In4ktIuYA2\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitterfeed.com\\\" rel=\\\"nofollow\\\"\\u003etwitterfeed\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2601435678,\"id_str\":\"2601435678\",\"name\":\"Earnest Zackary\",\"screen_name\":\"EarnestZackary\",\"location\":\"\",\"url\":\"http:\\/\\/www.mmsg.net\",\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":10,\"friends_count\":343,\"listed_count\":0,\"favourites_count\":0,\"statuses_count\":13578,\"created_at\":\"Thu Jul 03 10:47:16 +0000 2014\",\"utc_offset\":10800,\"time_zone\":\"Baghdad\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/487247616288100352\\/3Ez7Nb8a_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/487247616288100352\\/3Ez7Nb8a_normal.png\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"putkidsfirst\",\"indices\":[0,13]},{\"text\":\"lou\",\"indices\":[14,18]},{\"text\":\"hungry\",\"indices\":[25,32]},{\"text\":\"cook\",\"indices\":[33,38]}],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/In4ktIuYA2\",\"expanded_url\":\"http:\\/\\/bit.ly\\/1v5sgie\",\"display_url\":\"bit.ly\\/1v5sgie\",\"indices\":[114,136]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178008671\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180891066369,\"id_str\":\"517338180891066369\",\"text\":\"RT @love_aloha42: \\u4fdd\\u5742\\u5148\\u8f29\\u306b\\u99ac\\u9e7f\\u306b\\u3055\\u308c\\u3066\\u308b\\u8f9b\\u3044\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2526494660,\"id_str\":\"2526494660\",\"name\":\"\\u4fdd\\u5742\",\"screen_name\":\"bligh3218\",\"location\":\"\",\"url\":null,\"description\":\"\\u9ad8\\u6821\\u57a2 \\u3088\\u308d\\u3057\\u304f\",\"protected\":false,\"verified\":false,\"followers_count\":63,\"friends_count\":64,\"listed_count\":1,\"favourites_count\":379,\"statuses_count\":1071,\"created_at\":\"Tue May 27 04:05:15 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/481422473624178688\\/R3jnYyS6_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/481422473624178688\\/R3jnYyS6_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2526494660\\/1401163795\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:39:29 +0000 2014\",\"id\":517338014842777600,\"id_str\":\"517338014842777600\",\"text\":\"\\u4fdd\\u5742\\u5148\\u8f29\\u306b\\u99ac\\u9e7f\\u306b\\u3055\\u308c\\u3066\\u308b\\u8f9b\\u3044\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2251867766,\"id_str\":\"2251867766\",\"name\":\"\\u901a\\u308a\\u3059\\u304c\\u308a\\u306e\\u6700\\u4e0a\\u3055\\u3093\\u3002\",\"screen_name\":\"love_aloha42\",\"location\":\"\\u673a\\u3068\\u6905\\u5b50\",\"url\":null,\"description\":\"\\u3055\\u3088\\u306a\\u3089\\u3001Twitter\\u3002\",\"protected\":false,\"verified\":false,\"followers_count\":416,\"friends_count\":367,\"listed_count\":6,\"favourites_count\":10549,\"statuses_count\":22969,\"created_at\":\"Wed Dec 18 11:46:04 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/485276811354308608\\/KvNyGD5m_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/485276811354308608\\/KvNyGD5m_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2251867766\\/1412072864\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":2,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ja\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"love_aloha42\",\"name\":\"\\u901a\\u308a\\u3059\\u304c\\u308a\\u306e\\u6700\\u4e0a\\u3055\\u3093\\u3002\",\"id\":2251867766,\"id_str\":\"2251867766\",\"indices\":[3,16]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178008679\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180895662081,\"id_str\":\"517338180895662081\",\"text\":\"RT @Laprensalibrecr: Emergencia nacional por sequ\\u00eda http:\\/\\/t.co\\/HW7hVoTxWG\",\"source\":\"\\u003ca href=\\\"http:\\/\\/www.twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Windows Phone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":297088522,\"id_str\":\"297088522\",\"name\":\"Pablo Nava\",\"screen_name\":\"pablonama\",\"location\":\"Costa Rica\",\"url\":\"http:\\/\\/prismanava.tumblr.com\\/\",\"description\":\"Administrador, intento de m\\u00fasico, poeta y fot\\u00f3grafo, no-stress please, hogar dulce hogar, Socrates' life-style, amistad...\",\"protected\":false,\"verified\":false,\"followers_count\":157,\"friends_count\":414,\"listed_count\":3,\"favourites_count\":357,\"statuses_count\":7160,\"created_at\":\"Wed May 11 22:31:20 +0000 2011\",\"utc_offset\":-21600,\"time_zone\":\"Central America\",\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"1A1B1F\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme9\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme9\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"EB2A2A\",\"profile_sidebar_border_color\":\"181A1E\",\"profile_sidebar_fill_color\":\"252429\",\"profile_text_color\":\"666666\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/493884011735818240\\/cwcqpMNL_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/493884011735818240\\/cwcqpMNL_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/297088522\\/1406616454\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:14:59 +0000 2014\",\"id\":517331850554265600,\"id_str\":\"517331850554265600\",\"text\":\"Emergencia nacional por sequ\\u00eda http:\\/\\/t.co\\/HW7hVoTxWG\",\"source\":\"\\u003ca href=\\\"http:\\/\\/www.facebook.com\\/twitter\\\" rel=\\\"nofollow\\\"\\u003eFacebook\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":472176404,\"id_str\":\"472176404\",\"name\":\"La Prensa Libre\",\"screen_name\":\"Laprensalibrecr\",\"location\":\"San Jos\\u00e9, Costa Rica\",\"url\":\"http:\\/\\/www.prensalibre.cr\",\"description\":\"La Prensa Libre, peri\\u00f3dico diario, Decano de la Prensa Nacional, fundado en 1889. Parte de Grupo Extra, edificio Borras\\u00e9.\",\"protected\":false,\"verified\":false,\"followers_count\":16963,\"friends_count\":352,\"listed_count\":123,\"favourites_count\":17,\"statuses_count\":12191,\"created_at\":\"Mon Jan 23 17:44:13 +0000 2012\",\"utc_offset\":-21600,\"time_zone\":\"Mountain Time (US & Canada)\",\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"131516\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/448137513\\/425395_254988077919945_228302277255192_575498_1829547804_n.jpg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/448137513\\/425395_254988077919945_228302277255192_575498_1829547804_n.jpg\",\"profile_background_tile\":true,\"profile_link_color\":\"009999\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/3741325732\\/6c2d113401592e36d4e6f06b29e11c93_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/3741325732\\/6c2d113401592e36d4e6f06b29e11c93_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/472176404\\/1370105043\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":1,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/HW7hVoTxWG\",\"expanded_url\":\"http:\\/\\/fb.me\\/40hNSwJ7r\",\"display_url\":\"fb.me\\/40hNSwJ7r\",\"indices\":[31,53]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"es\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/HW7hVoTxWG\",\"expanded_url\":\"http:\\/\\/fb.me\\/40hNSwJ7r\",\"display_url\":\"fb.me\\/40hNSwJ7r\",\"indices\":[52,74]}],\"user_mentions\":[{\"screen_name\":\"Laprensalibrecr\",\"name\":\"La Prensa Libre\",\"id\":472176404,\"id_str\":\"472176404\",\"indices\":[3,19]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178008703\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180916228096,\"id_str\":\"517338180916228096\",\"text\":\"@akmm_a___ \\n\\u304a\\u6bcd\\u3055\\u3093\\u899a\\u3048\\u3066\\u305f\\u306e\\u306d\\uff01\\uff08\\u7b11\\uff09\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517337766804205569,\"in_reply_to_status_id_str\":\"517337766804205569\",\"in_reply_to_user_id\":1703490631,\"in_reply_to_user_id_str\":\"1703490631\",\"in_reply_to_screen_name\":\"akmm_a___\",\"user\":{\"id\":2333311152,\"id_str\":\"2333311152\",\"name\":\"\\u3044\\u308f\\u3061\\u3048\\u306f\\u3044\\u308f\\u3061\\u3048\\u21af\",\"screen_name\":\"genki_chiewaaa\",\"location\":\"\",\"url\":\"http:\\/\\/twpf.jp\\/genki_chiewaaa\",\"description\":\"\\u2192\\u304a\\uff1f\\u304a\\u3063\\u3068\\uff1f\\u30b9\\u30e9\\u30a4\\u30c9\\u3057\\u307e\\u3057\\u305f\\u306d\\uff01ww\\u3001\\u6c17\\u306b\\u306a\\u3063\\u305f\\u65b9\\u306f\\u30d5\\u30a9\\u30ed\\u30fc\\u3057\\u3088\\u3046\\u3002\\u7121\\u8a00\\u306f\\u6c17\\u3065\\u304b\\u306a\\u3044\\u3088\\u3002\\u9c2f\\u304c\\u30c9\\u30e5\\u30d5\\u30d5\\u30d5\\u30d5(\\u00b4\\u2202\\u222a\\u2202`) \\u306a\\u3093\\u3060\\u304b\\u3093\\u3060\\u30c0\\u30f3\\u30c7\\u30a3\\u306a\\u3093\\u3060\\u306d\\u5ca9\\u6a4b\\u306f\\u2661\\u2661ww \\u8a73\\u3057\\u304f\\u306f\\u30c4\\u30a4\\u30d7\\u30ed\\u3067\\u261f \\u261f\",\"protected\":false,\"verified\":false,\"followers_count\":984,\"friends_count\":608,\"listed_count\":66,\"favourites_count\":6865,\"statuses_count\":32712,\"created_at\":\"Sat Feb 08 11:11:53 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516991765530685440\\/pqx3DToz_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516991765530685440\\/pqx3DToz_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2333311152\\/1411120048\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"akmm_a___\",\"name\":\"\\u3042 \\u3051 \\u307f \\u5c4b   \\\\ \\u4eee \\/\",\"id\":1703490631,\"id_str\":\"1703490631\",\"indices\":[0,10]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178008675\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180916215808,\"id_str\":\"517338180916215808\",\"text\":\"she want something more then just us.\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1426395848,\"id_str\":\"1426395848\",\"name\":\"who cares\",\"screen_name\":\"cecetooshort_\",\"location\":\"\",\"url\":null,\"description\":\"no\",\"protected\":false,\"verified\":false,\"followers_count\":1477,\"friends_count\":883,\"listed_count\":9,\"favourites_count\":3901,\"statuses_count\":54397,\"created_at\":\"Mon May 13 21:00:58 +0000 2013\",\"utc_offset\":-36000,\"time_zone\":\"Hawaii\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516604506448994305\\/U2o1V4Oc_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516604506448994305\\/U2o1V4Oc_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1426395848\\/1411349690\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":true,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178008671\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180895670273,\"id_str\":\"517338180895670273\",\"text\":\"\\u201c@BADTlPS: Current financial status http:\\/\\/t.co\\/dQ0Jm6rBZX\\u201d don't drop it\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517223937714180096,\"in_reply_to_status_id_str\":\"517223937714180096\",\"in_reply_to_user_id\":305697266,\"in_reply_to_user_id_str\":\"305697266\",\"in_reply_to_screen_name\":\"BADTlPS\",\"user\":{\"id\":1400375714,\"id_str\":\"1400375714\",\"name\":\"Bryce E. Nygma\",\"screen_name\":\"ijustdgad_22\",\"location\":\"Dade\",\"url\":\"http:\\/\\/Dreamvillain.net\",\"description\":\"Bumpin Wu-Tang on Qward while being mentored by Iniesta || IG: sincerely_bryce\",\"protected\":false,\"verified\":false,\"followers_count\":794,\"friends_count\":690,\"listed_count\":1,\"favourites_count\":12211,\"statuses_count\":49547,\"created_at\":\"Fri May 03 18:15:11 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/484138072024444929\\/11zLC_Xg_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/484138072024444929\\/11zLC_Xg_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1400375714\\/1409187918\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"BADTlPS\",\"name\":\"Bad Tips\",\"id\":305697266,\"id_str\":\"305697266\",\"indices\":[1,9]}],\"symbols\":[],\"media\":[{\"id\":517223936577527808,\"id_str\":\"517223936577527808\",\"indices\":[36,58],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By2MbhEIYAApd_b.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By2MbhEIYAApd_b.jpg\",\"url\":\"http:\\/\\/t.co\\/dQ0Jm6rBZX\",\"display_url\":\"pic.twitter.com\\/dQ0Jm6rBZX\",\"expanded_url\":\"http:\\/\\/twitter.com\\/BADTlPS\\/status\\/517223937714180096\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":500,\"h\":391,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":265,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":500,\"h\":391,\"resize\":\"fit\"}},\"source_status_id\":517223937714180096,\"source_status_id_str\":\"517223937714180096\"}]},\"extended_entities\":{\"media\":[{\"id\":517223936577527808,\"id_str\":\"517223936577527808\",\"indices\":[36,58],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By2MbhEIYAApd_b.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By2MbhEIYAApd_b.jpg\",\"url\":\"http:\\/\\/t.co\\/dQ0Jm6rBZX\",\"display_url\":\"pic.twitter.com\\/dQ0Jm6rBZX\",\"expanded_url\":\"http:\\/\\/twitter.com\\/BADTlPS\\/status\\/517223937714180096\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":500,\"h\":391,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":265,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":500,\"h\":391,\"resize\":\"fit\"}},\"source_status_id\":517223937714180096,\"source_status_id_str\":\"517223937714180096\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178008666\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180916629504,\"id_str\":\"517338180916629504\",\"text\":\"RT @WestHam_Central: Daily Mail you dumb fucks \\ud83d\\ude02\\ud83d\\ude02 http:\\/\\/t.co\\/d8K0YDR8WP\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":28537257,\"id_str\":\"28537257\",\"name\":\"PJ\",\"screen_name\":\"PJJAFC\",\"location\":\"\",\"url\":null,\"description\":\"Gooner, Boxing fan, Father, Semi Pro footballer, Legend. 53 years and counting Sp*rs....\",\"protected\":false,\"verified\":false,\"followers_count\":339,\"friends_count\":486,\"listed_count\":5,\"favourites_count\":283,\"statuses_count\":19311,\"created_at\":\"Fri Apr 03 10:24:23 +0000 2009\",\"utc_offset\":-36000,\"time_zone\":\"Hawaii\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/492427587545993218\\/PFLmiMA1_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/492427587545993218\\/PFLmiMA1_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/28537257\\/1392968521\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 08:52:19 +0000 2014\",\"id\":517235551268003840,\"id_str\":\"517235551268003840\",\"text\":\"Daily Mail you dumb fucks \\ud83d\\ude02\\ud83d\\ude02 http:\\/\\/t.co\\/d8K0YDR8WP\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2235039606,\"id_str\":\"2235039606\",\"name\":\"West Ham Central\",\"screen_name\":\"WestHam_Central\",\"location\":\"Diafra Sakho enthusiast.\",\"url\":null,\"description\":\"Rest in peace Dylan and Katie.\",\"protected\":false,\"verified\":false,\"followers_count\":5475,\"friends_count\":180,\"listed_count\":15,\"favourites_count\":24871,\"statuses_count\":15449,\"created_at\":\"Sat Dec 07 20:49:03 +0000 2013\",\"utc_offset\":3600,\"time_zone\":\"Casablanca\",\"geo_enabled\":true,\"lang\":\"en-gb\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/491904348335910912\\/8sFAR7dd_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/491904348335910912\\/8sFAR7dd_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2235039606\\/1412029146\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":83,\"favorite_count\":49,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":517235548445241344,\"id_str\":\"517235548445241344\",\"indices\":[29,51],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By2W_apIcAAeo4a.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By2W_apIcAAeo4a.jpg\",\"url\":\"http:\\/\\/t.co\\/d8K0YDR8WP\",\"display_url\":\"pic.twitter.com\\/d8K0YDR8WP\",\"expanded_url\":\"http:\\/\\/twitter.com\\/WestHam_Central\\/status\\/517235551268003840\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":576,\"h\":1024,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":576,\"h\":1024,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":604,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":517235548445241344,\"id_str\":\"517235548445241344\",\"indices\":[29,51],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By2W_apIcAAeo4a.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By2W_apIcAAeo4a.jpg\",\"url\":\"http:\\/\\/t.co\\/d8K0YDR8WP\",\"display_url\":\"pic.twitter.com\\/d8K0YDR8WP\",\"expanded_url\":\"http:\\/\\/twitter.com\\/WestHam_Central\\/status\\/517235551268003840\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":576,\"h\":1024,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":576,\"h\":1024,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":604,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"en\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"WestHam_Central\",\"name\":\"West Ham Central\",\"id\":2235039606,\"id_str\":\"2235039606\",\"indices\":[3,19]}],\"symbols\":[],\"media\":[{\"id\":517235548445241344,\"id_str\":\"517235548445241344\",\"indices\":[50,72],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By2W_apIcAAeo4a.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By2W_apIcAAeo4a.jpg\",\"url\":\"http:\\/\\/t.co\\/d8K0YDR8WP\",\"display_url\":\"pic.twitter.com\\/d8K0YDR8WP\",\"expanded_url\":\"http:\\/\\/twitter.com\\/WestHam_Central\\/status\\/517235551268003840\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":576,\"h\":1024,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":576,\"h\":1024,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":604,\"resize\":\"fit\"}},\"source_status_id\":517235551268003840,\"source_status_id_str\":\"517235551268003840\"}]},\"extended_entities\":{\"media\":[{\"id\":517235548445241344,\"id_str\":\"517235548445241344\",\"indices\":[50,72],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By2W_apIcAAeo4a.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By2W_apIcAAeo4a.jpg\",\"url\":\"http:\\/\\/t.co\\/d8K0YDR8WP\",\"display_url\":\"pic.twitter.com\\/d8K0YDR8WP\",\"expanded_url\":\"http:\\/\\/twitter.com\\/WestHam_Central\\/status\\/517235551268003840\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":576,\"h\":1024,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":576,\"h\":1024,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":604,\"resize\":\"fit\"}},\"source_status_id\":517235551268003840,\"source_status_id_str\":\"517235551268003840\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178008697\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180899454976,\"id_str\":\"517338180899454976\",\"text\":\"@YoungNTatted11 trust me, I know \\ud83d\\udc81\\ud83d\\udd2e\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517337231778795520,\"in_reply_to_status_id_str\":\"517337231778795520\",\"in_reply_to_user_id\":481187960,\"in_reply_to_user_id_str\":\"481187960\",\"in_reply_to_screen_name\":\"YoungNTatted11\",\"user\":{\"id\":34527012,\"id_str\":\"34527012\",\"name\":\"Brittany Scott\",\"screen_name\":\"brittany_scott\",\"location\":\"MWC\",\"url\":null,\"description\":\"Talan Reid is numba ONE\",\"protected\":false,\"verified\":false,\"followers_count\":369,\"friends_count\":218,\"listed_count\":0,\"favourites_count\":4336,\"statuses_count\":20927,\"created_at\":\"Thu Apr 23 04:09:16 +0000 2009\",\"utc_offset\":-18000,\"time_zone\":\"Central Time (US & Canada)\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"131516\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme14\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme14\\/bg.gif\",\"profile_background_tile\":true,\"profile_link_color\":\"009999\",\"profile_sidebar_border_color\":\"EEEEEE\",\"profile_sidebar_fill_color\":\"EFEFEF\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/517309182978949120\\/v8kD7W8M_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/517309182978949120\\/v8kD7W8M_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/34527012\\/1385485208\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"YoungNTatted11\",\"name\":\"Shitty Witte \",\"id\":481187960,\"id_str\":\"481187960\",\"indices\":[0,15]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178008666\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180886884354,\"id_str\":\"517338180886884354\",\"text\":\"Brooks drops costs application http:\\/\\/t.co\\/BJLgrQtuZj #News (via @IBNMoney_com #EU)\",\"source\":\"\\u003ca href=\\\"http:\\/\\/www.facebook.com\\/twitter\\\" rel=\\\"nofollow\\\"\\u003eFacebook\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1568434604,\"id_str\":\"1568434604\",\"name\":\"John_ibn\",\"screen_name\":\"JohnReedz\",\"location\":\"\",\"url\":\"http:\\/\\/ibnmoney.com\",\"description\":\"Senior Editor @ http:\\/\\/IBNMoney.com International Business News, tech blogger, freelance journalist, photo journalist\",\"protected\":false,\"verified\":false,\"followers_count\":206,\"friends_count\":34,\"listed_count\":21,\"favourites_count\":0,\"statuses_count\":37753,\"created_at\":\"Thu Jul 04 15:24:29 +0000 2013\",\"utc_offset\":-14400,\"time_zone\":\"Eastern Time (US & Canada)\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/378800000260828779\\/36d723f300078b5a9e4c7cb122503dfc_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/378800000260828779\\/36d723f300078b5a9e4c7cb122503dfc_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1568434604\\/1375819513\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"News\",\"indices\":[54,59]},{\"text\":\"EU\",\"indices\":[79,82]}],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/BJLgrQtuZj\",\"expanded_url\":\"http:\\/\\/bit.ly\\/1nLtYqQ\",\"display_url\":\"bit.ly\\/1nLtYqQ\",\"indices\":[31,53]}],\"user_mentions\":[{\"screen_name\":\"IBNMoney_com\",\"name\":\"IBNMoney_com\",\"id\":1569857186,\"id_str\":\"1569857186\",\"indices\":[65,78]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178008664\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180899442688,\"id_str\":\"517338180899442688\",\"text\":\"Digital Foundry publica diferencias entre versiones de RYSE: Son of Rome en PC y Xbox One http:\\/\\/t.co\\/xAo8ybJo3L\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1561487334,\"id_str\":\"1561487334\",\"name\":\"TarreoCOM\",\"screen_name\":\"TarreoCOM\",\"location\":\"Chile\",\"url\":\"http:\\/\\/www.tarreo.com\",\"description\":\"Sociedad Gamer: Todo sobre videojuegos , cultura, noticias, previos, rese\\u00f1as, videos, foros y m\\u00e1s. Contacto @tarreo.\",\"protected\":false,\"verified\":false,\"followers_count\":2271,\"friends_count\":2238,\"listed_count\":41,\"favourites_count\":30,\"statuses_count\":7351,\"created_at\":\"Mon Jul 01 21:26:58 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"000000\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/502547734293774336\\/umyu9w8B.png\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/502547734293774336\\/umyu9w8B.png\",\"profile_background_tile\":true,\"profile_link_color\":\"E11313\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/503226687232815104\\/kBPJAaki_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/503226687232815104\\/kBPJAaki_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1561487334\\/1407434560\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/xAo8ybJo3L\",\"expanded_url\":\"http:\\/\\/www.tarreo.com\\/noticias\\/289823\\/Digital-Foundry-publica-diferencias-entre-versiones-de-RYSE-Son-of-Rome-en-PC-y-Xbox-One\",\"display_url\":\"tarreo.com\\/noticias\\/28982\\u2026\",\"indices\":[90,112]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178008666\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180895272960,\"id_str\":\"517338180895272960\",\"text\":\"Conoce los 5 hackers m\\u00e1s importantes de la historia http:\\/\\/t.co\\/SxD9SWl9gT\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":126050463,\"id_str\":\"126050463\",\"name\":\"N\\u00e9stor L Altuve O\",\"screen_name\":\"viamultimedia\",\"location\":\"LATAM\",\"url\":\"http:\\/\\/viamm.com\\/\",\"description\":\"CDO, Transformaci\\u00f3n Digital, Estrategia, Modelos Negocios, Emprendimiento, TICs, Comm Mgmt-Digital Bussiness, Startups, Tech, Soc Media http:\\/\\/t.co\\/SyEqHgEREM\",\"protected\":false,\"verified\":false,\"followers_count\":54556,\"friends_count\":54154,\"listed_count\":1209,\"favourites_count\":38638,\"statuses_count\":228848,\"created_at\":\"Wed Mar 24 17:44:16 +0000 2010\",\"utc_offset\":-16200,\"time_zone\":\"Caracas\",\"geo_enabled\":true,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"005CB3\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/458377244549713920\\/zi9shPKF.png\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/458377244549713920\\/zi9shPKF.png\",\"profile_background_tile\":true,\"profile_link_color\":\"005CB3\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/479358124445286400\\/GrZ1HdeX_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/479358124445286400\\/GrZ1HdeX_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/126050463\\/1403122869\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/SxD9SWl9gT\",\"expanded_url\":\"http:\\/\\/bit.ly\\/1txipmO\",\"display_url\":\"bit.ly\\/1txipmO\",\"indices\":[52,74]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178008665\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08getNewData +0000 2014\",\"id\":517338180882669568,\"id_str\":\"517338180882669568\",\"text\":\"MABS inici\\u00f3 gira municipal de organizaci\\u00f3n #Maturin  http:\\/\\/t.co\\/fuXmrBZ50Z\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1180076120,\"id_str\":\"1180076120\",\"name\":\"Peri\\u00f3dico de Monagas\",\"screen_name\":\"elPeriodicoDM\",\"location\":\"Matur\\u00edn Estado Monagas\",\"url\":\"http:\\/\\/www.elperiodicodemonagas.com.ve\",\"description\":\"Medio de comunicaci\\u00f3n impreso de Monagas con circulaci\\u00f3n en los 13 municipios del Estado y con 10 a\\u00f1os creciendo en la preferencia del lector.\",\"protected\":false,\"verified\":false,\"followers_count\":12791,\"friends_count\":592,\"listed_count\":53,\"favourites_count\":44,\"statuses_count\":62975,\"created_at\":\"Thu Feb 14 19:14:28 +0000 2013\",\"utc_offset\":-16200,\"time_zone\":\"Caracas\",\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/492066173433831424\\/KU5Ib38S.png\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/492066173433831424\\/KU5Ib38S.png\",\"profile_background_tile\":true,\"profile_link_color\":\"9D1732\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/477923857278332928\\/r1slsa0s_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/477923857278332928\\/r1slsa0s_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1180076120\\/1406152753\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"Maturin\",\"indices\":[43,51]}],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/fuXmrBZ50Z\",\"expanded_url\":\"http:\\/\\/goo.gl\\/DfKcCB\",\"display_url\":\"goo.gl\\/DfKcCB\",\"indices\":[53,75]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178008665\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180882685953,\"id_str\":\"517338180882685953\",\"text\":\"@Catfale choremos \\ud83d\\ude2d\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517338047231180800,\"in_reply_to_status_id_str\":\"517338047231180800\",\"in_reply_to_user_id\":2350518805,\"in_reply_to_user_id_str\":\"2350518805\",\"in_reply_to_screen_name\":\"Catfale\",\"user\":{\"id\":2276490079,\"id_str\":\"2276490079\",\"name\":\"SweetGirl \\u2661\",\"screen_name\":\"joanaa_rosaa\",\"location\":\"Alenquer\",\"url\":null,\"description\":\"Hiii everyone s2\\r\\nhttp:\\/\\/instagram.com\\/joanaahbr\",\"protected\":false,\"verified\":false,\"followers_count\":390,\"friends_count\":362,\"listed_count\":1,\"favourites_count\":4070,\"statuses_count\":5229,\"created_at\":\"Sat Jan 04 18:33:07 +0000 2014\",\"utc_offset\":3600,\"time_zone\":\"Lisbon\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"19FAEB\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/516649733964566528\\/BMSqyZtJ.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/516649733964566528\\/BMSqyZtJ.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"12EBE0\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/514121858577227776\\/gjwdeHyk_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/514121858577227776\\/gjwdeHyk_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2276490079\\/1409771857\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"Catfale\",\"name\":\"Esbranqui\\u00e7ada \",\"id\":2350518805,\"id_str\":\"2350518805\",\"indices\":[0,8]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178008663\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180882661377,\"id_str\":\"517338180882661377\",\"text\":\"@tusambil SI LA PLAYA ES TU PASI\\u00d3N, NOSOTROS SOMOS TU MEJOR OPCI\\u00d3N. Islas Del Sol. M\\u00e1s que vacaciones, vendemos FELICIDAD\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":110737516,\"in_reply_to_user_id_str\":\"110737516\",\"in_reply_to_screen_name\":\"tusambil\",\"user\":{\"id\":2722767914,\"id_str\":\"2722767914\",\"name\":\"IslasDelSol Oficial\",\"screen_name\":\"IslasDelSolOfic\",\"location\":\"Chichiriviche , Estado Falc\\u00f3n.\",\"url\":\"https:\\/\\/www.facebook.com\\/pages\\/Islas-Del-Sol-Oficial\\/769471293094046\",\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":282,\"friends_count\":658,\"listed_count\":2,\"favourites_count\":14,\"statuses_count\":372,\"created_at\":\"Mon Aug 11 00:27:10 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"000000\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"00B38F\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"000000\",\"profile_text_color\":\"000000\",\"profile_use_background_image\":false,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/498629074361659392\\/QG5-9665_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/498629074361659392\\/QG5-9665_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2722767914\\/1409281539\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"tusambil\",\"name\":\"Sambil Venezuela\",\"id\":110737516,\"id_str\":\"110737516\",\"indices\":[0,9]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178008663\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180895653888,\"id_str\":\"517338180895653888\",\"text\":\"Cinta bukanlah satu-satunya alasan hidup namun tanpa cinta juga hidup akan terasa hambar dan membosankan.\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2271428082,\"id_str\":\"2271428082\",\"name\":\"\\u30f4\\u30a7\\u30cd\\u30c6\\u30a3\",\"screen_name\":\"00_YOUGAKUDAN\",\"location\":\"Indonesia\",\"url\":\"http:\\/\\/Twitterkita.blogspot.com\",\"description\":\"@TweetSinchan\",\"protected\":false,\"verified\":false,\"followers_count\":27576,\"friends_count\":724,\"listed_count\":14,\"favourites_count\":12,\"statuses_count\":236050,\"created_at\":\"Wed Jan 01 09:43:54 +0000 2014\",\"utc_offset\":25200,\"time_zone\":\"Jakarta\",\"geo_enabled\":false,\"lang\":\"id\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000160565720\\/UBrH7TX2.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000160565720\\/UBrH7TX2.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/420520839910416384\\/gXoN3Aai_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/420520839910416384\\/gXoN3Aai_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2271428082\\/1390671094\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"in\",\"timestamp_ms\":\"1412178008706\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180904026112,\"id_str\":\"517338180904026112\",\"text\":\"RT @iunida: @cayo_lara en la #ELAP2014\\\"Europa y Am.Latina atraviesan procesos diferentes pero es el capital el que desestabiliza\\\" http:\\/\\/t.\\u2026\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":401495432,\"id_str\":\"401495432\",\"name\":\"Juanra Gil van Gils\",\"screen_name\":\"JuanraGil1\",\"location\":\"#Baza o #Comarca de Hu\\u00e9scar\",\"url\":\"http:\\/\\/www.iubaza.es\",\"description\":\"Portavoz Municipal de Izquierda Unida en  #Baza #PCA #IU. Agente Sociocultural en la Mancomunidad Comarca de Hu\\u00e9scar. La mayor parte del tiempo padre en apuros.\",\"protected\":false,\"verified\":false,\"followers_count\":10841,\"friends_count\":11216,\"listed_count\":63,\"favourites_count\":1216,\"statuses_count\":6221,\"created_at\":\"Sun Oct 30 16:45:27 +0000 2011\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000020956301\\/f039a0da3a5af2226f19061f0a31532e.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000020956301\\/f039a0da3a5af2226f19061f0a31532e.jpeg\",\"profile_background_tile\":false,\"profile_link_color\":\"B30000\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/378800000146108189\\/7f9762a1c804562359a1706d70ed065b_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/378800000146108189\\/7f9762a1c804562359a1706d70ed065b_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/401495432\\/1401723038\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Tue Sep 30 04:17:57 +0000 2014\",\"id\":516804116879007744,\"id_str\":\"516804116879007744\",\"text\":\"@cayo_lara en la #ELAP2014\\\"Europa y Am.Latina atraviesan procesos diferentes pero es el capital el que desestabiliza\\\" http:\\/\\/t.co\\/gBh8T03vsX\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":296912924,\"in_reply_to_user_id_str\":\"296912924\",\"in_reply_to_screen_name\":\"cayo_lara\",\"user\":{\"id\":14824411,\"id_str\":\"14824411\",\"name\":\"Izquierda Unida\",\"screen_name\":\"iunida\",\"location\":\"\",\"url\":\"http:\\/\\/www.izquierda-unida.es\",\"description\":\"#QueElPuebloHable.\\r\\nRefer\\u00e9ndum Rep\\u00fablica y Proceso Constituyente\\r\\npara un nuevo proyecto de pa\\u00eds\",\"protected\":false,\"verified\":false,\"followers_count\":93016,\"friends_count\":4897,\"listed_count\":2031,\"favourites_count\":214,\"statuses_count\":17978,\"created_at\":\"Sun May 18 20:47:37 +0000 2008\",\"utc_offset\":7200,\"time_zone\":\"Madrid\",\"geo_enabled\":true,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"DA002A\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/11190850\\/segundacabecera.png\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/11190850\\/segundacabecera.png\",\"profile_background_tile\":false,\"profile_link_color\":\"DA002A\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"FEDCE7\",\"profile_text_color\":\"000000\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/487656487980773376\\/lOSVZs_Z_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/487656487980773376\\/lOSVZs_Z_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/14824411\\/1401740830\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":29,\"favorite_count\":11,\"entities\":{\"hashtags\":[{\"text\":\"ELAP2014\",\"indices\":[17,26]}],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"cayo_lara\",\"name\":\"Cayo Lara\",\"id\":296912924,\"id_str\":\"296912924\",\"indices\":[0,10]}],\"symbols\":[],\"media\":[{\"id\":516804115478093824,\"id_str\":\"516804115478093824\",\"indices\":[118,140],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/BywOmtmIIAA3Agc.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/BywOmtmIIAA3Agc.jpg\",\"url\":\"http:\\/\\/t.co\\/gBh8T03vsX\",\"display_url\":\"pic.twitter.com\\/gBh8T03vsX\",\"expanded_url\":\"http:\\/\\/twitter.com\\/iunida\\/status\\/516804116879007744\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":340,\"h\":226,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":399,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":1024,\"h\":681,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":516804115478093824,\"id_str\":\"516804115478093824\",\"indices\":[118,140],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/BywOmtmIIAA3Agc.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/BywOmtmIIAA3Agc.jpg\",\"url\":\"http:\\/\\/t.co\\/gBh8T03vsX\",\"display_url\":\"pic.twitter.com\\/gBh8T03vsX\",\"expanded_url\":\"http:\\/\\/twitter.com\\/iunida\\/status\\/516804116879007744\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":340,\"h\":226,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":399,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":1024,\"h\":681,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"es\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"ELAP2014\",\"indices\":[29,38]}],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"iunida\",\"name\":\"Izquierda Unida\",\"id\":14824411,\"id_str\":\"14824411\",\"indices\":[3,10]},{\"screen_name\":\"cayo_lara\",\"name\":\"Cayo Lara\",\"id\":296912924,\"id_str\":\"296912924\",\"indices\":[12,22]}],\"symbols\":[],\"media\":[{\"id\":516804115478093824,\"id_str\":\"516804115478093824\",\"indices\":[139,140],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/BywOmtmIIAA3Agc.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/BywOmtmIIAA3Agc.jpg\",\"url\":\"http:\\/\\/t.co\\/gBh8T03vsX\",\"display_url\":\"pic.twitter.com\\/gBh8T03vsX\",\"expanded_url\":\"http:\\/\\/twitter.com\\/iunida\\/status\\/516804116879007744\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":340,\"h\":226,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":399,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":1024,\"h\":681,\"resize\":\"fit\"}},\"source_status_id\":516804116879007744,\"source_status_id_str\":\"516804116879007744\"}]},\"extended_entities\":{\"media\":[{\"id\":516804115478093824,\"id_str\":\"516804115478093824\",\"indices\":[139,140],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/BywOmtmIIAA3Agc.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/BywOmtmIIAA3Agc.jpg\",\"url\":\"http:\\/\\/t.co\\/gBh8T03vsX\",\"display_url\":\"pic.twitter.com\\/gBh8T03vsX\",\"expanded_url\":\"http:\\/\\/twitter.com\\/iunida\\/status\\/516804116879007744\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":340,\"h\":226,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":399,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":1024,\"h\":681,\"resize\":\"fit\"}},\"source_status_id\":516804116879007744,\"source_status_id_str\":\"516804116879007744\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178008696\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180878495744,\"id_str\":\"517338180878495744\",\"text\":\"RT @cuttolipta: \\u0e2d\\u0e30\\u0e44\\u0e23\\u0e17\\u0e35\\u0e48\\u0e21\\u0e31\\u0e19\\u0e1c\\u0e48\\u0e32\\u0e19\\u0e44\\u0e1b\\u0e41\\u0e25\\u0e49\\u0e27\\u0e01\\u0e47\\u0e43\\u0e2b\\u0e49\\u0e21\\u0e31\\u0e19\\u0e1c\\u0e48\\u0e32\\u0e19\\u0e44\\u0e1b\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":236313732,\"id_str\":\"236313732\",\"name\":\"be\\u30fbmy\\u30fbhyun\",\"screen_name\":\"bayue17\",\"location\":\"\",\"url\":null,\"description\":\"bayue17#1991 ALWAYS \\u2665 \\uc774\\uc885\\ud604\\u2022\\ubcf4\\uc870\\uac1c\\ub0a8 \\u300e \\uc560\\uad50\\ub4dc\\ub7fc\\u2022\\ubbf8\\ub098\\ub2c8 \\u300f#yongyuanshinideL\",\"protected\":false,\"verified\":false,\"followers_count\":40,\"friends_count\":194,\"listed_count\":1,\"favourites_count\":129,\"statuses_count\":10854,\"created_at\":\"Mon Jan 10 09:04:31 +0000 2011\",\"utc_offset\":-25200,\"time_zone\":\"Pacific Time (US & Canada)\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/258042035\\/bg2.gif\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/258042035\\/bg2.gif\",\"profile_background_tile\":true,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/512837739637510145\\/a3OsiFYd_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/512837739637510145\\/a3OsiFYd_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/236313732\\/1409330144\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Mon Sep 29 11:40:45 +0000 2014\",\"id\":516553162346352641,\"id_str\":\"516553162346352641\",\"text\":\"\\u0e2d\\u0e30\\u0e44\\u0e23\\u0e17\\u0e35\\u0e48\\u0e21\\u0e31\\u0e19\\u0e1c\\u0e48\\u0e32\\u0e19\\u0e44\\u0e1b\\u0e41\\u0e25\\u0e49\\u0e27\\u0e01\\u0e47\\u0e43\\u0e2b\\u0e49\\u0e21\\u0e31\\u0e19\\u0e1c\\u0e48\\u0e32\\u0e19\\u0e44\\u0e1b\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":64358426,\"id_str\":\"64358426\",\"name\":\"cuttO\",\"screen_name\":\"cuttolipta\",\"location\":\"www.facebook.com\\/lipta\",\"url\":\"http:\\/\\/www.facebook.com\\/cuttOcuttO\",\"description\":\"\\u0e23\\u0e30\\u0e1a\\u0e32\\u0e22 | \\u0e1c\\u0e34\\u0e14\\u0e1a\\u0e49\\u0e32\\u0e07\\u0e16\\u0e39\\u0e01\\u0e1a\\u0e49\\u0e32\\u0e07 | Instagram @cutto | 095-845-2424\",\"protected\":false,\"verified\":false,\"followers_count\":452783,\"friends_count\":93,\"listed_count\":787,\"favourites_count\":2850,\"statuses_count\":27082,\"created_at\":\"Mon Aug 10 08:02:34 +0000 2009\",\"utc_offset\":25200,\"time_zone\":\"Bangkok\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FF6200\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/133818353\\/xfa49044ef5d0fb46192a4f48a098b86.png\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/133818353\\/xfa49044ef5d0fb46192a4f48a098b86.png\",\"profile_background_tile\":true,\"profile_link_color\":\"FF9D00\",\"profile_sidebar_border_color\":\"3D3D3D\",\"profile_sidebar_fill_color\":\"000000\",\"profile_text_color\":\"FF7300\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/513481138925350913\\/pqD74Y6V_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/513481138925350913\\/pqD74Y6V_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/64358426\\/1401415272\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":5864,\"favorite_count\":838,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"th\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"cuttolipta\",\"name\":\"cuttO\",\"id\":64358426,\"id_str\":\"64358426\",\"indices\":[3,14]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"th\",\"timestamp_ms\":\"1412178008679\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180895252480,\"id_str\":\"517338180895252480\",\"text\":\"RT @cahivoxizuru: \\u6765\\u305f\\u30b3\\u30ec\\uff01\\uff01\\n\\n\\u3042\\u306e\\u6709\\u540d\\u8aad\\u30e2\\u304c\\u3053\\u3063\\u305d\\u308a\\u884c\\u3063\\u3066\\u3044\\u308b\\n\\u811a\\u75e9\\u305b\\u65b9\\u6cd5\\u2661\\n\\n\\u3053\\u308c\\u2192http:\\/\\/t.co\\/vLbgUX9De1\\n\\n\\u3053\\u308c\\u306a\\u3089\\u3081\\u3061\\u3083\\u7c21\\u5358\\u306b\\u7f8e\\u811a\\u3060\\u306d\\u266a http:\\/\\/t.co\\/j4YFgI6awo\",\"source\":\"\\u003ca href=\\\"http:\\/\\/yahoo.co.jp\\\" rel=\\\"nofollow\\\"\\u003e \\u3010\\u885d\\u6483\\u52d5\\u753b\\u3011 \\u30b3\\u30fc\\u30e9\\u309230\\u5206\\u632f\\u3063\\u3066\\u304b\\u3089\\u958b\\u3051\\u3066\\u307f\\u305f\\uff12\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2150857687,\"id_str\":\"2150857687\",\"name\":\"\\u30d3\\u30fc\\u30aa\\u30fc\\u30d3\\u30fc\",\"screen_name\":\"ookinawatashi\",\"location\":\"\",\"url\":null,\"description\":\"\\u6700\\u8fd1\\u306e\\u30ad\\u30b9\\u306e\\u4ed5\\u65b9\\u304c\\u51c4\\u3044\",\"protected\":false,\"verified\":false,\"followers_count\":38,\"friends_count\":43,\"listed_count\":0,\"favourites_count\":0,\"statuses_count\":518,\"created_at\":\"Wed Oct 23 12:09:12 +0000 2013\",\"utc_offset\":32400,\"time_zone\":\"Irkutsk\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/512491545707044866\\/aeOkQXPP_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/512491545707044866\\/aeOkQXPP_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2150857687\\/1410965728\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 12:44:34 +0000 2014\",\"id\":517293998315016192,\"id_str\":\"517293998315016192\",\"text\":\"\\u6765\\u305f\\u30b3\\u30ec\\uff01\\uff01\\n\\n\\u3042\\u306e\\u6709\\u540d\\u8aad\\u30e2\\u304c\\u3053\\u3063\\u305d\\u308a\\u884c\\u3063\\u3066\\u3044\\u308b\\n\\u811a\\u75e9\\u305b\\u65b9\\u6cd5\\u2661\\n\\n\\u3053\\u308c\\u2192http:\\/\\/t.co\\/vLbgUX9De1\\n\\n\\u3053\\u308c\\u306a\\u3089\\u3081\\u3061\\u3083\\u7c21\\u5358\\u306b\\u7f8e\\u811a\\u3060\\u306d\\u266a http:\\/\\/t.co\\/j4YFgI6awo\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2446854841,\"id_str\":\"2446854841\",\"name\":\"\\u7f8e\\u811a\\u306e\\u79d8\\u5bc6\\u2661\",\"screen_name\":\"cahivoxizuru\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":62,\"friends_count\":8,\"listed_count\":0,\"favourites_count\":0,\"statuses_count\":3,\"created_at\":\"Wed Apr 16 08:59:29 +0000 2014\",\"utc_offset\":32400,\"time_zone\":\"Seoul\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516996653450919936\\/_wMZko6M_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516996653450919936\\/_wMZko6M_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":6150,\"favorite_count\":19,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/vLbgUX9De1\",\"expanded_url\":\"http:\\/\\/bit.ly\\/1uNuCm9\",\"display_url\":\"bit.ly\\/1uNuCm9\",\"indices\":[36,58]}],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":517293995710742528,\"id_str\":\"517293995710742528\",\"indices\":[76,98],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3MJfrIAAAQMho.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3MJfrIAAAQMho.jpg\",\"url\":\"http:\\/\\/t.co\\/j4YFgI6awo\",\"display_url\":\"pic.twitter.com\\/j4YFgI6awo\",\"expanded_url\":\"http:\\/\\/twitter.com\\/cahivoxizuru\\/status\\/517293998315016192\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":614,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":600,\"h\":614,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":347,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":517293995710742528,\"id_str\":\"517293995710742528\",\"indices\":[76,98],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3MJfrIAAAQMho.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3MJfrIAAAQMho.jpg\",\"url\":\"http:\\/\\/t.co\\/j4YFgI6awo\",\"display_url\":\"pic.twitter.com\\/j4YFgI6awo\",\"expanded_url\":\"http:\\/\\/twitter.com\\/cahivoxizuru\\/status\\/517293998315016192\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":614,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":600,\"h\":614,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":347,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ja\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/vLbgUX9De1\",\"expanded_url\":\"http:\\/\\/bit.ly\\/1uNuCm9\",\"display_url\":\"bit.ly\\/1uNuCm9\",\"indices\":[54,76]}],\"user_mentions\":[{\"screen_name\":\"cahivoxizuru\",\"name\":\"\\u7f8e\\u811a\\u306e\\u79d8\\u5bc6\\u2661\",\"id\":2446854841,\"id_str\":\"2446854841\",\"indices\":[3,16]}],\"symbols\":[],\"media\":[{\"id\":517293995710742528,\"id_str\":\"517293995710742528\",\"indices\":[94,116],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3MJfrIAAAQMho.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3MJfrIAAAQMho.jpg\",\"url\":\"http:\\/\\/t.co\\/j4YFgI6awo\",\"display_url\":\"pic.twitter.com\\/j4YFgI6awo\",\"expanded_url\":\"http:\\/\\/twitter.com\\/cahivoxizuru\\/status\\/517293998315016192\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":614,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":600,\"h\":614,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":347,\"resize\":\"fit\"}},\"source_status_id\":517293998315016192,\"source_status_id_str\":\"517293998315016192\"}]},\"extended_entities\":{\"media\":[{\"id\":517293995710742528,\"id_str\":\"517293995710742528\",\"indices\":[94,116],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3MJfrIAAAQMho.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3MJfrIAAAQMho.jpg\",\"url\":\"http:\\/\\/t.co\\/j4YFgI6awo\",\"display_url\":\"pic.twitter.com\\/j4YFgI6awo\",\"expanded_url\":\"http:\\/\\/twitter.com\\/cahivoxizuru\\/status\\/517293998315016192\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":614,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":600,\"h\":614,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":347,\"resize\":\"fit\"}},\"source_status_id\":517293998315016192,\"source_status_id_str\":\"517293998315016192\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178008683\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180916637696,\"id_str\":\"517338180916637696\",\"text\":\"\\u041e\\u0431\\u0442\\u0438\\u0440\\u0430\\u0442\\u044c \\u043b\\u0435\\u043d\\u0442\\u0443 \\u0440\\u0443\\u043b\\u0435\\u0442\\u043a\\u0438 \\u043d\\u0435\\u043e\\u0431\\u0445\\u043e\\u0434\\u0438\\u043c\\u043e\\u0445\\u043b\\u043e\\u043f\\u0447\\u0430\\u0442\\u043e\\u0431\\u0443\\u043c\\u0430\\u0436\\u043d\\u043e\\u0439 \\u0432\\u0435\\u0442\\u043e\\u0448\\u044c\\u044e.\",\"source\":\"\\u003ca href=\\\"http:\\/\\/egara.ru\\\" rel=\\\"nofollow\\\"\\u003eEgara\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":394766880,\"id_str\":\"394766880\",\"name\":\"\\u0410\\u043d\\u0434\\u0440\\u0435\\u0439 \\u0410\\u0433\\u0430\\u0444\\u043e\\u0448\\u0438\\u043d\",\"screen_name\":\"Agafoshin_A\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":377,\"friends_count\":375,\"listed_count\":0,\"favourites_count\":0,\"statuses_count\":839,\"created_at\":\"Thu Oct 20 16:00:35 +0000 2011\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ru\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/abs.twimg.com\\/sticky\\/default_profile_images\\/default_profile_4_normal.png\",\"profile_image_url_https\":\"https:\\/\\/abs.twimg.com\\/sticky\\/default_profile_images\\/default_profile_4_normal.png\",\"default_profile\":true,\"default_profile_image\":true,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ru\",\"timestamp_ms\":\"1412178008671\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180891078656,\"id_str\":\"517338180891078656\",\"text\":\"RT @niwywuqetede: \\u3010JC\\u304c\\u30c7\\u30b6\\u30a4\\u30f3\\u3057\\u305f\\u30b9\\u30af\\u6c34\\u304c\\u4e2d\\u5b66\\u6821\\u3067\\u63a1\\u7528\\uff57\\uff57\\u3011\\n\\n\\u300c\\u5973\\u5b50\\u4e2d\\u5b66\\u751f\\u304c\\u7740\\u305f\\u3044\\u6c34\\u7740\\u300d\\u3092\\u30b3\\u30f3\\u30bb\\u30d7\\u30c8\\u306b\\n\\u6c34\\u7740\\u30e1\\u30fc\\u30ab\\u30fc\\u300c\\u30d5\\u30c3\\u30c8\\u30de\\u30fc\\u30af\\u300d\\u304c\\u9759\\u5ca1\\u306e\\u5973\\u5b50\\u751f\\u5f92\\u3068\\n\\u30b9\\u30af\\u30fc\\u30eb\\u6c34\\u7740\\u3092\\u5171\\u540c\\u958b\\u767a\\uff01\\n\\n\\u885d\\u6483\\u30c7\\u30b6\\u30a4\\u30f3\\u306f\\u30b3\\u30c1\\u30e9\\u21d2http:\\/\\/t.co\\/teGBXn0k16 htt\\u2026\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twwi.jp\\/\\\" rel=\\\"nofollow\\\"\\u003e\\u77ac\\u2605\\u611f apptter\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":615176712,\"id_str\":\"615176712\",\"name\":\"\\u5949 ( tomo )@\\u4f4e\\u6d6e\\u4e0a\\u6975\\u3081\\u308b\",\"screen_name\":\"skri___tm\",\"location\":\"\",\"url\":\"http:\\/\\/twpf.jp\\/skri___tm\",\"description\":\"\\u96f0\\u56f2\\u6c17\\u771f\\u4f3c \\u6642\\u3005 \\u7537\\u88c5\\u3002\",\"protected\":false,\"verified\":false,\"followers_count\":107,\"friends_count\":108,\"listed_count\":4,\"favourites_count\":372,\"statuses_count\":6944,\"created_at\":\"Fri Jun 22 11:51:05 +0000 2012\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/501619732223520769\\/RRLFD5I-_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/501619732223520769\\/RRLFD5I-_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/615176712\\/1411989497\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Tue Jul 08 18:30:02 +0000 2014\",\"id\":486577969482055681,\"id_str\":\"486577969482055681\",\"text\":\"\\u3010JC\\u304c\\u30c7\\u30b6\\u30a4\\u30f3\\u3057\\u305f\\u30b9\\u30af\\u6c34\\u304c\\u4e2d\\u5b66\\u6821\\u3067\\u63a1\\u7528\\uff57\\uff57\\u3011\\n\\n\\u300c\\u5973\\u5b50\\u4e2d\\u5b66\\u751f\\u304c\\u7740\\u305f\\u3044\\u6c34\\u7740\\u300d\\u3092\\u30b3\\u30f3\\u30bb\\u30d7\\u30c8\\u306b\\n\\u6c34\\u7740\\u30e1\\u30fc\\u30ab\\u30fc\\u300c\\u30d5\\u30c3\\u30c8\\u30de\\u30fc\\u30af\\u300d\\u304c\\u9759\\u5ca1\\u306e\\u5973\\u5b50\\u751f\\u5f92\\u3068\\n\\u30b9\\u30af\\u30fc\\u30eb\\u6c34\\u7740\\u3092\\u5171\\u540c\\u958b\\u767a\\uff01\\n\\n\\u885d\\u6483\\u30c7\\u30b6\\u30a4\\u30f3\\u306f\\u30b3\\u30c1\\u30e9\\u21d2http:\\/\\/t.co\\/teGBXn0k16 http:\\/\\/t.co\\/x6NI6GkAGL\",\"source\":\"\\u003ca href=\\\"http:\\/\\/flmk-app.net\\/local\\/login.html\\\" rel=\\\"nofollow\\\"\\u003e\\u81ea\\u793e\\u7528\\u30c4\\u30fc\\u30eb\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2305733616,\"id_str\":\"2305733616\",\"name\":\"\\u30b0\\u30ed\\u597d\\u304d\",\"screen_name\":\"niwywuqetede\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":18653,\"friends_count\":2170,\"listed_count\":9,\"favourites_count\":0,\"statuses_count\":6031,\"created_at\":\"Thu Jan 23 01:20:46 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/429107253375795200\\/PcwEillh_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/429107253375795200\\/PcwEillh_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":70117,\"favorite_count\":805,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/teGBXn0k16\",\"expanded_url\":\"http:\\/\\/bit.ly\\/1xKYuBO\",\"display_url\":\"bit.ly\\/1xKYuBO\",\"indices\":[95,117]}],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":471221486187847680,\"id_str\":\"471221486187847680\",\"indices\":[118,140],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/Boodce7CIAAPzsP.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/Boodce7CIAAPzsP.jpg\",\"url\":\"http:\\/\\/t.co\\/x6NI6GkAGL\",\"display_url\":\"pic.twitter.com\\/x6NI6GkAGL\",\"expanded_url\":\"http:\\/\\/twitter.com\\/kireisapo\\/status\\/471221487265779713\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":303,\"h\":292,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":303,\"h\":292,\"resize\":\"fit\"},\"large\":{\"w\":303,\"h\":292,\"resize\":\"fit\"}},\"source_status_id\":471221487265779713,\"source_status_id_str\":\"471221487265779713\"}]},\"extended_entities\":{\"media\":[{\"id\":471221486187847680,\"id_str\":\"471221486187847680\",\"indices\":[118,140],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/Boodce7CIAAPzsP.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/Boodce7CIAAPzsP.jpg\",\"url\":\"http:\\/\\/t.co\\/x6NI6GkAGL\",\"display_url\":\"pic.twitter.com\\/x6NI6GkAGL\",\"expanded_url\":\"http:\\/\\/twitter.com\\/kireisapo\\/status\\/471221487265779713\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":303,\"h\":292,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":303,\"h\":292,\"resize\":\"fit\"},\"large\":{\"w\":303,\"h\":292,\"resize\":\"fit\"}},\"source_status_id\":471221487265779713,\"source_status_id_str\":\"471221487265779713\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ja\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/teGBXn0k16\",\"expanded_url\":\"http:\\/\\/bit.ly\\/1xKYuBO\",\"display_url\":\"bit.ly\\/1xKYuBO\",\"indices\":[113,135]}],\"user_mentions\":[{\"screen_name\":\"niwywuqetede\",\"name\":\"\\u30b0\\u30ed\\u597d\\u304d\",\"id\":2305733616,\"id_str\":\"2305733616\",\"indices\":[3,16]}],\"symbols\":[],\"media\":[{\"id\":471221486187847680,\"id_str\":\"471221486187847680\",\"indices\":[139,140],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/Boodce7CIAAPzsP.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/Boodce7CIAAPzsP.jpg\",\"url\":\"http:\\/\\/t.co\\/x6NI6GkAGL\",\"display_url\":\"pic.twitter.com\\/x6NI6GkAGL\",\"expanded_url\":\"http:\\/\\/twitter.com\\/kireisapo\\/status\\/471221487265779713\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":303,\"h\":292,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":303,\"h\":292,\"resize\":\"fit\"},\"large\":{\"w\":303,\"h\":292,\"resize\":\"fit\"}},\"source_status_id\":471221487265779713,\"source_status_id_str\":\"471221487265779713\"}]},\"extended_entities\":{\"media\":[{\"id\":471221486187847680,\"id_str\":\"471221486187847680\",\"indices\":[139,140],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/Boodce7CIAAPzsP.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/Boodce7CIAAPzsP.jpg\",\"url\":\"http:\\/\\/t.co\\/x6NI6GkAGL\",\"display_url\":\"pic.twitter.com\\/x6NI6GkAGL\",\"expanded_url\":\"http:\\/\\/twitter.com\\/kireisapo\\/status\\/471221487265779713\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":303,\"h\":292,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":303,\"h\":292,\"resize\":\"fit\"},\"large\":{\"w\":303,\"h\":292,\"resize\":\"fit\"}},\"source_status_id\":471221487265779713,\"source_status_id_str\":\"471221487265779713\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178008692\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180916228098,\"id_str\":\"517338180916228098\",\"text\":\"\\u0417\\u0430\\u0435\\u0431\\u0430\\u043b\\u0430\\u0441\\u044c\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2157361334,\"id_str\":\"2157361334\",\"name\":\"\\u0418\\u0434\\u0435\\u0430\\u043b\\u044c\\u043d\\u043e \\u043d\\u0435\\u0438\\u0434\\u0435\\u0430\\u043b\\u044c\\u043d\\u0430\\u044f\",\"screen_name\":\"Joy_with_me\",\"location\":\"\\u0423\\u043a\\u0440\\u0430\\u0438\\u043d\\u0430.\\u0425\\u0430\\u0440\\u044c\\u043a\\u043e\\u0432\",\"url\":\"http:\\/\\/ask.fm\\/Joy_with_me\",\"description\":\"\\u041f\\u0440\\u043e\\u0432\\u0430\\u043b\\u0438\\u0432\\u0430\\u0439, \\u0442\\u0435\\u0431\\u0435 \\u0437\\u0434\\u0435\\u0441\\u044c \\u043d\\u0435 \\u0440\\u0430\\u0434\\u044b.#Dota2 #GeekGirl #Sims\",\"protected\":false,\"verified\":false,\"followers_count\":99,\"friends_count\":22,\"listed_count\":1,\"favourites_count\":212,\"statuses_count\":9254,\"created_at\":\"Sat Oct 26 18:41:14 +0000 2013\",\"utc_offset\":10800,\"time_zone\":\"Baghdad\",\"geo_enabled\":false,\"lang\":\"ru\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FFFFFF\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/514874287119814656\\/6m3AAuvz.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/514874287119814656\\/6m3AAuvz.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"94D487\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"F3F3F3\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/514873518375182337\\/Nt5BUwgO_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/514873518375182337\\/Nt5BUwgO_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2157361334\\/1411590540\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ru\",\"timestamp_ms\":\"1412178008671\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180882681856,\"id_str\":\"517338180882681856\",\"text\":\"RT @Smindkim: \\u0e21\\u0e36\\u0e07\\u0e07\\u0e07!!!!!!!!! \\u0e2a\\u0e34\\u0e49\\u0e19\\u0e40\\u0e14\\u0e37\\u0e2d\\u0e19\\u0e18\\u0e31\\u0e19\\u0e27\\u0e32\\u0e04\\u0e21\\u0e2b\\u0e22\\u0e38\\u0e14 9 \\u0e27\\u0e31\\u0e19!!!!!!!!!!!!!!!!!! http:\\/\\/t.co\\/xbMvXeQvzR\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/#!\\/download\\/ipad\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPad\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":85056243,\"id_str\":\"85056243\",\"name\":\"\\u0e19\\u0e1f\\u0e1f\\u2663\",\"screen_name\":\"Fei2nFSK\",\"location\":\"out of crowd...\",\"url\":null,\"description\":\"\\u0e15\\u0e49\\u0e2d\\u0e07\\u0e43\\u0e0a\\u0e49\\u0e40\\u0e27\\u0e25\\u0e32\\u0e19\\u0e32\\u0e19\\u0e40\\u0e17\\u0e48\\u0e32\\u0e44\\u0e23,,\",\"protected\":false,\"verified\":false,\"followers_count\":63,\"friends_count\":204,\"listed_count\":1,\"favourites_count\":1755,\"statuses_count\":26169,\"created_at\":\"Sun Oct 25 10:45:21 +0000 2009\",\"utc_offset\":25200,\"time_zone\":\"Bangkok\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"352726\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/483355979480711169\\/HqYKUYBA.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/483355979480711169\\/HqYKUYBA.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"F79CD3\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"FCFCF7\",\"profile_text_color\":\"6B3805\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/510846017843904512\\/bCcXD0vf_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/510846017843904512\\/bCcXD0vf_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/85056243\\/1412009011\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Mon Sep 29 12:57:54 +0000 2014\",\"id\":516572575107780609,\"id_str\":\"516572575107780609\",\"text\":\"\\u0e21\\u0e36\\u0e07\\u0e07\\u0e07!!!!!!!!! \\u0e2a\\u0e34\\u0e49\\u0e19\\u0e40\\u0e14\\u0e37\\u0e2d\\u0e19\\u0e18\\u0e31\\u0e19\\u0e27\\u0e32\\u0e04\\u0e21\\u0e2b\\u0e22\\u0e38\\u0e14 9 \\u0e27\\u0e31\\u0e19!!!!!!!!!!!!!!!!!! http:\\/\\/t.co\\/xbMvXeQvzR\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":152617892,\"id_str\":\"152617892\",\"name\":\"\\u2022 \\u0e17\\u0e35\\u0e42\\u0e2d\\u0e1e\\u0e35\\u0e44\\u0e02\\u0e48\\u0e04\\u0e49\\u0e33\\u0e1f\\u0e49\\u0e32 \\u2022\",\"screen_name\":\"Smindkim\",\"location\":\"\\u0e40\\u0e1b\\u0e47\\u0e19\\u0e40\\u0e21\\u0e35\\u0e22\\u0e17\\u0e47\\u0e2d\\u0e1b\\u0e41\\u0e15\\u0e48\\u0e08\\u0e35\\u0e22\\u0e07\\u0e44\\u0e21\\u0e48\\u0e40\\u0e2b\\u0e47\\u0e19\\u0e14\\u0e49\\u0e27\\u0e22\",\"url\":null,\"description\":\"\\u2022 OFFICIAL \\u0e17\\u0e35\\u0e42\\u0e2d\\u0e1e\\u0e35\\u0e44\\u0e02\\u0e48\\u0e04\\u0e49\\u0e33\\u0e1f\\u0e49\\u0e32 \\u2022 || BIGBANG \\u2022 YGSTAN || \\u0e40\\u0e01\\u0e23\\u0e35\\u0e22\\u0e19\\u0e15\\u0e32\\u0e21\\u0e28\\u0e25\\u0e1b. || \\u0e43\\u0e04\\u0e23\\u0e2b\\u0e25\\u0e48\\u0e2d\\u0e01\\u0e39\\u0e15\\u0e34\\u0e48\\u0e07\\u0e2b\\u0e21\\u0e14 \\u0e08\\u0e2d\\u0e1a\\u0e2d.\",\"protected\":false,\"verified\":false,\"followers_count\":605,\"friends_count\":271,\"listed_count\":1,\"favourites_count\":776,\"statuses_count\":57631,\"created_at\":\"Sun Jun 06 12:38:59 +0000 2010\",\"utc_offset\":-25200,\"time_zone\":\"Pacific Time (US & Canada)\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FFFFFF\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000098270022\\/f5eaf8af30373c06eca9e6aecf6ff5dd.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000098270022\\/f5eaf8af30373c06eca9e6aecf6ff5dd.jpeg\",\"profile_background_tile\":false,\"profile_link_color\":\"7A787A\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"DAECF4\",\"profile_text_color\":\"663B12\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/502121825904513025\\/_PigfGCi_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/502121825904513025\\/_PigfGCi_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/152617892\\/1409592183\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":15695,\"favorite_count\":1734,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":516572573199380480,\"id_str\":\"516572573199380480\",\"indices\":[60,82],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/Bys8BLZCMAACkRW.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/Bys8BLZCMAACkRW.jpg\",\"url\":\"http:\\/\\/t.co\\/xbMvXeQvzR\",\"display_url\":\"pic.twitter.com\\/xbMvXeQvzR\",\"expanded_url\":\"http:\\/\\/twitter.com\\/Smindkim\\/status\\/516572575107780609\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":308,\"h\":275,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":308,\"h\":275,\"resize\":\"fit\"},\"small\":{\"w\":308,\"h\":275,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":516572573199380480,\"id_str\":\"516572573199380480\",\"indices\":[60,82],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/Bys8BLZCMAACkRW.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/Bys8BLZCMAACkRW.jpg\",\"url\":\"http:\\/\\/t.co\\/xbMvXeQvzR\",\"display_url\":\"pic.twitter.com\\/xbMvXeQvzR\",\"expanded_url\":\"http:\\/\\/twitter.com\\/Smindkim\\/status\\/516572575107780609\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":308,\"h\":275,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":308,\"h\":275,\"resize\":\"fit\"},\"small\":{\"w\":308,\"h\":275,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"th\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"Smindkim\",\"name\":\"\\u2022 \\u0e17\\u0e35\\u0e42\\u0e2d\\u0e1e\\u0e35\\u0e44\\u0e02\\u0e48\\u0e04\\u0e49\\u0e33\\u0e1f\\u0e49\\u0e32 \\u2022\",\"id\":152617892,\"id_str\":\"152617892\",\"indices\":[3,12]}],\"symbols\":[],\"media\":[{\"id\":516572573199380480,\"id_str\":\"516572573199380480\",\"indices\":[74,96],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/Bys8BLZCMAACkRW.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/Bys8BLZCMAACkRW.jpg\",\"url\":\"http:\\/\\/t.co\\/xbMvXeQvzR\",\"display_url\":\"pic.twitter.com\\/xbMvXeQvzR\",\"expanded_url\":\"http:\\/\\/twitter.com\\/Smindkim\\/status\\/516572575107780609\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":308,\"h\":275,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":308,\"h\":275,\"resize\":\"fit\"},\"small\":{\"w\":308,\"h\":275,\"resize\":\"fit\"}},\"source_status_id\":516572575107780609,\"source_status_id_str\":\"516572575107780609\"}]},\"extended_entities\":{\"media\":[{\"id\":516572573199380480,\"id_str\":\"516572573199380480\",\"indices\":[74,96],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/Bys8BLZCMAACkRW.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/Bys8BLZCMAACkRW.jpg\",\"url\":\"http:\\/\\/t.co\\/xbMvXeQvzR\",\"display_url\":\"pic.twitter.com\\/xbMvXeQvzR\",\"expanded_url\":\"http:\\/\\/twitter.com\\/Smindkim\\/status\\/516572575107780609\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":308,\"h\":275,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":308,\"h\":275,\"resize\":\"fit\"},\"small\":{\"w\":308,\"h\":275,\"resize\":\"fit\"}},\"source_status_id\":516572575107780609,\"source_status_id_str\":\"516572575107780609\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"th\",\"timestamp_ms\":\"1412178008686\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180878475264,\"id_str\":\"517338180878475264\",\"text\":\"RT @GroupZ_X4: \\u0627\\u0644\\u0643\\u062b\\u064a\\u0631 \\u064a\\u0633\\u0623\\u0644 \\u0648\\u0634 \\u0633\\u0631 \\u0632\\u064a\\u0627\\u062f\\u0629 \\u0639\\u062f\\u062f \\u0627\\u0644\\u0631\\u064a\\u062a\\u0648\\u064a\\u062a \\u061f\\n\\n\\u0627\\u0644\\u0633\\u0631: \\u062a\\u0637\\u0628\\u064a\\u0642 \\u0627\\u0644\\u0631\\u064a\\u062a\\u0648\\u064a\\u062a \\u0627\\u0644\\u062a\\u0644\\u0642\\u0627\\u0626\\u064a \\ud83d\\udc47\\nhttp:\\/\\/t.co\\/s8IRtbpiEC\\n\\n\\u0644\\u0627\\u062a\\u0646\\u0633\\u0649 \\u062a\\u0636\\u063a\\u0637 \\u0641\\u0648\\u0644\\u0648 \\u0628\\u0639\\u062f \\u0627\\u0644\\u0627\\u0634\\u062a\\u0631\\u0627\\u2026\",\"source\":\"\\u003ca href=\\\"http:\\/\\/topretweet.com\\/\\\" rel=\\\"nofollow\\\"\\u003e\\u062a\\u0637\\u0628\\u064a\\u0642 \\u062a\\u0648\\u0628 \\u0631\\u062a\\u0648\\u064a\\u062a\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2549840300,\"id_str\":\"2549840300\",\"name\":\"Ronaldinho.\",\"screen_name\":\"zezovic7\",\"location\":\"\",\"url\":null,\"description\":\"\\u0633\\u0628\\u062d\\u0627\\u0646 \\u0627\\u0644\\u0644\\u0647 \\u0648\\u0628\\u062d\\u0645\\u062f\\u0647 .. \\u0633\\u0628\\u062d\\u0627\\u0646 \\u0627\\u0644\\u0644\\u0647 \\u0627\\u0644\\u0639\\u0638\\u064a\\u0645 .\",\"protected\":false,\"verified\":false,\"followers_count\":772,\"friends_count\":2001,\"listed_count\":0,\"favourites_count\":859,\"statuses_count\":10339,\"created_at\":\"Fri Jun 06 11:45:49 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ar\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/514838622193741824\\/s_M_jMo7_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/514838622193741824\\/s_M_jMo7_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2549840300\\/1406991479\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:33:56 +0000 2014\",\"id\":517336620723220481,\"id_str\":\"517336620723220481\",\"text\":\"\\u0627\\u0644\\u0643\\u062b\\u064a\\u0631 \\u064a\\u0633\\u0623\\u0644 \\u0648\\u0634 \\u0633\\u0631 \\u0632\\u064a\\u0627\\u062f\\u0629 \\u0639\\u062f\\u062f \\u0627\\u0644\\u0631\\u064a\\u062a\\u0648\\u064a\\u062a \\u061f\\n\\n\\u0627\\u0644\\u0633\\u0631: \\u062a\\u0637\\u0628\\u064a\\u0642 \\u0627\\u0644\\u0631\\u064a\\u062a\\u0648\\u064a\\u062a \\u0627\\u0644\\u062a\\u0644\\u0642\\u0627\\u0626\\u064a \\ud83d\\udc47\\nhttp:\\/\\/t.co\\/s8IRtbpiEC\\n\\n\\u0644\\u0627\\u062a\\u0646\\u0633\\u0649 \\u062a\\u0636\\u063a\\u0637 \\u0641\\u0648\\u0644\\u0648 \\u0628\\u0639\\u062f \\u0627\\u0644\\u0627\\u0634\\u062a\\u0631\\u0627\\u0643 + \\u0631\\u062a\\u0648\\u064a\\u062a 76\",\"source\":\"\\u003ca href=\\\"http:\\/\\/retweetcom.com\\/ttww\\\" rel=\\\"nofollow\\\"\\u003e\\u062a\\u0637\\u0628\\u064a\\u0642 \\u0631\\u062a\\u0648\\u064a\\u062a \\u0648\\u0648 \\u062a\\u0644\\u0627\\u0642\\u0627\\u0626\\u064a\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":367777767,\"id_str\":\"367777767\",\"name\":\"\\u0642\\u0631\\u0648\\u0628 \\u0632\\u062f \\u0625\\u0643\\u0633 *4*\",\"screen_name\":\"GroupZ_X4\",\"location\":\"\\u0644\\u0632\\u064a\\u0627\\u062f\\u0629 \\u0645\\u062a\\u0627\\u0628\\u0639\\u064a\\u0646\\u0643 \\u0623\\u0646\\u0636\\u0645 \\u0627\\u0644\\u0627\\u0646 \\u0645\\u0639\\u0646\\u0627\",\"url\":\"http:\\/\\/www.TopRetweet.com\",\"description\":\"\\u0627\\u0644\\u0623\\u0648\\u0644 \\u0639\\u0627\\u0644\\u0645\\u064a\\u0627\\u064b \\u0644\\u0632\\u064a\\u0627\\u062f\\u0629 \\u0645\\u062a\\u0627\\u0628\\u0639\\u064a\\u0646\\u0643 \\u0648\\u0641\\u064a \\u0645\\u0639\\u062f\\u0644 \\u0627\\u0644\\u0631\\u062a\\u0648\\u064a\\u062a \\u0627\\u0644\\u064a\\u0648\\u0645\\u064a | \\u062d\\u0633\\u0627\\u0628 \\u0642\\u0631\\u0648\\u0628 \\u0632\\u062f \\u0623\\u0643\\u0633 \\u0647\\u0648 \\u062d\\u0633\\u0627\\u0628\\u0643\\u0645 \\u0648\\u0644\\u062e\\u062f\\u0645\\u062a\\u0643\\u0645 |\",\"protected\":false,\"verified\":false,\"followers_count\":187372,\"friends_count\":161045,\"listed_count\":120,\"favourites_count\":128,\"statuses_count\":11865,\"created_at\":\"Sun Sep 04 15:10:15 +0000 2011\",\"utc_offset\":10800,\"time_zone\":\"Baghdad\",\"geo_enabled\":false,\"lang\":\"ar\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"0099B9\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme4\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme4\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"0099B9\",\"profile_sidebar_border_color\":\"5ED4DC\",\"profile_sidebar_fill_color\":\"95E8EC\",\"profile_text_color\":\"3C3940\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/515446865873993728\\/Gn2xQm7T_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/515446865873993728\\/Gn2xQm7T_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/367777767\\/1411727139\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":1067,\"favorite_count\":14,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/s8IRtbpiEC\",\"expanded_url\":\"http:\\/\\/topretweet.com\\/\",\"display_url\":\"topretweet.com\",\"indices\":[72,94]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ar\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/s8IRtbpiEC\",\"expanded_url\":\"http:\\/\\/topretweet.com\\/\",\"display_url\":\"topretweet.com\",\"indices\":[87,109]}],\"user_mentions\":[{\"screen_name\":\"GroupZ_X4\",\"name\":\"\\u0642\\u0631\\u0648\\u0628 \\u0632\\u062f \\u0625\\u0643\\u0633 *4*\",\"id\":367777767,\"id_str\":\"367777767\",\"indices\":[3,13]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ar\",\"timestamp_ms\":\"1412178008680\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180886880256,\"id_str\":\"517338180886880256\",\"text\":\"@Kjjzz hi...\",\"source\":\"\\u003ca href=\\\"https:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for  Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517329171685449730,\"in_reply_to_status_id_str\":\"517329171685449730\",\"in_reply_to_user_id\":146032609,\"in_reply_to_user_id_str\":\"146032609\",\"in_reply_to_screen_name\":\"Kjjzz\",\"user\":{\"id\":357280463,\"id_str\":\"357280463\",\"name\":\"Kharollina Arma\",\"screen_name\":\"ysollkjw272412\",\"location\":\"Indonesia\",\"url\":null,\"description\":\"Born : Jakarta,27-09-1988.           Live in : Bekasi Timur.           Work at : PT. CMNP, tbk.     Hobby : Watching,Reading,Eating,Sleeping.\",\"protected\":false,\"verified\":false,\"followers_count\":24,\"friends_count\":266,\"listed_count\":0,\"favourites_count\":243,\"statuses_count\":3059,\"created_at\":\"Thu Aug 18 03:41:14 +0000 2011\",\"utc_offset\":25200,\"time_zone\":\"Bangkok\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"642D8B\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/512820501656244225\\/YQCHvUwa.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/512820501656244225\\/YQCHvUwa.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"C400FF\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"7AC3EE\",\"profile_text_color\":\"3D1957\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/509633676271812608\\/kFUjxPYW_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/509633676271812608\\/kFUjxPYW_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/357280463\\/1411019533\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"Kjjzz\",\"name\":\"\\uae40\\uc885\\uc9c4\",\"id\":146032609,\"id_str\":\"146032609\",\"indices\":[0,6]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"und\",\"timestamp_ms\":\"1412178008663\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180882661378,\"id_str\":\"517338180882661378\",\"text\":\"\\ubb38\\uc758\\uce74\\ud1a1:pik82 \\ud30c\\uc6cc\\ubcfc\\ucd94\\uac00&amp;\\ub124\\uc784\\ub4dc\\uc88c\\uc6b0\\ucd9c\\ubc1c \\uc0ac\\ub2e4\\ub9ac&amp;\\uc2a4\\ud3ec\\uce20\\ud1a0\\ud1a0 \\uc548\\uc804\\ud55c \\uba54\\uc774\\uc838 \\ub180\\uc774\\ud130 4\\ub144\\ubb34\\uc0ac\\uace0\\uae40\\ub3d9\\ub960\\ud504\\ub85c\\uc57c\\uad6c\\uc190\\uc5f0\\uc7ac\\uae40\\uc724\\ud76c\\ubc84\\uac70\\ud0b9\\uc774\\ub2e4\\uc560\\ubcf5\\ud559\\uc655\\ud604\\uc815\\ud654 \\ub2e8\\ud3f4\\/\\ud06c\\ub85c\\uc2a4\\uac00\\ub2a5 \\ubcf5\\uc8fc\\uba38\\ub2c8\\ucd94\\uac00 \\uccab\\uac00\\uc785\\uccab\\ucda9 \\uae08\\uc561\\uad00\\uacc4\\uc5c6\\uc774 15% \\ub9e4\\ucda910% \\ub099\\ucca8\\uae08 2%~ \\uc548\\uc548%$!~-%&amp;&amp;^\\uc804\\uc804\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":592743462,\"id_str\":\"592743462\",\"name\":\"\\uc548\\ud638\\ud604\",\"screen_name\":\"ghgus0906\",\"location\":\"\",\"url\":null,\"description\":\"930906\",\"protected\":false,\"verified\":false,\"followers_count\":1,\"friends_count\":1,\"listed_count\":0,\"favourites_count\":0,\"statuses_count\":681,\"created_at\":\"Mon May 28 11:56:53 +0000 2012\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ko\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/2613527304\\/rcqri5lkgbo506a2rwsf_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/2613527304\\/rcqri5lkgbo506a2rwsf_normal.png\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ko\",\"timestamp_ms\":\"1412178008664\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180908236800,\"id_str\":\"517338180908236800\",\"text\":\"RT @Luke5SOS: Oh my I am tired\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1276793540,\"id_str\":\"1276793540\",\"name\":\"Jackie\",\"screen_name\":\"jackiiie16\",\"location\":\"desert\",\"url\":null,\"description\":\"follow your dreams\",\"protected\":false,\"verified\":false,\"followers_count\":357,\"friends_count\":570,\"listed_count\":0,\"favourites_count\":24496,\"statuses_count\":15295,\"created_at\":\"Mon Mar 18 04:43:56 +0000 2013\",\"utc_offset\":-25200,\"time_zone\":\"Arizona\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"642D8B\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme10\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme10\\/bg.gif\",\"profile_background_tile\":true,\"profile_link_color\":\"FF0000\",\"profile_sidebar_border_color\":\"65B0DA\",\"profile_sidebar_fill_color\":\"7AC3EE\",\"profile_text_color\":\"3D1957\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/514595898656305154\\/LHhZjWPT_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/514595898656305154\\/LHhZjWPT_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1276793540\\/1411965644\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:37:40 +0000 2014\",\"id\":517337558725173248,\"id_str\":\"517337558725173248\",\"text\":\"Oh my I am tired\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":403245020,\"id_str\":\"403245020\",\"name\":\"Luke Hemmings\",\"screen_name\":\"Luke5SOS\",\"location\":\"\",\"url\":null,\"description\":\"im in a band, we do weird shit sometimes.\",\"protected\":false,\"verified\":true,\"followers_count\":4226053,\"friends_count\":22385,\"listed_count\":29925,\"favourites_count\":198,\"statuses_count\":7187,\"created_at\":\"Wed Nov 02 06:59:37 +0000 2011\",\"utc_offset\":36000,\"time_zone\":\"Sydney\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"131516\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme14\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme14\\/bg.gif\",\"profile_background_tile\":true,\"profile_link_color\":\"009999\",\"profile_sidebar_border_color\":\"EEEEEE\",\"profile_sidebar_fill_color\":\"EFEFEF\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/513073073239502848\\/dRl1bEAI_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/513073073239502848\\/dRl1bEAI_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/403245020\\/1410202628\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":11267,\"favorite_count\":14295,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"en\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"Luke5SOS\",\"name\":\"Luke Hemmings\",\"id\":403245020,\"id_str\":\"403245020\",\"indices\":[3,12]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178008695\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180899450880,\"id_str\":\"517338180899450880\",\"text\":\"@loeng_kiu \\u78ba\\u304b\\u5317\\u6b27\\u306f\\u30b2\\u30eb\\u30de\\u30f3\\u6c11\\u65cf\\u304c\\u4e3b\\u4f53\\u3067\\u3057\\u305f\\u3063\\u3051 \\u30a2\\u30b8\\u30a2\\u7cfb\\u304c\\u8d77\\u6e90\\u3060\\u3063\\u305f\\u306e\\u306f\\u521d\\u3081\\u3066\\u77e5\\u308a\\u307e\\u3057\\u305f  \\u8d77\\u6e90\\u304c\\u9055\\u3046\\u3068\\u3001\\u8a00\\u8a9e\\u3060\\u3051\\u3067\\u306a\\u304f\\u6587\\u5316\\u306a\\u3069\\u3082\\u9055\\u3044\\u304c\\u51fa\\u3066\\u304f\\u308b\\u306e\\u3067\\u3057\\u3087\\u3046\\u304b\\u306d\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517335569601294336,\"in_reply_to_status_id_str\":\"517335569601294336\",\"in_reply_to_user_id\":1707049268,\"in_reply_to_user_id_str\":\"1707049268\",\"in_reply_to_screen_name\":\"loeng_kiu\",\"user\":{\"id\":2316867751,\"id_str\":\"2316867751\",\"name\":\"\\u699b\\u306e\\u4eba@\\u3046\\u305f\\u3046\\u305f\\u3044\",\"screen_name\":\"libra_cullet\",\"location\":\"\",\"url\":null,\"description\":\"\\u57fa\\u672c\\u7121\\u6c17\\u529b\\u3002\\u3058\\u3083\\u306a\\u304b\\u3063\\u305f\\u3089\\u30cd\\u30ac\\u30c6\\u30a3\\u30d6\\u3002\\u96d1\\u98df\\u3002\\u8272\\u3005\\u81ea\\u91cd\\u3057\\u306a\\u3044\\uff06\\u982d\\u304a\\u304b\\u3057\\u3044\\u3002\\u3068\\u306b\\u304b\\u304f\\u7f8e\\u3057\\u3044\\u3082\\u306e\\u306f\\u611b\\u3067\\u308b\\u4e3b\\u7fa9\\u3002\\u30c4\\u30a4\\u30fc\\u30c8\\u5185\\u5bb9\\u304c\\u3068\\u3053\\u3068\\u3093\\u9177\\u3044\\u306e\\u3068\\u304b\\u306a\\u308a\\u3046\\u308b\\u3055\\u3044\\u306e\\u3067\\u6c17\\u3092\\u4ed8\\u3051\\u3066\\u3002\",\"protected\":false,\"verified\":false,\"followers_count\":44,\"friends_count\":79,\"listed_count\":1,\"favourites_count\":950,\"statuses_count\":5424,\"created_at\":\"Wed Jan 29 09:53:08 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/508288496713216000\\/m2DljMKy_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/508288496713216000\\/m2DljMKy_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2316867751\\/1410020537\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"loeng_kiu\",\"name\":\"\\u0456\\u0432\\u0430\\u043d\",\"id\":1707049268,\"id_str\":\"1707049268\",\"indices\":[0,10]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178008667\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180916228097,\"id_str\":\"517338180916228097\",\"text\":\"RT @funassyi: \\u3082\\u3084\\u3059\\u307f\\u306a\\u3063\\u3057\\u30fc\\u266a\\u30fe(\\u3002\\u309c\\u25bd\\u309c)\\u30ce\\u30ea\\u30d7\\u3044\\u3064\\u3082\\u3042\\u308a\\u304c\\u3068\\u306a\\u3063\\u3057\\u306a\\u30fc\\u266a \\n\\u660e\\u65e5\\u3082\\u5143\\u6c17\\u306b\\u68a8\\u6c41\\u30d6\\u30b7\\u30e3\\u30fc,\\\":*\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2583744098,\"id_str\":\"2583744098\",\"name\":\"\\u95a2\\u30b8\\u30e3\\u30cb\\u221e@\\u305f\\u3063\\u3061\\u3087\\u3093\\u547d\\u221e\",\"screen_name\":\"MKan8love\",\"location\":\"\",\"url\":null,\"description\":\"\\u6fc3\\u3081green\\u30a8\\u30a4\\u30bf\\u30fc\\u3067\\u3059\\u221e\\u6eba\\u611b\\u221epoem\\u3092\\u4e3b\\u306b\\u66f8\\u3044\\u305f\\u308a\\u77ed\\u7de8\\u5984\\u60f3\\u5c0f\\u8aac\\u306a\\u3069\\u3092\\u66f8\\u3044\\u3066\\u884c\\u304d\\u305f\\u3044\\u3068\\u601d\\u3044\\u307e\\u3059(*\\u00b4\\u2200\\uff40)\\u30ce\\u4e3b\\u306e\\u5984\\u60f3\\u3070\\u3063\\u304b\\u3084\\u3051\\u3069\\u4ed8\\u304d\\u5408\\u3063\\u3066\\u304f\\u308c\\u308b\\u512a\\u3057\\u3044\\u30a8\\u30a4\\u30bf\\u30fc\\u52df\\u96c6\\u4e2d(*\\u00b4\\u2200\\uff40)\\u30ce\\u7121\\u8a00\\u30d5\\u30a9\\u30ed\\u30fcOK(*\\u00b4\\u2200\\uff40)\\u30ce\",\"protected\":false,\"verified\":false,\"followers_count\":9,\"friends_count\":25,\"listed_count\":0,\"favourites_count\":10,\"statuses_count\":56,\"created_at\":\"Mon Jun 23 10:07:48 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/483981165280260096\\/CWagQYpU_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/483981165280260096\\/CWagQYpU_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2583744098\\/1412089074\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:25:37 +0000 2014\",\"id\":517334525869703169,\"id_str\":\"517334525869703169\",\"text\":\"\\u3082\\u3084\\u3059\\u307f\\u306a\\u3063\\u3057\\u30fc\\u266a\\u30fe(\\u3002\\u309c\\u25bd\\u309c)\\u30ce\\u30ea\\u30d7\\u3044\\u3064\\u3082\\u3042\\u308a\\u304c\\u3068\\u306a\\u3063\\u3057\\u306a\\u30fc\\u266a \\n\\u660e\\u65e5\\u3082\\u5143\\u6c17\\u306b\\u68a8\\u6c41\\u30d6\\u30b7\\u30e3\\u30fc,\\\":*\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":417968533,\"id_str\":\"417968533\",\"name\":\"\\u3075\\u306a\\u3063\\u3057\\u30fc\",\"screen_name\":\"funassyi\",\"location\":\"\\u5343\\u8449\\u770c\\u8239\\u6a4b\\u5e02\",\"url\":\"http:\\/\\/www.universal-music.co.jp\\/funassyi\",\"description\":\"(\\u3002\\u309c\\u25bd\\u309c)9\\u670828\\u65e5\\u5317\\u6d77\\u9053\\u7802\\u5ddd\\u5e02 10\\u670811\\u65e5WINDS\\u96e3\\u6ce2  19\\u65e5\\u5f66\\u6839\\u30b5\\u30df\\u30c3\\u30c8 \\u8239\\u6a4b\\u5e02\\u975e\\u516c\\u8a8d\\u30ad\\u30e3\\u30e9\\u300c\\u3075\\u306a\\u3063\\u3057\\u30fc\\u300d\\u306e\\u767b\\u5834\\u3067\\u3059\\uff01\\u96d1\\u3067\\u3086\\u308b\\u3044\\u9854\\u304c\\u7279\\u5fb4\\u3067\\u3059!\\u4e8c\\u5343\\u5e74\\u306b1\\u5ea6\\u3060\\u3051\\u73fe\\u308c\\u308b\\u5947\\u8de1\\u306e\\u68a8\\u306e\\u5996\\u7cbe\\u3002\",\"protected\":false,\"verified\":false,\"followers_count\":923909,\"friends_count\":26597,\"listed_count\":5088,\"favourites_count\":81,\"statuses_count\":38594,\"created_at\":\"Mon Nov 21 15:49:25 +0000 2011\",\"utc_offset\":-36000,\"time_zone\":\"Hawaii\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/756588496\\/6475ef5230bebf76d110c98e73937920.png\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/756588496\\/6475ef5230bebf76d110c98e73937920.png\",\"profile_background_tile\":true,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"7AC3EE\",\"profile_text_color\":\"3D1957\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/3362441016\\/b5a59a8f1b69a1348e5c3942b9f2c725_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/3362441016\\/b5a59a8f1b69a1348e5c3942b9f2c725_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/417968533\\/1355213615\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":219,\"favorite_count\":490,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ja\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"funassyi\",\"name\":\"\\u3075\\u306a\\u3063\\u3057\\u30fc\",\"id\":417968533,\"id_str\":\"417968533\",\"indices\":[3,12]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178008704\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180899467265,\"id_str\":\"517338180899467265\",\"text\":\"#FreeBooks At the Going Down of the Sun by Elizabeth Darrell. Moving wartime romance. Please RT. http:\\/\\/t.co\\/Tf4KSB14YI #Romance #GreatReads\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2488081958,\"id_str\":\"2488081958\",\"name\":\"NewEndeavours\",\"screen_name\":\"NewEndeavours\",\"location\":\"London,UK\",\"url\":\"http:\\/\\/endeavourpress.com\",\"description\":\"Tweets about new books from @EndeavourPress, the UK's leading independent digital publisher\",\"protected\":false,\"verified\":false,\"followers_count\":635,\"friends_count\":1003,\"listed_count\":5,\"favourites_count\":0,\"statuses_count\":8510,\"created_at\":\"Sat May 10 14:00:37 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en-gb\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/465810210699767808\\/IlDZtFwM.png\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/465810210699767808\\/IlDZtFwM.png\",\"profile_background_tile\":true,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/517265130736713728\\/BRmXeK35_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/517265130736713728\\/BRmXeK35_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2488081958\\/1399892709\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"FreeBooks\",\"indices\":[0,10]},{\"text\":\"Romance\",\"indices\":[120,128]},{\"text\":\"GreatReads\",\"indices\":[129,140]}],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/Tf4KSB14YI\",\"expanded_url\":\"http:\\/\\/amzn.to\\/1BayRu2\",\"display_url\":\"amzn.to\\/1BayRu2\",\"indices\":[97,119]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178008676\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180899454977,\"id_str\":\"517338180899454977\",\"text\":\"Oh bunga\\nJangan kau gores luka didada\\nSunguh diriku takkan kuasa\\nCampak kan kenangan\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":296146239,\"id_str\":\"296146239\",\"name\":\"Shahrul Izham\",\"screen_name\":\"izhambrr\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":162,\"friends_count\":151,\"listed_count\":0,\"favourites_count\":1904,\"statuses_count\":18448,\"created_at\":\"Tue May 10 08:31:41 +0000 2011\",\"utc_offset\":-28800,\"time_zone\":\"Alaska\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"9AE4E8\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/834225396\\/5108da6c2d7ce3f527d625d38fe9e1e6.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/834225396\\/5108da6c2d7ce3f527d625d38fe9e1e6.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDFFCC\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":false,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/498646335839432704\\/uvbbBTjQ_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/498646335839432704\\/uvbbBTjQ_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/296146239\\/1374201239\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"in\",\"timestamp_ms\":\"1412178008667\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180903649280,\"id_str\":\"517338180903649280\",\"text\":\"\\u00a1S\\u00edguenos en Instagram! http:\\/\\/t.co\\/5MW7qapzNe\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":226273831,\"id_str\":\"226273831\",\"name\":\"Revista N\\u00f3mada\",\"screen_name\":\"RevistaNomada\",\"location\":\"Morelos M\\u00e9xico\",\"url\":\"http:\\/\\/www.revistanomada.com\",\"description\":\"La gu\\u00eda para el turismo inteligente\",\"protected\":false,\"verified\":false,\"followers_count\":5318,\"friends_count\":4023,\"listed_count\":88,\"favourites_count\":2542,\"statuses_count\":40854,\"created_at\":\"Mon Dec 13 19:25:46 +0000 2010\",\"utc_offset\":-21600,\"time_zone\":\"Mountain Time (US & Canada)\",\"geo_enabled\":true,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"131516\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/465431962430087169\\/iBnjr7lt.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/465431962430087169\\/iBnjr7lt.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"ED9717\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"F6FFD1\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/458342325316354048\\/mvq9EXwQ_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/458342325316354048\\/mvq9EXwQ_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/226273831\\/1399801378\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/5MW7qapzNe\",\"expanded_url\":\"http:\\/\\/instagram.com\\/revistanomada\",\"display_url\":\"instagram.com\\/revistanomada\",\"indices\":[24,46]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178008671\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180903661570,\"id_str\":\"517338180903661570\",\"text\":\"Hotel-Contact directorio gratuito de miles de Hoteles y Alojamientos en todo el mundo http:\\/\\/t.co\\/iqYkpxJzzk http:\\/\\/t.co\\/ZBKjwtIxFu\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1389474708,\"id_str\":\"1389474708\",\"name\":\"Bolivia Rally Dakar\",\"screen_name\":\"Dakar_Bolivia\",\"location\":\"Bolivia\",\"url\":\"http:\\/\\/www.boliviarallydakar.com\",\"description\":\"Pagina dedicada al Rally Dakar 2014 en su paso por Bolivia\",\"protected\":false,\"verified\":false,\"followers_count\":2727,\"friends_count\":1612,\"listed_count\":30,\"favourites_count\":7,\"statuses_count\":3467,\"created_at\":\"Mon Apr 29 13:24:36 +0000 2013\",\"utc_offset\":-10800,\"time_zone\":\"Atlantic Time (Canada)\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"481D00\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme14\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme14\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"FFA200\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/3591542705\\/64e7ee2779fe8a3ae3d3b5b50ab8ac71_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/3591542705\\/64e7ee2779fe8a3ae3d3b5b50ab8ac71_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1389474708\\/1367244224\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/iqYkpxJzzk\",\"expanded_url\":\"http:\\/\\/ow.ly\\/ALQap\",\"display_url\":\"ow.ly\\/ALQap\",\"indices\":[86,108]}],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":504594966946283520,\"id_str\":\"504594966946283520\",\"indices\":[109,131],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/BwCucvBIgAAHxMj.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/BwCucvBIgAAHxMj.jpg\",\"url\":\"http:\\/\\/t.co\\/ZBKjwtIxFu\",\"display_url\":\"pic.twitter.com\\/ZBKjwtIxFu\",\"expanded_url\":\"http:\\/\\/twitter.com\\/Bolivia4x4\\/status\\/504594967747375104\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":349,\"h\":88,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":85,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":88,\"resize\":\"crop\"},\"large\":{\"w\":349,\"h\":88,\"resize\":\"fit\"}},\"source_status_id\":504594967747375104,\"source_status_id_str\":\"504594967747375104\"}]},\"extended_entities\":{\"media\":[{\"id\":504594966946283520,\"id_str\":\"504594966946283520\",\"indices\":[109,131],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/BwCucvBIgAAHxMj.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/BwCucvBIgAAHxMj.jpg\",\"url\":\"http:\\/\\/t.co\\/ZBKjwtIxFu\",\"display_url\":\"pic.twitter.com\\/ZBKjwtIxFu\",\"expanded_url\":\"http:\\/\\/twitter.com\\/Bolivia4x4\\/status\\/504594967747375104\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":349,\"h\":88,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":85,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":88,\"resize\":\"crop\"},\"large\":{\"w\":349,\"h\":88,\"resize\":\"fit\"}},\"source_status_id\":504594967747375104,\"source_status_id_str\":\"504594967747375104\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178008668\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180886867968,\"id_str\":\"517338180886867968\",\"text\":\"RT @TXScreenings: Free Advance Movie Screening of Gone Girl (@GoneGirlMovie) in Dallas, TX via @43KIXDallas (Gofobo RSVP Code) - http:\\/\\/t.c\\u2026\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":232492315,\"id_str\":\"232492315\",\"name\":\"Gaddy Atlai\",\"screen_name\":\"RandomAtlai\",\"location\":\"Garland, TX\",\"url\":\"http:\\/\\/YouTube.com\\/TalvianProds\",\"description\":\"Richland College. Business. Subscribe to my YouTube Channel!\",\"protected\":false,\"verified\":false,\"followers_count\":119,\"friends_count\":210,\"listed_count\":1,\"favourites_count\":3631,\"statuses_count\":4393,\"created_at\":\"Fri Dec 31 08:38:26 +0000 2010\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FF3C00\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme19\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme19\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"0095E0\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"EFEFEF\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":false,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/501062225881092096\\/SES2-9Jm_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/501062225881092096\\/SES2-9Jm_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/232492315\\/1408820695\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:30:01 +0000 2014\",\"id\":517335635720278017,\"id_str\":\"517335635720278017\",\"text\":\"Free Advance Movie Screening of Gone Girl (@GoneGirlMovie) in Dallas, TX via @43KIXDallas (Gofobo RSVP Code) - http:\\/\\/t.co\\/inCifb6ZRK\",\"source\":\"\\u003ca href=\\\"http:\\/\\/advancescreenings.com\\/\\\" rel=\\\"nofollow\\\"\\u003eAdvance Screenings\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":92631953,\"id_str\":\"92631953\",\"name\":\"Texas Screenings\",\"screen_name\":\"TXScreenings\",\"location\":\"Texas\",\"url\":\"http:\\/\\/advancescreenings.com\\/\",\"description\":\"free advance movie screenings from @screenings\\/@freemovies (http:\\/\\/advancescreenings.com\\/) - run by @matthewfong\",\"protected\":false,\"verified\":false,\"followers_count\":3561,\"friends_count\":3,\"listed_count\":72,\"favourites_count\":44,\"statuses_count\":12261,\"created_at\":\"Wed Nov 25 22:53:31 +0000 2009\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/784417194\\/texas_normal.gif\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/784417194\\/texas_normal.gif\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":1,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/inCifb6ZRK\",\"expanded_url\":\"http:\\/\\/bit.ly\\/1yzcl22\",\"display_url\":\"bit.ly\\/1yzcl22\",\"indices\":[111,133]}],\"user_mentions\":[{\"screen_name\":\"GoneGirlMovie\",\"name\":\"Gone Girl\",\"id\":714723956,\"id_str\":\"714723956\",\"indices\":[43,57]},{\"screen_name\":\"43KIXDallas\",\"name\":\"43KIX Dallas\",\"id\":67388819,\"id_str\":\"67388819\",\"indices\":[77,89]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"en\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/inCifb6ZRK\",\"expanded_url\":\"http:\\/\\/bit.ly\\/1yzcl22\",\"display_url\":\"bit.ly\\/1yzcl22\",\"indices\":[139,140]}],\"user_mentions\":[{\"screen_name\":\"TXScreenings\",\"name\":\"Texas Screenings\",\"id\":92631953,\"id_str\":\"92631953\",\"indices\":[3,16]},{\"screen_name\":\"GoneGirlMovie\",\"name\":\"Gone Girl\",\"id\":714723956,\"id_str\":\"714723956\",\"indices\":[61,75]},{\"screen_name\":\"43KIXDallas\",\"name\":\"43KIX Dallas\",\"id\":67388819,\"id_str\":\"67388819\",\"indices\":[95,107]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178008683\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180907843585,\"id_str\":\"517338180907843585\",\"text\":\"RT @_w8: \\u304a\\u3084\\u3059\\u30df\\u30f3\\u30b4\\u30b9\\u3045\\u301c\\u301c\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2602828717,\"id_str\":\"2602828717\",\"name\":\"\\u96d1\\u5b66\\u9762\\u767d\\u3064\\u3076\\u3084\\u304d\\u307e\\u3093\\uff20BOT\",\"screen_name\":\"Mercatorpacket\",\"location\":\"\",\"url\":null,\"description\":\"\\u9053\\u6c11\\u306e\\u5fc3\\u3002\\u30f4\\u30a1\\u30a4\\u30b9\\u3057\\u307e\\u3059\\u3002\\u6700\\u8fd1\\n\\n\\u6771\\u4eac\\u3067\\u30c8\\u30ea\\u30aa4\\u4f4d\\u3067\\u3057\\u305f\\u3002\\u3064\\u3076\\u3084\\u304d\\u306f\\u3060\\u3044\\u305f\\u3044\\u6c34\\u6a39\\u5948\\u3005\\u3001\\u30a2\\u30a4\\u30de\\u30b9\\u3001\\u97f3\\u697d\\u3001\\u3084\\u304d\\u3046(\\u516c)\\u3001\\u97f3\\u30b2\\u3001\\u30a2\\u30cb\\u30e1\\u3068\\u304b\\u3002\\u5929\\u6d77\\u6625\\u9999\\u3092\\u611b\\u3057\\u3066\\u3044\\u307e\\u3059\\u3002\",\"protected\":false,\"verified\":false,\"followers_count\":0,\"friends_count\":21,\"listed_count\":0,\"favourites_count\":829,\"statuses_count\":257,\"created_at\":\"Fri Jul 04 04:51:49 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/502255161511653376\\/sSsbXNVC_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/502255161511653376\\/sSsbXNVC_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:37:41 +0000 2014\",\"id\":517337562726146048,\"id_str\":\"517337562726146048\",\"text\":\"\\u304a\\u3084\\u3059\\u30df\\u30f3\\u30b4\\u30b9\\u3045\\u301c\\u301c\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1189794756,\"id_str\":\"1189794756\",\"name\":\"\\u304d\\u308a\\u3059\\u3080\\u2260\",\"screen_name\":\"_w8\",\"location\":\"\\u5317\\u6d77\\u9053\\u672d\\u5e4c\\u5e02\",\"url\":null,\"description\":\"(Sign IN)\\u25b6\\ufe0e\\u3010Not\\u2260Equal\\u3011 \\u3010\\u30ef\\u30b5\\u30e9\\u30fc\\u56e3\\u5341\\u4e8c\\u795e\\u5c06\\u3011\\u305f\\u3060\\u3044\\u307e\\u30d5\\u30a9\\u30ed\\u30d099%\",\"protected\":false,\"verified\":false,\"followers_count\":108445,\"friends_count\":916,\"listed_count\":519,\"favourites_count\":105931,\"statuses_count\":48498,\"created_at\":\"Sun Feb 17 15:13:24 +0000 2013\",\"utc_offset\":32400,\"time_zone\":\"Irkutsk\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/500976393161699329\\/vtMhbW1h_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/500976393161699329\\/vtMhbW1h_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1189794756\\/1410058741\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":226,\"favorite_count\":1425,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":true,\"filter_level\":\"low\",\"lang\":\"ja\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"_w8\",\"name\":\"\\u304d\\u308a\\u3059\\u3080\\u2260\",\"id\":1189794756,\"id_str\":\"1189794756\",\"indices\":[3,7]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178008699\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180903661568,\"id_str\":\"517338180903661568\",\"text\":\"RT @tiplovexiah: @whitewo_ \\u0e44\\u0e27\\u0e17\\u0e4c \\u0e19\\u0e48\\u0e32 \\u0e23\\u0e31\\u0e01 \\u0e23\\u0e27\\u0e22 ~\",\"source\":\"\\u003ca href=\\\"https:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android Tablets\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2762782112,\"id_str\":\"2762782112\",\"name\":\"\\u0e25\\u0e38\\u0e07\\u0e15\\u0e31\\u0e49\\u0e21 \\u0e15\\u0e34\\u0e48\\u0e07\\u0e41\\u0e01\\u0e48\",\"screen_name\":\"tummyte29\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":132,\"friends_count\":63,\"listed_count\":1,\"favourites_count\":11955,\"statuses_count\":10921,\"created_at\":\"Sun Aug 24 15:14:29 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"th\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/513381802820386817\\/tvBliZfH_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/513381802820386817\\/tvBliZfH_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2762782112\\/1410973428\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:25:22 +0000 2014\",\"id\":517334462883852288,\"id_str\":\"517334462883852288\",\"text\":\"@whitewo_ \\u0e44\\u0e27\\u0e17\\u0e4c \\u0e19\\u0e48\\u0e32 \\u0e23\\u0e31\\u0e01 \\u0e23\\u0e27\\u0e22 ~\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":1579221109,\"in_reply_to_user_id_str\":\"1579221109\",\"in_reply_to_screen_name\":\"whitewo_\",\"user\":{\"id\":709981688,\"id_str\":\"709981688\",\"name\":\"Tiplovexiah\",\"screen_name\":\"tiplovexiah\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":57,\"friends_count\":139,\"listed_count\":0,\"favourites_count\":10419,\"statuses_count\":7010,\"created_at\":\"Sun Jul 22 03:01:54 +0000 2012\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"th\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/651156707\\/4o4giwpswt672zpaize5.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/651156707\\/4o4giwpswt672zpaize5.jpeg\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/508904214219612160\\/H4ewlSpk_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/508904214219612160\\/H4ewlSpk_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/709981688\\/1376414225\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":3,\"favorite_count\":2,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"whitewo_\",\"name\":\"whitewo\",\"id\":1579221109,\"id_str\":\"1579221109\",\"indices\":[0,9]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"th\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"tiplovexiah\",\"name\":\"Tiplovexiah\",\"id\":709981688,\"id_str\":\"709981688\",\"indices\":[3,15]},{\"screen_name\":\"whitewo_\",\"name\":\"whitewo\",\"id\":1579221109,\"id_str\":\"1579221109\",\"indices\":[17,26]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"th\",\"timestamp_ms\":\"1412178008724\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180899463168,\"id_str\":\"517338180899463168\",\"text\":\"\\u0e04\\u0e48\\u0e32\\u0e22\\u0e42\\u0e04\\u0e15\\u0e23\\u0e23\\u0e14\\u0e35\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":406890079,\"id_str\":\"406890079\",\"name\":\"\\u0e21\\u0e2d\\u0e2a\\u0e41\\u0e08\\u0e4a\\u0e04\\u0e40\\u0e1f\\u0e23\\u0e35\\u0e22\\u2744\",\"screen_name\":\"2kyumin_\",\"location\":\"\",\"url\":\"http:\\/\\/instagram.com\\/2sungmin\",\"description\":\"\\u2606\\uc5d8\\ud504 08-14 | KYUMIN | KIHAE | #PSYCHOLINE                  Line : 2sungmin\\u2606\",\"protected\":false,\"verified\":false,\"followers_count\":954,\"friends_count\":341,\"listed_count\":6,\"favourites_count\":1246,\"statuses_count\":81072,\"created_at\":\"Mon Nov 07 10:25:04 +0000 2011\",\"utc_offset\":25200,\"time_zone\":\"Bangkok\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"BA59BA\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000102298825\\/69d63a451b5027b2b5a19f01929f4cf1.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000102298825\\/69d63a451b5027b2b5a19f01929f4cf1.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"5AB2DB\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"A0C5C7\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516161778758082560\\/sIxJOcUi_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516161778758082560\\/sIxJOcUi_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/406890079\\/1398234210\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"th\",\"timestamp_ms\":\"1412178008669\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180878479360,\"id_str\":\"517338180878479360\",\"text\":\"RT @HidHacks: http:\\/\\/t.co\\/GRy5Da5o9s\",\"source\":\"\\u003ca href=\\\"https:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android Tablets\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2234466335,\"id_str\":\"2234466335\",\"name\":\"\\uc724 \\u3163\\uc11c (Eunise)\",\"screen_name\":\"emariev09\",\"location\":\"\",\"url\":null,\"description\":\"Proud to be Iglesia Ni Cristo\\u2665|||| \\u3141\\ub178\\ub798 \\u3142\\ub794 (Mon Rae Park) |||| People come and go|||| Even the strongest person cries \\u2665\",\"protected\":false,\"verified\":false,\"followers_count\":76,\"friends_count\":78,\"listed_count\":0,\"favourites_count\":325,\"statuses_count\":1470,\"created_at\":\"Fri Dec 20 09:40:29 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/488668795003617280\\/jpHQ_b4K_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/488668795003617280\\/jpHQ_b4K_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2234466335\\/1402576555\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Thu Sep 04 15:04:28 +0000 2014\",\"id\":507544730377261057,\"id_str\":\"507544730377261057\",\"text\":\"http:\\/\\/t.co\\/GRy5Da5o9s\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2192030256,\"id_str\":\"2192030256\",\"name\":\"Hidden Hacks\",\"screen_name\":\"HidHacks\",\"location\":\"Original Account\",\"url\":null,\"description\":\"Tweeting all the best life hacks,tricks and tips to make your life that much easier. An easy life is an enjoyable life.  RT these tweets to help your friends.\",\"protected\":false,\"verified\":false,\"followers_count\":190299,\"friends_count\":82,\"listed_count\":247,\"favourites_count\":85,\"statuses_count\":192,\"created_at\":\"Wed Nov 13 10:07:15 +0000 2013\",\"utc_offset\":19800,\"time_zone\":\"New Delhi\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"000000\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/511471005223493632\\/EKpISkLP.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/511471005223493632\\/EKpISkLP.jpeg\",\"profile_background_tile\":false,\"profile_link_color\":\"0A0A0A\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"000000\",\"profile_text_color\":\"000000\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/515708763798384640\\/fWtYF4vl_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/515708763798384640\\/fWtYF4vl_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2192030256\\/1411739139\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":3549,\"favorite_count\":4103,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":507544728330436608,\"id_str\":\"507544728330436608\",\"indices\":[0,22],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/BwspPcfCAAAkixL.png\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/BwspPcfCAAAkixL.png\",\"url\":\"http:\\/\\/t.co\\/GRy5Da5o9s\",\"display_url\":\"pic.twitter.com\\/GRy5Da5o9s\",\"expanded_url\":\"http:\\/\\/twitter.com\\/HidHacks\\/status\\/507544730377261057\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":499,\"h\":337,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":229,\"resize\":\"fit\"},\"large\":{\"w\":499,\"h\":337,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":507544728330436608,\"id_str\":\"507544728330436608\",\"indices\":[0,22],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/BwspPcfCAAAkixL.png\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/BwspPcfCAAAkixL.png\",\"url\":\"http:\\/\\/t.co\\/GRy5Da5o9s\",\"display_url\":\"pic.twitter.com\\/GRy5Da5o9s\",\"expanded_url\":\"http:\\/\\/twitter.com\\/HidHacks\\/status\\/507544730377261057\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":499,\"h\":337,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":229,\"resize\":\"fit\"},\"large\":{\"w\":499,\"h\":337,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"und\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"HidHacks\",\"name\":\"Hidden Hacks\",\"id\":2192030256,\"id_str\":\"2192030256\",\"indices\":[3,12]}],\"symbols\":[],\"media\":[{\"id\":507544728330436608,\"id_str\":\"507544728330436608\",\"indices\":[14,36],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/BwspPcfCAAAkixL.png\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/BwspPcfCAAAkixL.png\",\"url\":\"http:\\/\\/t.co\\/GRy5Da5o9s\",\"display_url\":\"pic.twitter.com\\/GRy5Da5o9s\",\"expanded_url\":\"http:\\/\\/twitter.com\\/HidHacks\\/status\\/507544730377261057\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":499,\"h\":337,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":229,\"resize\":\"fit\"},\"large\":{\"w\":499,\"h\":337,\"resize\":\"fit\"}},\"source_status_id\":507544730377261057,\"source_status_id_str\":\"507544730377261057\"}]},\"extended_entities\":{\"media\":[{\"id\":507544728330436608,\"id_str\":\"507544728330436608\",\"indices\":[14,36],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/BwspPcfCAAAkixL.png\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/BwspPcfCAAAkixL.png\",\"url\":\"http:\\/\\/t.co\\/GRy5Da5o9s\",\"display_url\":\"pic.twitter.com\\/GRy5Da5o9s\",\"expanded_url\":\"http:\\/\\/twitter.com\\/HidHacks\\/status\\/507544730377261057\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":499,\"h\":337,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":229,\"resize\":\"fit\"},\"large\":{\"w\":499,\"h\":337,\"resize\":\"fit\"}},\"source_status_id\":507544730377261057,\"source_status_id_str\":\"507544730377261057\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"und\",\"timestamp_ms\":\"1412178008688\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180878884864,\"id_str\":\"517338180878884864\",\"text\":\"We are just clearing the road from the accident on Highfield Road. #behindthebadge http:\\/\\/t.co\\/omUvnIqPRn\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1450938320,\"id_str\":\"1450938320\",\"name\":\"Blackpool Police\",\"screen_name\":\"BlackpoolPolice\",\"location\":\"Blackpool, Lancashire\",\"url\":\"http:\\/\\/www.lancashire.police.uk\",\"description\":\"Official Twitter account for Blackpool Police. This feed SHOULD NOT be used to report crime. Call 101 or in an emergency call 999\",\"protected\":false,\"verified\":false,\"followers_count\":4278,\"friends_count\":127,\"listed_count\":26,\"favourites_count\":32,\"statuses_count\":1023,\"created_at\":\"Thu May 23 08:56:28 +0000 2013\",\"utc_offset\":3600,\"time_zone\":\"London\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/3698033134\\/f1864bcff1d82282efa7b4465e1e9f87_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/3698033134\\/f1864bcff1d82282efa7b4465e1e9f87_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"behindthebadge\",\"indices\":[67,82]}],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":517337840712052736,\"id_str\":\"517337840712052736\",\"indices\":[83,105],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By30BnCCcAA6b2n.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By30BnCCcAA6b2n.jpg\",\"url\":\"http:\\/\\/t.co\\/omUvnIqPRn\",\"display_url\":\"pic.twitter.com\\/omUvnIqPRn\",\"expanded_url\":\"http:\\/\\/twitter.com\\/BlackpoolPolice\\/status\\/517338180878884864\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":338,\"resize\":\"fit\"},\"large\":{\"w\":1024,\"h\":578,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":191,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":517337840712052736,\"id_str\":\"517337840712052736\",\"indices\":[83,105],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By30BnCCcAA6b2n.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By30BnCCcAA6b2n.jpg\",\"url\":\"http:\\/\\/t.co\\/omUvnIqPRn\",\"display_url\":\"pic.twitter.com\\/omUvnIqPRn\",\"expanded_url\":\"http:\\/\\/twitter.com\\/BlackpoolPolice\\/status\\/517338180878884864\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":338,\"resize\":\"fit\"},\"large\":{\"w\":1024,\"h\":578,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":191,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178008662\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180912033793,\"id_str\":\"517338180912033793\",\"text\":\"\\u0e1a\\u0e2d\\u0e01\\u0e01\\u0e31\\u0e1a\\u0e09\\u0e31\\u0e19\\u0e44\\u0e14\\u0e49\\u0e44\\u0e2b\\u0e21\\u0e08\\u0e30\\u0e40\\u0e1b\\u0e47\\u0e19\\u0e44\\u0e1b\\u0e44\\u0e14\\u0e49\\u0e2b\\u0e23\\u0e37\\u0e2d\\u0e40\\u0e1b\\u0e25\\u0e48\\u0e32.\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2303892336,\"id_str\":\"2303892336\",\"name\":\"\\ubbf8\\ubbf8'\\ubbf8\\ubbfc\\u2661(\\u25cf\\u00b4\\u03c9\\uff40\\u25cf)\",\"screen_name\":\"meennntnt\",\"location\":\"\",\"url\":null,\"description\":\"Someday i'm gonna travel the world\\u2606\",\"protected\":false,\"verified\":false,\"followers_count\":144,\"friends_count\":324,\"listed_count\":0,\"favourites_count\":1039,\"statuses_count\":53479,\"created_at\":\"Wed Jan 22 00:05:04 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/515849843437084672\\/I9TxaBCj_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/515849843437084672\\/I9TxaBCj_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2303892336\\/1411746111\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"th\",\"timestamp_ms\":\"1412178008684\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180899459072,\"id_str\":\"517338180899459072\",\"text\":\"RT @INNSAuk: EC welcomes the Council's adoption of the Invasive Alien Species Regulation http:\\/\\/t.co\\/Thu4E61CmO  #invsp\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":41100077,\"id_str\":\"41100077\",\"name\":\"John Peter  Thompson\",\"screen_name\":\"InvasiveNotes\",\"location\":\"Maryland, USA\",\"url\":\"http:\\/\\/www.ipetrus.blogspot.com\",\"description\":\"Ask me your questions - Sustainability, ecosystems  invasive species, natural philosophy, history, politics & current events explained\",\"protected\":false,\"verified\":false,\"followers_count\":9416,\"friends_count\":5918,\"listed_count\":1017,\"favourites_count\":802,\"statuses_count\":183415,\"created_at\":\"Tue May 19 11:51:29 +0000 2009\",\"utc_offset\":-18000,\"time_zone\":\"Quito\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"352726\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/45817983\\/InvasiveNotes_1255700157.jpg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/45817983\\/InvasiveNotes_1255700157.jpg\",\"profile_background_tile\":false,\"profile_link_color\":\"D02B55\",\"profile_sidebar_border_color\":\"829D5E\",\"profile_sidebar_fill_color\":\"99CC33\",\"profile_text_color\":\"3E4415\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/792827641\\/JPT_IMG_9790_normal.JPG\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/792827641\\/JPT_IMG_9790_normal.JPG\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/41100077\\/1354817559\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"invsp\",\"indices\":[113,119]}],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/Thu4E61CmO\",\"expanded_url\":\"http:\\/\\/ow.ly\\/C3NtY\",\"display_url\":\"ow.ly\\/C3NtY\",\"indices\":[89,111]}],\"user_mentions\":[{\"screen_name\":\"INNSAuk\",\"name\":\"INNSA\",\"id\":927871152,\"id_str\":\"927871152\",\"indices\":[3,11]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178008668\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180907847680,\"id_str\":\"517338180907847680\",\"text\":\"\\u30bf\\u30a4\\u30d7\\u3060\\u3063\\u305f\\u3089RT http:\\/\\/t.co\\/xtQZNWk58Q\",\"source\":\"\\u003ca href=\\\"https:\\/\\/twitter.com\\/gekikawa_mg\\\" rel=\\\"nofollow\\\"\\u003e\\u6fc0\\u30ab\\u30ef\\u6c34\\u7740\\u7f8e\\u5973\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2787591774,\"id_str\":\"2787591774\",\"name\":\"\\u6fc0\\u30ab\\u30ef\\u6c34\\u7740\\u7f8e\\u5973\",\"screen_name\":\"gekikawa_mg\",\"location\":\"\",\"url\":null,\"description\":\"\\u6fc0\\u30ab\\u30ef\\u6c34\\u7740\\u753b\\u50cf\\u3092\\u96c6\\u3081\\u307e\\u3057\\u305f\\u3002\",\"protected\":false,\"verified\":false,\"followers_count\":271,\"friends_count\":987,\"listed_count\":0,\"favourites_count\":0,\"statuses_count\":448,\"created_at\":\"Wed Sep 03 09:42:50 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"000000\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"B30033\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"000000\",\"profile_text_color\":\"000000\",\"profile_use_background_image\":false,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/507101594907721729\\/qiIcZIgy_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/507101594907721729\\/qiIcZIgy_normal.jpeg\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":517338180769427456,\"id_str\":\"517338180769427456\",\"indices\":[10,32],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By30VZ2CMAANJ0J.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By30VZ2CMAANJ0J.jpg\",\"url\":\"http:\\/\\/t.co\\/xtQZNWk58Q\",\"display_url\":\"pic.twitter.com\\/xtQZNWk58Q\",\"expanded_url\":\"http:\\/\\/twitter.com\\/gekikawa_mg\\/status\\/517338180907847680\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":340,\"h\":512,\"resize\":\"fit\"},\"medium\":{\"w\":531,\"h\":800,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":531,\"h\":800,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":517338180769427456,\"id_str\":\"517338180769427456\",\"indices\":[10,32],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By30VZ2CMAANJ0J.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By30VZ2CMAANJ0J.jpg\",\"url\":\"http:\\/\\/t.co\\/xtQZNWk58Q\",\"display_url\":\"pic.twitter.com\\/xtQZNWk58Q\",\"expanded_url\":\"http:\\/\\/twitter.com\\/gekikawa_mg\\/status\\/517338180907847680\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":340,\"h\":512,\"resize\":\"fit\"},\"medium\":{\"w\":531,\"h\":800,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":531,\"h\":800,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178008669\"}",
			"{\"delete\":{\"status\":{\"id\":381243732533587968,\"id_str\":\"381243732533587968\",\"user_id\":1143779324,\"user_id_str\":\"1143779324\"},\"timestamp_ms\":\"1412178008784\"}}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180912029697,\"id_str\":\"517338180912029697\",\"text\":\"RT @nattaboat: \\u0e0a\\u0e48\\u0e2d\\u0e07 3 \\u0e19\\u0e35\\u0e48\\u0e15\\u0e49\\u0e2d\\u0e07\\u0e01\\u0e32\\u0e23\\u0e17\\u0e31\\u0e19\\u0e15\\u0e41\\u0e1e\\u0e17\\u0e22\\u0e4c\\u0e44\\u0e2b\\u0e21\\u0e04\\u0e23\\u0e31\\u0e1a \\u0e40\\u0e2b\\u0e47\\u0e19\\u0e1f\\u0e31\\u0e19\\u0e01\\u0e31\\u0e19\\u0e17\\u0e31\\u0e49\\u0e07\\u0e40\\u0e23\\u0e37\\u0e48\\u0e2d\\u0e07 #ch3\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2833990454,\"id_str\":\"2833990454\",\"name\":\"\\u0e2d\\u0e34\\u0e2a\\u0e23\\u0e30\",\"screen_name\":\"16Independance\",\"location\":\"\",\"url\":null,\"description\":\"\\u0e16\\u0e49\\u0e32\\u0e04\\u0e38\\u0e13\\u0e1a\\u0e2d\\u0e01\\u0e27\\u0e48\\u0e32\\u0e40\\u0e23\\u0e32\\u0e40\\u0e25\\u0e27 \\u0e41\\u0e2a\\u0e14\\u0e07\\u0e27\\u0e48\\u0e32\\u0e04\\u0e38\\u0e13\\u0e44\\u0e21\\u0e48\\u0e23\\u0e39\\u0e49\\u0e08\\u0e31\\u0e01\\u0e40\\u0e23\\u0e32\\u0e14\\u0e35\\u0e1e\\u0e2d              \\u0e16\\u0e49\\u0e32\\u0e04\\u0e38\\u0e13\\u0e1a\\u0e2d\\u0e01\\u0e27\\u0e48\\u0e32\\u0e40\\u0e23\\u0e32\\u0e14\\u0e35 \\u0e41\\u0e2a\\u0e14\\u0e07\\u0e27\\u0e48\\u0e32\\u0e04\\u0e38\\u0e13\\u0e44\\u0e21\\u0e48\\u0e23\\u0e39\\u0e49\\u0e08\\u0e31\\u0e01\\u0e40\\u0e23\\u0e32\\u0e40\\u0e25\\u0e22.\",\"protected\":false,\"verified\":false,\"followers_count\":10,\"friends_count\":272,\"listed_count\":0,\"favourites_count\":36,\"statuses_count\":508,\"created_at\":\"Sat Sep 27 12:16:58 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/515838643307433984\\/-3rqbixg_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/515838643307433984\\/-3rqbixg_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:13:44 +0000 2014\",\"id\":517331536824119296,\"id_str\":\"517331536824119296\",\"text\":\"\\u0e0a\\u0e48\\u0e2d\\u0e07 3 \\u0e19\\u0e35\\u0e48\\u0e15\\u0e49\\u0e2d\\u0e07\\u0e01\\u0e32\\u0e23\\u0e17\\u0e31\\u0e19\\u0e15\\u0e41\\u0e1e\\u0e17\\u0e22\\u0e4c\\u0e44\\u0e2b\\u0e21\\u0e04\\u0e23\\u0e31\\u0e1a \\u0e40\\u0e2b\\u0e47\\u0e19\\u0e1f\\u0e31\\u0e19\\u0e01\\u0e31\\u0e19\\u0e17\\u0e31\\u0e49\\u0e07\\u0e40\\u0e23\\u0e37\\u0e48\\u0e2d\\u0e07 #ch3\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":76890925,\"id_str\":\"76890925\",\"name\":\"\\u0e19\\u0e31\\u0e14\\u0e17\\u0e30\\u0e42\\u0e1a\\u0e4a\\u0e17 \\u0e44\\u0e1b\\u0e44\\u0e2b\\u0e19\\u0e07\\u0e30\",\"screen_name\":\"nattaboat\",\"location\":\"Bangkok , Phichit\",\"url\":\"https:\\/\\/www.facebook.com\\/boatfc\",\"description\":\"IG : nattaboat | SSRU | \\u0e21\\u0e35\\u0e41\\u0e1f\\u0e19\\u0e41\\u0e25\\u0e49\\u0e27 | \\u0e40\\u0e08\\u0e49\\u0e32\\u0e19\\u0e32\\u0e22\\u0e21\\u0e32\\u0e42\\u0e21 | Creative | \\u0e44\\u0e21\\u0e48\\u0e2d\\u0e22\\u0e32\\u0e01\\u0e40\\u0e08\\u0e47\\u0e1a\\u0e08\\u0e34\\u0e4b\\u0e21 \\u0e2d\\u0e22\\u0e48\\u0e32\\u0e22\\u0e34\\u0e49\\u0e21\\u0e43\\u0e2b\\u0e49\\u0e1e\\u0e35\\u0e48 | \\u0e2b\\u0e22\\u0e32\\u0e1a\\u0e04\\u0e32\\u0e22\\u0e40\\u0e2b\\u0e35\\u0e49\\u0e22\\u0e46 | \\u0e2b\\u0e37\\u0e48\\u0e19\\u0e2d\\u0e22\\u0e48\\u0e32\\u0e07\\u0e25\\u0e07\\u0e15\\u0e31\\u0e27 |\",\"protected\":false,\"verified\":false,\"followers_count\":89653,\"friends_count\":392,\"listed_count\":55,\"favourites_count\":6655,\"statuses_count\":133567,\"created_at\":\"Thu Sep 24 08:26:39 +0000 2009\",\"utc_offset\":25200,\"time_zone\":\"Bangkok\",\"geo_enabled\":true,\"lang\":\"th\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"3F3CBD\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000174230258\\/GcPN6foq.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000174230258\\/GcPN6foq.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"D292E0\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"F6EAAE\",\"profile_text_color\":\"FFA3A8\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/517215245316521984\\/9YEwSAJ8_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/517215245316521984\\/9YEwSAJ8_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/76890925\\/1402855599\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":602,\"favorite_count\":31,\"entities\":{\"hashtags\":[{\"text\":\"ch3\",\"indices\":[55,59]}],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":true,\"filter_level\":\"low\",\"lang\":\"th\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"ch3\",\"indices\":[70,74]}],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"nattaboat\",\"name\":\"\\u0e19\\u0e31\\u0e14\\u0e17\\u0e30\\u0e42\\u0e1a\\u0e4a\\u0e17 \\u0e44\\u0e1b\\u0e44\\u0e2b\\u0e19\\u0e07\\u0e30\",\"id\":76890925,\"id_str\":\"76890925\",\"indices\":[3,13]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"th\",\"timestamp_ms\":\"1412178008802\"}",
			"{\"delete\":{\"status\":{\"id\":516955412910718976,\"id_str\":\"516955412910718976\",\"user_id\":1445974435,\"user_id_str\":\"1445974435\"},\"timestamp_ms\":\"1412178008880\"}}",
			"{\"delete\":{\"status\":{\"id\":326659622331097089,\"id_str\":\"326659622331097089\",\"user_id\":576900143,\"user_id_str\":\"576900143\"},\"timestamp_ms\":\"1412178008933\"}}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180895653889,\"id_str\":\"517338180895653889\",\"text\":\"I wrote this shit awhile back.  http:\\/\\/t.co\\/T4M23OI5Jj http:\\/\\/t.co\\/WnsefFyWeW\",\"source\":\"\\u003ca href=\\\"http:\\/\\/timehop.com\\/\\\" rel=\\\"nofollow\\\"\\u003eTimehop\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":325969703,\"id_str\":\"325969703\",\"name\":\"Donna\",\"screen_name\":\"suedonna38\",\"location\":\"Wichita,ks\",\"url\":null,\"description\":\"I'm a sweet person easy to talk to. Not scared to tell a person who i feel about them. wont talk shit bout you behind your back.\",\"protected\":false,\"verified\":false,\"followers_count\":9,\"friends_count\":14,\"listed_count\":0,\"favourites_count\":2,\"statuses_count\":130,\"created_at\":\"Wed Jun 29 04:51:04 +0000 2011\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"1A1B1F\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme9\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme9\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"2FC2EF\",\"profile_sidebar_border_color\":\"181A1E\",\"profile_sidebar_fill_color\":\"252429\",\"profile_text_color\":\"666666\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/509868285924769792\\/7TV6kRHA_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/509868285924769792\\/7TV6kRHA_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/325969703\\/1410397045\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/T4M23OI5Jj\",\"expanded_url\":\"http:\\/\\/timehop.com\\/c\\/fs:254033377967288:100000818848882:4131331:ec232\",\"display_url\":\"timehop.com\\/c\\/fs:254033377\\u2026\",\"indices\":[32,54]}],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":517338180698509312,\"id_str\":\"517338180698509312\",\"indices\":[55,77],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By30VZlIEAAB3q1.png\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By30VZlIEAAB3q1.png\",\"url\":\"http:\\/\\/t.co\\/WnsefFyWeW\",\"display_url\":\"pic.twitter.com\\/WnsefFyWeW\",\"expanded_url\":\"http:\\/\\/twitter.com\\/suedonna38\\/status\\/517338180895653889\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":918,\"h\":2009,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":310,\"h\":680,\"resize\":\"fit\"},\"medium\":{\"w\":548,\"h\":1200,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":517338180698509312,\"id_str\":\"517338180698509312\",\"indices\":[55,77],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By30VZlIEAAB3q1.png\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By30VZlIEAAB3q1.png\",\"url\":\"http:\\/\\/t.co\\/WnsefFyWeW\",\"display_url\":\"pic.twitter.com\\/WnsefFyWeW\",\"expanded_url\":\"http:\\/\\/twitter.com\\/suedonna38\\/status\\/517338180895653889\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":918,\"h\":2009,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":310,\"h\":680,\"resize\":\"fit\"},\"medium\":{\"w\":548,\"h\":1200,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178008667\"}",
			"{\"delete\":{\"status\":{\"id\":454238689829199874,\"id_str\":\"454238689829199874\",\"user_id\":2284939447,\"user_id_str\":\"2284939447\"},\"timestamp_ms\":\"1412178008956\"}}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180907835392,\"id_str\":\"517338180907835392\",\"text\":\"Suzaki Aya http:\\/\\/t.co\\/TF4Yp7YtLB\",\"source\":\"\\u003ca href=\\\"http:\\/\\/google.com\\\" rel=\\\"nofollow\\\"\\u003estuff_ebooks\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2541426302,\"id_str\":\"2541426302\",\"name\":\"Seiyuu Gallery \",\"screen_name\":\"sei_neesan\",\"location\":\"2.5D\",\"url\":\"http:\\/\\/sei.neesan.org\",\"description\":\"Pictures from http:\\/\\/seiyuu.neesan.org |~| Also accepting Mentions of seiyuu images. |~| Direct bugs, errors or requests to @_hiromi_chan\",\"protected\":false,\"verified\":false,\"followers_count\":85,\"friends_count\":8,\"listed_count\":2,\"favourites_count\":0,\"statuses_count\":8746,\"created_at\":\"Mon Jun 02 12:50:56 +0000 2014\",\"utc_offset\":32400,\"time_zone\":\"Osaka\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"000000\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/483591005917020160\\/krQdtz8j.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/483591005917020160\\/krQdtz8j.jpeg\",\"profile_background_tile\":false,\"profile_link_color\":\"30106B\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/473447831731073024\\/jeyUb6wx_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/473447831731073024\\/jeyUb6wx_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2541426302\\/1404131474\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":517338180484206592,\"id_str\":\"517338180484206592\",\"indices\":[11,33],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By30VYyCEAA_qAD.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By30VYyCEAA_qAD.jpg\",\"url\":\"http:\\/\\/t.co\\/TF4Yp7YtLB\",\"display_url\":\"pic.twitter.com\\/TF4Yp7YtLB\",\"expanded_url\":\"http:\\/\\/twitter.com\\/sei_neesan\\/status\\/517338180907835392\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":760,\"resize\":\"fit\"},\"large\":{\"w\":1024,\"h\":1297,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":430,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":517338180484206592,\"id_str\":\"517338180484206592\",\"indices\":[11,33],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By30VYyCEAA_qAD.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By30VYyCEAA_qAD.jpg\",\"url\":\"http:\\/\\/t.co\\/TF4Yp7YtLB\",\"display_url\":\"pic.twitter.com\\/TF4Yp7YtLB\",\"expanded_url\":\"http:\\/\\/twitter.com\\/sei_neesan\\/status\\/517338180907835392\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":760,\"resize\":\"fit\"},\"large\":{\"w\":1024,\"h\":1297,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":430,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"tr\",\"timestamp_ms\":\"1412178008668\"}",
			"{\"delete\":{\"status\":{\"id\":454210436993265664,\"id_str\":\"454210436993265664\",\"user_id\":2284939447,\"user_id_str\":\"2284939447\"},\"timestamp_ms\":\"1412178009094\"}}",
			"{\"delete\":{\"status\":{\"id\":243024315560370176,\"id_str\":\"243024315560370176\",\"user_id\":637451709,\"user_id_str\":\"637451709\"},\"timestamp_ms\":\"1412178009109\"}}",
			"{\"delete\":{\"status\":{\"id\":379622550159904770,\"id_str\":\"379622550159904770\",\"user_id\":1303521211,\"user_id_str\":\"1303521211\"},\"timestamp_ms\":\"1412178009182\"}}",
			"{\"delete\":{\"status\":{\"id\":516181836465438720,\"id_str\":\"516181836465438720\",\"user_id\":372422096,\"user_id_str\":\"372422096\"},\"timestamp_ms\":\"1412178009228\"}}",
			"{\"delete\":{\"status\":{\"id\":333677082972405761,\"id_str\":\"333677082972405761\",\"user_id\":112144559,\"user_id_str\":\"112144559\"},\"timestamp_ms\":\"1412178009301\"}}",
			"{\"delete\":{\"status\":{\"id\":206447069651664896,\"id_str\":\"206447069651664896\",\"user_id\":240509083,\"user_id_str\":\"240509083\"},\"timestamp_ms\":\"1412178009360\"}}",
			"{\"delete\":{\"status\":{\"id\":516588503564431360,\"id_str\":\"516588503564431360\",\"user_id\":1606015578,\"user_id_str\":\"1606015578\"},\"timestamp_ms\":\"1412178009380\"}}",
			"{\"delete\":{\"status\":{\"id\":302772876480741376,\"id_str\":\"302772876480741376\",\"user_id\":519251696,\"user_id_str\":\"519251696\"},\"timestamp_ms\":\"1412178009475\"}}",
			"{\"delete\":{\"status\":{\"id\":191716426552328194,\"id_str\":\"191716426552328194\",\"user_id\":110306205,\"user_id_str\":\"110306205\"},\"timestamp_ms\":\"1412178009472\"}}",
			"{\"delete\":{\"status\":{\"id\":420658496414027776,\"id_str\":\"420658496414027776\",\"user_id\":63286510,\"user_id_str\":\"63286510\"},\"timestamp_ms\":\"1412178009566\"}}",
			"{\"delete\":{\"status\":{\"id\":517186527449731072,\"id_str\":\"517186527449731072\",\"user_id\":369725475,\"user_id_str\":\"369725475\"},\"timestamp_ms\":\"1412178009577\"}}",
			"{\"delete\":{\"status\":{\"id\":505126712258994176,\"id_str\":\"505126712258994176\",\"user_id\":282654461,\"user_id_str\":\"282654461\"},\"timestamp_ms\":\"1412178009637\"}}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185085771777,\"id_str\":\"517338185085771777\",\"text\":\"All I see is money in my dreams money got me fucked up \\udbb9\\udce3\\udbb9\\udcdd\",\"source\":\"\\u003ca href=\\\"http:\\/\\/www.facebook.com\\/twitter\\\" rel=\\\"nofollow\\\"\\u003eFacebook\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":588811002,\"id_str\":\"588811002\",\"name\":\"No Lacking\",\"screen_name\":\"Badazz__lilc\",\"location\":\"Ensley,Al\",\"url\":null,\"description\":\"play smart dont get played\",\"protected\":false,\"verified\":false,\"followers_count\":2077,\"friends_count\":1940,\"listed_count\":0,\"favourites_count\":319,\"statuses_count\":31131,\"created_at\":\"Thu May 24 01:35:28 +0000 2012\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/605439253\\/8brm4oyg6filp3qzwbqg.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/605439253\\/8brm4oyg6filp3qzwbqg.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/495933682738540544\\/n4E15Vdo_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/495933682738540544\\/n4E15Vdo_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/588811002\\/1362456762\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178009666\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185098342400,\"id_str\":\"517338185098342400\",\"text\":\"Maze runner round 2\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1615820744,\"id_str\":\"1615820744\",\"name\":\"Chloe Cox\",\"screen_name\":\"chloejanecox\",\"location\":\"TX\",\"url\":null,\"description\":\"|God|, family, friends.\",\"protected\":false,\"verified\":false,\"followers_count\":93,\"friends_count\":83,\"listed_count\":0,\"favourites_count\":126,\"statuses_count\":411,\"created_at\":\"Tue Jul 23 18:16:05 +0000 2013\",\"utc_offset\":-14400,\"time_zone\":\"Eastern Time (US & Canada)\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/515915851451473920\\/I4LbCQiq_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/515915851451473920\\/I4LbCQiq_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178009668\"}",
			"{\"delete\":{\"status\":{\"id\":206243620741840896,\"id_str\":\"206243620741840896\",\"user_id\":240509083,\"user_id_str\":\"240509083\"},\"timestamp_ms\":\"1412178009542\"}}",
			"{\"delete\":{\"status\":{\"id\":205824492327542786,\"id_str\":\"205824492327542786\",\"user_id\":240509083,\"user_id_str\":\"240509083\"},\"timestamp_ms\":\"1412178009609\"}}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185102536704,\"id_str\":\"517338185102536704\",\"text\":\"Tired of him\\ud83d\\udc94\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2425918558,\"id_str\":\"2425918558\",\"name\":\"Johanna Warner\",\"screen_name\":\"pretty_johanna_\",\"location\":\"\",\"url\":null,\"description\":\"Evan\\u2764\\ufe0f\",\"protected\":false,\"verified\":false,\"followers_count\":277,\"friends_count\":309,\"listed_count\":0,\"favourites_count\":872,\"statuses_count\":1705,\"created_at\":\"Fri Mar 21 01:34:08 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/514196307867865088\\/w09x0-Cx_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/514196307867865088\\/w09x0-Cx_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178009668\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185098358785,\"id_str\":\"517338185098358785\",\"text\":\"que horror #Lali #KCAArgentina\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1945341553,\"id_str\":\"1945341553\",\"name\":\"lalita\",\"screen_name\":\"votolaliespos\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":14,\"friends_count\":25,\"listed_count\":0,\"favourites_count\":0,\"statuses_count\":3920,\"created_at\":\"Mon Oct 07 22:34:22 +0000 2013\",\"utc_offset\":-14400,\"time_zone\":\"Eastern Time (US & Canada)\",\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FFFFFF\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"525252\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":false,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/441788923757342721\\/2mWR1Mok_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/441788923757342721\\/2mWR1Mok_normal.jpeg\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"Lali\",\"indices\":[11,16]},{\"text\":\"KCAArgentina\",\"indices\":[17,30]}],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178009668\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185098346496,\"id_str\":\"517338185098346496\",\"text\":\"Ne seninle nede sensiz!\\n G\\u00f6klerdeY\\u0131ld\\u0131zKalplerdeAy T\\u00fcrkiyedirGalatasaray\",\"source\":\"\\u003ca href=\\\"https:\\/\\/twitter.com\\/\\\" rel=\\\"nofollow\\\"\\u003eMobile Webs\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2392642656,\"id_str\":\"2392642656\",\"name\":\"melik aziz\",\"screen_name\":\"melikaziz1\",\"location\":\"do\\u011fubayaz\\u0131t turkey a\\u011fr\\u0131\",\"url\":\"https:\\/\\/www.facebook.com\\/Webmaster99\",\"description\":\"EMRE POLAT TAK\\u0130P EDEN TAK\\u0130PC\\u0130 KAZANIYOR ----@emrepolatt1\",\"protected\":false,\"verified\":false,\"followers_count\":358,\"friends_count\":1995,\"listed_count\":0,\"favourites_count\":2465,\"statuses_count\":4304,\"created_at\":\"Sun Mar 16 12:34:57 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"tr\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"F3F70F\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/446388461671415808\\/MlRWEyKh.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/446388461671415808\\/MlRWEyKh.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"F50A44\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/500555807843303426\\/yfQ14sXF_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/500555807843303426\\/yfQ14sXF_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2392642656\\/1394973810\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"tr\",\"timestamp_ms\":\"1412178009680\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185077366784,\"id_str\":\"517338185077366784\",\"text\":\"Bon apr\\u00e8s midi!\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2162107013,\"id_str\":\"2162107013\",\"name\":\"Moine Shaolin\",\"screen_name\":\"iThomasRohani\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":1181,\"friends_count\":1812,\"listed_count\":1,\"favourites_count\":665,\"statuses_count\":7219,\"created_at\":\"Thu Oct 31 17:17:55 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"fr\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/510666340555046912\\/Tt9-n-ex_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/510666340555046912\\/Tt9-n-ex_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2162107013\\/1410128565\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"fr\",\"timestamp_ms\":\"1412178009663\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185089945601,\"id_str\":\"517338185089945601\",\"text\":\"que horror #Lali #KCAArgentina\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2581312304,\"id_str\":\"2581312304\",\"name\":\"i am.\",\"screen_name\":\"wichwillbe\",\"location\":\"\",\"url\":null,\"description\":\"Fuck you, fuck you very, very much.      So please stay in touch.\",\"protected\":false,\"verified\":false,\"followers_count\":87,\"friends_count\":110,\"listed_count\":2,\"favourites_count\":6,\"statuses_count\":2581,\"created_at\":\"Sun Jun 22 01:15:35 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FFFFFF\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"000000\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":false,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/480527516507963392\\/aD1ADb7f_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/480527516507963392\\/aD1ADb7f_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2581312304\\/1403401680\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"Lali\",\"indices\":[11,16]},{\"text\":\"KCAArgentina\",\"indices\":[17,30]}],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178009664\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185102536705,\"id_str\":\"517338185102536705\",\"text\":\"@TurkeyNoHam you go to school today\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517332584770981888,\"in_reply_to_status_id_str\":\"517332584770981888\",\"in_reply_to_user_id\":187654213,\"in_reply_to_user_id_str\":\"187654213\",\"in_reply_to_screen_name\":\"TurkeyNoHam\",\"user\":{\"id\":337424879,\"id_str\":\"337424879\",\"name\":\"simply me\",\"screen_name\":\"Softpink_lips\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":408,\"friends_count\":381,\"listed_count\":3,\"favourites_count\":1718,\"statuses_count\":58124,\"created_at\":\"Mon Jul 18 00:52:41 +0000 2011\",\"utc_offset\":-18000,\"time_zone\":\"Central Time (US & Canada)\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"1A1B1F\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme9\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme9\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"2FC2EF\",\"profile_sidebar_border_color\":\"181A1E\",\"profile_sidebar_fill_color\":\"252429\",\"profile_text_color\":\"666666\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/495778408903999488\\/hLZ7V1rk_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/495778408903999488\\/hLZ7V1rk_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/337424879\\/1387148371\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"TurkeyNoHam\",\"name\":\"King\\u264fTurk\",\"id\":187654213,\"id_str\":\"187654213\",\"indices\":[0,12]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178009669\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185073168384,\"id_str\":\"517338185073168384\",\"text\":\"RT @VenEnterate: Conozca a la mujer que se queda dormida en el acto si llega a re\\u00edrse. Ver  \\u2192 http:\\/\\/t.co\\/mzOhu1OkQA http:\\/\\/t.co\\/BPquuXt9hN\",\"source\":\"\\u003ca href=\\\"http:\\/\\/tooltwits.com\\/\\\" rel=\\\"nofollow\\\"\\u003eToolTwits APP\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":767611723,\"id_str\":\"767611723\",\"name\":\"Tips Saludables\",\"screen_name\":\"ModayBellezaes\",\"location\":\"PUBLICIDAD:Jcpickt@Gmail.Com \",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":66443,\"friends_count\":7,\"listed_count\":83,\"favourites_count\":26,\"statuses_count\":15124,\"created_at\":\"Sun Aug 19 13:57:58 +0000 2012\",\"utc_offset\":-16200,\"time_zone\":\"Caracas\",\"geo_enabled\":true,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"0099B9\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme4\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme4\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"0099B9\",\"profile_sidebar_border_color\":\"5ED4DC\",\"profile_sidebar_fill_color\":\"95E8EC\",\"profile_text_color\":\"3C3940\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/514804910173335553\\/axn-96rG_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/514804910173335553\\/axn-96rG_normal.jpeg\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Sep 24 17:26:46 +0000 2014\",\"id\":514828301207363584,\"id_str\":\"514828301207363584\",\"text\":\"Conozca a la mujer que se queda dormida en el acto si llega a re\\u00edrse. Ver  \\u2192 http:\\/\\/t.co\\/mzOhu1OkQA http:\\/\\/t.co\\/BPquuXt9hN\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1972496839,\"id_str\":\"1972496839\",\"name\":\"\\u00a1Ven Ent\\u00e9rate!\",\"screen_name\":\"VenEnterate\",\"location\":\"\",\"url\":null,\"description\":\"#Noticias #DatosCuriosos #CosasInteresantes #venEnt\\u00e9rate ||\",\"protected\":false,\"verified\":false,\"followers_count\":5490,\"friends_count\":71,\"listed_count\":13,\"favourites_count\":11,\"statuses_count\":24,\"created_at\":\"Sat Oct 19 18:34:05 +0000 2013\",\"utc_offset\":-10800,\"time_zone\":\"Atlantic Time (Canada)\",\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/514822272687677440\\/yqQN4vXd_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/514822272687677440\\/yqQN4vXd_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1972496839\\/1411581787\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":39,\"favorite_count\":41,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/mzOhu1OkQA\",\"expanded_url\":\"http:\\/\\/bit.ly\\/1ohXCPd\",\"display_url\":\"bit.ly\\/1ohXCPd\",\"indices\":[77,99]}],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":514828297948364800,\"id_str\":\"514828297948364800\",\"indices\":[100,122],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByUJm_uIAAAi2wc.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByUJm_uIAAAi2wc.jpg\",\"url\":\"http:\\/\\/t.co\\/BPquuXt9hN\",\"display_url\":\"pic.twitter.com\\/BPquuXt9hN\",\"expanded_url\":\"http:\\/\\/twitter.com\\/VenEnterate\\/status\\/514828301207363584\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":500,\"h\":400,\"resize\":\"fit\"},\"large\":{\"w\":500,\"h\":400,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":272,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":514828297948364800,\"id_str\":\"514828297948364800\",\"indices\":[100,122],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByUJm_uIAAAi2wc.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByUJm_uIAAAi2wc.jpg\",\"url\":\"http:\\/\\/t.co\\/BPquuXt9hN\",\"display_url\":\"pic.twitter.com\\/BPquuXt9hN\",\"expanded_url\":\"http:\\/\\/twitter.com\\/VenEnterate\\/status\\/514828301207363584\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":500,\"h\":400,\"resize\":\"fit\"},\"large\":{\"w\":500,\"h\":400,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":272,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"es\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/mzOhu1OkQA\",\"expanded_url\":\"http:\\/\\/bit.ly\\/1ohXCPd\",\"display_url\":\"bit.ly\\/1ohXCPd\",\"indices\":[94,116]}],\"user_mentions\":[{\"screen_name\":\"VenEnterate\",\"name\":\"\\u00a1Ven Ent\\u00e9rate!\",\"id\":1972496839,\"id_str\":\"1972496839\",\"indices\":[3,15]}],\"symbols\":[],\"media\":[{\"id\":514828297948364800,\"id_str\":\"514828297948364800\",\"indices\":[117,139],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByUJm_uIAAAi2wc.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByUJm_uIAAAi2wc.jpg\",\"url\":\"http:\\/\\/t.co\\/BPquuXt9hN\",\"display_url\":\"pic.twitter.com\\/BPquuXt9hN\",\"expanded_url\":\"http:\\/\\/twitter.com\\/VenEnterate\\/status\\/514828301207363584\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":500,\"h\":400,\"resize\":\"fit\"},\"large\":{\"w\":500,\"h\":400,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":272,\"resize\":\"fit\"}},\"source_status_id\":514828301207363584,\"source_status_id_str\":\"514828301207363584\"}]},\"extended_entities\":{\"media\":[{\"id\":514828297948364800,\"id_str\":\"514828297948364800\",\"indices\":[117,139],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByUJm_uIAAAi2wc.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByUJm_uIAAAi2wc.jpg\",\"url\":\"http:\\/\\/t.co\\/BPquuXt9hN\",\"display_url\":\"pic.twitter.com\\/BPquuXt9hN\",\"expanded_url\":\"http:\\/\\/twitter.com\\/VenEnterate\\/status\\/514828301207363584\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":500,\"h\":400,\"resize\":\"fit\"},\"large\":{\"w\":500,\"h\":400,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":272,\"resize\":\"fit\"}},\"source_status_id\":514828301207363584,\"source_status_id_str\":\"514828301207363584\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178009679\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185110933504,\"id_str\":\"517338185110933504\",\"text\":\"I've had dreams of ihop pancakes for the last 2 nights.\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":363324762,\"id_str\":\"363324762\",\"name\":\"Hilarity Duff\",\"screen_name\":\"JoinTheKIMotion\",\"location\":\"MSU18\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":405,\"friends_count\":303,\"listed_count\":0,\"favourites_count\":4000,\"statuses_count\":39347,\"created_at\":\"Sat Aug 27 22:24:33 +0000 2011\",\"utc_offset\":-18000,\"time_zone\":\"Quito\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"F2D17E\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000111563855\\/0eeb3bc61a50435d5f2de0fe2bce99d8.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000111563855\\/0eeb3bc61a50435d5f2de0fe2bce99d8.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"AB0505\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"FFFFFF\",\"profile_text_color\":\"000000\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/514541961148370944\\/cMpwE7a__normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/514541961148370944\\/cMpwE7a__normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/363324762\\/1408047304\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178009671\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185072775169,\"id_str\":\"517338185072775169\",\"text\":\"\\u3081\\u3063\\u3061\\u3083\\u7b11\\u3063\\u3066\\u308b #daitoanime\",\"source\":\"\\u003ca href=\\\"http:\\/\\/www.jstwi.com\\/kurotwi\\/\\\" rel=\\\"nofollow\\\"\\u003eKuroTwi\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":302070606,\"id_str\":\"302070606\",\"name\":\"\\u305f\\u304b\\u3074\\u3087\\u3093\\uff2010\\/11\\u3042\\u306b\\u3077\\u308a\",\"screen_name\":\"tkpyonn\",\"location\":\"\",\"url\":\"http:\\/\\/www.ustream.tv\\/channel\\/tkpyonn\",\"description\":\"\\u548c\\u59e6\\u5927\\u597d\\u304d\\u30de\\u30f3\",\"protected\":false,\"verified\":false,\"followers_count\":1462,\"friends_count\":1454,\"listed_count\":116,\"favourites_count\":17987,\"statuses_count\":170395,\"created_at\":\"Fri May 20 15:06:38 +0000 2011\",\"utc_offset\":32400,\"time_zone\":\"Tokyo\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/516705932705685504\\/NxncvWm9.png\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/516705932705685504\\/NxncvWm9.png\",\"profile_background_tile\":false,\"profile_link_color\":\"009EB3\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/2714017331\\/2a651bafb92e4da90c3c95f0302fb629_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/2714017331\\/2a651bafb92e4da90c3c95f0302fb629_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/302070606\\/1412027350\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"daitoanime\",\"indices\":[9,20]}],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178009662\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185102528512,\"id_str\":\"517338185102528512\",\"text\":\"@Michael5SOS gg\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517336196004200448,\"in_reply_to_status_id_str\":\"517336196004200448\",\"in_reply_to_user_id\":2225367061,\"in_reply_to_user_id_str\":\"2225367061\",\"in_reply_to_screen_name\":\"fiercemikey\",\"user\":{\"id\":2225367061,\"id_str\":\"2225367061\",\"name\":\"MICHAEL?| TODAY\",\"screen_name\":\"fiercemikey\",\"location\":\"\",\"url\":null,\"description\":\"i wish that i could wake up with michael clifford\",\"protected\":false,\"verified\":false,\"followers_count\":1234,\"friends_count\":1602,\"listed_count\":12,\"favourites_count\":2430,\"statuses_count\":12371,\"created_at\":\"Sun Dec 01 18:07:17 +0000 2013\",\"utc_offset\":-14400,\"time_zone\":\"Eastern Time (US & Canada)\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"F090C3\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/512007535105019904\\/pEQspqtw_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/512007535105019904\\/pEQspqtw_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2225367061\\/1410907083\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"Michael5SOS\",\"name\":\"Michael Clifford\",\"id\":403246803,\"id_str\":\"403246803\",\"indices\":[0,12]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"und\",\"timestamp_ms\":\"1412178009669\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185085759488,\"id_str\":\"517338185085759488\",\"text\":\"@clima_UACh quedo pegado el termometro\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517336899372216320,\"in_reply_to_status_id_str\":\"517336899372216320\",\"in_reply_to_user_id\":458612654,\"in_reply_to_user_id_str\":\"458612654\",\"in_reply_to_screen_name\":\"clima_UACh\",\"user\":{\"id\":50948250,\"id_str\":\"50948250\",\"name\":\"Alejandro B\",\"screen_name\":\"raubus\",\"location\":\"Chile\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":121,\"friends_count\":83,\"listed_count\":0,\"favourites_count\":237,\"statuses_count\":5896,\"created_at\":\"Fri Jun 26 06:20:57 +0000 2009\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/456218347298766850\\/ELLbeDtT_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/456218347298766850\\/ELLbeDtT_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"clima_UACh\",\"name\":\"Clima_Miraflores\",\"id\":458612654,\"id_str\":\"458612654\",\"indices\":[0,11]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178009666\"}",
			"{\"delete\":{\"status\":{\"id\":302654475481526272,\"id_str\":\"302654475481526272\",\"user_id\":519251696,\"user_id_str\":\"519251696\"},\"timestamp_ms\":\"1412178009631\"}}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185089572864,\"id_str\":\"517338185089572864\",\"text\":\"\\u7530\\u4e2d\\u8056\\u304c\\u30d0\\u30f3\\u30c9\\u7d50\\u6210\\uff57\\uff57\\uff57\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twipple.jp\\/\\\" rel=\\\"nofollow\\\"\\u003e\\u3064\\u3044\\u3063\\u3077\\u308b\\u3000\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1315705094,\"id_str\":\"1315705094\",\"name\":\"\\u3046\\u3055\",\"screen_name\":\"hideki1777\",\"location\":\"\",\"url\":null,\"description\":\"\\u304a\\u8336\\u5c0f\\/\\u9ad8\\u8f2a\\/\\u65e9\\u7a32\\u7530\\u96fb\\u30d4\\u30ab2\\/w.s.s.\\/\\u306b\\u308f\\u304b\\u30e1\\u30bf\\u30e9\\u30fc\\/FFTCG\\/\\u610f\\u8b58\\u4ed6\\u754c\\u7cfb\\u7537\\u5b50\\/\",\"protected\":false,\"verified\":false,\"followers_count\":81,\"friends_count\":78,\"listed_count\":0,\"favourites_count\":84,\"statuses_count\":4904,\"created_at\":\"Sat Mar 30 03:45:29 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/515444952327675904\\/Uti7xbNA_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/515444952327675904\\/Uti7xbNA_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1315705094\\/1402282307\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178009665\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185085358080,\"id_str\":\"517338185085358080\",\"text\":\"\\u3057\\u3050\\u308c\\u3061\\u3083\\u3093\\u306f\\u79d8\\u66f8\\u306b\\u3057\\u305f\\u3068\\u3057\\u3066\\u3082\\u3001\\u3069\\u3046\\u3057\\u3066\\u3082\\u4ed6\\u306e\\u63d0\\u7763\\u306e\\u3068\\u3053\\u308d\\u304b\\u3089\\u304a\\u501f\\u308a\\u3057\\u3066\\u308b\\u3088\\u3046\\u306a\\u6c17\\u304c\\u3057\\u3066\\u306a\\u3089\\u306a\\u3044\\u3002\\u3053\\u306e\\u5a18\\u306f\\u79c1\\u306e\\u3082\\u306e\\u3067\\u306f\\u306a\\u3044\\u3063\\u3066\\u611f\\u3058\\u3002\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":486830776,\"id_str\":\"486830776\",\"name\":\"\\u3042\\u308b\",\"screen_name\":\"Twilight_Lily\",\"location\":\"\\u5bff\\u5f01\\u5f53\\u30fb\\u30b7\\u30e5\\u30c6\\u30eb\\u30f3\\u30d3\\u30eb\\u30c8\\u652f\\u5e97\",\"url\":\"http:\\/\\/twpf.jp\\/Twilight_Lily\",\"description\":\"\\u6027\\u8ee2\\u63db\\u3001\\u634f\\u9020\\u30cd\\u30bf\\u5927\\u597d\\u304d\\u30b9\\u30ab\\u30a4\\u5ec3\\u3002NL\\u5922GLBL\\u7121\\u7bc0\\u64cd\\u96d1\\u98df\\u3002APH\\u30fb\\u3046\\u307f\\u306d\\u3053\\u30fb\\u3046\\u305f\\u30d7\\u30ea\\u3002\\u53cb\\u3061\\u3083\\u3093\\u306eCD\\u307e\\u3060\\uff1f\\u30b3\\u30b9\\u5199\\u771f\\u6709\\u3002 @ROTroombot \\u3068 @Female_Bunny\\u4e2d\\u306e\\u4eba\\u3002\\u6587\\u5b57\\u30a2\\u30ab\\u2192@twilight_lie \\u30d5\\u30a9\\u30ed\\u30fc\\u306f\\u6210\\u4eba\\u6e08\\u306e\\u307f\\u3002\\u8a73\\u3057\\u304f\\u306f\\u30c4\\u30a4\\u30d7\\u30ed\\u3078\",\"protected\":false,\"verified\":false,\"followers_count\":86,\"friends_count\":95,\"listed_count\":4,\"favourites_count\":2939,\"statuses_count\":23792,\"created_at\":\"Wed Feb 08 18:23:44 +0000 2012\",\"utc_offset\":32400,\"time_zone\":\"Osaka\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"1A1B1F\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme9\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme9\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"2FC2EF\",\"profile_sidebar_border_color\":\"181A1E\",\"profile_sidebar_fill_color\":\"252429\",\"profile_text_color\":\"666666\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/492357968323555328\\/_2Zd4sQv_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/492357968323555328\\/_2Zd4sQv_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/486830776\\/1401289249\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178009666\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185073172480,\"id_str\":\"517338185073172480\",\"text\":\"I honestly miss running and this was always my favorite season to go for a nice long run #stupidknee #badankle\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":580543844,\"id_str\":\"580543844\",\"name\":\"Michaela\",\"screen_name\":\"M_Gamache10\",\"location\":\"\",\"url\":null,\"description\":\"Your name would be a good tattoo \\u2764\\ufe0f Equestrian #teamottb \\u2764\\ufe0fGrand Finale\\u2764\\ufe0f #RIPCodyNoel #cancerawarness\\u2764\\ufe0f     9\\/12\\/14~ @NickJorge20 \\u2764\\ufe0f\",\"protected\":false,\"verified\":false,\"followers_count\":172,\"friends_count\":207,\"listed_count\":0,\"favourites_count\":4816,\"statuses_count\":5383,\"created_at\":\"Tue May 15 04:39:50 +0000 2012\",\"utc_offset\":-10800,\"time_zone\":\"Atlantic Time (Canada)\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"19B0E3\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme18\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme18\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"D11ECB\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"F6F6F6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/514476228427132928\\/dh1AFbai_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/514476228427132928\\/dh1AFbai_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/580543844\\/1409013130\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"stupidknee\",\"indices\":[89,100]},{\"text\":\"badankle\",\"indices\":[101,110]}],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178009662\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185089548288,\"id_str\":\"517338185089548288\",\"text\":\"\\u82e5\\u3055\\u3093\\u304c\\u3001\\u30a4\\u30d9\\u30f3\\u30c8\\u3084\\u308b\\u306e\\u304b\\u306a\\uff1f\\n\\n#\\u8d64\\u304a\\u3067\\u3093\\u5f15\\u304f\\u307e\\u3067\\u3084\\u3081\\u307e\\u305b\\u3093\",\"source\":\"\\u003ca href=\\\"http:\\/\\/tapbots.com\\/tweetbot\\\" rel=\\\"nofollow\\\"\\u003eTweetbot for i\\u039fS\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":546545312,\"id_str\":\"546545312\",\"name\":\"\\u30d3\\u30ea\\u30fc\\uf8ff\",\"screen_name\":\"BILLY777GET\",\"location\":\"\\u30d1\\u30ba\\u30c9\\u30e9\\u661f\",\"url\":null,\"description\":\"\\u901a\\u7b97600\\u65e5\\u7a81\\u7834\\u266a\\n\\u6c17\\u307e\\u3050\\u308c\\u306a600\\u30e9\\u30f3\\u30ab\\u30fc\\u266a\\n\\u30ac\\u30c1\\u30e3\\u672a\\u6240\\u6301\\u27a1\\ufe0e\\u7dd1\\u30bd\\u30cb\\u30a2\\u3001\\u6728\\u30f4\\u30a1\\u30eb\\u3001\\u6c34\\u30e1\\u30bf\",\"protected\":false,\"verified\":false,\"followers_count\":932,\"friends_count\":1182,\"listed_count\":18,\"favourites_count\":433,\"statuses_count\":12062,\"created_at\":\"Fri Apr 06 05:30:49 +0000 2012\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/497356628434227201\\/7hd-xkEI_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/497356628434227201\\/7hd-xkEI_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"\\u8d64\\u304a\\u3067\\u3093\\u5f15\\u304f\\u307e\\u3067\\u3084\\u3081\\u307e\\u305b\\u3093\",\"indices\":[17,31]}],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178009666\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185110913024,\"id_str\":\"517338185110913024\",\"text\":\"@njallsmyforce Unico mio perenne desiderio, mi basterebbe nella vita\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517337446166827010,\"in_reply_to_status_id_str\":\"517337446166827010\",\"in_reply_to_user_id\":382785365,\"in_reply_to_user_id_str\":\"382785365\",\"in_reply_to_screen_name\":\"njallsmyforce\",\"user\":{\"id\":1308026394,\"id_str\":\"1308026394\",\"name\":\"\\u2728Bazinga\\u2728\",\"screen_name\":\"BruniRebecca\",\"location\":\"italy\",\"url\":\"http:\\/\\/littlethingslovehazza.tumblr.com\",\"description\":\"You make me strong\",\"protected\":false,\"verified\":false,\"followers_count\":1008,\"friends_count\":1934,\"listed_count\":1,\"favourites_count\":2596,\"statuses_count\":4671,\"created_at\":\"Wed Mar 27 17:08:26 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"it\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"709397\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme6\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme6\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"FF3300\",\"profile_sidebar_border_color\":\"86A4A6\",\"profile_sidebar_fill_color\":\"A0C5C7\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/517029634706530305\\/qmr1ZIlo_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/517029634706530305\\/qmr1ZIlo_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1308026394\\/1412103897\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"njallsmyforce\",\"name\":\"\\u751f\\u304d\\u7532\\u6590\",\"id\":382785365,\"id_str\":\"382785365\",\"indices\":[0,14]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"it\",\"timestamp_ms\":\"1412178009667\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185076977664,\"id_str\":\"517338185076977664\",\"text\":\"@nicolespag Your segment is ready.\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":8174142,\"in_reply_to_user_id_str\":\"8174142\",\"in_reply_to_screen_name\":\"nicolespag\",\"user\":{\"id\":5752712,\"id_str\":\"5752712\",\"name\":\"Mike Boyd\",\"screen_name\":\"IceWarm\",\"location\":\"Breckenridge, Colorado\",\"url\":\"http:\\/\\/icewarm.org\",\"description\":\"Geek\\/Nerd, @Frogpantsfeed Intern, Stumper of @TheTrekNerd And video game streamer at: http:\\/\\/t.co\\/Ye8IPSs5Xa Support me on Patreon: http:\\/\\/t.co\\/xRDb8SsnIs\",\"protected\":false,\"verified\":false,\"followers_count\":1563,\"friends_count\":1336,\"listed_count\":65,\"favourites_count\":861,\"statuses_count\":28289,\"created_at\":\"Thu May 03 22:37:46 +0000 2007\",\"utc_offset\":-21600,\"time_zone\":\"Mountain Time (US & Canada)\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/485346343490027521\\/DcmYX7Iq_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/485346343490027521\\/DcmYX7Iq_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/5752712\\/1398213532\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"nicolespag\",\"name\":\"nicolespag\",\"id\":8174142,\"id_str\":\"8174142\",\"indices\":[0,11]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178009663\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185076989953,\"id_str\":\"517338185076989953\",\"text\":\"@tos 1234\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twittbot.net\\/\\\" rel=\\\"nofollow\\\"\\u003etwittbot.net\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":12371162,\"in_reply_to_user_id_str\":\"12371162\",\"in_reply_to_screen_name\":\"TOS\",\"user\":{\"id\":2596058928,\"id_str\":\"2596058928\",\"name\":\"\\u304b\",\"screen_name\":\"p1otm\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":50,\"friends_count\":1,\"listed_count\":1,\"favourites_count\":5,\"statuses_count\":5017,\"created_at\":\"Mon Jun 30 09:16:35 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/499736505246437376\\/1HjUemBf_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/499736505246437376\\/1HjUemBf_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"TOS\",\"name\":\"TOS\",\"id\":12371162,\"id_str\":\"12371162\",\"indices\":[0,4]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"und\",\"timestamp_ms\":\"1412178009663\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185102548992,\"id_str\":\"517338185102548992\",\"text\":\"@null October 02, 2014 at 12:39AM 12\",\"source\":\"\\u003ca href=\\\"http:\\/\\/ifttt.com\\\" rel=\\\"nofollow\\\"\\u003eIFTTT\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":3562471,\"in_reply_to_user_id_str\":\"3562471\",\"in_reply_to_screen_name\":\"null\",\"user\":{\"id\":1706693982,\"id_str\":\"1706693982\",\"name\":\"\\u3086\\u308b\\u3075\\u308f\\u304a\\u3061\\u3093\\u307d\",\"screen_name\":\"yurufuwa_OTINPO\",\"location\":\"\",\"url\":null,\"description\":\"Tinko ando Manko.Thank you.\",\"protected\":false,\"verified\":false,\"followers_count\":106,\"friends_count\":21,\"listed_count\":0,\"favourites_count\":70591,\"statuses_count\":279776,\"created_at\":\"Wed Aug 28 08:34:53 +0000 2013\",\"utc_offset\":32400,\"time_zone\":\"Irkutsk\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/505385092974256129\\/SpH5wkhR_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/505385092974256129\\/SpH5wkhR_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1706693982\\/1409328180\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"null\",\"name\":\"not quite nothing\",\"id\":3562471,\"id_str\":\"3562471\",\"indices\":[0,5]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178009670\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185089945600,\"id_str\":\"517338185089945600\",\"text\":\"RT @NapoliBlogger: When I am 38 I hope I am just as good as Francesco Totti at sucking my thumb\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":604440890,\"id_str\":\"604440890\",\"name\":\"Giuseppe Falanga\",\"screen_name\":\"Giuseppe0325\",\"location\":\"\",\"url\":null,\"description\":\"Forza Napoli\",\"protected\":false,\"verified\":false,\"followers_count\":60,\"friends_count\":108,\"listed_count\":0,\"favourites_count\":942,\"statuses_count\":2120,\"created_at\":\"Sun Jun 10 11:28:42 +0000 2012\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/490079567004979200\\/wuWy-9QA_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/490079567004979200\\/wuWy-9QA_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/604440890\\/1399201806\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:17:52 +0000 2014\",\"id\":517332576491802625,\"id_str\":\"517332576491802625\",\"text\":\"When I am 38 I hope I am just as good as Francesco Totti at sucking my thumb\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":244704492,\"id_str\":\"244704492\",\"name\":\"P\",\"screen_name\":\"NapoliBlogger\",\"location\":\"United Kingdom\",\"url\":\"http:\\/\\/napoliblogger.blogspot.co.uk\\/\",\"description\":\"Miserable Napoli supporter. Child of Football Italia. Hipster-free zone\",\"protected\":false,\"verified\":false,\"followers_count\":6027,\"friends_count\":810,\"listed_count\":156,\"favourites_count\":207,\"statuses_count\":31254,\"created_at\":\"Sat Jan 29 23:14:23 +0000 2011\",\"utc_offset\":3600,\"time_zone\":\"London\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/515547772242890752\\/NiynnbdR_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/515547772242890752\\/NiynnbdR_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/244704492\\/1399829753\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":6,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"en\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"NapoliBlogger\",\"name\":\"P\",\"id\":244704492,\"id_str\":\"244704492\",\"indices\":[3,17]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178009681\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185102147584,\"id_str\":\"517338185102147584\",\"text\":\"\\u25cf\\u0627\\u0644\\u0627\\u0634\\u062a\\u0631\\u0627\\u0643 \\u0645\\u062c\\u0627\\u0646\\u0627 \\u0644\\u0641\\u062a\\u0631\\u0629 \\u0645\\u062d\\u062f\\u0648\\u062f\\u0629 !!\\n\\n\\u2665\\u062c\\u0645\\u064a\\u0639 \\u0623\\u0641\\u0644\\u0627\\u0645 \\u0627\\u0644\\u0633\\u0643\\u0633 \\u0627\\u0644\\u0645\\u062f\\u0641\\u0648\\u0639\\u0629 \\u062a\\u0623\\u062a\\u064a\\u0643 \\u0645\\u062c\\u0627\\u0646\\u0627\\u064b\\n\\n\\u25c0\\u0644\\u0644\\u0627\\u0634\\u062a\\u0631\\u0627\\u0643: http:\\/\\/t.co\\/IEsTiybvFG\\n\\n\\u0633\\u0643\\u0633 \\u0637\\u064a\\u0632 \\u0645\\u0643\\u0648\\u0647 \\u0645\\u0643\\u0648\\u0629 \\u0643\\u0633 #\\u0631\\u062a\\u0648\\u064a\\u062a\\n\\n44\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twittergulf.com\\/\\\" rel=\\\"nofollow\\\"\\u003e\\u062a\\u0637\\u0640\\u0640\\u0628\\u0640\\u064a\\u0642 \\u0645\\u0640\\\"\\u0640\\u0640\\u0645\\u064a\\u0632\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1728172436,\"id_str\":\"1728172436\",\"name\":\"\\u0639\\u0627\\u0634\\u0642\",\"screen_name\":\"1111156joa\",\"location\":\"\",\"url\":null,\"description\":\"\\u0627\\u0644\\u0628\\u062f \\u0645\\u0646 \\u062a\\u063a\\u064a\\u0631\\u0646 \\u0641\\u064a \\u0627\\u0644\\u0648\\u0642\\u062a \\u0627\\u0635\\u0628\\u0631 \\u0645\\u0639 \\u0635\\u0628\\u0631\\u064a\\u0646 \\u0648\\u0628\\u0634\\u0631 \\u0628\\u0627\\u0644 \\u0641\\u0627\\u0631\\u062c\",\"protected\":false,\"verified\":false,\"followers_count\":18,\"friends_count\":68,\"listed_count\":0,\"favourites_count\":22,\"statuses_count\":6078,\"created_at\":\"Wed Sep 04 09:23:47 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ar\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/470110967380975616\\/1ctHhvW0_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/470110967380975616\\/1ctHhvW0_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1728172436\\/1400918162\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"\\u0631\\u062a\\u0648\\u064a\\u062a\",\"indices\":[130,136]}],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/IEsTiybvFG\",\"expanded_url\":\"http:\\/\\/cutt.us\\/HEeD\",\"display_url\":\"cutt.us\\/HEeD\",\"indices\":[85,107]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ar\",\"timestamp_ms\":\"1412178009671\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185097936896,\"id_str\":\"517338185097936896\",\"text\":\"Allah'a sukurler Olsun ki..Bizler,Hak Dinin Muminleri..Dogru insanin ummetindeniz.. . http:\\/\\/t.co\\/UVKyJgMQq3\\n ElimeTopluBir ParaGe\\u00e7se\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2352048248,\"id_str\":\"2352048248\",\"name\":\"Mahmut Y\\u00fcrek\",\"screen_name\":\"Yrek2Yrek\",\"location\":\"\",\"url\":null,\"description\":\"\\u015fok olduuummm\",\"protected\":false,\"verified\":false,\"followers_count\":193,\"friends_count\":113,\"listed_count\":0,\"favourites_count\":142,\"statuses_count\":4496,\"created_at\":\"Wed Feb 19 17:56:24 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"tr\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/436197717706948608\\/ZN21Cmj5_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/436197717706948608\\/ZN21Cmj5_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":457967219411259392,\"id_str\":\"457967219411259392\",\"indices\":[86,108],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/BlsGwnfIEAA5SKY.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/BlsGwnfIEAA5SKY.jpg\",\"url\":\"http:\\/\\/t.co\\/UVKyJgMQq3\",\"display_url\":\"pic.twitter.com\\/UVKyJgMQq3\",\"expanded_url\":\"http:\\/\\/twitter.com\\/perfect_storm49\\/status\\/457967220963147776\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":500,\"h\":589,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":400,\"resize\":\"fit\"},\"medium\":{\"w\":500,\"h\":589,\"resize\":\"fit\"}},\"source_status_id\":457967220963147776,\"source_status_id_str\":\"457967220963147776\"}]},\"extended_entities\":{\"media\":[{\"id\":457967219411259392,\"id_str\":\"457967219411259392\",\"indices\":[86,108],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/BlsGwnfIEAA5SKY.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/BlsGwnfIEAA5SKY.jpg\",\"url\":\"http:\\/\\/t.co\\/UVKyJgMQq3\",\"display_url\":\"pic.twitter.com\\/UVKyJgMQq3\",\"expanded_url\":\"http:\\/\\/twitter.com\\/perfect_storm49\\/status\\/457967220963147776\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":500,\"h\":589,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":400,\"resize\":\"fit\"},\"medium\":{\"w\":500,\"h\":589,\"resize\":\"fit\"}},\"source_status_id\":457967220963147776,\"source_status_id_str\":\"457967220963147776\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"tr\",\"timestamp_ms\":\"1412178009673\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185093763072,\"id_str\":\"517338185093763072\",\"text\":\"@harukasu_0204 \\u3053\\u3061\\u3089\\u3053\\u305d\\u5b9c\\u3057\\u304f\\u3067\\u3059(^ ^)\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517338107704664064,\"in_reply_to_status_id_str\":\"517338107704664064\",\"in_reply_to_user_id\":1737048145,\"in_reply_to_user_id_str\":\"1737048145\",\"in_reply_to_screen_name\":\"harukasu_0204\",\"user\":{\"id\":2150549220,\"id_str\":\"2150549220\",\"name\":\"\\u305d\\u306e\\u4e16\\u754c\",\"screen_name\":\"yp_no_sekai\",\"location\":\"\",\"url\":null,\"description\":\"yp \\u76f8\\u6a21\\u539f\\uff0c\\u753a\\u7530\\uff0c\\u7acb\\u5ddd\\u3068\\u304b\\u3067\\u3084\\u3063\\u3066\\u307e\\u3059\\uff08\\u6a2a\\u6d5c\\u7dda\\u4e2d\\u5fc3\\uff09 JDC2Extra\\u500b\\u4eba\\u512a\\u52dd \\u7b2c6\\u56de\\u3054\\u3086\\u308b\\u308aCS\\u512a\\u52dd \\u305d\\u306e\\u4ed6CSbest8 3\\u56debest16\\uff11\\u56de\\u306e\\u307f \\u9662\\u751f\",\"protected\":false,\"verified\":false,\"followers_count\":162,\"friends_count\":89,\"listed_count\":0,\"favourites_count\":107,\"statuses_count\":2700,\"created_at\":\"Wed Oct 23 08:31:28 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"006BB3\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/504152214508535809\\/RG31NoxY_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/504152214508535809\\/RG31NoxY_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2150549220\\/1411738380\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"harukasu_0204\",\"name\":\"\\u3082\\u306a\\u304b\\u3055\\u3093\",\"id\":1737048145,\"id_str\":\"1737048145\",\"indices\":[0,14]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178009667\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185102155777,\"id_str\":\"517338185102155777\",\"text\":\"\\u2661\\u2716\\ufe0f\\u2661\\u2716\\ufe0f\\n\\nLuke Hemmings from 5sos\\nIt would mean the \\ud83c\\udf0f to me \\nif you followed. Thanks for \\nalways making me smile \\u263b\\n@Luke5SOS \\n\\n\\u2661 \\u2716\\ufe0f\\u2661\\u2716\\ufe0f\\n\\nx9589\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2229644184,\"id_str\":\"2229644184\",\"name\":\"PLEASE LUKE\",\"screen_name\":\"cliffordcuddlee\",\"location\":\"\",\"url\":null,\"description\":\"16 || Australia || band\\/4\",\"protected\":false,\"verified\":false,\"followers_count\":5992,\"friends_count\":4714,\"listed_count\":40,\"favourites_count\":6095,\"statuses_count\":17650,\"created_at\":\"Wed Dec 04 10:03:16 +0000 2013\",\"utc_offset\":-25200,\"time_zone\":\"Pacific Time (US & Canada)\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/511155519659057152\\/CAWZBcsx_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/511155519659057152\\/CAWZBcsx_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2229644184\\/1410703908\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"Luke5SOS\",\"name\":\"Luke Hemmings\",\"id\":403245020,\"id_str\":\"403245020\",\"indices\":[113,122]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178009672\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185110519808,\"id_str\":\"517338185110519808\",\"text\":\"@emume_ \\u30b9\\u30bf\\u30c3\\u30d5\\u306b\\u307e\\u3067\\u3044\\u3058\\u3089\\u308c\\u308b\\u3075\\u304f\\u3057\\u304f\\u3093\\u3063\\u3066\\u4e0d\\u61ab\\u3063\\u3066\\u8a00\\u8449\\u3058\\u3083\\u3082\\u3046\\u6e08\\u307e\\u3055\\u308c\\u306a\\u3044\\u3067\\u3059\\u3088\\u3049\\u2026\",\"source\":\"\\u003ca href=\\\"http:\\/\\/tapbots.com\\/tweetbot\\\" rel=\\\"nofollow\\\"\\u003eTweetbot for i\\u039fS\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517337756947578881,\"in_reply_to_status_id_str\":\"517337756947578881\",\"in_reply_to_user_id\":1337876550,\"in_reply_to_user_id_str\":\"1337876550\",\"in_reply_to_screen_name\":\"emume_\",\"user\":{\"id\":2519085565,\"id_str\":\"2519085565\",\"name\":\"\\u306b\\u3083\\u3093\",\"screen_name\":\"fkp__\",\"location\":\"\",\"url\":\"http:\\/\\/ask.fm\\/fkp__\",\"description\":\"\\u6b4c\\u821e\\u4f0e\\u5927\\u597d\\u304d\\u91ce\\u90ce\\u306f\\u3075\\u304f\\u3057\\u304f\\u3093\\u304c\\u597d\\u304d\\u3067\\u3059\",\"protected\":false,\"verified\":false,\"followers_count\":22,\"friends_count\":19,\"listed_count\":1,\"favourites_count\":110,\"statuses_count\":1401,\"created_at\":\"Sat May 24 00:55:06 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/498530085045952513\\/Bt9Vz02o_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/498530085045952513\\/Bt9Vz02o_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2519085565\\/1407468973\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"emume_\",\"name\":\"\\u3048\\u3080\",\"id\":1337876550,\"id_str\":\"1337876550\",\"indices\":[0,7]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178009671\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185102155776,\"id_str\":\"517338185102155776\",\"text\":\"RT @amnediel: #shop the new Swiss Apple Stem Cell 3000 #exclusively from #skincare #experts @swissbotany101 http:\\/\\/t.co\\/495QvoNlaX http:\\/\\/t\\u2026\",\"source\":\"\\u003ca href=\\\"https:\\/\\/dev.twitter.com\\/docs\\/tfw\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Websites\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2792030051,\"id_str\":\"2792030051\",\"name\":\"johndoe34\",\"screen_name\":\"johndoe3410\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":3,\"friends_count\":307,\"listed_count\":0,\"favourites_count\":164,\"statuses_count\":261,\"created_at\":\"Mon Sep 29 15:54:37 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/abs.twimg.com\\/sticky\\/default_profile_images\\/default_profile_6_normal.png\",\"profile_image_url_https\":\"https:\\/\\/abs.twimg.com\\/sticky\\/default_profile_images\\/default_profile_6_normal.png\",\"default_profile\":true,\"default_profile_image\":true,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:14:59 +0000 2014\",\"id\":517331852701757440,\"id_str\":\"517331852701757440\",\"text\":\"#shop the new Swiss Apple Stem Cell 3000 #exclusively from #skincare #experts @swissbotany101 http:\\/\\/t.co\\/495QvoNlaX http:\\/\\/t.co\\/xfQZLs4QEa\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":554629512,\"id_str\":\"554629512\",\"name\":\"#YoungKing \",\"screen_name\":\"amnediel\",\"location\":\"Hull\",\"url\":\"http:\\/\\/www.youtube.com\\/user\\/roloowst?feature=mhee\",\"description\":\"https:\\/\\/t.co\\/XlrqJt3c0j SUPER PRODUCER, DJ OWNER OF @rudeboitown BOOKINGS CONTACT @StratagenMusic AND BEATS amnediel@hotmail.com UK, 1XTRA, BBC INTRO\",\"protected\":false,\"verified\":false,\"followers_count\":64324,\"friends_count\":24290,\"listed_count\":134,\"favourites_count\":6614,\"statuses_count\":21798,\"created_at\":\"Sun Apr 15 18:31:35 +0000 2012\",\"utc_offset\":7200,\"time_zone\":\"Amsterdam\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"642D8B\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme10\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme10\\/bg.gif\",\"profile_background_tile\":true,\"profile_link_color\":\"FF0000\",\"profile_sidebar_border_color\":\"65B0DA\",\"profile_sidebar_fill_color\":\"7AC3EE\",\"profile_text_color\":\"3D1957\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/483193705026027520\\/IYcjLbv3_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/483193705026027520\\/IYcjLbv3_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/554629512\\/1395489564\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":49,\"favorite_count\":22,\"entities\":{\"hashtags\":[{\"text\":\"shop\",\"indices\":[0,5]},{\"text\":\"exclusively\",\"indices\":[41,53]},{\"text\":\"skincare\",\"indices\":[59,68]},{\"text\":\"experts\",\"indices\":[69,77]}],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/495QvoNlaX\",\"expanded_url\":\"http:\\/\\/swissbotany.com\\/wpcproduct\\/swiss-apple-stem-cell-3000\\/\",\"display_url\":\"swissbotany.com\\/wpcproduct\\/swi\\u2026\",\"indices\":[94,116]}],\"user_mentions\":[{\"screen_name\":\"swissbotany101\",\"name\":\"swissbotany\",\"id\":2469593083,\"id_str\":\"2469593083\",\"indices\":[78,93]}],\"symbols\":[],\"media\":[{\"id\":516563143846150144,\"id_str\":\"516563143846150144\",\"indices\":[117,139],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByszcUUCQAAXQfd.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByszcUUCQAAXQfd.jpg\",\"url\":\"http:\\/\\/t.co\\/xfQZLs4QEa\",\"display_url\":\"pic.twitter.com\\/xfQZLs4QEa\",\"expanded_url\":\"http:\\/\\/twitter.com\\/amnediel\\/status\\/516563145440387072\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":640,\"h\":960,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":900,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":510,\"resize\":\"fit\"}},\"source_status_id\":516563145440387072,\"source_status_id_str\":\"516563145440387072\"}]},\"extended_entities\":{\"media\":[{\"id\":516563143846150144,\"id_str\":\"516563143846150144\",\"indices\":[117,139],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByszcUUCQAAXQfd.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByszcUUCQAAXQfd.jpg\",\"url\":\"http:\\/\\/t.co\\/xfQZLs4QEa\",\"display_url\":\"pic.twitter.com\\/xfQZLs4QEa\",\"expanded_url\":\"http:\\/\\/twitter.com\\/amnediel\\/status\\/516563145440387072\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":640,\"h\":960,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":900,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":510,\"resize\":\"fit\"}},\"source_status_id\":516563145440387072,\"source_status_id_str\":\"516563145440387072\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"en\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"shop\",\"indices\":[14,19]},{\"text\":\"exclusively\",\"indices\":[55,67]},{\"text\":\"skincare\",\"indices\":[73,82]},{\"text\":\"experts\",\"indices\":[83,91]}],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/495QvoNlaX\",\"expanded_url\":\"http:\\/\\/swissbotany.com\\/wpcproduct\\/swiss-apple-stem-cell-3000\\/\",\"display_url\":\"swissbotany.com\\/wpcproduct\\/swi\\u2026\",\"indices\":[108,130]}],\"user_mentions\":[{\"screen_name\":\"amnediel\",\"name\":\"#YoungKing \",\"id\":554629512,\"id_str\":\"554629512\",\"indices\":[3,12]},{\"screen_name\":\"swissbotany101\",\"name\":\"swissbotany\",\"id\":2469593083,\"id_str\":\"2469593083\",\"indices\":[92,107]}],\"symbols\":[],\"media\":[{\"id\":516563143846150144,\"id_str\":\"516563143846150144\",\"indices\":[139,140],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByszcUUCQAAXQfd.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByszcUUCQAAXQfd.jpg\",\"url\":\"http:\\/\\/t.co\\/xfQZLs4QEa\",\"display_url\":\"pic.twitter.com\\/xfQZLs4QEa\",\"expanded_url\":\"http:\\/\\/twitter.com\\/amnediel\\/status\\/516563145440387072\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":640,\"h\":960,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":900,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":510,\"resize\":\"fit\"}},\"source_status_id\":516563145440387072,\"source_status_id_str\":\"516563145440387072\"}]},\"extended_entities\":{\"media\":[{\"id\":516563143846150144,\"id_str\":\"516563143846150144\",\"indices\":[139,140],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByszcUUCQAAXQfd.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByszcUUCQAAXQfd.jpg\",\"url\":\"http:\\/\\/t.co\\/xfQZLs4QEa\",\"display_url\":\"pic.twitter.com\\/xfQZLs4QEa\",\"expanded_url\":\"http:\\/\\/twitter.com\\/amnediel\\/status\\/516563145440387072\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":640,\"h\":960,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":900,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":510,\"resize\":\"fit\"}},\"source_status_id\":516563145440387072,\"source_status_id_str\":\"516563145440387072\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178009685\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185077370881,\"id_str\":\"517338185077370881\",\"text\":\"\\ud83d\\udc40\\ud83d\\udc40\\ud83d\\udc40\\ud83d\\udc40\\ud83d\\udc40\\nLUKE HEMMINGS FROM 5SOS \\ud83c\\udfb8\\n\\nI LOVE YOU SO MUCH AND IT WOULD MEAN THE WORLD TO ME IF YOU FOLLOWED ME? \\ud83d\\udc95\\ud83d\\ude48\\n\\n@Luke5SOS @5SOS \\n\\ud83d\\udc28\\ud83d\\udc28\\ud83d\\udc28\\ud83d\\udc28\\ud83d\\udc28 x1566\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1331918078,\"id_str\":\"1331918078\",\"name\":\"katy ~ please luke\",\"screen_name\":\"fuckthisboyband\",\"location\":\"\",\"url\":null,\"description\":\"I'm just trying to find some color in this black and white world. \\u10e6delhia, becky, alaina, and leah\\u10e6\",\"protected\":false,\"verified\":false,\"followers_count\":3815,\"friends_count\":1325,\"listed_count\":40,\"favourites_count\":4185,\"statuses_count\":28394,\"created_at\":\"Sat Apr 06 15:59:12 +0000 2013\",\"utc_offset\":-10800,\"time_zone\":\"Atlantic Time (Canada)\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"ACDED6\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme18\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme18\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"038543\",\"profile_sidebar_border_color\":\"EEEEEE\",\"profile_sidebar_fill_color\":\"F6F6F6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/511714177401249792\\/BNxJCJgC_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/511714177401249792\\/BNxJCJgC_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1331918078\\/1410837150\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"Luke5SOS\",\"name\":\"Luke Hemmings\",\"id\":403245020,\"id_str\":\"403245020\",\"indices\":[110,119]},{\"screen_name\":\"5SOS\",\"name\":\"5 Seconds of Summer\",\"id\":264107729,\"id_str\":\"264107729\",\"indices\":[120,125]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178009662\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185110523905,\"id_str\":\"517338185110523905\",\"text\":\"Al\\u00f3jese usted mismo una bala en el cerebro http:\\/\\/t.co\\/Bprr7dfp8D\",\"source\":\"\\u003ca href=\\\"http:\\/\\/publicize.wp.com\\/\\\" rel=\\\"nofollow\\\"\\u003eWordPress.com\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":110259021,\"id_str\":\"110259021\",\"name\":\"SecretOlivo\",\"screen_name\":\"SecretOlivo\",\"location\":\"Andaluc\\u00eda\",\"url\":\"http:\\/\\/www.secretolivo.com\",\"description\":\"Cultura andaluza contempor\\u00e1nea.\\r\\nLa #Andaluc\\u00eda que no te cuentan.\",\"protected\":false,\"verified\":false,\"followers_count\":1583,\"friends_count\":944,\"listed_count\":57,\"favourites_count\":2743,\"statuses_count\":11471,\"created_at\":\"Sun Jan 31 23:02:55 +0000 2010\",\"utc_offset\":7200,\"time_zone\":\"Madrid\",\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FFFFFF\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000172628283\\/OGdWnQde.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000172628283\\/OGdWnQde.jpeg\",\"profile_background_tile\":false,\"profile_link_color\":\"0D868F\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"FFFFFF\",\"profile_text_color\":\"15615D\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/420731903931453440\\/B2xS8eRV_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/420731903931453440\\/B2xS8eRV_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/110259021\\/1406214763\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/Bprr7dfp8D\",\"expanded_url\":\"http:\\/\\/wp.me\\/p3n2me-5bs\",\"display_url\":\"wp.me\\/p3n2me-5bs\",\"indices\":[43,65]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178009672\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185089576961,\"id_str\":\"517338185089576961\",\"text\":\"@fienel_3kyu \\u30e1\\u30ac\\u30cd\\u30b7\\u30f3\\u30ab\\uff01\",\"source\":\"\\u003ca href=\\\"https:\\/\\/sites.google.com\\/site\\/tweentwitterclient\\/\\\" rel=\\\"nofollow\\\"\\u003eTween\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517338121591980033,\"in_reply_to_status_id_str\":\"517338121591980033\",\"in_reply_to_user_id\":117867937,\"in_reply_to_user_id_str\":\"117867937\",\"in_reply_to_screen_name\":\"fienel_3kyu\",\"user\":{\"id\":55793356,\"id_str\":\"55793356\",\"name\":\"\\u30a8\\u30fc\\u30df\\u30fc\\u30eb\",\"screen_name\":\"maybemk2\",\"location\":\"\\u6771\\u4eac\\u90fd\\u4e09\\u9df9\\u5e02\",\"url\":null,\"description\":\"\\u5929\\u754c\\u4f4f\\u6c11\\u3000\\uff76\\uff6f\\uff81\\uff6c\\uff72\\uff85\\uff70\\u5b66\\u5712\\n\\u30b2\\u30fc\\u30e0\\u30af\\u30e9\\u30b9\\u30bf\\u3067\\u30b2\\u30fc\\u30e0\\u97f3\\u697d\\u30af\\u30e9\\u30b9\\u30bf\\u3067\\u7fbd\\u9ce5\\u30ab\\u30ce\\u30f3\\u30af\\u30e9\\u30b9\\u30bf\\u306e\\u3086\\u3086\\u5f0f\\u4e8b\\u614b\\u306a\\u63d0\\u7763\\u3002\\n\\u4e39\\u4e0b\\u685c\\u3055\\u3093\\u3092\\u5c0a\\u656c\\u3057\\u3066\\u3044\\u307e\\u3059\\u3002\\n1\\u65e5\\u7d04100post\\u3000\\u6301\\u3063\\u3066\\u308b\\u30b5\\u30f3\\u30c8\\u30e9\\u306f\\u3060\\u3044\\u305f\\u3044300\\u679a\\u304f\\u3089\\u3044\\u30fb\\u30fb\\u30fb\\uff1f\\u3000\\u30cb\\u30f3\\u30c6\\u30f3\\u30c9\\u30fcID\\uff1aEMIRU_mk2\",\"protected\":false,\"verified\":false,\"followers_count\":777,\"friends_count\":660,\"listed_count\":115,\"favourites_count\":1652,\"statuses_count\":229673,\"created_at\":\"Sat Jul 11 08:50:34 +0000 2009\",\"utc_offset\":-36000,\"time_zone\":\"Hawaii\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"0099B9\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme4\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme4\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"0099B9\",\"profile_sidebar_border_color\":\"5ED4DC\",\"profile_sidebar_fill_color\":\"95E8EC\",\"profile_text_color\":\"3C3940\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/511982381582913536\\/CPxPKrVP_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/511982381582913536\\/CPxPKrVP_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/55793356\\/1361803009\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"fienel_3kyu\",\"name\":\"Fienel\\/\\u304a\\u3082\\u3089\\u3057\\u3075\\u3043\\u30fc\\u306d\\u308b\",\"id\":117867937,\"id_str\":\"117867937\",\"indices\":[0,12]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178009667\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185097953280,\"id_str\":\"517338185097953280\",\"text\":\"RT @SUH0BOY: \\u0e17\\u0e35\\u0e48\\u0e1e\\u0e35\\u0e48\\u0e0b\\u0e39\\u0e42\\u0e2e\\u0e21\\u0e31\\u0e19\\u0e1e\\u0e39\\u0e14\\u0e27\\u0e31\\u0e19\\u0e19\\u0e31\\u0e49\\u0e19\\u0e40\\u0e1e\\u0e23\\u0e32\\u0e30\\u0e21\\u0e31\\u0e19\\u0e42\\u0e01\\u0e23\\u0e18\\u0e40\\u0e27\\u0e49\\u0e22 \\u0e40\\u0e1b\\u0e47\\u0e19\\u0e21\\u0e36\\u0e07\\u0e21\\u0e36\\u0e07\\u0e44\\u0e21\\u0e48\\u0e42\\u0e01\\u0e23\\u0e18\\u0e40\\u0e2b\\u0e23\\u0e2d \\u0e2d\\u0e22\\u0e39\\u0e48\\u0e14\\u0e35\\u0e46\\u0e40\\u0e1e\\u0e37\\u0e48\\u0e2d\\u0e19\\u0e01\\u0e49\\u0e17\\u0e34\\u0e49\\u0e07\\u0e21\\u0e36\\u0e07\\u0e44\\u0e1b\\u0e41\\u0e1a\\u0e1a\\u0e44\\u0e21\\u0e48\\u0e1a\\u0e2d\\u0e01 \\u0e17\\u0e35\\u0e48\\u0e21\\u0e31\\u0e19\\u0e42\\u0e01\\u0e23\\u0e18\\u0e40\\u0e1e\\u0e23\\u0e32\\u0e30\\u0e21\\u0e31\\u0e19\\u0e40\\u0e0a\\u0e37\\u0e48\\u0e2d\\u0e43\\u0e19\\u0e15\\u0e31\\u0e27\\u0e40\\u0e21\\u2026\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":877507591,\"id_str\":\"877507591\",\"name\":\"\\u0e2e\\u0e38\\u0e19\\u0e2e\\u0e38\\u0e19\\u0e42\\u0e2d\\u0e1b\\u0e1b\\u0e49\\u0e32\\u0e0b\\u0e32\\u0e23\\u0e32\\u0e07\\u0e40\\u0e2e\",\"screen_name\":\"pak_picha\",\"location\":\"\",\"url\":null,\"description\":\"EXO12 \\u2661 \\u25cf\\u25cbhsehun  \\u2606taohuntaohun\\u2606\",\"protected\":false,\"verified\":false,\"followers_count\":204,\"friends_count\":96,\"listed_count\":0,\"favourites_count\":3280,\"statuses_count\":46029,\"created_at\":\"Sat Oct 13 10:18:12 +0000 2012\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"th\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FFFAFD\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/465356257432305664\\/9A_Mtgxv.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/465356257432305664\\/9A_Mtgxv.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"C7DE1B\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"FFFFFF\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516451322753609729\\/WL-P0uPa_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516451322753609729\\/WL-P0uPa_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/877507591\\/1400163256\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:37:37 +0000 2014\",\"id\":517337546053795842,\"id_str\":\"517337546053795842\",\"text\":\"\\u0e17\\u0e35\\u0e48\\u0e1e\\u0e35\\u0e48\\u0e0b\\u0e39\\u0e42\\u0e2e\\u0e21\\u0e31\\u0e19\\u0e1e\\u0e39\\u0e14\\u0e27\\u0e31\\u0e19\\u0e19\\u0e31\\u0e49\\u0e19\\u0e40\\u0e1e\\u0e23\\u0e32\\u0e30\\u0e21\\u0e31\\u0e19\\u0e42\\u0e01\\u0e23\\u0e18\\u0e40\\u0e27\\u0e49\\u0e22 \\u0e40\\u0e1b\\u0e47\\u0e19\\u0e21\\u0e36\\u0e07\\u0e21\\u0e36\\u0e07\\u0e44\\u0e21\\u0e48\\u0e42\\u0e01\\u0e23\\u0e18\\u0e40\\u0e2b\\u0e23\\u0e2d \\u0e2d\\u0e22\\u0e39\\u0e48\\u0e14\\u0e35\\u0e46\\u0e40\\u0e1e\\u0e37\\u0e48\\u0e2d\\u0e19\\u0e01\\u0e49\\u0e17\\u0e34\\u0e49\\u0e07\\u0e21\\u0e36\\u0e07\\u0e44\\u0e1b\\u0e41\\u0e1a\\u0e1a\\u0e44\\u0e21\\u0e48\\u0e1a\\u0e2d\\u0e01 \\u0e17\\u0e35\\u0e48\\u0e21\\u0e31\\u0e19\\u0e42\\u0e01\\u0e23\\u0e18\\u0e40\\u0e1e\\u0e23\\u0e32\\u0e30\\u0e21\\u0e31\\u0e19\\u0e40\\u0e0a\\u0e37\\u0e48\\u0e2d\\u0e43\\u0e19\\u0e15\\u0e31\\u0e27\\u0e40\\u0e21\\u0e21\\u0e40\\u0e1a\\u0e2d\\u0e23\\u0e4c\\u0e21\\u0e31\\u0e19\\u0e21\\u0e32\\u0e01\\u0e04\\u0e30\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":270886177,\"id_str\":\"270886177\",\"name\":\"\\u0e1c\\u0e39\\u0e49\\u0e2b\\u0e0d\\u0e34\\u0e07\\u0e02\\u0e2d\\u0e07\\u0e0b\\u0e39\\u0e42\\u0e2e \",\"screen_name\":\"SUH0BOY\",\"location\":\"KRISLAY ALWAYS\",\"url\":\"http:\\/\\/ask.fm\\/SUH0BOY\",\"description\":\"Kim Junmyeon | Yoo Jaesuk\",\"protected\":false,\"verified\":false,\"followers_count\":10480,\"friends_count\":141,\"listed_count\":15,\"favourites_count\":8656,\"statuses_count\":87344,\"created_at\":\"Wed Mar 23 12:45:33 +0000 2011\",\"utc_offset\":-28800,\"time_zone\":\"Alaska\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"D1F3ED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/517301687501864961\\/uJDJJSqy.png\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/517301687501864961\\/uJDJJSqy.png\",\"profile_background_tile\":true,\"profile_link_color\":\"A985ED\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/517300818643406848\\/AALhbwfM_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/517300818643406848\\/AALhbwfM_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/270886177\\/1410017618\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":36,\"favorite_count\":2,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"th\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"SUH0BOY\",\"name\":\"\\u0e1c\\u0e39\\u0e49\\u0e2b\\u0e0d\\u0e34\\u0e07\\u0e02\\u0e2d\\u0e07\\u0e0b\\u0e39\\u0e42\\u0e2e \",\"id\":270886177,\"id_str\":\"270886177\",\"indices\":[3,11]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"th\",\"timestamp_ms\":\"1412178009687\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185085767681,\"id_str\":\"517338185085767681\",\"text\":\"RT @OutcastFromMars: Most underrated ass in show business http:\\/\\/t.co\\/499tUimzvO\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":503786630,\"id_str\":\"503786630\",\"name\":\"A$AP Wilky\",\"screen_name\":\"Lamar_NoOdom\",\"location\":\"305 via 302\\u2708\",\"url\":null,\"description\":\"Master's student tryna make it in the sports world MSPM\\/MBA\",\"protected\":false,\"verified\":false,\"followers_count\":548,\"friends_count\":457,\"listed_count\":4,\"favourites_count\":260,\"statuses_count\":71199,\"created_at\":\"Sun Feb 26 00:58:15 +0000 2012\",\"utc_offset\":-14400,\"time_zone\":\"Eastern Time (US & Canada)\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"8B542B\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/436245231\\/LRG.jpg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/436245231\\/LRG.jpg\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516417678945570816\\/U5Dmew9p_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516417678945570816\\/U5Dmew9p_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/503786630\\/1409887256\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Fri Sep 26 15:43:59 +0000 2014\",\"id\":515527207721385984,\"id_str\":\"515527207721385984\",\"text\":\"Most underrated ass in show business http:\\/\\/t.co\\/499tUimzvO\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":35230869,\"id_str\":\"35230869\",\"name\":\"Mars\",\"screen_name\":\"OutcastFromMars\",\"location\":\"Dirty Jerz\",\"url\":null,\"description\":\"I'm just a lesbian does tattoos and photo shoots. Book me at lyshea.baker@gmail.com\",\"protected\":false,\"verified\":false,\"followers_count\":2458,\"friends_count\":2273,\"listed_count\":1,\"favourites_count\":5463,\"statuses_count\":100390,\"created_at\":\"Sat Apr 25 15:09:46 +0000 2009\",\"utc_offset\":-14400,\"time_zone\":\"Eastern Time (US & Canada)\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/752421893\\/cc07cfe874879e89835394dd6e275ab8.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/752421893\\/cc07cfe874879e89835394dd6e275ab8.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/515976989199859714\\/FGmfrLUV_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/515976989199859714\\/FGmfrLUV_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/35230869\\/1399227769\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":1007,\"favorite_count\":598,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":515527206375010304,\"id_str\":\"515527206375010304\",\"indices\":[37,59],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByeFQ0gIMAAQg3y.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByeFQ0gIMAAQg3y.jpg\",\"url\":\"http:\\/\\/t.co\\/499tUimzvO\",\"display_url\":\"pic.twitter.com\\/499tUimzvO\",\"expanded_url\":\"http:\\/\\/twitter.com\\/OutcastFromMars\\/status\\/515527207721385984\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":640,\"h\":640,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":600,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":340,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"}}}]},\"extended_entities\":{\"media\":[{\"id\":515527206375010304,\"id_str\":\"515527206375010304\",\"indices\":[37,59],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByeFQ0gIMAAQg3y.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByeFQ0gIMAAQg3y.jpg\",\"url\":\"http:\\/\\/t.co\\/499tUimzvO\",\"display_url\":\"pic.twitter.com\\/499tUimzvO\",\"expanded_url\":\"http:\\/\\/twitter.com\\/OutcastFromMars\\/status\\/515527207721385984\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":640,\"h\":640,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":600,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":340,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"en\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"OutcastFromMars\",\"name\":\"Mars\",\"id\":35230869,\"id_str\":\"35230869\",\"indices\":[3,19]}],\"symbols\":[],\"media\":[{\"id\":515527206375010304,\"id_str\":\"515527206375010304\",\"indices\":[58,80],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByeFQ0gIMAAQg3y.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByeFQ0gIMAAQg3y.jpg\",\"url\":\"http:\\/\\/t.co\\/499tUimzvO\",\"display_url\":\"pic.twitter.com\\/499tUimzvO\",\"expanded_url\":\"http:\\/\\/twitter.com\\/OutcastFromMars\\/status\\/515527207721385984\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":640,\"h\":640,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":600,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":340,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"}},\"source_status_id\":515527207721385984,\"source_status_id_str\":\"515527207721385984\"}]},\"extended_entities\":{\"media\":[{\"id\":515527206375010304,\"id_str\":\"515527206375010304\",\"indices\":[58,80],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByeFQ0gIMAAQg3y.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByeFQ0gIMAAQg3y.jpg\",\"url\":\"http:\\/\\/t.co\\/499tUimzvO\",\"display_url\":\"pic.twitter.com\\/499tUimzvO\",\"expanded_url\":\"http:\\/\\/twitter.com\\/OutcastFromMars\\/status\\/515527207721385984\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":640,\"h\":640,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":600,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":340,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"}},\"source_status_id\":515527207721385984,\"source_status_id_str\":\"515527207721385984\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178009693\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185085353984,\"id_str\":\"517338185085353984\",\"text\":\"RT @nadinemalate: May feeling ako na hindi mag 4peat sa pagka 4th place ang TPK ngayon \\ud83d\\udc9a #SPCAllIn\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/#!\\/download\\/ipad\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPad\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":142672821,\"id_str\":\"142672821\",\"name\":\"Jeli\",\"screen_name\":\"jeliramiterre\",\"location\":\"\",\"url\":null,\"description\":\"Feeling good. Living better.\",\"protected\":false,\"verified\":false,\"followers_count\":329,\"friends_count\":283,\"listed_count\":2,\"favourites_count\":622,\"statuses_count\":11230,\"created_at\":\"Tue May 11 13:06:19 +0000 2010\",\"utc_offset\":-28800,\"time_zone\":\"Alaska\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"000000\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/494113304764092418\\/W7tbAswI.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/494113304764092418\\/W7tbAswI.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"D1077D\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"000000\",\"profile_text_color\":\"3BCCB6\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/489950723409338368\\/bEwJSzcr_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/489950723409338368\\/bEwJSzcr_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/142672821\\/1408079048\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 14:37:32 +0000 2014\",\"id\":517322424740630528,\"id_str\":\"517322424740630528\",\"text\":\"May feeling ako na hindi mag 4peat sa pagka 4th place ang TPK ngayon \\ud83d\\udc9a #SPCAllIn\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":43524212,\"id_str\":\"43524212\",\"name\":\"Nadine\",\"screen_name\":\"nadinemalate\",\"location\":\"PHARMA\",\"url\":null,\"description\":\"work hard, stay humble, dream big, and put God above all else\",\"protected\":false,\"verified\":false,\"followers_count\":348,\"friends_count\":225,\"listed_count\":0,\"favourites_count\":4886,\"statuses_count\":13790,\"created_at\":\"Sat May 30 12:58:36 +0000 2009\",\"utc_offset\":-28800,\"time_zone\":\"Alaska\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FFEDED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/100087792\\/pink-flowers.jpg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/100087792\\/pink-flowers.jpg\",\"profile_background_tile\":false,\"profile_link_color\":\"ED939C\",\"profile_sidebar_border_color\":\"D16884\",\"profile_sidebar_fill_color\":\"D16884\",\"profile_text_color\":\"73162A\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/510759047142727680\\/k9rMD0T6_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/510759047142727680\\/k9rMD0T6_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/43524212\\/1405001253\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":{\"type\":\"Point\",\"coordinates\":[7.056785,125.529414]},\"coordinates\":{\"type\":\"Point\",\"coordinates\":[125.529414,7.056785]},\"place\":{\"id\":\"20c33b9759b51e87\",\"url\":\"https:\\/\\/api.twitter.com\\/1.1\\/geo\\/id\\/20c33b9759b51e87.json\",\"place_type\":\"admin\",\"name\":\"Davao Region\",\"full_name\":\"Davao Region, Republic of the Philippines\",\"country_code\":\"PH\",\"country\":\"Republic of the Philippines\",\"bounding_box\":{\"type\":\"Polygon\",\"coordinates\":[[[125.085096,5.3697596],[125.085096,8.0002653],[126.6070327,8.0002653],[126.6070327,5.3697596]]]},\"attributes\":{}},\"contributors\":null,\"retweet_count\":3,\"favorite_count\":9,\"entities\":{\"hashtags\":[{\"text\":\"SPCAllIn\",\"indices\":[71,80]}],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"tl\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"SPCAllIn\",\"indices\":[89,98]}],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"nadinemalate\",\"name\":\"Nadine\",\"id\":43524212,\"id_str\":\"43524212\",\"indices\":[3,16]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"tl\",\"timestamp_ms\":\"1412178009689\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185072775170,\"id_str\":\"517338185072775170\",\"text\":\"RT @omoshiroaruaru: \\u2600\\u96a0\\u308cM\\u5ea6\\u8a3a\\u65ad\\u2600\\n\\nM\\u604b\\u4eba\\u306b\\u30ef\\u30ac\\u30de\\u30de\\u3092\\u8a00\\u308f\\u308c\\u308b\\u4eba\\u306b\\u591a\\u3044\\u8a95\\u751f\\u65e5\\n\\n\\uff11\\u4f4d:20\\u65e5\\n\\uff12\\u4f4d: 4\\u65e5\\n\\uff13\\u4f4d: 2\\u65e5\\n\\uff14\\u4f4d: 5\\u65e5\\n\\uff15\\u4f4d:17\\u65e5\\n\\nM\\u604b\\u4eba\\u306b\\u7518\\u3048\\u3089\\u308c\\u308b\\u4eba\\u306b\\u591a\\u3044\\u8a95\\u751f\\u65e5\\n\\n\\uff11\\u4f4d:14\\u65e5\\n\\uff12\\u4f4d:24\\u65e5\\n\\uff13\\u4f4d:18\\u65e5\\n\\uff14\\u4f4d:12\\u65e5\\n\\uff15\\u4f4d:10\\u2026\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1173702854,\"id_str\":\"1173702854\",\"name\":\"mikan\",\"screen_name\":\"mi4ka24n\",\"location\":\"\",\"url\":null,\"description\":\"\\u307f\\u304b\\u3093\\u53c2\\u4e0a(\\u00b4\\uff9f\\u03c9\\u309c`)\\r\\n\\r\\n \\u30ea\\u30e9\\u30c3\\u30af\\u30de\\u2661\",\"protected\":false,\"verified\":false,\"followers_count\":90,\"friends_count\":126,\"listed_count\":0,\"favourites_count\":80,\"statuses_count\":2839,\"created_at\":\"Wed Feb 13 02:51:16 +0000 2013\",\"utc_offset\":32400,\"time_zone\":\"Tokyo\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/477209822178193408\\/3sbh2HSB_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/477209822178193408\\/3sbh2HSB_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1173702854\\/1387502275\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:25:10 +0000 2014\",\"id\":517334411625639937,\"id_str\":\"517334411625639937\",\"text\":\"\\u2600\\u96a0\\u308cM\\u5ea6\\u8a3a\\u65ad\\u2600\\n\\nM\\u604b\\u4eba\\u306b\\u30ef\\u30ac\\u30de\\u30de\\u3092\\u8a00\\u308f\\u308c\\u308b\\u4eba\\u306b\\u591a\\u3044\\u8a95\\u751f\\u65e5\\n\\n\\uff11\\u4f4d:20\\u65e5\\n\\uff12\\u4f4d: 4\\u65e5\\n\\uff13\\u4f4d: 2\\u65e5\\n\\uff14\\u4f4d: 5\\u65e5\\n\\uff15\\u4f4d:17\\u65e5\\n\\nM\\u604b\\u4eba\\u306b\\u7518\\u3048\\u3089\\u308c\\u308b\\u4eba\\u306b\\u591a\\u3044\\u8a95\\u751f\\u65e5\\n\\n\\uff11\\u4f4d:14\\u65e5\\n\\uff12\\u4f4d:24\\u65e5\\n\\uff13\\u4f4d:18\\u65e5\\n\\uff14\\u4f4d:12\\u65e5\\n\\uff15\\u4f4d:10\\u65e5\\n\\n\\u3042\\u306a\\u305f\\u3084\\u53cb\\u9054\\u306b\\u3044\\u305f\\u3089RT\\u3057\\u3066\\u306d\\u266a\",\"source\":\"\\u003ca href=\\\"http:\\/\\/www.hootsuite.com\\\" rel=\\\"nofollow\\\"\\u003eHootsuite\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1121700192,\"id_str\":\"1121700192\",\"name\":\"\\u96d1\\u5b66\\u3068\\u304a\\u3082\\u3057\\u308d\\u3042\\u308b\\u3042\\u308b\",\"screen_name\":\"omoshiroaruaru\",\"location\":\"\",\"url\":null,\"description\":\"\\u304a\\u3082\\u3057\\u308d\\u30cd\\u30bf\\u3084\\u540d\\u8a00\\u3001\\u96d1\\u5b66\\u306a\\u3069\\u3092\\u3064\\u3076\\u3084\\u3044\\u3066\\u3044\\u304d\\u307e\\u3059\\uff01\\u30bf\\u30e1\\u306b\\u306a\\u3063\\u305f\\u308a\\u304a\\u3082\\u3057\\u308d\\u3044\\u3068\\u601d\\u3063\\u305f\\u3089RT\\u3068\\u30d5\\u30a9\\u30ed\\u30fc\\u304a\\u9858\\u3044\\u3057\\u307e\\u3059\\uff01\\u7b11\\u3044\\u3068\\u611f\\u52d5\\u306e\\u30c4\\u30a4\\u30fc\\u30c8\\u3092\\u697d\\u3057\\u307f\\u306b\\u3057\\u3066\\u3066\\u304f\\u3060\\u3055\\u3044\\uff01\",\"protected\":false,\"verified\":false,\"followers_count\":69883,\"friends_count\":1332,\"listed_count\":404,\"favourites_count\":0,\"statuses_count\":16225,\"created_at\":\"Sat Jan 26 11:26:39 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/378800000510338444\\/e57e53e4fb1f5cfea1d3d033b5b11e76_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/378800000510338444\\/e57e53e4fb1f5cfea1d3d033b5b11e76_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":8,\"favorite_count\":6,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ja\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"omoshiroaruaru\",\"name\":\"\\u96d1\\u5b66\\u3068\\u304a\\u3082\\u3057\\u308d\\u3042\\u308b\\u3042\\u308b\",\"id\":1121700192,\"id_str\":\"1121700192\",\"indices\":[3,18]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178009688\"}",
			"{\"delete\":{\"status\":{\"id\":324589569725059072,\"id_str\":\"324589569725059072\",\"user_id\":1226580386,\"user_id_str\":\"1226580386\"},\"timestamp_ms\":\"1412178009715\"}}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185085370368,\"id_str\":\"517338185085370368\",\"text\":\"@Abdullah_Obian \\n\\n\\u0635\\u062d \\u0644\\u0633\\u0627\\u0646\\u0643 \\u064a\\u0627\\u0628\\u0648\\u062c\\u0648\\u062f \\u0648\\u0627\\u062c\\u0647\\u0647 \\u0645\\u0634\\u0631\\u0641\\u0647 \\u0644\\u0646\\u0627 \\u0627\\u0645\\u0627\\u0645 \\u0627\\u0644\\u0643\\u0644 \\u0628\\u0627\\u0644\\u0623\\u062f\\u0628 \\u0648\\u0627\\u0644\\u062e\\u0644\\u0642 \\u0648\\u0627\\u0644\\u062b\\u0642\\u0627\\u0641\\u0647 \\u0648\\u0627\\u0644\\u0634\\u0639\\u0631 \\u0648\\u0643\\u0644 \\u0645\\u0627\\u0647\\u0648 \\u062c\\u0645\\u064a\\u0644 \\u0641\\u062f\\u0645\\u062a \\u0628\\u0633\\u0645\\u0627\\u0621 \\u0627\\u0644\\u062c\\u0645\\u0627\\u0644 \\u0648\\u0646\\u0628\\u0631\\u0627\\u0633 \\u0644\\u0644\\u062c\\u0645\\u064a\\u0639\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":516631004321046528,\"in_reply_to_status_id_str\":\"516631004321046528\",\"in_reply_to_user_id\":317844683,\"in_reply_to_user_id_str\":\"317844683\",\"in_reply_to_screen_name\":\"Abdullah_Obian\",\"user\":{\"id\":595871338,\"id_str\":\"595871338\",\"name\":\"\\u0641\\u0627\\u0631\\u0633 \\u0627\\u0644 \\u0645\\u0646\\u0635\\u0648\\u0631\",\"screen_name\":\"541649696\",\"location\":\"\\u062c\\u062f\\u0647\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":260,\"friends_count\":387,\"listed_count\":0,\"favourites_count\":9,\"statuses_count\":480,\"created_at\":\"Thu May 31 22:06:16 +0000 2012\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ar\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/501925774337662976\\/tfTIq1gK_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/501925774337662976\\/tfTIq1gK_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"Abdullah_Obian\",\"name\":\"\\u0639\\u0628\\u062f\\u0627\\u0644\\u0644\\u0647 \\u0639\\u0628\\u064a\\u0627\\u0646\",\"id\":317844683,\"id_str\":\"317844683\",\"indices\":[0,15]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ar\",\"timestamp_ms\":\"1412178009666\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185081167872,\"id_str\":\"517338185081167872\",\"text\":\"RT @EndlessWaltz414: \\u80f8\\u306f\\u80f8\\u3060\\u3088(\\u3007\\u00af\\u0e34\\u06a4\\u00af\\u0e34)\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":334382063,\"id_str\":\"334382063\",\"name\":\"\\u8494\\u6c70\",\"screen_name\":\"makt_xX\",\"location\":\"\\u30b0\\u30ea\\u30fc\\u30de\\u30fb\\u30ec\\u30fc\\u30f4\\u5927\\u8056\\u5802\",\"url\":\"http:\\/\\/twpf.jp\\/makt_xX\",\"description\":\"\\u58f0\\u512a\\u4e2d\\u5fc3\\u96d1\\u98df\\u3001\\u30d5\\u30a9\\u30ed\\u30d0\\u6c17\\u307e\\u3050\\u308c\\u3002\",\"protected\":false,\"verified\":false,\"followers_count\":489,\"friends_count\":454,\"listed_count\":15,\"favourites_count\":9068,\"statuses_count\":150024,\"created_at\":\"Wed Jul 13 00:46:44 +0000 2011\",\"utc_offset\":32400,\"time_zone\":\"Tokyo\",\"geo_enabled\":true,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FF6699\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme11\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme11\\/bg.gif\",\"profile_background_tile\":true,\"profile_link_color\":\"B40B43\",\"profile_sidebar_border_color\":\"CC3366\",\"profile_sidebar_fill_color\":\"E5507E\",\"profile_text_color\":\"362720\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/508081451108020226\\/mq4-_ng5_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/508081451108020226\\/mq4-_ng5_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/334382063\\/1412063441\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:25:19 +0000 2014\",\"id\":517334452666523648,\"id_str\":\"517334452666523648\",\"text\":\"\\u80f8\\u306f\\u80f8\\u3060\\u3088(\\u3007\\u00af\\u0e34\\u06a4\\u00af\\u0e34)\",\"source\":\"\\u003ca href=\\\"https:\\/\\/twitter.com\\/#!\\/ABS104a\\\" rel=\\\"nofollow\\\"\\u003eBiyon\\u2261(\\u3000\\u03b5:)\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":367547986,\"id_str\":\"367547986\",\"name\":\"\\u3231\\u306a\\u3093\\u304b\\u9752\\u3044\\u304b\\u308f\\u3093\\u3061\\u3085@\\u30b2\\u30b3\\u30b1\\u30f3\\u30ad\",\"screen_name\":\"EndlessWaltz414\",\"location\":\"\\u30b9\\u30de\\u30d6\\u30e9\\u5bfe\\u6226\\u3057\\u3088\\u3046\\u305a\\u3002\\u5f31\\u3044\\u3051\\u3069\",\"url\":\"http:\\/\\/twpf.jp\\/EndlessWaltz414\",\"description\":\"\\u521d\\u3081\\u307e\\u3057\\u3066\\u3001\\u30dd\\u30b1\\u30e2\\u30f3(\\u306b\\u308f\\u304b\\u52e2)\\u3001\\u30ac\\u30f3\\u30c0\\u30e0\\u3001\\u6e7e\\u5cb8\\u30df\\u30c3\\u30c9\\u30ca\\u30a4\\u30c8\\r\\n\\u3001\\u982d\\u6587\\u5b57D\\u3001\\u3068\\u3042\\u308b\\u30b7\\u30ea\\u30fc\\u30ba\\u3001\\u65e5\\u5e38\\u3001\\u30e2\\u30f3\\u30b9\\u30bf\\u30fc\\u5a18\\u306e\\u3044\\u308b\\u65e5\\u5e38\\u3001\\u9032\\u6483\\u306e\\u5de8\\u4eba\\u304c\\u597d\\u304d\\u306a\\u5c02\\u9580\\u5b66\\u751f\\u306e\\u304b\\u308f\\u3093\\u3061\\u3085\\u3067\\u3059\\u3002\\u611b\\u8eca\\u306fSUZUKI\\u306ekei(\\u0e51\\u00b4\\u2200`\\u0e51)\\u30d7\\u30ed\\u30d5\\u5fc5\\u8aad\\u3002@strikeindex\\u2190\\u30b5\\u30d6\\u57a2 @EndlessWaltz700\\u2190\\u88cf\\u57a2\",\"protected\":false,\"verified\":false,\"followers_count\":1629,\"friends_count\":1628,\"listed_count\":49,\"favourites_count\":2654,\"statuses_count\":172912,\"created_at\":\"Sun Sep 04 04:27:41 +0000 2011\",\"utc_offset\":32400,\"time_zone\":\"Irkutsk\",\"geo_enabled\":true,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FFCC4D\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/496069643778273281\\/TGxxX9ox.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/496069643778273281\\/TGxxX9ox.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/513372940276998144\\/yo0mmuii_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/513372940276998144\\/yo0mmuii_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/367547986\\/1412074421\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":1,\"favorite_count\":2,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ja\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"EndlessWaltz414\",\"name\":\"\\u3231\\u306a\\u3093\\u304b\\u9752\\u3044\\u304b\\u308f\\u3093\\u3061\\u3085@\\u30b2\\u30b3\\u30b1\\u30f3\\u30ad\",\"id\":367547986,\"id_str\":\"367547986\",\"indices\":[3,19]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178009699\"}",
			"{\"created_theat\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185102139392,\"id_str\":\"517338185102139392\",\"text\":\"RT @BOHHOT: \\u0e40\\u0e27\\u0e25\\u0e32\\u0e40\\u0e2b\\u0e47\\u0e19\\u0e1d\\u0e23\\u0e31\\u0e48\\u0e07\\u0e2b\\u0e25\\u0e48\\u0e2d\\u0e46\\u0e23\\u0e39\\u0e49\\u0e2a\\u0e36\\u0e01\\u0e14\\u0e2d\\u0e01\\u0e17\\u0e2d\\u0e07\\u0e08\\u0e31\\u0e07\\u0e40\\u0e25\\u0e22\\u0e04\\u0e30 \\n55555555555555555555555555555555555555555555555555\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1655563099,\"id_str\":\"1655563099\",\"name\":\"\\u6653\\u6600\\u2661\",\"screen_name\":\"peartap\",\"location\":\"\",\"url\":null,\"description\":\"\\u2661ig:pearltap\\u2661\",\"protected\":false,\"verified\":false,\"followers_count\":125,\"friends_count\":287,\"listed_count\":1,\"favourites_count\":900,\"statuses_count\":49156,\"created_at\":\"Thu Aug 08 14:47:56 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/512193544761516032\\/ileKH5P5_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/512193544761516032\\/ileKH5P5_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1655563099\\/1394039172\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:13:53 +0000 2014\",\"id\":517331574052761600,\"id_str\":\"517331574052761600\",\"text\":\"\\u0e40\\u0e27\\u0e25\\u0e32\\u0e40\\u0e2b\\u0e47\\u0e19\\u0e1d\\u0e23\\u0e31\\u0e48\\u0e07\\u0e2b\\u0e25\\u0e48\\u0e2d\\u0e46\\u0e23\\u0e39\\u0e49\\u0e2a\\u0e36\\u0e01\\u0e14\\u0e2d\\u0e01\\u0e17\\u0e2d\\u0e07\\u0e08\\u0e31\\u0e07\\u0e40\\u0e25\\u0e22\\u0e04\\u0e30 \\n55555555555555555555555555555555555555555555555555\",\"source\":\"\\u003ca href=\\\"https:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android Tablets\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":274068407,\"id_str\":\"274068407\",\"name\":\"\\u0e15\\u0e38\\u0e4a\\u0e14\\u0e40\\u0e16\\u0e37\\u0e48\\u0e2d\\u0e19\\u0e1c\\u0e39\\u0e49\\u0e19\\u0e48\\u0e32\\u0e40\\u0e14\\u0e49\\u0e32\",\"screen_name\":\"BOHHOT\",\"location\":\"\",\"url\":\"https:\\/\\/www.facebook.com\\/bohhots\",\"description\":\"\\u0e01\\u0e39\\u0e2a\\u0e27\\u0e22 \\u0e01\\u0e39\\u0e08\\u0e33\\u0e44\\u0e14\\u0e49 | \\u0e40\\u0e23\\u0e32\\u0e08\\u0e30\\u0e1e\\u0e22\\u0e32\\u0e22\\u0e32\\u0e21\\u0e17\\u0e33\\u0e17\\u0e38\\u0e01\\u0e2d\\u0e22\\u0e48\\u0e32\\u0e07\\u0e43\\u0e2b\\u0e49\\u0e14\\u0e35\\u0e17\\u0e35\\u0e48\\u0e2a\\u0e38\\u0e14 \\u0e40\\u0e1e\\u0e37\\u0e48\\u0e2d\\u0e1c\\u0e39\\u0e49\\u0e2b\\u0e0d\\u0e34\\u0e07\\u0e04\\u0e19\\u0e2b\\u0e19\\u0e36\\u0e48\\u0e07 \\u0e04\\u0e19\\u0e17\\u0e35\\u0e48\\u0e40\\u0e23\\u0e32\\u0e23\\u0e31\\u0e01\\u0e21\\u0e32\\u0e01\\u0e17\\u0e35\\u0e48\\u0e2a\\u0e38\\u0e14\",\"protected\":false,\"verified\":false,\"followers_count\":40366,\"friends_count\":506,\"listed_count\":23,\"favourites_count\":2793,\"statuses_count\":46618,\"created_at\":\"Tue Mar 29 17:28:09 +0000 2011\",\"utc_offset\":25200,\"time_zone\":\"Bangkok\",\"geo_enabled\":true,\"lang\":\"th\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"131516\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme14\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme14\\/bg.gif\",\"profile_background_tile\":true,\"profile_link_color\":\"009999\",\"profile_sidebar_border_color\":\"EEEEEE\",\"profile_sidebar_fill_color\":\"EFEFEF\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/498334160264511489\\/d_tux9xR_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/498334160264511489\\/d_tux9xR_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/274068407\\/1411872240\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":75,\"favorite_count\":8,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"th\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"BOHHOT\",\"name\":\"\\u0e15\\u0e38\\u0e4a\\u0e14\\u0e40\\u0e16\\u0e37\\u0e48\\u0e2d\\u0e19\\u0e1c\\u0e39\\u0e49\\u0e19\\u0e48\\u0e32\\u0e40\\u0e14\\u0e49\\u0e32\",\"id\":274068407,\"id_str\":\"274068407\",\"indices\":[3,10]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"th\",\"timestamp_ms\":\"1412178009686\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185110519810,\"id_str\":\"517338185110519810\",\"text\":\"RT @CamOpSoc: Smiles all round at last night's #CaOSOklahoma! rehearsal. We'll be hitting @camartstheatre in 8 weeks time! Yee-ha! http:\\/\\/t\\u2026\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":66661941,\"id_str\":\"66661941\",\"name\":\"Susan Elkin\",\"screen_name\":\"SusanElkinJourn\",\"location\":\"N 51\\u00b058' 0'' \\/ W 2\\u00b047' 0''\",\"url\":\"http:\\/\\/www.thestage.co.uk\\/columns\\/education-training\\/\",\"description\":\"Freelance journo & author of 30 books including Please Miss We're Boys. The Stage's Education Editor. Former teacher. Own views. Sort of.\",\"protected\":false,\"verified\":false,\"followers_count\":3474,\"friends_count\":93,\"listed_count\":124,\"favourites_count\":174,\"statuses_count\":40262,\"created_at\":\"Tue Aug 18 11:57:26 +0000 2009\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"A0709C\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/493442177368719362\\/MLg3hMnm.png\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/493442177368719362\\/MLg3hMnm.png\",\"profile_background_tile\":true,\"profile_link_color\":\"141112\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"FED2A3\",\"profile_text_color\":\"BFCBB5\",\"profile_use_background_image\":false,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/482129448796315648\\/i1o5jKpr_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/482129448796315648\\/i1o5jKpr_normal.jpeg\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:11:06 +0000 2014\",\"id\":517330873151012864,\"id_str\":\"517330873151012864\",\"text\":\"Smiles all round at last night's #CaOSOklahoma! rehearsal. We'll be hitting @camartstheatre in 8 weeks time! Yee-ha! http:\\/\\/t.co\\/MOCCMtVzAF\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":381401612,\"id_str\":\"381401612\",\"name\":\"Cambridge Operatic\",\"screen_name\":\"CamOpSoc\",\"location\":\"Cambridge, UK\",\"url\":\"http:\\/\\/www.cambridgeoperatic.org.uk\",\"description\":\"CaOS (Cambridge Operatic Society) is an amateur theatre group, professionally directed, performing at Cambridge Arts in November\",\"protected\":false,\"verified\":false,\"followers_count\":376,\"friends_count\":513,\"listed_count\":7,\"favourites_count\":48,\"statuses_count\":264,\"created_at\":\"Wed Sep 28 08:17:49 +0000 2011\",\"utc_offset\":3600,\"time_zone\":\"London\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"520073\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/514703656952684544\\/OH0fS686_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/514703656952684544\\/OH0fS686_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/381401612\\/1409141817\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":2,\"favorite_count\":1,\"entities\":{\"hashtags\":[{\"text\":\"CaOSOklahoma\",\"indices\":[33,46]}],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"camartstheatre\",\"name\":\"Arts Theatre\",\"id\":57418165,\"id_str\":\"57418165\",\"indices\":[76,91]}],\"symbols\":[],\"media\":[{\"id\":517330871490076672,\"id_str\":\"517330871490076672\",\"indices\":[117,139],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3tr8qCYAAjatB.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3tr8qCYAAjatB.jpg\",\"url\":\"http:\\/\\/t.co\\/MOCCMtVzAF\",\"display_url\":\"pic.twitter.com\\/MOCCMtVzAF\",\"expanded_url\":\"http:\\/\\/twitter.com\\/CamOpSoc\\/status\\/517330873151012864\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":340,\"h\":258,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":600,\"h\":455,\"resize\":\"fit\"},\"large\":{\"w\":703,\"h\":534,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":517330871490076672,\"id_str\":\"517330871490076672\",\"indices\":[117,139],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3tr8qCYAAjatB.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3tr8qCYAAjatB.jpg\",\"url\":\"http:\\/\\/t.co\\/MOCCMtVzAF\",\"display_url\":\"pic.twitter.com\\/MOCCMtVzAF\",\"expanded_url\":\"http:\\/\\/twitter.com\\/CamOpSoc\\/status\\/517330873151012864\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":340,\"h\":258,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":600,\"h\":455,\"resize\":\"fit\"},\"large\":{\"w\":703,\"h\":534,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"en\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"CaOSOklahoma\",\"indices\":[47,60]}],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"CamOpSoc\",\"name\":\"Cambridge Operatic\",\"id\":381401612,\"id_str\":\"381401612\",\"indices\":[3,12]},{\"screen_name\":\"camartstheatre\",\"name\":\"Arts Theatre\",\"id\":57418165,\"id_str\":\"57418165\",\"indices\":[90,105]}],\"symbols\":[],\"media\":[{\"id\":517330871490076672,\"id_str\":\"517330871490076672\",\"indices\":[139,140],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3tr8qCYAAjatB.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3tr8qCYAAjatB.jpg\",\"url\":\"http:\\/\\/t.co\\/MOCCMtVzAF\",\"display_url\":\"pic.twitter.com\\/MOCCMtVzAF\",\"expanded_url\":\"http:\\/\\/twitter.com\\/CamOpSoc\\/status\\/517330873151012864\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":340,\"h\":258,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":600,\"h\":455,\"resize\":\"fit\"},\"large\":{\"w\":703,\"h\":534,\"resize\":\"fit\"}},\"source_status_id\":517330873151012864,\"source_status_id_str\":\"517330873151012864\"}]},\"extended_entities\":{\"media\":[{\"id\":517330871490076672,\"id_str\":\"517330871490076672\",\"indices\":[139,140],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3tr8qCYAAjatB.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3tr8qCYAAjatB.jpg\",\"url\":\"http:\\/\\/t.co\\/MOCCMtVzAF\",\"display_url\":\"pic.twitter.com\\/MOCCMtVzAF\",\"expanded_url\":\"http:\\/\\/twitter.com\\/CamOpSoc\\/status\\/517330873151012864\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":340,\"h\":258,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":600,\"h\":455,\"resize\":\"fit\"},\"large\":{\"w\":703,\"h\":534,\"resize\":\"fit\"}},\"source_status_id\":517330873151012864,\"source_status_id_str\":\"517330873151012864\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178009688\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185085358081,\"id_str\":\"517338185085358081\",\"text\":\"@cos_id 17\\uc774\\ub77c\\ub2c8...\\uc8fc\\uac70\\uc57c\\uaca5\\ub2e4\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517333743665565696,\"in_reply_to_status_id_str\":\"517333743665565696\",\"in_reply_to_user_id\":1634919624,\"in_reply_to_user_id_str\":\"1634919624\",\"in_reply_to_screen_name\":\"cos_id\",\"user\":{\"id\":1634919624,\"id_str\":\"1634919624\",\"name\":\"*\\ubd80\\ucf54\\ub0a0\\uba74\\uc811*\\uc724\\uacb0*\",\"screen_name\":\"cos_id\",\"location\":\"cos_id\",\"url\":\"http:\\/\\/m.worldcosplay.net\\/member\\/137655\",\"description\":\"\\u97d3\\u56fd\\u3067\\u30b3\\u30b9\\u30d7\\u30ec\\u3092\\u3057\\u3066\\u3044\\u308b\\u5b66\\u751f\\u3067\\u3059:D 96\\ub144\\uc0dd \\uf981 \\ub0a8\\ubd80\\uad8c \\ucf54\\uc2a4\\uc5b4 \\uac81\\ud398\\ubcf8\\uc9c4,\\uc2a4\\ud3ec\\uce20\\uc560\\ub2c8 \\ub9cc\\ud654^^\\ud314\\ub85c\\ud6c4 \\uc158\\uc548\\uc8fc\\uc2ec \\uad6c\\ub3c5\\uac04\\uc8fc!\\ud314\\ub85c\\uc789\\ub294 \\ucf54\\uc2a4\\uc5b4\\uc640 \\ub355\\uacc4\\ub9cc *^0^*\",\"protected\":false,\"verified\":false,\"followers_count\":669,\"friends_count\":659,\"listed_count\":0,\"favourites_count\":1515,\"statuses_count\":23494,\"created_at\":\"Wed Jul 31 08:23:06 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"ko\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000119353942\\/3aeca685c255f686a9a89908dcea5ae5.png\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000119353942\\/3aeca685c255f686a9a89908dcea5ae5.png\",\"profile_background_tile\":true,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516118173104357376\\/Rkg3Lm5x_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516118173104357376\\/Rkg3Lm5x_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1634919624\\/1389949290\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"cos_id\",\"name\":\"*\\ubd80\\ucf54\\ub0a0\\uba74\\uc811*\\uc724\\uacb0*\",\"id\":1634919624,\"id_str\":\"1634919624\",\"indices\":[0,7]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ko\",\"timestamp_ms\":\"1412178009674\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185106341888,\"id_str\":\"517338185106341888\",\"text\":\"RT @ZaxidNet: \\u041d\\u043e\\u0432\\u0438\\u0439 \\u0443\\u0440\\u044f\\u0434 \\u041f\\u043e\\u043b\\u044c\\u0449\\u0456 \\u0431\\u0443\\u0434\\u0435 \\u043f\\u0440\\u0430\\u0433\\u043c\\u0430\\u0442\\u0438\\u0447\\u043d\\u0438\\u043c \\u0449\\u043e\\u0434\\u043e \\u0423\\u043a\\u0440\\u0430\\u0457\\u043d\\u0438. \\u041e\\u0431\\u0456\\u0446\\u044f\\u044e\\u0442\\u044c \\u0434\\u043e\\u043f\\u043e\\u043c\\u0430\\u0433\\u0430\\u0442\\u0438 http:\\/\\/t.co\\/uXFoRzRfjx\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2300915688,\"id_str\":\"2300915688\",\"name\":\"\\u0415\\u043b\\u0435\\u043d\\u0430 \\u041c\\u044b\\u0448\\u043a\\u043e\\u0432\\u0441\\u043a\\u0430\\u044f\",\"screen_name\":\"LenaMaschenko\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":19,\"friends_count\":89,\"listed_count\":0,\"favourites_count\":180,\"statuses_count\":3111,\"created_at\":\"Mon Jan 20 06:59:35 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ru\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/abs.twimg.com\\/sticky\\/default_profile_images\\/default_profile_1_normal.png\",\"profile_image_url_https\":\"https:\\/\\/abs.twimg.com\\/sticky\\/default_profile_images\\/default_profile_1_normal.png\",\"default_profile\":true,\"default_profile_image\":true,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:35:39 +0000 2014\",\"id\":517337050333208577,\"id_str\":\"517337050333208577\",\"text\":\"\\u041d\\u043e\\u0432\\u0438\\u0439 \\u0443\\u0440\\u044f\\u0434 \\u041f\\u043e\\u043b\\u044c\\u0449\\u0456 \\u0431\\u0443\\u0434\\u0435 \\u043f\\u0440\\u0430\\u0433\\u043c\\u0430\\u0442\\u0438\\u0447\\u043d\\u0438\\u043c \\u0449\\u043e\\u0434\\u043e \\u0423\\u043a\\u0440\\u0430\\u0457\\u043d\\u0438. \\u041e\\u0431\\u0456\\u0446\\u044f\\u044e\\u0442\\u044c \\u0434\\u043e\\u043f\\u043e\\u043c\\u0430\\u0433\\u0430\\u0442\\u0438 http:\\/\\/t.co\\/uXFoRzRfjx\",\"source\":\"\\u003ca href=\\\"https:\\/\\/dev.twitter.com\\/docs\\/tfw\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Websites\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":60918689,\"id_str\":\"60918689\",\"name\":\"ZAXID.NET\",\"screen_name\":\"ZaxidNet\",\"location\":\"Ukraine, Lviv\",\"url\":\"http:\\/\\/www.zaxid.net\",\"description\":\"\\u043d\\u0435\\u0437\\u0430\\u043b\\u0435\\u0436\\u043d\\u0435 i\\u043d\\u0444\\u043e\\u0440\\u043c\\u0430\\u0446i\\u0439\\u043d\\u043e-\\u0430\\u043d\\u0430\\u043bi\\u0442\\u0438\\u0447\\u043d\\u0435 i\\u043d\\u0442\\u0435\\u0440\\u043d\\u0435\\u0442-\\u0432\\u0438\\u0434\\u0430\\u043d\\u043d\\u044f\",\"protected\":false,\"verified\":false,\"followers_count\":23194,\"friends_count\":684,\"listed_count\":256,\"favourites_count\":258,\"statuses_count\":36711,\"created_at\":\"Tue Jul 28 14:34:37 +0000 2009\",\"utc_offset\":10800,\"time_zone\":\"Kyiv\",\"geo_enabled\":true,\"lang\":\"uk\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"EBEBEB\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/200056966\\/ZN_BG_3.jpg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/200056966\\/ZN_BG_3.jpg\",\"profile_background_tile\":true,\"profile_link_color\":\"990000\",\"profile_sidebar_border_color\":\"DFDFDF\",\"profile_sidebar_fill_color\":\"F3F3F3\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/490066087002640384\\/HIM_OZNg_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/490066087002640384\\/HIM_OZNg_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/60918689\\/1405676108\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":1,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/uXFoRzRfjx\",\"expanded_url\":\"http:\\/\\/zaxid.net\\/n1324473\",\"display_url\":\"zaxid.net\\/n1324473\",\"indices\":[70,92]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"uk\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/uXFoRzRfjx\",\"expanded_url\":\"http:\\/\\/zaxid.net\\/n1324473\",\"display_url\":\"zaxid.net\\/n1324473\",\"indices\":[84,106]}],\"user_mentions\":[{\"screen_name\":\"ZaxidNet\",\"name\":\"ZAXID.NET\",\"id\":60918689,\"id_str\":\"60918689\",\"indices\":[3,12]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"uk\",\"timestamp_ms\":\"1412178009697\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185081176064,\"id_str\":\"517338185081176064\",\"text\":\"RT @bndro11: \\u0627\\u0644\\u0627\\u0646 \\u0644\\u0644\\u0631\\u0628\\u062d \\u0627\\u064a\\u0641\\u0648\\u0646 6 \\u0631\\u062a\\u0648\\u064a\\u062a \\u0644\\u062a\\u063a\\u0631\\u064a\\u062f\\u0647 \\u0648\\u0627\\u0644\\u0627\\u0634\\u062a\\u0631\\u0627\\u0643 \\u0628\\u062d\\u0633\\u0627\\u0628\\u0643 \\u0627\\u0644\\u0627\\u0646\\u0633\\u062a\\u0642\\u0631\\u0627\\u0645 \\u0639\\u0628\\u0631 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 http:\\/\\/t.co\\/Sc2kF2sUQz\\n#\\u0631\\u062a\\u0648\\u064a\\u062a #\\u0627\\u064a\\u0641\\u0648\\u06466\\nhttp:\\/\\/t.co\\/bCfn\\u2026\",\"source\":\"\\u003ca href=\\\"http:\\/\\/www.bandar-alagili1.com\\\" rel=\\\"nofollow\\\"\\u003ebandar-alagili1.com\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2528880477,\"id_str\":\"2528880477\",\"name\":\"\\u0639\\u062f\\u0646\\u0627\\u0646 \\u062f\\u0631\\u0648\\u064a\\u0634 \\u0639\\u0644\\u064a\",\"screen_name\":\"etalaqyxom\",\"location\":\"\\u0627\\u0644\\u0633\\u0639\\u0648\\u062f\\u064a\\u0629\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":58,\"friends_count\":86,\"listed_count\":0,\"favourites_count\":480,\"statuses_count\":46018,\"created_at\":\"Sun May 04 19:06:03 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/485492202924036096\\/SOWFUrvg_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/485492202924036096\\/SOWFUrvg_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:34:02 +0000 2014\",\"id\":517336643506675714,\"id_str\":\"517336643506675714\",\"text\":\"\\u0627\\u0644\\u0627\\u0646 \\u0644\\u0644\\u0631\\u0628\\u062d \\u0627\\u064a\\u0641\\u0648\\u0646 6 \\u0631\\u062a\\u0648\\u064a\\u062a \\u0644\\u062a\\u063a\\u0631\\u064a\\u062f\\u0647 \\u0648\\u0627\\u0644\\u0627\\u0634\\u062a\\u0631\\u0627\\u0643 \\u0628\\u062d\\u0633\\u0627\\u0628\\u0643 \\u0627\\u0644\\u0627\\u0646\\u0633\\u062a\\u0642\\u0631\\u0627\\u0645 \\u0639\\u0628\\u0631 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 http:\\/\\/t.co\\/Sc2kF2sUQz\\n#\\u0631\\u062a\\u0648\\u064a\\u062a #\\u0627\\u064a\\u0641\\u0648\\u06466\\nhttp:\\/\\/t.co\\/bCfnUsObzV 196\",\"source\":\"\\u003ca href=\\\"http:\\/\\/bandar-alagili3.com\\/tw\\\" rel=\\\"nofollow\\\"\\u003ebandar alagili3 web site\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2430964359,\"id_str\":\"2430964359\",\"name\":\"\\u062e\\u062f\\u0645\\u0627\\u062a \\u062a\\u0648\\u0627\\u0635\\u0644 \\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u064a\",\"screen_name\":\"bndro11\",\"location\":\"\",\"url\":null,\"description\":\"\\u0627\\u0644\\u0645\\u0648\\u0642\\u0639 \\u0627\\u0644\\u0633\\u0639\\u0648\\u062f\\u064a \\u0627\\u0644\\u0627\\u0648\\u0644 \\u0644\\u0628\\u064a\\u0639 \\u062e\\u062f\\u0645\\u0627\\u062a \\u062a\\u0648\\u064a\\u062a\\u0631 \\u0648\\u0627\\u0646\\u0633\\u062a\\u0642\\u0631\\u0627\\u0645 \\u0648\\u0641\\u064a\\u0633\\u0628\\u0648\\u0643 \\u0648\\u0643\\u064a\\u064a\\u0643 \\u0648\\u064a\\u0648\\u062a\\u064a\\u0648\\u0628 \\u0644\\u062a\\u0648\\u0627\\u0635\\u0644 \\u0648\\u0627\\u062a\\u0633\\u0627\\u0628 0564144033\",\"protected\":false,\"verified\":false,\"followers_count\":146474,\"friends_count\":578,\"listed_count\":9,\"favourites_count\":60,\"statuses_count\":14591,\"created_at\":\"Sun Mar 23 12:45:27 +0000 2014\",\"utc_offset\":10800,\"time_zone\":\"Baghdad\",\"geo_enabled\":false,\"lang\":\"ar\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/507471008144429057\\/8mEGLLgd_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/507471008144429057\\/8mEGLLgd_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2430964359\\/1407891140\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":529,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"\\u0631\\u062a\\u0648\\u064a\\u062a\",\"indices\":[95,101]},{\"text\":\"\\u0627\\u064a\\u0641\\u0648\\u06466\",\"indices\":[102,109]}],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/Sc2kF2sUQz\",\"expanded_url\":\"http:\\/\\/khaled-alagili.com\",\"display_url\":\"khaled-alagili.com\",\"indices\":[72,94]}],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":513480965797064704,\"id_str\":\"513480965797064704\",\"indices\":[110,132],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByBAN8VCMAAdpcy.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByBAN8VCMAAdpcy.jpg\",\"url\":\"http:\\/\\/t.co\\/bCfnUsObzV\",\"display_url\":\"pic.twitter.com\\/bCfnUsObzV\",\"expanded_url\":\"http:\\/\\/twitter.com\\/bndro11\\/status\\/513480996600045569\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":600,\"h\":612,\"resize\":\"fit\"},\"large\":{\"w\":1002,\"h\":1023,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":347,\"resize\":\"fit\"}},\"source_status_id\":513480996600045569,\"source_status_id_str\":\"513480996600045569\"}]},\"extended_entities\":{\"media\":[{\"id\":513480965797064704,\"id_str\":\"513480965797064704\",\"indices\":[110,132],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByBAN8VCMAAdpcy.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByBAN8VCMAAdpcy.jpg\",\"url\":\"http:\\/\\/t.co\\/bCfnUsObzV\",\"display_url\":\"pic.twitter.com\\/bCfnUsObzV\",\"expanded_url\":\"http:\\/\\/twitter.com\\/bndro11\\/status\\/513480996600045569\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":600,\"h\":612,\"resize\":\"fit\"},\"large\":{\"w\":1002,\"h\":1023,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":347,\"resize\":\"fit\"}},\"source_status_id\":513480996600045569,\"source_status_id_str\":\"513480996600045569\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ar\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"\\u0631\\u062a\\u0648\\u064a\\u062a\",\"indices\":[108,114]},{\"text\":\"\\u0627\\u064a\\u0641\\u0648\\u06466\",\"indices\":[115,122]}],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/Sc2kF2sUQz\",\"expanded_url\":\"http:\\/\\/khaled-alagili.com\",\"display_url\":\"khaled-alagili.com\",\"indices\":[85,107]}],\"user_mentions\":[{\"screen_name\":\"bndro11\",\"name\":\"\\u062e\\u062f\\u0645\\u0627\\u062a \\u062a\\u0648\\u0627\\u0635\\u0644 \\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u064a\",\"id\":2430964359,\"id_str\":\"2430964359\",\"indices\":[3,11]}],\"symbols\":[],\"media\":[{\"id\":513480965797064704,\"id_str\":\"513480965797064704\",\"indices\":[139,140],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByBAN8VCMAAdpcy.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByBAN8VCMAAdpcy.jpg\",\"url\":\"http:\\/\\/t.co\\/bCfnUsObzV\",\"display_url\":\"pic.twitter.com\\/bCfnUsObzV\",\"expanded_url\":\"http:\\/\\/twitter.com\\/bndro11\\/status\\/513480996600045569\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":600,\"h\":612,\"resize\":\"fit\"},\"large\":{\"w\":1002,\"h\":1023,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":347,\"resize\":\"fit\"}},\"source_status_id\":513480996600045569,\"source_status_id_str\":\"513480996600045569\"}]},\"extended_entities\":{\"media\":[{\"id\":513480965797064704,\"id_str\":\"513480965797064704\",\"indices\":[139,140],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByBAN8VCMAAdpcy.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByBAN8VCMAAdpcy.jpg\",\"url\":\"http:\\/\\/t.co\\/bCfnUsObzV\",\"display_url\":\"pic.twitter.com\\/bCfnUsObzV\",\"expanded_url\":\"http:\\/\\/twitter.com\\/bndro11\\/status\\/513480996600045569\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":600,\"h\":612,\"resize\":\"fit\"},\"large\":{\"w\":1002,\"h\":1023,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":347,\"resize\":\"fit\"}},\"source_status_id\":513480996600045569,\"source_status_id_str\":\"513480996600045569\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ar\",\"timestamp_ms\":\"1412178009697\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185081163776,\"id_str\":\"517338185081163776\",\"text\":\"RT @guzevonenyq: \\u3059\\u3054\\u3059\\u304e\\u2661\\n\\n\\u7c21\\u5358\\u306b\\u3067\\u304d\\u308b\\u811a\\u3084\\u305b\\u65b9\\u6cd5\\u3060\\u3063\\u3066\\u3055\\uff01\\n\\n\\u3053\\u308c\\u2192http:\\/\\/t.co\\/BlMAZe03k2\\n\\n\\u3080\\u304f\\u307f\\u3082\\u89e3\\u6d88\\u3055\\u308c\\u308b\\u3063\\u3066\\u266a\\n\\n\\u3053\\u308c\\u3067\\u30b7\\u30e7\\u30fc\\u30d1\\u30f3\\u3082\\n\\u30df\\u30cb\\u30b9\\u30ab\\u3082\\u6016\\u304f\\u306a\\u3044\\uff01 http:\\/\\/t.co\\/qpagUfqdRq\",\"source\":\"\\u003ca href=\\\"http:\\/\\/buuuucha.webcrow.jp\\/kiyaku.pdf\\\" rel=\\\"nofollow\\\"\\u003e\\u3010\\u96a0\\u308c\\u30b3\\u30de\\u30f3\\u30c9\\u3011\\u5b9f\\u306f\\u3001SUUMO\\u3082\\u96a0\\u308c\\u30b3\\u30de\\u30f3\\u30c9\\u5bfe\\u5fdc\\uff01w\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1709768858,\"id_str\":\"1709768858\",\"name\":\"BSM\",\"screen_name\":\"bskmarik1\",\"location\":\"\",\"url\":null,\"description\":\"\\u30a8\\u30ed\\u57a2\\/RT\\u57a2\\/\",\"protected\":false,\"verified\":false,\"followers_count\":22,\"friends_count\":64,\"listed_count\":0,\"favourites_count\":85,\"statuses_count\":136,\"created_at\":\"Thu Aug 29 11:20:17 +0000 2013\",\"utc_offset\":32400,\"time_zone\":\"Irkutsk\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/505591357897846784\\/IBs4_aJ3_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/505591357897846784\\/IBs4_aJ3_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 12:45:16 +0000 2014\",\"id\":517294172303142912,\"id_str\":\"517294172303142912\",\"text\":\"\\u3059\\u3054\\u3059\\u304e\\u2661\\n\\n\\u7c21\\u5358\\u306b\\u3067\\u304d\\u308b\\u811a\\u3084\\u305b\\u65b9\\u6cd5\\u3060\\u3063\\u3066\\u3055\\uff01\\n\\n\\u3053\\u308c\\u2192http:\\/\\/t.co\\/BlMAZe03k2\\n\\n\\u3080\\u304f\\u307f\\u3082\\u89e3\\u6d88\\u3055\\u308c\\u308b\\u3063\\u3066\\u266a\\n\\n\\u3053\\u308c\\u3067\\u30b7\\u30e7\\u30fc\\u30d1\\u30f3\\u3082\\n\\u30df\\u30cb\\u30b9\\u30ab\\u3082\\u6016\\u304f\\u306a\\u3044\\uff01 http:\\/\\/t.co\\/qpagUfqdRq\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2468025973,\"id_str\":\"2468025973\",\"name\":\"\\u5168\\u8eab\\u7f8e\\u4eba\\u30ac\\u30fc\\u30eb\\u266a\",\"screen_name\":\"guzevonenyq\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":37,\"friends_count\":8,\"listed_count\":1,\"favourites_count\":0,\"statuses_count\":3,\"created_at\":\"Mon Apr 28 16:52:39 +0000 2014\",\"utc_offset\":32400,\"time_zone\":\"Seoul\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516985305736306689\\/wAqqYIM9_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516985305736306689\\/wAqqYIM9_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":1535,\"favorite_count\":4,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/BlMAZe03k2\",\"expanded_url\":\"http:\\/\\/bit.ly\\/1p51ymq\",\"display_url\":\"bit.ly\\/1p51ymq\",\"indices\":[28,50]}],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":517294161650020352,\"id_str\":\"517294161650020352\",\"indices\":[87,109],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3MTJ2IcAAx2bz.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3MTJ2IcAAx2bz.jpg\",\"url\":\"http:\\/\\/t.co\\/qpagUfqdRq\",\"display_url\":\"pic.twitter.com\\/qpagUfqdRq\",\"expanded_url\":\"http:\\/\\/twitter.com\\/guzevonenyq\\/status\\/517294172303142912\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":523,\"h\":362,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":235,\"resize\":\"fit\"},\"medium\":{\"w\":523,\"h\":362,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":517294161650020352,\"id_str\":\"517294161650020352\",\"indices\":[87,109],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3MTJ2IcAAx2bz.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3MTJ2IcAAx2bz.jpg\",\"url\":\"http:\\/\\/t.co\\/qpagUfqdRq\",\"display_url\":\"pic.twitter.com\\/qpagUfqdRq\",\"expanded_url\":\"http:\\/\\/twitter.com\\/guzevonenyq\\/status\\/517294172303142912\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":523,\"h\":362,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":235,\"resize\":\"fit\"},\"medium\":{\"w\":523,\"h\":362,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ja\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/BlMAZe03k2\",\"expanded_url\":\"http:\\/\\/bit.ly\\/1p51ymq\",\"display_url\":\"bit.ly\\/1p51ymq\",\"indices\":[45,67]}],\"user_mentions\":[{\"screen_name\":\"guzevonenyq\",\"name\":\"\\u5168\\u8eab\\u7f8e\\u4eba\\u30ac\\u30fc\\u30eb\\u266a\",\"id\":2468025973,\"id_str\":\"2468025973\",\"indices\":[3,15]}],\"symbols\":[],\"media\":[{\"id\":517294161650020352,\"id_str\":\"517294161650020352\",\"indices\":[104,126],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3MTJ2IcAAx2bz.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3MTJ2IcAAx2bz.jpg\",\"url\":\"http:\\/\\/t.co\\/qpagUfqdRq\",\"display_url\":\"pic.twitter.com\\/qpagUfqdRq\",\"expanded_url\":\"http:\\/\\/twitter.com\\/guzevonenyq\\/status\\/517294172303142912\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":523,\"h\":362,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":235,\"resize\":\"fit\"},\"medium\":{\"w\":523,\"h\":362,\"resize\":\"fit\"}},\"source_status_id\":517294172303142912,\"source_status_id_str\":\"517294172303142912\"}]},\"extended_entities\":{\"media\":[{\"id\":517294161650020352,\"id_str\":\"517294161650020352\",\"indices\":[104,126],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3MTJ2IcAAx2bz.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3MTJ2IcAAx2bz.jpg\",\"url\":\"http:\\/\\/t.co\\/qpagUfqdRq\",\"display_url\":\"pic.twitter.com\\/qpagUfqdRq\",\"expanded_url\":\"http:\\/\\/twitter.com\\/guzevonenyq\\/status\\/517294172303142912\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":523,\"h\":362,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":235,\"resize\":\"fit\"},\"medium\":{\"w\":523,\"h\":362,\"resize\":\"fit\"}},\"source_status_id\":517294172303142912,\"source_status_id_str\":\"517294172303142912\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178009681\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185102131200,\"id_str\":\"517338185102131200\",\"text\":\"\\u300cAnna \\/ Wanshima\\u300d Promotional Music Video: http:\\/\\/t.co\\/XbZgWgkT2T @YouTube\\u3055\\u3093\\u304b\\u3089\",\"source\":\"\\u003ca href=\\\"https:\\/\\/dev.twitter.com\\/docs\\/tfw\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Websites\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":154522207,\"id_str\":\"154522207\",\"name\":\"KAN\\u3061\\u3083\\u3093'14\",\"screen_name\":\"kanchan0825\",\"location\":\"\\u5927\\u962a\\u5e9c\\u8c4a\\u4e2d\\u5e02\",\"url\":\"http:\\/\\/ameblo.jp\\/amami-kanchan\\/\",\"description\":\"\\u51fa\\u8eab\\u306f\\u5944\\u7f8e\\u5927\\u5cf6 \\/\\u30ab\\u30e9\\u30aa\\u30b1(\\u3046\\u305f\\u30b9\\u30ad)\\/\\u30ac\\u30f3\\u30d0\\u5927\\u962a \\/\\u9234\\u6728\\u798f\\/aiko\\/KAN\\/Mr.Children\\/\\u30cf\\u30ed\\u30d7\\u30ed\\/\\u597d\\u304d\\u306f\\u30d5\\u30a9\\u30ed\\u30fc\\u3057\\u3066\\u306d\\u2193\\u30a2\\u30e1\\u30d6\\u30ed\\u3082\\u3084\\u3063\\u3066\\u308b\\u306e\\u3067\\u826f\\u3051\\u308c\\u3070\\u898b\\u3066\\u306d\\u2193\",\"protected\":false,\"verified\":false,\"followers_count\":924,\"friends_count\":1994,\"listed_count\":31,\"favourites_count\":15,\"statuses_count\":8185,\"created_at\":\"Fri Jun 11 13:15:26 +0000 2010\",\"utc_offset\":32400,\"time_zone\":\"Osaka\",\"geo_enabled\":true,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"0099B9\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/713138030\\/041a32ffa6e7a3da5ac18b30862a3694.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/713138030\\/041a32ffa6e7a3da5ac18b30862a3694.jpeg\",\"profile_background_tile\":false,\"profile_link_color\":\"0099B9\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"95E8EC\",\"profile_text_color\":\"3C3940\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/1905738138\\/110724_1801_020002_normal.jpg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/1905738138\\/110724_1801_020002_normal.jpg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/154522207\\/1411918817\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/XbZgWgkT2T\",\"expanded_url\":\"http:\\/\\/youtu.be\\/JkaxM5nVUQw\",\"display_url\":\"youtu.be\\/JkaxM5nVUQw\",\"indices\":[43,65]}],\"user_mentions\":[{\"screen_name\":\"YouTube\",\"name\":\"YouTube\",\"id\":10228272,\"id_str\":\"10228272\",\"indices\":[66,74]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178009667\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185093754880,\"id_str\":\"517338185093754880\",\"text\":\"RT @hegulidybado: \\u6765\\u305f\\u30b3\\u30ec\\uff01\\uff01\\n\\n\\u3042\\u306e\\u6709\\u540d\\u8aad\\u30e2\\u304c\\u3053\\u3063\\u305d\\u308a\\u884c\\u3063\\u3066\\u3044\\u308b\\n\\u811a\\u75e9\\u305b\\u65b9\\u6cd5\\u2661\\n\\n\\u3053\\u308c\\u2192http:\\/\\/t.co\\/Ci1QaLS32E\\n\\n\\u3053\\u308c\\u306a\\u3089\\u3081\\u3061\\u3083\\u7c21\\u5358\\u306b\\u7f8e\\u811a\\u3060\\u306d\\u266a http:\\/\\/t.co\\/HYSQ1Rk98R\",\"source\":\"\\u003ca href=\\\"http:\\/\\/yahoo.co.jp\\\" rel=\\\"nofollow\\\"\\u003e\\u3010AKB\\u63e1\\u624b\\u4f1a\\u4e8b\\u4ef6\\u7d9a\\u5831\\u3011\\u5ddd\\u6804\\u3001\\u672a\\u3060\\u300c\\u5168\\u6cbb\\u671f\\u9593\\u300d\\u304c\\u5831\\u9053\\u3055\\u308c\\u306a\\u3044\\u7406\\u7531\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1611859496,\"id_str\":\"1611859496\",\"name\":\"\\u5009\\u6a4b\\u76f4\\u5df1\",\"screen_name\":\"BskChin\",\"location\":\"\",\"url\":null,\"description\":\"\\u6211\\u5b6b\\u5b50\\u21e8\\u65e5\\u7fd2 2-6  10.12\",\"protected\":false,\"verified\":false,\"followers_count\":393,\"friends_count\":410,\"listed_count\":0,\"favourites_count\":139,\"statuses_count\":1239,\"created_at\":\"Mon Jul 22 02:43:12 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516384887733899264\\/uYIYqp21_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516384887733899264\\/uYIYqp21_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1611859496\\/1412062896\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 12:44:36 +0000 2014\",\"id\":517294006099644417,\"id_str\":\"517294006099644417\",\"text\":\"\\u6765\\u305f\\u30b3\\u30ec\\uff01\\uff01\\n\\n\\u3042\\u306e\\u6709\\u540d\\u8aad\\u30e2\\u304c\\u3053\\u3063\\u305d\\u308a\\u884c\\u3063\\u3066\\u3044\\u308b\\n\\u811a\\u75e9\\u305b\\u65b9\\u6cd5\\u2661\\n\\n\\u3053\\u308c\\u2192http:\\/\\/t.co\\/Ci1QaLS32E\\n\\n\\u3053\\u308c\\u306a\\u3089\\u3081\\u3061\\u3083\\u7c21\\u5358\\u306b\\u7f8e\\u811a\\u3060\\u306d\\u266a http:\\/\\/t.co\\/HYSQ1Rk98R\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2468416345,\"id_str\":\"2468416345\",\"name\":\"\\u304d\\u308c\\u3044\\u306a\\u811a\\u306e\\u3059\\u3059\\u3081\",\"screen_name\":\"hegulidybado\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":56,\"friends_count\":11,\"listed_count\":0,\"favourites_count\":0,\"statuses_count\":3,\"created_at\":\"Mon Apr 28 23:36:22 +0000 2014\",\"utc_offset\":32400,\"time_zone\":\"Seoul\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/517133719232970752\\/0Kf4Arh3_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/517133719232970752\\/0Kf4Arh3_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":6953,\"favorite_count\":9,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/Ci1QaLS32E\",\"expanded_url\":\"http:\\/\\/bit.ly\\/1uNuCm9\",\"display_url\":\"bit.ly\\/1uNuCm9\",\"indices\":[36,58]}],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":517294004304879616,\"id_str\":\"517294004304879616\",\"indices\":[76,98],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3MJ_sIIAAOqYb.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3MJ_sIIAAOqYb.jpg\",\"url\":\"http:\\/\\/t.co\\/HYSQ1Rk98R\",\"display_url\":\"pic.twitter.com\\/HYSQ1Rk98R\",\"expanded_url\":\"http:\\/\\/twitter.com\\/hegulidybado\\/status\\/517294006099644417\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":614,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":600,\"h\":614,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":347,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":517294004304879616,\"id_str\":\"517294004304879616\",\"indices\":[76,98],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3MJ_sIIAAOqYb.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3MJ_sIIAAOqYb.jpg\",\"url\":\"http:\\/\\/t.co\\/HYSQ1Rk98R\",\"display_url\":\"pic.twitter.com\\/HYSQ1Rk98R\",\"expanded_url\":\"http:\\/\\/twitter.com\\/hegulidybado\\/status\\/517294006099644417\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":614,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":600,\"h\":614,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":347,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ja\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/Ci1QaLS32E\",\"expanded_url\":\"http:\\/\\/bit.ly\\/1uNuCm9\",\"display_url\":\"bit.ly\\/1uNuCm9\",\"indices\":[54,76]}],\"user_mentions\":[{\"screen_name\":\"hegulidybado\",\"name\":\"\\u304d\\u308c\\u3044\\u306a\\u811a\\u306e\\u3059\\u3059\\u3081\",\"id\":2468416345,\"id_str\":\"2468416345\",\"indices\":[3,16]}],\"symbols\":[],\"media\":[{\"id\":517294004304879616,\"id_str\":\"517294004304879616\",\"indices\":[94,116],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3MJ_sIIAAOqYb.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3MJ_sIIAAOqYb.jpg\",\"url\":\"http:\\/\\/t.co\\/HYSQ1Rk98R\",\"display_url\":\"pic.twitter.com\\/HYSQ1Rk98R\",\"expanded_url\":\"http:\\/\\/twitter.com\\/hegulidybado\\/status\\/517294006099644417\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":614,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":600,\"h\":614,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":347,\"resize\":\"fit\"}},\"source_status_id\":517294006099644417,\"source_status_id_str\":\"517294006099644417\"}]},\"extended_entities\":{\"media\":[{\"id\":517294004304879616,\"id_str\":\"517294004304879616\",\"indices\":[94,116],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3MJ_sIIAAOqYb.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3MJ_sIIAAOqYb.jpg\",\"url\":\"http:\\/\\/t.co\\/HYSQ1Rk98R\",\"display_url\":\"pic.twitter.com\\/HYSQ1Rk98R\",\"expanded_url\":\"http:\\/\\/twitter.com\\/hegulidybado\\/status\\/517294006099644417\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":614,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":600,\"h\":614,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":347,\"resize\":\"fit\"}},\"source_status_id\":517294006099644417,\"source_status_id_str\":\"517294006099644417\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178009739\"}",
			"{\"delete\":{\"status\":{\"id\":241190964318838784,\"id_str\":\"241190964318838784\",\"user_id\":558666526,\"user_id_str\":\"558666526\"},\"timestamp_ms\":\"1412178009757\"}}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185106325504,\"id_str\":\"517338185106325504\",\"text\":\"\\u7d42\\u308f\\u3063\\u3061\\u3083\\u3063\\u305f\\u3051\\u3069\\u2026\\u2026 http:\\/\\/t.co\\/Xky5XIgFrI\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1074165098,\"id_str\":\"1074165098\",\"name\":\"\\u304b\\u3041\\u3041\\u307b\\u2721D.A\\u2702\",\"screen_name\":\"JUMPlove_ing415\",\"location\":\"\",\"url\":null,\"description\":\"Hey!Say!JUMP\\u25b7\\u6709\\u5ca1\\u5927\\u8cb4\\u25b7\\u306a\\u306b\\u308f\\u7687\\u5b50\\u25b7GENERATIONS\\u25b7\\u7247\\u5bc4\\u6dbc\\u592a\\u25b7\\u672c\\u57a2\\u261e@kaho35585638\\u261c\",\"protected\":false,\"verified\":false,\"followers_count\":525,\"friends_count\":424,\"listed_count\":2,\"favourites_count\":142,\"statuses_count\":4559,\"created_at\":\"Wed Jan 09 15:59:36 +0000 2013\",\"utc_offset\":32400,\"time_zone\":\"Irkutsk\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"131516\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/511896347918622720\\/fx0TwbM0.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/511896347918622720\\/fx0TwbM0.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"F56A00\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"F6FFD1\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/511398107490164736\\/Em_rIfPj_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/511398107490164736\\/Em_rIfPj_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1074165098\\/1410761538\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":517338184221339648,\"id_str\":\"517338184221339648\",\"indices\":[12,34],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By30VmtCMAAQAW0.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By30VmtCMAAQAW0.jpg\",\"url\":\"http:\\/\\/t.co\\/Xky5XIgFrI\",\"display_url\":\"pic.twitter.com\\/Xky5XIgFrI\",\"expanded_url\":\"http:\\/\\/twitter.com\\/JUMPlove_ing415\\/status\\/517338185106325504\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":125,\"h\":150,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":125,\"h\":150,\"resize\":\"fit\"},\"medium\":{\"w\":125,\"h\":150,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":517338184221339648,\"id_str\":\"517338184221339648\",\"indices\":[12,34],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By30VmtCMAAQAW0.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By30VmtCMAAQAW0.jpg\",\"url\":\"http:\\/\\/t.co\\/Xky5XIgFrI\",\"display_url\":\"pic.twitter.com\\/Xky5XIgFrI\",\"expanded_url\":\"http:\\/\\/twitter.com\\/JUMPlove_ing415\\/status\\/517338185106325504\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":125,\"h\":150,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":125,\"h\":150,\"resize\":\"fit\"},\"medium\":{\"w\":125,\"h\":150,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178009670\"}",
			"{\"delete\":{\"status\":{\"id\":439218841084653569,\"id_str\":\"439218841084653569\",\"user_id\":2284939447,\"user_id_str\":\"2284939447\"},\"timestamp_ms\":\"1412178009827\"}}",
			"{\"delete\":{\"status\":{\"id\":517185239785828352,\"id_str\":\"517185239785828352\",\"user_id\":2611848445,\"user_id_str\":\"2611848445\"},\"timestamp_ms\":\"1412178009933\"}}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185085353985,\"id_str\":\"517338185085353985\",\"text\":\"RT @FotoDeTattoo: Es mi cuerpo, es mi decisi\\u00f3n http:\\/\\/t.co\\/slAD125oKf\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eSoloParaDeckApp\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1066142299,\"id_str\":\"1066142299\",\"name\":\"Andres Gil\",\"screen_name\":\"AndresGilmusic\",\"location\":\"Espa\\u00f1a - Galicia\",\"url\":\"https:\\/\\/www.youtube.com\\/watch?v=eZaJu6J0oNQ\",\"description\":\"Intento de Cantante\\/Compositor | Haciendo sonidos con un micro y una guitarra | Instagram: @andresgilmusic | Contacto: andresgilofficial@gmail.com\",\"protected\":false,\"verified\":false,\"followers_count\":274360,\"friends_count\":117014,\"listed_count\":115,\"favourites_count\":2797,\"statuses_count\":966,\"created_at\":\"Sun Jan 06 16:41:50 +0000 2013\",\"utc_offset\":7200,\"time_zone\":\"Amsterdam\",\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C6E2EE\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/436281288467566593\\/nAifq9ky.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/436281288467566593\\/nAifq9ky.jpeg\",\"profile_background_tile\":false,\"profile_link_color\":\"1F98C7\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"252429\",\"profile_text_color\":\"666666\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/514833207876136961\\/mB1FLiah_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/514833207876136961\\/mB1FLiah_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1066142299\\/1399546837\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Tue Sep 09 20:21:06 +0000 2014\",\"id\":509436355093344256,\"id_str\":\"509436355093344256\",\"text\":\"Es mi cuerpo, es mi decisi\\u00f3n http:\\/\\/t.co\\/slAD125oKf\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":889776104,\"id_str\":\"889776104\",\"name\":\"Mundo De Tatuajes\",\"screen_name\":\"FotoDeTattoo\",\"location\":\"Primera cuenta en espa\\u00f1ol\",\"url\":\"http:\\/\\/instagram.com\\/sergimarz\",\"description\":\"Mi cuerpo es mi diario y mis tatuajes son mi historia.\\nAqu\\u00ed encontrar\\u00e1s las mejores fotos y gifs. CONTACTO\\/PUBLICIDAD \\u2709  : publicidadtw@gmx.com\",\"protected\":false,\"verified\":false,\"followers_count\":135561,\"friends_count\":18702,\"listed_count\":105,\"favourites_count\":1661,\"statuses_count\":170,\"created_at\":\"Thu Oct 18 21:31:33 +0000 2012\",\"utc_offset\":7200,\"time_zone\":\"Madrid\",\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"131516\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/464351065979105280\\/I-SRajgM.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/464351065979105280\\/I-SRajgM.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"F59505\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"EFEFEF\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/510804948020248577\\/-Dode6Ec_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/510804948020248577\\/-Dode6Ec_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/889776104\\/1404829768\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":1378,\"favorite_count\":1177,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/slAD125oKf\",\"expanded_url\":\"http:\\/\\/twitter.com\\/SonTattoos\\/status\\/509089452807815168\\/photo\\/1\",\"display_url\":\"pic.twitter.com\\/slAD125oKf\",\"indices\":[29,51]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"es\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/slAD125oKf\",\"expanded_url\":\"http:\\/\\/twitter.com\\/SonTattoos\\/status\\/509089452807815168\\/photo\\/1\",\"display_url\":\"pic.twitter.com\\/slAD125oKf\",\"indices\":[47,69]}],\"user_mentions\":[{\"screen_name\":\"FotoDeTattoo\",\"name\":\"Mundo De Tatuajes\",\"id\":889776104,\"id_str\":\"889776104\",\"indices\":[3,16]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178009908\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185076994048,\"id_str\":\"517338185076994048\",\"text\":\"RT @_siguyuu_: \\u98ef\\u30c6\\u30ed\\u3057\\u3088\\u3046\\u304b\\u306a\",\"source\":\"\\u003ca href=\\\"http:\\/\\/theworld09.com\\/\\\" rel=\\\"nofollow\\\"\\u003eTheWorld\\u2800\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2601420020,\"id_str\":\"2601420020\",\"name\":\"\\u308c\\u30fc\\u3061\\u3047\\u308b\",\"screen_name\":\"Re__chel\",\"location\":\"\\u308c\\u3058\\u305f\\u3093\",\"url\":null,\"description\":\"\\u75e9\\u305b\\u307e\\u3059\\u3001\\u30cf\\u30a4\\u3002\",\"protected\":false,\"verified\":false,\"followers_count\":41,\"friends_count\":31,\"listed_count\":12,\"favourites_count\":13884,\"statuses_count\":6995,\"created_at\":\"Thu Jul 03 10:18:42 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/517217210872233984\\/NniB1vC6_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/517217210872233984\\/NniB1vC6_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2601420020\\/1412149788\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:39:41 +0000 2014\",\"id\":517338066067800064,\"id_str\":\"517338066067800064\",\"text\":\"\\u98ef\\u30c6\\u30ed\\u3057\\u3088\\u3046\\u304b\\u306a\",\"source\":\"\\u003ca href=\\\"https:\\/\\/twitter.com\\/#!\\/ABS104a\\\" rel=\\\"nofollow\\\"\\u003eBiyon\\u2261(\\u3000\\u03b5:)\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1540795922,\"id_str\":\"1540795922\",\"name\":\"\\u6642\\u5915~\\u7d05~\",\"screen_name\":\"_siguyuu_\",\"location\":\"I'm \\u714c\\u3005\",\"url\":\"http:\\/\\/twpf.jp\\/_siguyuu_\",\"description\":\"\\u3053\\u306e\\u5148\\u306e\\u672a\\u6765\\u3078\\u3002\",\"protected\":false,\"verified\":false,\"followers_count\":1723,\"friends_count\":833,\"listed_count\":45,\"favourites_count\":21723,\"statuses_count\":85142,\"created_at\":\"Sun Jun 23 11:42:39 +0000 2013\",\"utc_offset\":32400,\"time_zone\":\"Irkutsk\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"EFE7F5\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/452972249889247232\\/6joqJucG.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/452972249889247232\\/6joqJucG.jpeg\",\"profile_background_tile\":false,\"profile_link_color\":\"1C0B1C\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/509372799362678784\\/gHfoRFqE_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/509372799362678784\\/gHfoRFqE_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1540795922\\/1409155934\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":1,\"favorite_count\":1,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ja\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"_siguyuu_\",\"name\":\"\\u6642\\u5915~\\u7d05~\",\"id\":1540795922,\"id_str\":\"1540795922\",\"indices\":[3,13]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178009971\"}",
			"{\"delete\":{\"status\":{\"id\":517335483966177280,\"id_str\":\"517335483966177280\",\"user_id\":748577263,\"user_id_str\":\"748577263\"},\"timestamp_ms\":\"1412178010084\"}}",
			"{\"delete\":{\"status\":{\"id\":517335744008843265,\"id_str\":\"517335744008843265\",\"user_id\":934515757,\"user_id_str\":\"934515757\"},\"timestamp_ms\":\"1412178010120\"}}",
			"{\"delete\":{\"status\":{\"id\":517123021497069568,\"id_str\":\"517123021497069568\",\"user_id\":516279165,\"user_id_str\":\"516279165\"},\"timestamp_ms\":\"1412178010170\"}}",
			"{\"delete\":{\"status\":{\"id\":314814068949131265,\"id_str\":\"314814068949131265\",\"user_id\":574620302,\"user_id_str\":\"574620302\"},\"timestamp_ms\":\"1412178010315\"}}",
			"{\"delete\":{\"status\":{\"id\":441343855850319872,\"id_str\":\"441343855850319872\",\"user_id\":282654461,\"user_id_str\":\"282654461\"},\"timestamp_ms\":\"1412178010316\"}}",
			"{\"delete\":{\"status\":{\"id\":516586859414056961,\"id_str\":\"516586859414056961\",\"user_id\":1491663372,\"user_id_str\":\"1491663372\"},\"timestamp_ms\":\"1412178010308\"}}",
			"{\"delete\":{\"status\":{\"id\":517338117976510464,\"id_str\":\"517338117976510464\",\"user_id\":87433608,\"user_id_str\":\"87433608\"},\"timestamp_ms\":\"1412178010616\"}}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189280063488,\"id_str\":\"517338189280063488\",\"text\":\"hhhdhhs #EMABiggestFansArianaGrande #LORENABUERI\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2808601130,\"id_str\":\"2808601130\",\"name\":\"Account\",\"screen_name\":\"RomuloQ_177\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":1,\"friends_count\":38,\"listed_count\":0,\"favourites_count\":0,\"statuses_count\":155,\"created_at\":\"Sun Sep 14 02:59:02 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"pt\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/abs.twimg.com\\/sticky\\/default_profile_images\\/default_profile_6_normal.png\",\"profile_image_url_https\":\"https:\\/\\/abs.twimg.com\\/sticky\\/default_profile_images\\/default_profile_6_normal.png\",\"default_profile\":true,\"default_profile_image\":true,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"EMABiggestFansArianaGrande\",\"indices\":[8,35]},{\"text\":\"LORENABUERI\",\"indices\":[36,48]}],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"fr\",\"timestamp_ms\":\"1412178010666\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189280083968,\"id_str\":\"517338189280083968\",\"text\":\"hai kak,@billydwi_48, Follow yuk @InfoTasikID  paling update seputar Tasikmalaya, menarik dan menambah wawasan :), pasti di Folback!\",\"source\":\"\\u003ca href=\\\"http:\\/\\/tweetadder.com\\\" rel=\\\"nofollow\\\"\\u003eTweetAdder v4\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2820704798,\"id_str\":\"2820704798\",\"name\":\"Yuni Anita\",\"screen_name\":\"YuniZkia\",\"location\":\"BANDUNG\",\"url\":null,\"description\":\"I can always fighting and always as dreamer To life is better,to life is happiness i must sure and i can do it!! Nothing impossible w\\/ Allah\",\"protected\":false,\"verified\":false,\"followers_count\":20,\"friends_count\":40,\"listed_count\":1,\"favourites_count\":0,\"statuses_count\":5407,\"created_at\":\"Sat Sep 20 00:09:31 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"id\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/513121420339998720\\/SDKw7rS5_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/513121420339998720\\/SDKw7rS5_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2820704798\\/1411172716\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"billydwi_48\",\"name\":\"billydwi_berliana\",\"id\":1474576723,\"id_str\":\"1474576723\",\"indices\":[8,20]},{\"screen_name\":\"InfoTasikID\",\"name\":\"Info Tasikmalaya\",\"id\":2438593345,\"id_str\":\"2438593345\",\"indices\":[33,45]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"in\",\"timestamp_ms\":\"1412178010666\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189305229312,\"id_str\":\"517338189305229312\",\"text\":\"@Kenlee_frank @RelaxVibes I LOVE YOU\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517328285923962881,\"in_reply_to_status_id_str\":\"517328285923962881\",\"in_reply_to_user_id\":839695879,\"in_reply_to_user_id_str\":\"839695879\",\"in_reply_to_screen_name\":\"Kenlee_frank\",\"user\":{\"id\":1158436506,\"id_str\":\"1158436506\",\"name\":\"Skye\",\"screen_name\":\"skyeness06\",\"location\":\"\",\"url\":null,\"description\":\"Hold yourself to a standard of grace, not perfection\\u271d\",\"protected\":false,\"verified\":false,\"followers_count\":794,\"friends_count\":353,\"listed_count\":0,\"favourites_count\":18558,\"statuses_count\":16591,\"created_at\":\"Thu Feb 07 22:33:10 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"131516\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme14\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme14\\/bg.gif\",\"profile_background_tile\":true,\"profile_link_color\":\"009999\",\"profile_sidebar_border_color\":\"EEEEEE\",\"profile_sidebar_fill_color\":\"EFEFEF\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516461590074650624\\/DRNrbCJu_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516461590074650624\\/DRNrbCJu_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1158436506\\/1409961987\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"Kenlee_frank\",\"name\":\"Kenlee Frank\",\"id\":839695879,\"id_str\":\"839695879\",\"indices\":[0,13]},{\"screen_name\":\"RelaxVibes\",\"name\":\"Calm Vibes\",\"id\":1263557930,\"id_str\":\"1263557930\",\"indices\":[14,25]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178010671\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189292662784,\"id_str\":\"517338189292662784\",\"text\":\"I HATE MIDTERMS I WANT TO SHOP\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":131335134,\"id_str\":\"131335134\",\"name\":\"mimi\",\"screen_name\":\"miaahuber\",\"location\":\"\",\"url\":null,\"description\":\"Seeeeeeaaaaaaaaan\\u2764\\ufe0f\",\"protected\":false,\"verified\":false,\"followers_count\":452,\"friends_count\":286,\"listed_count\":0,\"favourites_count\":1436,\"statuses_count\":3410,\"created_at\":\"Sat Apr 10 00:08:13 +0000 2010\",\"utc_offset\":-18000,\"time_zone\":\"Quito\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/441775573191249922\\/SOZrXdxC.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/441775573191249922\\/SOZrXdxC.jpeg\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516291321263558658\\/PlEaw5Ax_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516291321263558658\\/PlEaw5Ax_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/131335134\\/1411738073\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178010667\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189305237505,\"id_str\":\"517338189305237505\",\"text\":\"RT @bbycatte: Hoje sofro por ti\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":915422108,\"id_str\":\"915422108\",\"name\":\"a imperfect girl.\",\"screen_name\":\"dulceeimu\",\"location\":\"\",\"url\":\"http:\\/\\/dulceeimu.tumblr.com\\/\",\"description\":\"there are no words to describe what i feel.\",\"protected\":false,\"verified\":false,\"followers_count\":2310,\"friends_count\":2332,\"listed_count\":2,\"favourites_count\":5017,\"statuses_count\":36655,\"created_at\":\"Tue Oct 30 20:19:46 +0000 2012\",\"utc_offset\":3600,\"time_zone\":\"Lisbon\",\"geo_enabled\":false,\"lang\":\"pt\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FFFFFF\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/465568972927025152\\/xSTlLJBb.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/465568972927025152\\/xSTlLJBb.jpeg\",\"profile_background_tile\":false,\"profile_link_color\":\"080808\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516334375513120768\\/Lm6sxoJh_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516334375513120768\\/Lm6sxoJh_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/915422108\\/1411938845\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:37:46 +0000 2014\",\"id\":517337585732321280,\"id_str\":\"517337585732321280\",\"text\":\"Hoje sofro por ti\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2210726190,\"id_str\":\"2210726190\",\"name\":\"Branca de Neve \\u2665\",\"screen_name\":\"bbycatte\",\"location\":\"casa da av\\u00f3 maria \\u2665\",\"url\":\"https:\\/\\/www.facebook.com\\/catt.filipa17\",\"description\":\"15 | melhor amigo | marida 02 | parvo\",\"protected\":false,\"verified\":false,\"followers_count\":580,\"friends_count\":807,\"listed_count\":1,\"favourites_count\":2218,\"statuses_count\":9468,\"created_at\":\"Sat Nov 23 13:57:09 +0000 2013\",\"utc_offset\":3600,\"time_zone\":\"Casablanca\",\"geo_enabled\":true,\"lang\":\"pt\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000122289084\\/074c36bb97b5a796edbfa99bbe533024.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000122289084\\/074c36bb97b5a796edbfa99bbe533024.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"F5ABD7\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/506730928542978048\\/UjdiV6ZG_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/506730928542978048\\/UjdiV6ZG_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2210726190\\/1411035475\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":{\"type\":\"Point\",\"coordinates\":[38.711113,-8.981715]},\"coordinates\":{\"type\":\"Point\",\"coordinates\":[-8.981715,38.711113]},\"place\":{\"id\":\"1d2e1b262bb7b74a\",\"url\":\"https:\\/\\/api.twitter.com\\/1.1\\/geo\\/id\\/1d2e1b262bb7b74a.json\",\"place_type\":\"city\",\"name\":\"Montijo\",\"full_name\":\"Montijo\",\"country_code\":\"PT\",\"country\":\"Portugal\",\"bounding_box\":{\"type\":\"Polygon\",\"coordinates\":[[[-9.0499208,38.6447429],[-9.0499208,38.8454231],[-8.4909751,38.8454231],[-8.4909751,38.6447429]]]},\"attributes\":{}},\"contributors\":null,\"retweet_count\":1,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"pt\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"bbycatte\",\"name\":\"Branca de Neve \\u2665\",\"id\":2210726190,\"id_str\":\"2210726190\",\"indices\":[3,12]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"pt\",\"timestamp_ms\":\"1412178010685\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189292634112,\"id_str\":\"517338189292634112\",\"text\":\"RT @Skylers_MOM: I just be sitting back observing shit\",\"source\":\"\\u003ca href=\\\"http:\\/\\/www.echofon.com\\/\\\" rel=\\\"nofollow\\\"\\u003eEchofon\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":49321057,\"id_str\":\"49321057\",\"name\":\"NeNe\",\"screen_name\":\"SenetraNicole\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":106,\"friends_count\":85,\"listed_count\":0,\"favourites_count\":2,\"statuses_count\":4054,\"created_at\":\"Sun Jun 21 14:04:29 +0000 2009\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/432217252201390080\\/Qb1DvCcx_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/432217252201390080\\/Qb1DvCcx_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:39:59 +0000 2014\",\"id\":517338142450679808,\"id_str\":\"517338142450679808\",\"text\":\"I just be sitting back observing shit\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":228621374,\"id_str\":\"228621374\",\"name\":\"\\u2764Jackie\",\"screen_name\":\"Skylers_MOM\",\"location\":\"BR...Louisiana\",\"url\":null,\"description\":\"Skyler & School thats my main focus\",\"protected\":false,\"verified\":false,\"followers_count\":1151,\"friends_count\":858,\"listed_count\":1,\"favourites_count\":641,\"statuses_count\":83663,\"created_at\":\"Mon Dec 20 06:56:45 +0000 2010\",\"utc_offset\":-21600,\"time_zone\":\"Mountain Time (US & Canada)\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"642D8B\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/326032738\\/sky.jpg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/326032738\\/sky.jpg\",\"profile_background_tile\":false,\"profile_link_color\":\"FF0000\",\"profile_sidebar_border_color\":\"65B0DA\",\"profile_sidebar_fill_color\":\"7AC3EE\",\"profile_text_color\":\"3D1957\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/513731462852784128\\/-VE_YOtR_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/513731462852784128\\/-VE_YOtR_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/228621374\\/1403276972\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":1,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"en\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"Skylers_MOM\",\"name\":\"\\u2764Jackie\",\"id\":228621374,\"id_str\":\"228621374\",\"indices\":[3,15]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178010685\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189305249792,\"id_str\":\"517338189305249792\",\"text\":\"Seriously?! \\\"@BarakRavid: Netanyahu: I am committed to 2 states for 2 peoples\\\"\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":846853320,\"id_str\":\"846853320\",\"name\":\"\\u0634\\u0647\\u0640\\u0640\\u0640\\u0640\\u0631\\u0632\\u0627\\u062f\",\"screen_name\":\"Shahr2ad\",\"location\":\"Iran\",\"url\":\"http:\\/\\/shahr2ad.wordpress.com\",\"description\":\"Shahrzad, the storyteller who stops at the middle of the story ... \\/ Instagram : shahrzad_alh \\/ Tweets in Fa-En  \\/ #SHMarketWatch\",\"protected\":false,\"verified\":false,\"followers_count\":3414,\"friends_count\":525,\"listed_count\":47,\"favourites_count\":46035,\"statuses_count\":22997,\"created_at\":\"Wed Sep 26 06:04:56 +0000 2012\",\"utc_offset\":12600,\"time_zone\":\"Tehran\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"EBEBEB\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme7\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme7\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"990000\",\"profile_sidebar_border_color\":\"DFDFDF\",\"profile_sidebar_fill_color\":\"F3F3F3\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/493441498260582401\\/k9Xoaa-L_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/493441498260582401\\/k9Xoaa-L_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/846853320\\/1378037812\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"BarakRavid\",\"name\":\"Barak Ravid\",\"id\":302971361,\"id_str\":\"302971361\",\"indices\":[13,24]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178010671\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189301047296,\"id_str\":\"517338189301047296\",\"text\":\"hhhdhhs #EMABiggestFansArianaGrande #LORENABUERI\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2808627206,\"id_str\":\"2808627206\",\"name\":\"Account\",\"screen_name\":\"RomuloQ_178\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":1,\"friends_count\":39,\"listed_count\":0,\"favourites_count\":0,\"statuses_count\":746,\"created_at\":\"Sun Sep 14 03:18:22 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"pt\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/abs.twimg.com\\/sticky\\/default_profile_images\\/default_profile_0_normal.png\",\"profile_image_url_https\":\"https:\\/\\/abs.twimg.com\\/sticky\\/default_profile_images\\/default_profile_0_normal.png\",\"default_profile\":true,\"default_profile_image\":true,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"EMABiggestFansArianaGrande\",\"indices\":[8,35]},{\"text\":\"LORENABUERI\",\"indices\":[36,48]}],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"fr\",\"timestamp_ms\":\"1412178010671\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189271678976,\"id_str\":\"517338189271678976\",\"text\":\"RT @NYPost_Berman: Early edition backpage of The Post sold here in Orange County. http:\\/\\/t.co\\/RV3d5WqZLe\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":153988063,\"id_str\":\"153988063\",\"name\":\"Joe Liuzzo \",\"screen_name\":\"novacat89\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":67,\"friends_count\":632,\"listed_count\":0,\"favourites_count\":43,\"statuses_count\":322,\"created_at\":\"Thu Jun 10 02:31:08 +0000 2010\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/2328397241\\/image_normal.jpg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/2328397241\\/image_normal.jpg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:29:12 +0000 2014\",\"id\":517335428186537985,\"id_str\":\"517335428186537985\",\"text\":\"Early edition backpage of The Post sold here in Orange County. http:\\/\\/t.co\\/RV3d5WqZLe\",\"source\":\"\\u003ca href=\\\"http:\\/\\/www.apple.com\\\" rel=\\\"nofollow\\\"\\u003eiOS\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":51189656,\"id_str\":\"51189656\",\"name\":\"Marc Berman\",\"screen_name\":\"NYPost_Berman\",\"location\":\"\",\"url\":null,\"description\":\"The NYPOST'S authority on all things NY KNICKS and TENNIS.  I want to hear from you!\",\"protected\":false,\"verified\":false,\"followers_count\":30792,\"friends_count\":278,\"listed_count\":1387,\"favourites_count\":44,\"statuses_count\":13424,\"created_at\":\"Fri Jun 26 19:27:39 +0000 2009\",\"utc_offset\":-18000,\"time_zone\":\"Quito\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"007AC1\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/22310051\\/knicks.gif\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/22310051\\/knicks.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"BDDCAD\",\"profile_sidebar_fill_color\":\"DDFFCC\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/318882372\\/berman_normal.bmp\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/318882372\\/berman_normal.bmp\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":9,\"favorite_count\":6,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":517335427985203200,\"id_str\":\"517335427985203200\",\"indices\":[63,85],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3x1K7IYAA5R2I.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3x1K7IYAA5R2I.jpg\",\"url\":\"http:\\/\\/t.co\\/RV3d5WqZLe\",\"display_url\":\"pic.twitter.com\\/RV3d5WqZLe\",\"expanded_url\":\"http:\\/\\/twitter.com\\/NYPost_Berman\\/status\\/517335428186537985\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":426,\"h\":568,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":453,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":426,\"h\":568,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":517335427985203200,\"id_str\":\"517335427985203200\",\"indices\":[63,85],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3x1K7IYAA5R2I.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3x1K7IYAA5R2I.jpg\",\"url\":\"http:\\/\\/t.co\\/RV3d5WqZLe\",\"display_url\":\"pic.twitter.com\\/RV3d5WqZLe\",\"expanded_url\":\"http:\\/\\/twitter.com\\/NYPost_Berman\\/status\\/517335428186537985\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":426,\"h\":568,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":453,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":426,\"h\":568,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"en\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"NYPost_Berman\",\"name\":\"Marc Berman\",\"id\":51189656,\"id_str\":\"51189656\",\"indices\":[3,17]}],\"symbols\":[],\"media\":[{\"id\":517335427985203200,\"id_str\":\"517335427985203200\",\"indices\":[82,104],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3x1K7IYAA5R2I.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3x1K7IYAA5R2I.jpg\",\"url\":\"http:\\/\\/t.co\\/RV3d5WqZLe\",\"display_url\":\"pic.twitter.com\\/RV3d5WqZLe\",\"expanded_url\":\"http:\\/\\/twitter.com\\/NYPost_Berman\\/status\\/517335428186537985\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":426,\"h\":568,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":453,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":426,\"h\":568,\"resize\":\"fit\"}},\"source_status_id\":517335428186537985,\"source_status_id_str\":\"517335428186537985\"}]},\"extended_entities\":{\"media\":[{\"id\":517335427985203200,\"id_str\":\"517335427985203200\",\"indices\":[82,104],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3x1K7IYAA5R2I.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3x1K7IYAA5R2I.jpg\",\"url\":\"http:\\/\\/t.co\\/RV3d5WqZLe\",\"display_url\":\"pic.twitter.com\\/RV3d5WqZLe\",\"expanded_url\":\"http:\\/\\/twitter.com\\/NYPost_Berman\\/status\\/517335428186537985\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":426,\"h\":568,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":453,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":426,\"h\":568,\"resize\":\"fit\"}},\"source_status_id\":517335428186537985,\"source_status_id_str\":\"517335428186537985\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178010680\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189280051200,\"id_str\":\"517338189280051200\",\"text\":\"reasonsmysoniscrying: Fruit Flies are nature\\u2019s way of saying, \\u201cHey. You know what? You haven\\u2019t done dishes... http:\\/\\/t.co\\/eyoUNDJMnb\",\"source\":\"\\u003ca href=\\\"http:\\/\\/www.tumblr.com\\/\\\" rel=\\\"nofollow\\\"\\u003eTumblr\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":26621242,\"id_str\":\"26621242\",\"name\":\"Iesha vs. Kandi\",\"screen_name\":\"Kand1Land\",\"location\":\"my skin\",\"url\":null,\"description\":\"\\u2764 I love LOVE...so even if you dnt like me I love you!\",\"protected\":false,\"verified\":false,\"followers_count\":237,\"friends_count\":248,\"listed_count\":2,\"favourites_count\":75,\"statuses_count\":79059,\"created_at\":\"Wed Mar 25 23:12:07 +0000 2009\",\"utc_offset\":-18000,\"time_zone\":\"Central Time (US & Canada)\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"0099B9\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/77974942\\/2FMX3_black_widow.jpg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/77974942\\/2FMX3_black_widow.jpg\",\"profile_background_tile\":true,\"profile_link_color\":\"0099B9\",\"profile_sidebar_border_color\":\"5ED4DC\",\"profile_sidebar_fill_color\":\"44F5FD\",\"profile_text_color\":\"7E28F7\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/506126221609271296\\/cUiCmjtM_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/506126221609271296\\/cUiCmjtM_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/26621242\\/1409504870\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/eyoUNDJMnb\",\"expanded_url\":\"http:\\/\\/tmblr.co\\/Z1UTpx1S6XQeU\",\"display_url\":\"tmblr.co\\/Z1UTpx1S6XQeU\",\"indices\":[110,132]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178010665\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189288452096,\"id_str\":\"517338189288452096\",\"text\":\"@Chaotica42 ikke alt det piv. Halsedisse p\\u00e5 og af sted med dig.\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517334804875182080,\"in_reply_to_status_id_str\":\"517334804875182080\",\"in_reply_to_user_id\":93222286,\"in_reply_to_user_id_str\":\"93222286\",\"in_reply_to_screen_name\":\"Chaotica42\",\"user\":{\"id\":521505469,\"id_str\":\"521505469\",\"name\":\"Tina S\",\"screen_name\":\"taurodont\",\"location\":\"Copenhagen, Denmark\",\"url\":null,\"description\":\"Tandl\\u00e6ge. L\\u00f8ber. Manisk l\\u00e6ser. Inkarneret P1-lytter. Undulatejer.\",\"protected\":false,\"verified\":false,\"followers_count\":415,\"friends_count\":1152,\"listed_count\":3,\"favourites_count\":1602,\"statuses_count\":8518,\"created_at\":\"Sun Mar 11 17:31:16 +0000 2012\",\"utc_offset\":7200,\"time_zone\":\"Amsterdam\",\"geo_enabled\":true,\"lang\":\"da\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"642D8B\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme10\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme10\\/bg.gif\",\"profile_background_tile\":true,\"profile_link_color\":\"FF0000\",\"profile_sidebar_border_color\":\"65B0DA\",\"profile_sidebar_fill_color\":\"7AC3EE\",\"profile_text_color\":\"3D1957\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/505801658769879040\\/DbJJHP82_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/505801658769879040\\/DbJJHP82_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/521505469\\/1348338741\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"Chaotica42\",\"name\":\"Martin\",\"id\":93222286,\"id_str\":\"93222286\",\"indices\":[0,11]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"da\",\"timestamp_ms\":\"1412178010672\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189275873280,\"id_str\":\"517338189275873280\",\"text\":\"Photo:  http:\\/\\/t.co\\/684aSCDhbp\",\"source\":\"\\u003ca href=\\\"http:\\/\\/www.tumblr.com\\/\\\" rel=\\\"nofollow\\\"\\u003eTumblr\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1360316990,\"id_str\":\"1360316990\",\"name\":\"Hannah Vandervelde\",\"screen_name\":\"belladoesntsuck\",\"location\":\"Definitely not Iceland\",\"url\":null,\"description\":\"#illhueminati The duty of youth is to challenge corruption. -Kurt Donald Cobain\",\"protected\":false,\"verified\":false,\"followers_count\":338,\"friends_count\":721,\"listed_count\":1,\"favourites_count\":1312,\"statuses_count\":1013,\"created_at\":\"Wed Apr 17 20:36:02 +0000 2013\",\"utc_offset\":-18000,\"time_zone\":\"Central Time (US & Canada)\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"1A1B1F\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme9\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme9\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"3B94D9\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"F3F3F3\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/508743073963053056\\/PshalVkv_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/508743073963053056\\/PshalVkv_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1360316990\\/1410128798\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/684aSCDhbp\",\"expanded_url\":\"http:\\/\\/tmblr.co\\/Z7OB_m1S6XRI6\",\"display_url\":\"tmblr.co\\/Z7OB_m1S6XRI6\",\"indices\":[8,30]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"pt\",\"timestamp_ms\":\"1412178010662\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189280075777,\"id_str\":\"517338189280075777\",\"text\":\"RT @Forbes: Quote of the Day: \\n\\\"Restlessness and discontent are the first necessities of progress.\\\" - Thomas A. Edison \\nhttp:\\/\\/t.co\\/Pm3XzBd\\u2026\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2831801370,\"id_str\":\"2831801370\",\"name\":\"L Rowland\",\"screen_name\":\"MyLayla58\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":19,\"friends_count\":243,\"listed_count\":0,\"favourites_count\":68,\"statuses_count\":31,\"created_at\":\"Thu Sep 25 13:52:41 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/515142666221133825\\/SKHYDRTa_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/515142666221133825\\/SKHYDRTa_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2831801370\\/1411654407\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:00:21 +0000 2014\",\"id\":517328168395755520,\"id_str\":\"517328168395755520\",\"text\":\"Quote of the Day: \\n\\\"Restlessness and discontent are the first necessities of progress.\\\" - Thomas A. Edison \\nhttp:\\/\\/t.co\\/Pm3XzBdfUC\",\"source\":\"\\u003ca href=\\\"http:\\/\\/www.socialflow.com\\\" rel=\\\"nofollow\\\"\\u003eSocialFlow\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":91478624,\"id_str\":\"91478624\",\"name\":\"Forbes\",\"screen_name\":\"Forbes\",\"location\":\"New York, NY\",\"url\":\"http:\\/\\/forbes.com\",\"description\":\"Official Twitter account of http:\\/\\/Forbes.com, homepage for the world's business leaders.\",\"protected\":false,\"verified\":true,\"followers_count\":3682609,\"friends_count\":5064,\"listed_count\":35191,\"favourites_count\":3110,\"statuses_count\":74168,\"created_at\":\"Sat Nov 21 02:09:57 +0000 2009\",\"utc_offset\":-14400,\"time_zone\":\"Eastern Time (US & Canada)\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"072250\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/457626324\\/twitter_background_dark3.png\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/457626324\\/twitter_background_dark3.png\",\"profile_background_tile\":false,\"profile_link_color\":\"072250\",\"profile_sidebar_border_color\":\"CCCCCC\",\"profile_sidebar_fill_color\":\"F7F7F7\",\"profile_text_color\":\"000000\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/1824717932\\/Forbes_Icon_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/1824717932\\/Forbes_Icon_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/91478624\\/1400096856\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":184,\"favorite_count\":120,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/Pm3XzBdfUC\",\"expanded_url\":\"http:\\/\\/onforb.es\\/1rhKNrp\",\"display_url\":\"onforb.es\\/1rhKNrp\",\"indices\":[108,130]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"en\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/Pm3XzBdfUC\",\"expanded_url\":\"http:\\/\\/onforb.es\\/1rhKNrp\",\"display_url\":\"onforb.es\\/1rhKNrp\",\"indices\":[139,140]}],\"user_mentions\":[{\"screen_name\":\"Forbes\",\"name\":\"Forbes\",\"id\":91478624,\"id_str\":\"91478624\",\"indices\":[3,10]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178010683\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189292666880,\"id_str\":\"517338189292666880\",\"text\":\"RT @Turkii208: \\u0627\\u0644\\u0627\\u0646\\u062b\\u0649 \\u0627\\u0644\\u062a\\u064a\\n\\n\\u062a\\u063a\\u0627\\u0631 \\u0639\\u0644\\u064a\\u0643 \\u0643\\u062b\\u064a\\u0631\\u0627\\u064b \\u0627\\u0639\\u0644\\u0645 \\n\\n\\u0627\\u0646\\u0647\\u0627 \\u062a\\u062d\\u0628\\u0643 \\u0627\\u0643\\u062b\\u0631 \\u0645\\u0646 \\u0646\\u0641\\u0633\\u0647\\u0627\\u2764\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1549649677,\"id_str\":\"1549649677\",\"name\":\"\\u0634\\u0648\\u0627\\u0642\\u0647 \",\"screen_name\":\"soso20127231\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":1323,\"friends_count\":1946,\"listed_count\":0,\"favourites_count\":9,\"statuses_count\":1255,\"created_at\":\"Thu Jun 27 03:01:43 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"ar\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/486721552826630144\\/S1wPv-Wa_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/486721552826630144\\/S1wPv-Wa_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1549649677\\/1379426199\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Tue Sep 30 14:30:28 +0000 2014\",\"id\":516958261904293890,\"id_str\":\"516958261904293890\",\"text\":\"\\u0627\\u0644\\u0627\\u0646\\u062b\\u0649 \\u0627\\u0644\\u062a\\u064a\\n\\n\\u062a\\u063a\\u0627\\u0631 \\u0639\\u0644\\u064a\\u0643 \\u0643\\u062b\\u064a\\u0631\\u0627\\u064b \\u0627\\u0639\\u0644\\u0645 \\n\\n\\u0627\\u0646\\u0647\\u0627 \\u062a\\u062d\\u0628\\u0643 \\u0627\\u0643\\u062b\\u0631 \\u0645\\u0646 \\u0646\\u0641\\u0633\\u0647\\u0627\\u2764\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2768240809,\"id_str\":\"2768240809\",\"name\":\"\\u062a\\u0631\\u0643\\u064a\",\"screen_name\":\"Turkii208\",\"location\":\"\",\"url\":\"http:\\/\\/Instagram.com\\/turkiis208\",\"description\":\"\\u062d\\u064e\\u0633\\u064e\\u0627\\u064e\\u0628\\u064e\\u064a\\u064e \\u0628\\u064e\\u0627\\u064e\\u0644\\u0627\\u064e\\u0633\\u064e\\u062a\\u064e\\u0642\\u064e\\u0631\\u064e\\u0627\\u064e\\u0645\",\"protected\":false,\"verified\":false,\"followers_count\":1343,\"friends_count\":510,\"listed_count\":4,\"favourites_count\":178,\"statuses_count\":81,\"created_at\":\"Mon Aug 25 22:35:38 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ar\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/513977072029405184\\/VUzDHpIp_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/513977072029405184\\/VUzDHpIp_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2768240809\\/1411289383\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":19,\"favorite_count\":3,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ar\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"Turkii208\",\"name\":\"\\u062a\\u0631\\u0643\\u064a\",\"id\":2768240809,\"id_str\":\"2768240809\",\"indices\":[3,13]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ar\",\"timestamp_ms\":\"1412178010684\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189296447489,\"id_str\":\"517338189296447489\",\"text\":\"A veces lo \\u00fanico que necesito es un abrazo\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1921322623,\"id_str\":\"1921322623\",\"name\":\"Pierina Angulo\",\"screen_name\":\"MeDicenNina15\",\"location\":\"venezuela-maracaibo\",\"url\":\"http:\\/\\/facebook.com\\/pieri.orellana.7\",\"description\":\"15 Years..! \\u2665Romeo Santos, \\u2665Prince Royce,\\u2665Maluma.Dios y mi Familia.. El Amor No Va Conmigo..Sigue & Te Sigo.\",\"protected\":false,\"verified\":false,\"followers_count\":2240,\"friends_count\":1656,\"listed_count\":4,\"favourites_count\":53,\"statuses_count\":888,\"created_at\":\"Mon Sep 30 21:00:23 +0000 2013\",\"utc_offset\":-16200,\"time_zone\":\"Caracas\",\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"89C9FA\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/513505097884504064\\/0i33lQU7.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/513505097884504064\\/0i33lQU7.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"9266CC\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"7AC3EE\",\"profile_text_color\":\"3D1957\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516383068630691841\\/8DeDHXyp_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516383068630691841\\/8DeDHXyp_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1921322623\\/1399584791\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178010669\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189267501056,\"id_str\":\"517338189267501056\",\"text\":\"@Samsung_NL geef mij de nieuwe Note en ik promoot Samsung elke dag op Twitter voor de duur van een jaar!\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517312985619259392,\"in_reply_to_status_id_str\":\"517312985619259392\",\"in_reply_to_user_id\":153780289,\"in_reply_to_user_id_str\":\"153780289\",\"in_reply_to_screen_name\":\"Samsung_NL\",\"user\":{\"id\":265348883,\"id_str\":\"265348883\",\"name\":\"Aron Boele\",\"screen_name\":\"AronBoele\",\"location\":\"Domtown\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":46,\"friends_count\":83,\"listed_count\":1,\"favourites_count\":8,\"statuses_count\":2936,\"created_at\":\"Sun Mar 13 11:56:51 +0000 2011\",\"utc_offset\":7200,\"time_zone\":\"Amsterdam\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/2974307477\\/5faa0bacdc4a960eb6847405c71221b1_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/2974307477\\/5faa0bacdc4a960eb6847405c71221b1_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"Samsung_NL\",\"name\":\"Samsung Nederland\",\"id\":153780289,\"id_str\":\"153780289\",\"indices\":[0,11]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"nl\",\"timestamp_ms\":\"1412178010663\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189292646400,\"id_str\":\"517338189292646400\",\"text\":\"RT @Gabriele_Corno: Fall Sunset.... @ North Italy Via @Applebees @SusanGilbert @ShiCooks http:\\/\\/t.co\\/wVrALfMjXj\",\"source\":\"\\u003ca href=\\\"https:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android Tablets\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2761572911,\"id_str\":\"2761572911\",\"name\":\"Culham COREY\",\"screen_name\":\"culhamcoreycl\",\"location\":\"\\u00dcT: 28.041778,-80.614276\",\"url\":null,\"description\":\"20YEARS YOUNG TEAMVIRGO TEAMHAITIAN TEAMDARKSKIN COLLEGESTUDENT SO MANY GOALS SUCH LITTLETIME...IM GOOFY OUSPOKEN AND FULL OF ENERGY JUSTAWESOME\",\"protected\":false,\"verified\":false,\"followers_count\":0,\"friends_count\":1,\"listed_count\":0,\"favourites_count\":13,\"statuses_count\":61,\"created_at\":\"Fri Sep 05 00:48:35 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/507695113695674368\\/a1GgKjNQ_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/507695113695674368\\/a1GgKjNQ_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Tue Sep 30 09:25:05 +0000 2014\",\"id\":516881407357222912,\"id_str\":\"516881407357222912\",\"text\":\"Fall Sunset.... @ North Italy Via @Applebees @SusanGilbert @ShiCooks http:\\/\\/t.co\\/wVrALfMjXj\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":374752807,\"id_str\":\"374752807\",\"name\":\"Gabriele Corno  \",\"screen_name\":\"Gabriele_Corno\",\"location\":\"London\",\"url\":\"http:\\/\\/www.GabrieleCorno.com\",\"description\":\"Life is like Alice's White Rabbit. He runs away and does not grab anything, but this is not important: what matters is to keep on pursuing him.\",\"protected\":false,\"verified\":false,\"followers_count\":189522,\"friends_count\":4769,\"listed_count\":647,\"favourites_count\":124,\"statuses_count\":34928,\"created_at\":\"Fri Sep 16 21:44:30 +0000 2011\",\"utc_offset\":-7200,\"time_zone\":\"Greenland\",\"geo_enabled\":false,\"lang\":\"it\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"0099B9\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/397041830\\/P1000152s.jpg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/397041830\\/P1000152s.jpg\",\"profile_background_tile\":false,\"profile_link_color\":\"0099B9\",\"profile_sidebar_border_color\":\"5ED4DC\",\"profile_sidebar_fill_color\":\"95E8EC\",\"profile_text_color\":\"3C3940\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/478543079062765568\\/3SDLVmH1_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/478543079062765568\\/3SDLVmH1_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/374752807\\/1383503978\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":15838,\"favorite_count\":511,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"Applebees\",\"name\":\"Applebee's\",\"id\":74452613,\"id_str\":\"74452613\",\"indices\":[34,44]},{\"screen_name\":\"SusanGilbert\",\"name\":\"Susan Gilbert\",\"id\":17089843,\"id_str\":\"17089843\",\"indices\":[45,58]},{\"screen_name\":\"ShiCooks\",\"name\":\"Shi Hakel, MSc\",\"id\":16476911,\"id_str\":\"16476911\",\"indices\":[59,68]}],\"symbols\":[],\"media\":[{\"id\":516881405717266432,\"id_str\":\"516881405717266432\",\"indices\":[69,91],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByxU5mLIQAADyZB.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByxU5mLIQAADyZB.jpg\",\"url\":\"http:\\/\\/t.co\\/wVrALfMjXj\",\"display_url\":\"pic.twitter.com\\/wVrALfMjXj\",\"expanded_url\":\"http:\\/\\/twitter.com\\/Gabriele_Corno\\/status\\/516881407357222912\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":340,\"h\":250,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":960,\"h\":707,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":441,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":516881405717266432,\"id_str\":\"516881405717266432\",\"indices\":[69,91],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByxU5mLIQAADyZB.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByxU5mLIQAADyZB.jpg\",\"url\":\"http:\\/\\/t.co\\/wVrALfMjXj\",\"display_url\":\"pic.twitter.com\\/wVrALfMjXj\",\"expanded_url\":\"http:\\/\\/twitter.com\\/Gabriele_Corno\\/status\\/516881407357222912\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":340,\"h\":250,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":960,\"h\":707,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":441,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"en\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"Gabriele_Corno\",\"name\":\"Gabriele Corno  \",\"id\":374752807,\"id_str\":\"374752807\",\"indices\":[3,18]},{\"screen_name\":\"Applebees\",\"name\":\"Applebee's\",\"id\":74452613,\"id_str\":\"74452613\",\"indices\":[54,64]},{\"screen_name\":\"SusanGilbert\",\"name\":\"Susan Gilbert\",\"id\":17089843,\"id_str\":\"17089843\",\"indices\":[65,78]},{\"screen_name\":\"ShiCooks\",\"name\":\"Shi Hakel, MSc\",\"id\":16476911,\"id_str\":\"16476911\",\"indices\":[79,88]}],\"symbols\":[],\"media\":[{\"id\":516881405717266432,\"id_str\":\"516881405717266432\",\"indices\":[89,111],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByxU5mLIQAADyZB.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByxU5mLIQAADyZB.jpg\",\"url\":\"http:\\/\\/t.co\\/wVrALfMjXj\",\"display_url\":\"pic.twitter.com\\/wVrALfMjXj\",\"expanded_url\":\"http:\\/\\/twitter.com\\/Gabriele_Corno\\/status\\/516881407357222912\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":340,\"h\":250,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":960,\"h\":707,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":441,\"resize\":\"fit\"}},\"source_status_id\":516881407357222912,\"source_status_id_str\":\"516881407357222912\"}]},\"extended_entities\":{\"media\":[{\"id\":516881405717266432,\"id_str\":\"516881405717266432\",\"indices\":[89,111],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByxU5mLIQAADyZB.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByxU5mLIQAADyZB.jpg\",\"url\":\"http:\\/\\/t.co\\/wVrALfMjXj\",\"display_url\":\"pic.twitter.com\\/wVrALfMjXj\",\"expanded_url\":\"http:\\/\\/twitter.com\\/Gabriele_Corno\\/status\\/516881407357222912\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":340,\"h\":250,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":960,\"h\":707,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":441,\"resize\":\"fit\"}},\"source_status_id\":516881407357222912,\"source_status_id_str\":\"516881407357222912\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178010689\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189292257283,\"id_str\":\"517338189292257283\",\"text\":\".. I was getting out the car but then Drake came on \\u2764\\ufe0f going up on a TUESDAY \\ud83c\\udf89\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":362656360,\"id_str\":\"362656360\",\"name\":\"\\u15f7\\u1587I\\u15e9\\u144e\\u144e\\u15e9 \\u15f0\\u15e9\\u1587IE \\u15b4\\u1587\\u15e9\\u144e\\u1455O\",\"screen_name\":\"briannamarie159\",\"location\":\"\",\"url\":null,\"description\":\"\\u03b1\\u2113\\u2113 \\u03b9 \\u0454\\u03bd\\u0454\\u044f \\u03c9\\u03b1\\u0438\\u0442\\u0454\\u2202 \\u03c9\\u03b1\\u0455 \\u0442\\u043d\\u0454 \\u03c9\\u03c3\\u044f\\u2113\\u2202.  \\u24d1\\u24de\\u24dc\\u24d1\\u24e2\\u24d7\\u24d4\\u24db\\u24db\\u24e2\",\"protected\":false,\"verified\":false,\"followers_count\":276,\"friends_count\":225,\"listed_count\":0,\"favourites_count\":349,\"statuses_count\":5833,\"created_at\":\"Fri Aug 26 19:24:48 +0000 2011\",\"utc_offset\":-21600,\"time_zone\":\"Mountain Time (US & Canada)\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"1FDBA6\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/509100612\\/7311004.jpg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/509100612\\/7311004.jpg\",\"profile_background_tile\":true,\"profile_link_color\":\"1FDBA6\",\"profile_sidebar_border_color\":\"DEC1EB\",\"profile_sidebar_fill_color\":\"FFFFFF\",\"profile_text_color\":\"EB3B96\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/469118746288988160\\/vzrinOUm_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/469118746288988160\\/vzrinOUm_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/362656360\\/1411912150\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178010669\"}",
			"{\"delete\":{\"status\":{\"id\":517182991664041984,\"id_str\":\"517182991664041984\",\"user_id\":2453992843,\"user_id_str\":\"2453992843\"},\"timestamp_ms\":\"1412178010676\"}}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189292638208,\"id_str\":\"517338189292638208\",\"text\":\"3rd lunch \\ud83d\\ude12\\ud83d\\ude29\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":571224154,\"id_str\":\"571224154\",\"name\":\"Augusto Frederico\",\"screen_name\":\"guto33100\",\"location\":\"\",\"url\":null,\"description\":\"14 | Boston, MA | Brazilian | Instagram : frederico_1221 | EHS'18\",\"protected\":false,\"verified\":false,\"followers_count\":380,\"friends_count\":280,\"listed_count\":0,\"favourites_count\":1147,\"statuses_count\":4247,\"created_at\":\"Fri May 04 22:50:08 +0000 2012\",\"utc_offset\":-25200,\"time_zone\":\"Pacific Time (US & Canada)\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/507483364778328064\\/Jzd24xkU_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/507483364778328064\\/Jzd24xkU_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/571224154\\/1408418238\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178010670\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189288456193,\"id_str\":\"517338189288456193\",\"text\":\"#OctubreConODe viajar y #conocemexico #vivemexivo somos la mejor agencia, donde atenderte es todo un placer!\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2802447216,\"id_str\":\"2802447216\",\"name\":\"Turismo Jansen\",\"screen_name\":\"TRYPEASY\",\"location\":\"cto.cirujanos #9 nauc mx \",\"url\":\"http:\\/\\/www.trypeasy.com\",\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":33,\"friends_count\":135,\"listed_count\":0,\"favourites_count\":69,\"statuses_count\":84,\"created_at\":\"Wed Sep 10 21:29:29 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/509824358542368768\\/WHn9Edo1_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/509824358542368768\\/WHn9Edo1_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2802447216\\/1410460691\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"OctubreConODe\",\"indices\":[0,14]},{\"text\":\"conocemexico\",\"indices\":[24,37]},{\"text\":\"vivemexivo\",\"indices\":[38,49]}],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178010677\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189288460289,\"id_str\":\"517338189288460289\",\"text\":\"@null October 02, 2014 at 12:21AM #RT #TFB #TeamFollowBack #TFB #TFW #FF #Follow #RT\\u3057\\u305f\\u4eba\\u5168\\u54e1\\u30d5\\u30a9\\u30ed\\u30fc\\u3059\\u308b 6\",\"source\":\"\\u003ca href=\\\"http:\\/\\/ifttt.com\\\" rel=\\\"nofollow\\\"\\u003eIFTTT\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":3562471,\"in_reply_to_user_id_str\":\"3562471\",\"in_reply_to_screen_name\":\"null\",\"user\":{\"id\":2260253222,\"id_str\":\"2260253222\",\"name\":\"\\u30d5\\u30a1\\u30a4\\u30ba\",\"screen_name\":\"__yk__13\",\"location\":\"\",\"url\":null,\"description\":\"\\u3086\\u308b\\u3086\\u308a\\u3001\\u30e9\\u30d6\\u30e9\\u30a4\\u30d6\\u5927\\u597d\\u304d\\u3067\\u3059\\uff01\\u97f3\\u30b2\\u30fc\\u3001\\u30a2\\u30cb\\u30e1\\u3001\\u6771\\u65b9\\u306a\\u3069\\u3001\\u4ef2\\u826f\\u304f\\u3057\\u307e\\u3057\\u3087\\u30fc\",\"protected\":false,\"verified\":false,\"followers_count\":6252,\"friends_count\":6734,\"listed_count\":50,\"favourites_count\":762,\"statuses_count\":200030,\"created_at\":\"Tue Dec 24 13:16:15 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/472338059338334209\\/_X5zbZmj_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/472338059338334209\\/_X5zbZmj_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2260253222\\/1397134565\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"RT\",\"indices\":[34,37]},{\"text\":\"TFB\",\"indices\":[38,42]},{\"text\":\"TeamFollowBack\",\"indices\":[43,58]},{\"text\":\"TFB\",\"indices\":[59,63]},{\"text\":\"TFW\",\"indices\":[64,68]},{\"text\":\"FF\",\"indices\":[69,72]},{\"text\":\"Follow\",\"indices\":[73,80]},{\"text\":\"RT\\u3057\\u305f\\u4eba\\u5168\\u54e1\\u30d5\\u30a9\\u30ed\\u30fc\\u3059\\u308b\",\"indices\":[81,95]}],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"null\",\"name\":\"not quite nothing\",\"id\":3562471,\"id_str\":\"3562471\",\"indices\":[0,5]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"none\",\"lang\":\"en\",\"timestamp_ms\":\"1412178010667\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189296840705,\"id_str\":\"517338189296840705\",\"text\":\"RT @JuliaAlonso15: @solociudadanos que no estaba el mando \\u00fanico en Acapulco @LuisWalton ? o ser Alcalde es un hobby de millonario @LFontova\\u2026\",\"source\":\"\\u003ca href=\\\"http:\\/\\/www.tweetcaster.com\\\" rel=\\\"nofollow\\\"\\u003eTweetCaster for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":51369993,\"id_str\":\"51369993\",\"name\":\"osMa pin laden\",\"screen_name\":\"juan3pueblo\",\"location\":\"espa\\u00f1a\",\"url\":null,\"description\":\"trabajador,muy trabajador el unico vicio q tengo!!!NOCIERTO!!\",\"protected\":false,\"verified\":false,\"followers_count\":1574,\"friends_count\":900,\"listed_count\":9,\"favourites_count\":1201,\"statuses_count\":134176,\"created_at\":\"Sat Jun 27 06:42:36 +0000 2009\",\"utc_offset\":-14400,\"time_zone\":\"Eastern Time (US & Canada)\",\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/436280155065954304\\/kvWh23gx_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/436280155065954304\\/kvWh23gx_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/51369993\\/1392852331\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Tue Sep 30 20:48:51 +0000 2014\",\"id\":517053482449117184,\"id_str\":\"517053482449117184\",\"text\":\"@solociudadanos que no estaba el mando \\u00fanico en Acapulco @LuisWalton ? o ser Alcalde es un hobby de millonario @LFontova @hectornajerajr\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517051633977401344,\"in_reply_to_status_id_str\":\"517051633977401344\",\"in_reply_to_user_id\":234797467,\"in_reply_to_user_id_str\":\"234797467\",\"in_reply_to_screen_name\":\"solociudadanos\",\"user\":{\"id\":1027946648,\"id_str\":\"1027946648\",\"name\":\"Julia  Alonso \",\"screen_name\":\"JuliaAlonso15\",\"location\":\"\",\"url\":null,\"description\":\"Orgullosa de ser Guerrerense incansable madre en busca de un mundo mejor.\\r \\r No hay  camino  para  la paz la  paz  es el  camino Gandhi\",\"protected\":false,\"verified\":false,\"followers_count\":2006,\"friends_count\":1697,\"listed_count\":13,\"favourites_count\":4716,\"statuses_count\":44861,\"created_at\":\"Sat Dec 22 07:05:49 +0000 2012\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/474089781161230337\\/gqQ4Kdes.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/474089781161230337\\/gqQ4Kdes.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/378800000686008068\\/606857a797aeef533e9932326075f7f6_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/378800000686008068\\/606857a797aeef533e9932326075f7f6_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1027946648\\/1368123114\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":3,\"favorite_count\":2,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"solociudadanos\",\"name\":\"solociudadanos\",\"id\":234797467,\"id_str\":\"234797467\",\"indices\":[0,15]},{\"screen_name\":\"LuisWalton\",\"name\":\"Luis Walton Aburto\",\"id\":219382105,\"id_str\":\"219382105\",\"indices\":[57,68]},{\"screen_name\":\"LFontova\",\"name\":\"Luis Fontova\",\"id\":1918680930,\"id_str\":\"1918680930\",\"indices\":[111,120]},{\"screen_name\":\"hectornajerajr\",\"name\":\"Hector Najera\",\"id\":132585720,\"id_str\":\"132585720\",\"indices\":[121,136]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"es\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"JuliaAlonso15\",\"name\":\"Julia  Alonso \",\"id\":1027946648,\"id_str\":\"1027946648\",\"indices\":[3,17]},{\"screen_name\":\"solociudadanos\",\"name\":\"solociudadanos\",\"id\":234797467,\"id_str\":\"234797467\",\"indices\":[19,34]},{\"screen_name\":\"LuisWalton\",\"name\":\"Luis Walton Aburto\",\"id\":219382105,\"id_str\":\"219382105\",\"indices\":[76,87]},{\"screen_name\":\"LFontova\",\"name\":\"Luis Fontova\",\"id\":1918680930,\"id_str\":\"1918680930\",\"indices\":[130,139]},{\"screen_name\":\"hectornajerajr\",\"name\":\"Hector Najera\",\"id\":132585720,\"id_str\":\"132585720\",\"indices\":[139,140]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178010686\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189275467776,\"id_str\":\"517338189275467776\",\"text\":\"le voy a molestar toda la tarde al veci con la musica\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":325168385,\"id_str\":\"325168385\",\"name\":\"Mariano.\",\"screen_name\":\"mariianoprieto\",\"location\":\"highway to hell \",\"url\":\"http:\\/\\/www.facebook.com\\/maaariiiaaanooooooooooooooooooooo?ref=tn_tnmn\",\"description\":\"sic\",\"protected\":false,\"verified\":false,\"followers_count\":613,\"friends_count\":522,\"listed_count\":0,\"favourites_count\":328,\"statuses_count\":8281,\"created_at\":\"Mon Jun 27 21:09:19 +0000 2011\",\"utc_offset\":-10800,\"time_zone\":\"Buenos Aires\",\"geo_enabled\":true,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"07070D\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/509724714235727873\\/Y0ySO2xM.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/509724714235727873\\/Y0ySO2xM.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"122DE0\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/505584851781976064\\/qtIc6rlZ_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/505584851781976064\\/qtIc6rlZ_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/325168385\\/1410362917\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178010668\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189288067072,\"id_str\":\"517338189288067072\",\"text\":\"Ganas de desconectar, aumentando..\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":812981438,\"id_str\":\"812981438\",\"name\":\"Angela'18\\u2661\",\"screen_name\":\"YeahCt\",\"location\":\"51 para verle la cara a mi bb\",\"url\":null,\"description\":\"Nivel 16. Amante del voleibol CD.Mediterran\\u00e9o . \\/\\r\\nNunca le pongas l\\u00edmites a tu vida, todo se puede lograr. \\/Quererlo hasta quedarme sin fuerzas .\",\"protected\":false,\"verified\":false,\"followers_count\":1343,\"friends_count\":557,\"listed_count\":6,\"favourites_count\":2401,\"statuses_count\":36030,\"created_at\":\"Sun Sep 09 11:56:18 +0000 2012\",\"utc_offset\":10800,\"time_zone\":\"Athens\",\"geo_enabled\":true,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/516897892913532928\\/Shy1noMh.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/516897892913532928\\/Shy1noMh.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"B300B3\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/512727343924654082\\/76ZAHClD_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/512727343924654082\\/76ZAHClD_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/812981438\\/1412022886\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178010666\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189304852480,\"id_str\":\"517338189304852480\",\"text\":\"[\\u7d42][\\u97d3]\\u7b11\\u3063\\u3066\\u30c8\\u30f3\\u30d8vol.159\\u2605\\u65e5\\u7a0b\\u8a73\\u7d30\\u2605\\u301010\\/22:15\\uff5e3:00[DATV(Ch.653)]\\u3011\\u3000\\u6700\\u65b0\\u97d3\\u56fd\\u30c9\\u30e9\\u30de\\u60c5\\u5831\\u3092\\u30c1\\u30a7\\u30c3\\u30af\\uff01\\uff01\\u3000=&gt;\\u3000http:\\/\\/t.co\\/L7X3cN2BKL\",\"source\":\"\\u003ca href=\\\"http:\\/\\/xn--ick3b8eyc357wmk3e.com\\/\\\" rel=\\\"nofollow\\\"\\u003e\\u97d3\\u56fd\\u30a8\\u30f3\\u30bf\\u30e1\\u60c5\\u5831\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1667111370,\"id_str\":\"1667111370\",\"name\":\"\\u97d3\\u56fd\\u30a8\\u30f3\\u30bf\\u30e1\\u60c5\\u5831\",\"screen_name\":\"kan_entertain\",\"location\":\"\",\"url\":\"http:\\/\\/xn--ick3b8eyc357wmk3e.com\\/\",\"description\":\"\\u6700\\u8fd1\\u306e\\u97d3\\u56fd\\u95a2\\u9023\\u60c5\\u5831\\uff08\\u30b3\\u30b9\\u30e1\\u3001\\u30c9\\u30e9\\u30de\\u3001\\u65c5\\u884c\\u306a\\u3069\\uff09\\u3092\\u304a\\u5c4a\\u3051\\u3057\\u307e\\u3059\\uff01\",\"protected\":false,\"verified\":false,\"followers_count\":1202,\"friends_count\":1999,\"listed_count\":6,\"favourites_count\":0,\"statuses_count\":18459,\"created_at\":\"Tue Aug 13 07:49:08 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/378800000322213282\\/5095943b4dde92f21fca18b228f12bff_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/378800000322213282\\/5095943b4dde92f21fca18b228f12bff_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/L7X3cN2BKL\",\"expanded_url\":\"http:\\/\\/xn--ick3b8eyc357wmk3e.com\\/drama.php\",\"display_url\":\"\\u97d3\\u56fd\\u30a8\\u30f3\\u30bf\\u30e1.com\\/drama.php\",\"indices\":[78,100]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178010673\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189296836608,\"id_str\":\"517338189296836608\",\"text\":\"RT @clarincom: Alerta m\\u00e1xima en Italia por posibles atentados del ISIS contra el Papa http:\\/\\/t.co\\/55XcdudklC\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":65732663,\"id_str\":\"65732663\",\"name\":\"Matt\",\"screen_name\":\"Mateons\",\"location\":\"( \\u0361\\u00ba \\u035c\\u0296 \\u0361\\u00ba)\",\"url\":\"http:\\/\\/www.facebook.com\\/msalvatto\",\"description\":\"Votado como El enfermo m\\u00e1s grande del mundo por 9 de cada 10 nenes\",\"protected\":false,\"verified\":false,\"followers_count\":164,\"friends_count\":82,\"listed_count\":1,\"favourites_count\":896,\"statuses_count\":6752,\"created_at\":\"Fri Aug 14 20:52:21 +0000 2009\",\"utc_offset\":-10800,\"time_zone\":\"Santiago\",\"geo_enabled\":true,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"000000\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/447156538377895936\\/hWkCjGYa.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/447156538377895936\\/hWkCjGYa.jpeg\",\"profile_background_tile\":false,\"profile_link_color\":\"D40000\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"252429\",\"profile_text_color\":\"666666\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/515640193744130048\\/vuI1F-5a_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/515640193744130048\\/vuI1F-5a_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/65732663\\/1407098796\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 11:53:25 +0000 2014\",\"id\":517281122481631233,\"id_str\":\"517281122481631233\",\"text\":\"Alerta m\\u00e1xima en Italia por posibles atentados del ISIS contra el Papa http:\\/\\/t.co\\/55XcdudklC\",\"source\":\"\\u003ca href=\\\"http:\\/\\/www.hootsuite.com\\\" rel=\\\"nofollow\\\"\\u003eHootsuite\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":8105922,\"id_str\":\"8105922\",\"name\":\"Clar\\u00edn.com\",\"screen_name\":\"clarincom\",\"location\":\"Buenos Aires, Argentina\",\"url\":\"http:\\/\\/www.clarin.com\",\"description\":\"Las noticias de la Argentina y el mundo, las 24 horas. Administran esta cuenta: @Santiradice y @Sildarago.\",\"protected\":false,\"verified\":true,\"followers_count\":1455399,\"friends_count\":101,\"listed_count\":7998,\"favourites_count\":147,\"statuses_count\":129432,\"created_at\":\"Fri Aug 10 15:14:11 +0000 2007\",\"utc_offset\":-10800,\"time_zone\":\"Buenos Aires\",\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"131516\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/467295337883783168\\/LWKnlRf8.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/467295337883783168\\/LWKnlRf8.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"009999\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"EFEFEF\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/467358165437136897\\/O1RF4QOI_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/467358165437136897\\/O1RF4QOI_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/8105922\\/1408466047\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":60,\"favorite_count\":18,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/55XcdudklC\",\"expanded_url\":\"http:\\/\\/ow.ly\\/3s7CGL\",\"display_url\":\"ow.ly\\/3s7CGL\",\"indices\":[71,93]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"es\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/55XcdudklC\",\"expanded_url\":\"http:\\/\\/ow.ly\\/3s7CGL\",\"display_url\":\"ow.ly\\/3s7CGL\",\"indices\":[86,108]}],\"user_mentions\":[{\"screen_name\":\"clarincom\",\"name\":\"Clar\\u00edn.com\",\"id\":8105922,\"id_str\":\"8105922\",\"indices\":[3,13]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178010700\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189296463872,\"id_str\":\"517338189296463872\",\"text\":\"takboleh lah tgok kyungsoo dgn jo in sung nangis :((((((((((((((\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":243561617,\"id_str\":\"243561617\",\"name\":\"Kieya\",\"screen_name\":\"Kieyaaaaa\",\"location\":\"Johor Bahru.\",\"url\":\"http:\\/\\/relievf.tumblr.com\",\"description\":\"\\u3145\\u2764\\ufe0f\\u3145 | \\ubcc0\\ubc31\\ud604 #UTMAwesome\",\"protected\":false,\"verified\":false,\"followers_count\":672,\"friends_count\":792,\"listed_count\":3,\"favourites_count\":3767,\"statuses_count\":85325,\"created_at\":\"Thu Jan 27 09:35:43 +0000 2011\",\"utc_offset\":28800,\"time_zone\":\"Kuala Lumpur\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"030303\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/457145741488558080\\/zLrWJ74T.png\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/457145741488558080\\/zLrWJ74T.png\",\"profile_background_tile\":true,\"profile_link_color\":\"F5866A\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"101638\",\"profile_text_color\":\"FAF7FA\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516841074237513728\\/5g_3QDK8_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516841074237513728\\/5g_3QDK8_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/243561617\\/1411667978\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"in\",\"timestamp_ms\":\"1412178010671\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189292654592,\"id_str\":\"517338189292654592\",\"text\":\"RT @VishalDaGod: I get annoyed fast af\\nso if I talk to you be grateful\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2733434674,\"id_str\":\"2733434674\",\"name\":\"brianna\",\"screen_name\":\"xbriiannaaxo\",\"location\":\"\",\"url\":null,\"description\":\"life changes\",\"protected\":false,\"verified\":false,\"followers_count\":181,\"friends_count\":84,\"listed_count\":0,\"favourites_count\":4662,\"statuses_count\":1783,\"created_at\":\"Mon Aug 04 16:23:36 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/517113393581658112\\/bveaoiGw_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/517113393581658112\\/bveaoiGw_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2733434674\\/1411738869\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Tue Sep 16 20:40:40 +0000 2014\",\"id\":511977993917718528,\"id_str\":\"511977993917718528\",\"text\":\"I get annoyed fast af\\nso if I talk to you be grateful\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":579424082,\"id_str\":\"579424082\",\"name\":\"vishal\\u2800\\u2800\\u2800\\u2800\\u2800\\u2800\\u2800\\u2800\\u2800\\u2800\\u2800\\u2800\\u2800\\u2800\",\"screen_name\":\"VishalDaGod\",\"location\":\"\\u2800#TheTribe\",\"url\":\"http:\\/\\/Instagram.com\\/VDaGod\",\"description\":\"\\u2800Kik- ThaOnlySavage \\u2800\\u2800\\u2800\\u2800\\u2800\\u2800\\u2800\\u2800\\u2800\\u2800\\u2800\\u2800 \\u2800\",\"protected\":false,\"verified\":false,\"followers_count\":40202,\"friends_count\":27,\"listed_count\":48,\"favourites_count\":137,\"statuses_count\":1844,\"created_at\":\"Mon May 14 01:06:10 +0000 2012\",\"utc_offset\":-10800,\"time_zone\":\"Atlantic Time (Canada)\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"131516\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme14\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme14\\/bg.gif\",\"profile_background_tile\":true,\"profile_link_color\":\"009999\",\"profile_sidebar_border_color\":\"EEEEEE\",\"profile_sidebar_fill_color\":\"EFEFEF\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/500877145494011904\\/cr0HdPzJ_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/500877145494011904\\/cr0HdPzJ_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/579424082\\/1407947170\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":1429,\"favorite_count\":818,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"en\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"VishalDaGod\",\"name\":\"vishal\\u2800\\u2800\\u2800\\u2800\\u2800\\u2800\\u2800\\u2800\\u2800\\u2800\\u2800\\u2800\\u2800\\u2800\",\"id\":579424082,\"id_str\":\"579424082\",\"indices\":[3,15]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178010702\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189304844288,\"id_str\":\"517338189304844288\",\"text\":\"S\\u0131n\\u0131f arkada\\u015flar\\u0131m diye demiyorum ama hepsi se\\u00e7ilmi\\u015f gerizekal\\u0131lar.\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2255165958,\"id_str\":\"2255165958\",\"name\":\"Halil Dost\",\"screen_name\":\"Romantikyengec\",\"location\":\"\\u0130stanbul\\/19\",\"url\":null,\"description\":\"1.91 FITNESS\\u221eBE\\u015e\\u0130KTA\\u015e\\u221eK\\u0130CK BOX\",\"protected\":false,\"verified\":false,\"followers_count\":236517,\"friends_count\":162780,\"listed_count\":59,\"favourites_count\":185234,\"statuses_count\":2136,\"created_at\":\"Fri Dec 20 15:38:14 +0000 2013\",\"utc_offset\":10800,\"time_zone\":\"Athens\",\"geo_enabled\":false,\"lang\":\"tr\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"050505\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/477184479572680704\\/wjPZ01Qq.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/477184479572680704\\/wjPZ01Qq.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"040F0F\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"F6F6F6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/506457661311688704\\/dvnRgH6h_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/506457661311688704\\/dvnRgH6h_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2255165958\\/1408375859\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"tr\",\"timestamp_ms\":\"1412178010670\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189271285760,\"id_str\":\"517338189271285760\",\"text\":\"@FransiskaFebri_ bener -.- yuk,tapi kapaan?\",\"source\":\"\\u003ca href=\\\"http:\\/\\/www.tweetcaster.com\\\" rel=\\\"nofollow\\\"\\u003eTweetCaster for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517337149792739329,\"in_reply_to_status_id_str\":\"517337149792739329\",\"in_reply_to_user_id\":164977045,\"in_reply_to_user_id_str\":\"164977045\",\"in_reply_to_screen_name\":\"FransiskaFebri_\",\"user\":{\"id\":441508166,\"id_str\":\"441508166\",\"name\":\"E.Afridatur\",\"screen_name\":\"eraadw\",\"location\":\"Madiun-Magetan\",\"url\":null,\"description\":\"Pharmacy Bina Farma\",\"protected\":false,\"verified\":false,\"followers_count\":436,\"friends_count\":391,\"listed_count\":1,\"favourites_count\":0,\"statuses_count\":1382,\"created_at\":\"Tue Dec 20 04:51:57 +0000 2011\",\"utc_offset\":25200,\"time_zone\":\"Bangkok\",\"geo_enabled\":true,\"lang\":\"id\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"8DB5A2\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000033793935\\/9242428b7482a91eff6420d1f7f7a6a9.png\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000033793935\\/9242428b7482a91eff6420d1f7f7a6a9.png\",\"profile_background_tile\":true,\"profile_link_color\":\"B8A19C\",\"profile_sidebar_border_color\":\"142A2B\",\"profile_sidebar_fill_color\":\"A9345F\",\"profile_text_color\":\"ED6F6F\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516935951168176128\\/WW7Mrxng_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516935951168176128\\/WW7Mrxng_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/441508166\\/1412082127\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"FransiskaFebri_\",\"name\":\"F. F. Haristiyanti\",\"id\":164977045,\"id_str\":\"164977045\",\"indices\":[0,16]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"in\",\"timestamp_ms\":\"1412178010669\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189275484162,\"id_str\":\"517338189275484162\",\"text\":\"RT @StevStiffler: I've got 99 problems and i'm not dealing with any of them lol\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":783517070,\"id_str\":\"783517070\",\"name\":\"Austin Swearengin\",\"screen_name\":\"A_Swearengin32\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":171,\"friends_count\":150,\"listed_count\":1,\"favourites_count\":80,\"statuses_count\":744,\"created_at\":\"Mon Aug 27 01:08:10 +0000 2012\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/503930464399532032\\/n_hwtCA8_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/503930464399532032\\/n_hwtCA8_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 03:55:06 +0000 2014\",\"id\":517160751845638145,\"id_str\":\"517160751845638145\",\"text\":\"I've got 99 problems and i'm not dealing with any of them lol\",\"source\":\"\\u003ca href=\\\"http:\\/\\/www.hootsuite.com\\\" rel=\\\"nofollow\\\"\\u003eHootsuite\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":133682123,\"id_str\":\"133682123\",\"name\":\"Steve Stifler\",\"screen_name\":\"StevStiffler\",\"location\":\"\",\"url\":null,\"description\":\"Stifler is Back Bitches!! (Parody)\",\"protected\":false,\"verified\":false,\"followers_count\":298205,\"friends_count\":52709,\"listed_count\":419,\"favourites_count\":619,\"statuses_count\":66047,\"created_at\":\"Fri Apr 16 11:08:34 +0000 2010\",\"utc_offset\":19800,\"time_zone\":\"Chennai\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"EBEBEB\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/698905438\\/7bc83033d0868a4f5ef121b6de36b5ca.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/698905438\\/7bc83033d0868a4f5ef121b6de36b5ca.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"990000\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"F3F3F3\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/2790243373\\/16497722221593bebfd32814485513c2_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/2790243373\\/16497722221593bebfd32814485513c2_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/133682123\\/1359115477\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":135,\"favorite_count\":119,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"en\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"StevStiffler\",\"name\":\"Steve Stifler\",\"id\":133682123,\"id_str\":\"133682123\",\"indices\":[3,16]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178010686\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189279657985,\"id_str\":\"517338189279657985\",\"text\":\"RT @btob2Mhwife: \\u0e08\\u0e01 \\u0e2e\\u0e2d\\u0e25\\u0e25\\u0e25\\u0e25\\u0e25 \\u0e40\\u0e21\\u0e37\\u0e48\\u0e2d\\u0e40\\u0e0a\\u0e49\\u0e32\\u0e44\\u0e21\\u0e48\\u0e15\\u0e2d\\u0e1a #\\ub10c\\uac10\\ub3d9\\uc774\\uc57c \\u0e08\\u0e38\\u0e14 #\\ube44\\ud22c\\ube44 \\u0e40\\u0e22\\u0e49\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2835875114,\"id_str\":\"2835875114\",\"name\":\"\\u0e40\\u0e0b\\u0e47\\u0e01\\u0e0b\\u0e35\\u0e48\\u0e21\\u0e34\\u0e19\\u0e21\\u0e34\\u0e19\",\"screen_name\":\"trend_btob8\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":0,\"friends_count\":39,\"listed_count\":0,\"favourites_count\":0,\"statuses_count\":212,\"created_at\":\"Tue Sep 30 14:26:40 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516960128008851456\\/mAQ3qRtt_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516960128008851456\\/mAQ3qRtt_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:37:52 +0000 2014\",\"id\":517337608771211265,\"id_str\":\"517337608771211265\",\"text\":\"\\u0e08\\u0e01 \\u0e2e\\u0e2d\\u0e25\\u0e25\\u0e25\\u0e25\\u0e25 \\u0e40\\u0e21\\u0e37\\u0e48\\u0e2d\\u0e40\\u0e0a\\u0e49\\u0e32\\u0e44\\u0e21\\u0e48\\u0e15\\u0e2d\\u0e1a #\\ub10c\\uac10\\ub3d9\\uc774\\uc57c \\u0e08\\u0e38\\u0e14 #\\ube44\\ud22c\\ube44 \\u0e40\\u0e22\\u0e49\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2359442311,\"id_str\":\"2359442311\",\"name\":\"' So Fly .'\",\"screen_name\":\"btob2Mhwife\",\"location\":\"\",\"url\":null,\"description\":\"\\u0e1e\\u0e35\\u0e48\\u0e21\\u0e34\\u0e19\\u0e2d\\u0e48\\u0e30 \\u0e2a\\u0e32\\u0e21\\u0e35\\u0e0a\\u0e49\\u0e32\\u0e19 @btob2mh \\u2665 Melody Thailand  BTOB ll BEAST ll EXO ll \\u0e42\\u0e0b \\u0e08\\u0e35 \\u0e0b\\u0e1a ll BAP ll VIXX  \\u2665 '' \\u0e2b\\u0e25\\u0e38\\u0e21\\u0e41\\u0e1f\\u0e21 '\\u0e1e\\u0e35\\u0e48\\u0e21\\u0e34\\u0e19\\u0e08\\u0e4b\\u0e32\\u0e08\\u0e49\\u0e30 @minbtob1990  ''#\\u0e23\\u0e35\\u0e23\\u0e01\",\"protected\":false,\"verified\":false,\"followers_count\":1303,\"friends_count\":322,\"listed_count\":0,\"favourites_count\":1052,\"statuses_count\":23632,\"created_at\":\"Mon Feb 24 12:34:46 +0000 2014\",\"utc_offset\":25200,\"time_zone\":\"Bangkok\",\"geo_enabled\":false,\"lang\":\"th\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"A37055\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/470900401940611072\\/_tQCc-CS.png\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/470900401940611072\\/_tQCc-CS.png\",\"profile_background_tile\":true,\"profile_link_color\":\"E82E91\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"6F3C43\",\"profile_text_color\":\"B03D4C\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/517301689074741248\\/ArecMGQO_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/517301689074741248\\/ArecMGQO_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2359442311\\/1411191088\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":11,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"\\ub10c\\uac10\\ub3d9\\uc774\\uc57c\",\"indices\":[27,33]},{\"text\":\"\\ube44\\ud22c\\ube44\",\"indices\":[38,42]}],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"th\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"\\ub10c\\uac10\\ub3d9\\uc774\\uc57c\",\"indices\":[44,50]},{\"text\":\"\\ube44\\ud22c\\ube44\",\"indices\":[55,59]}],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"btob2Mhwife\",\"name\":\"' So Fly .'\",\"id\":2359442311,\"id_str\":\"2359442311\",\"indices\":[3,15]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"th\",\"timestamp_ms\":\"1412178010682\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189305225216,\"id_str\":\"517338189305225216\",\"text\":\"Boston Herald \\ud83d\\ude33. The Shonda Rhimes article was bad but really? Are some people that daft?\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":137872773,\"id_str\":\"137872773\",\"name\":\"Kris\",\"screen_name\":\"k11six\",\"location\":\"\",\"url\":null,\"description\":\"Can you really write a good bio here in 160 characters?\",\"protected\":false,\"verified\":false,\"followers_count\":54,\"friends_count\":86,\"listed_count\":2,\"favourites_count\":20,\"statuses_count\":3827,\"created_at\":\"Wed Apr 28 00:57:42 +0000 2010\",\"utc_offset\":-18000,\"time_zone\":\"Quito\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"1A1B1F\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme9\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme9\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"2FC2EF\",\"profile_sidebar_border_color\":\"181A1E\",\"profile_sidebar_fill_color\":\"252429\",\"profile_text_color\":\"666666\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/3145620026\\/3ded312fd00a86ab1128002f827a1881_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/3145620026\\/3ded312fd00a86ab1128002f827a1881_normal.jpeg\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178010702\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189304844290,\"id_str\":\"517338189304844290\",\"text\":\"\\u305f\\u307e\\u30fc\\u306b\\u304c\\u3063\\u3064\\u308a\\u904a\\u3076\\u3053\\u3068\\u304c\\u30d1\\u30ef\\u30fc\\u306b\\u5909\\u308f\\u308a\\u307e\\u3059\\uff01  #\\u7267\\u91ce\\u7531\\u4f9d #YuiMakino #MakinoYui\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twittbot.net\\/\\\" rel=\\\"nofollow\\\"\\u003etwittbot.net\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":445165820,\"id_str\":\"445165820\",\"name\":\"\\u7267\\u91ce\\u7531\\u4f9d\\u2606\\u8a9e\\u9332bot\",\"screen_name\":\"yui_makino_bot\",\"location\":\"japan\",\"url\":null,\"description\":\"\\u6b4c\\u624b\\u3001\\u58f0\\u512a\\u3001\\u30d4\\u30a2\\u30cb\\u30b9\\u30c8\\u3068\\u3057\\u3066\\u6d3b\\u8e8d\\u3059\\u308b\\u7267\\u91ce\\u7531\\u4f9d\\u3061\\u3083\\u3093\\u306e\\u8a00\\u8a9e\\u9332\\uff01\\r\\n\\u3086\\u3063\\u3061\\u306e\\u904e\\u53bb\\u306e\\u767a\\u8a00\\u3092\\u632f\\u308a\\u8fd4\\u3063\\u3066\\u3044\\u304d\\u307e\\u3059\\uff01\\r\\n\\u3072\\u3053\\u30fc\\u3057\\u304dbot\\u306b\\u3064\\u304d\\u5bdb\\u5927\\u306a\\u3054\\u7406\\u89e3\\u3092(^o^)\\/\",\"protected\":false,\"verified\":false,\"followers_count\":117,\"friends_count\":1,\"listed_count\":6,\"favourites_count\":0,\"statuses_count\":12040,\"created_at\":\"Sat Dec 24 02:57:57 +0000 2011\",\"utc_offset\":-36000,\"time_zone\":\"Hawaii\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"0099B9\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme4\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme4\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"0099B9\",\"profile_sidebar_border_color\":\"5ED4DC\",\"profile_sidebar_fill_color\":\"95E8EC\",\"profile_text_color\":\"3C3940\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/1711112033\\/7713_b6a6_960_normal.jpg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/1711112033\\/7713_b6a6_960_normal.jpg\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"\\u7267\\u91ce\\u7531\\u4f9d\",\"indices\":[25,30]},{\"text\":\"YuiMakino\",\"indices\":[31,41]},{\"text\":\"MakinoYui\",\"indices\":[42,52]}],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178010682\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189275484160,\"id_str\":\"517338189275484160\",\"text\":\"RT @nekoiruka9035: \\u3072\\u3044\\u3075\\u3057\\u9811\\u5f35\\u3063\\u3066\\u306d\",\"source\":\"\\u003ca href=\\\"https:\\/\\/twitter.com\\/ABS104a\\\" rel=\\\"nofollow\\\"\\u003eBiyon\\u2261(\\u3000\\u03b5:) Pro\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2834762114,\"id_str\":\"2834762114\",\"name\":\"\\u3075\\u3041\\u307c\\u3075\\u3057\",\"screen_name\":\"favossi_o_forty\",\"location\":\"\",\"url\":null,\"description\":\"\\u3072\\u3044\\u3075\\u3057\\u306e\\u3075\\u3041\\u307c\\u57a2\",\"protected\":false,\"verified\":false,\"followers_count\":6,\"friends_count\":1,\"listed_count\":0,\"favourites_count\":907,\"statuses_count\":449,\"created_at\":\"Sun Sep 28 06:47:12 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516116970899374082\\/AV03-mCF_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516116970899374082\\/AV03-mCF_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:38:42 +0000 2014\",\"id\":517337820562608128,\"id_str\":\"517337820562608128\",\"text\":\"\\u3072\\u3044\\u3075\\u3057\\u9811\\u5f35\\u3063\\u3066\\u306d\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1673656622,\"id_str\":\"1673656622\",\"name\":\"\\u5a01\\u7460\\u67b6\",\"screen_name\":\"nekoiruka9035\",\"location\":\"\\u3057\\u3083\\u3061\\u307b\\u3053\\u306b\\u5473\\u564c\\u3092\\u304b\\u3051\\u3066\\u98df\\u3079\\u308b\",\"url\":null,\"description\":\"\\u672c\\u90f7\\u594f\\u591a.\\u795e\\u6728\\u9686\\u4e4b\\u4ecb.\\u5d50\\u306b\\u306e\\u62c5.\\u5bae\\u4e0b\\u904a.\\u3080\\u3059\\u3081\\u3093\\u3002.ROOT FIVE.\\u83c5\\u7530\\u5c06\\u6689.S!N.\\uff71\\uff86\\uff92.\\uff84\\uff9e\\uff85\\uff99\\uff84\\uff9e.\\u30cb\\u30b3\\u52d5.\\u70cf\\u9f8d\\u8336\\u306a\\u3069\\u3092\\u611b\\u3057\\u3059\\u304e\\u3066\\u3044\\u308b\\u305f\\u307e\\u306b\\u7d75\\u3092\\u63cf\\u304f\\uff8a\\uff9e\\uff76\\u306a\\u5c0f\\u5b6612\\u5e74\\u751f\\u3002(\\u656c\\u79f0\\u7565)\\u30d8\\u30c3\\u30c0\\u30fc\\u261e@hyougetu999\",\"protected\":false,\"verified\":false,\"followers_count\":240,\"friends_count\":287,\"listed_count\":2,\"favourites_count\":3406,\"statuses_count\":8215,\"created_at\":\"Thu Aug 15 17:14:02 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"709397\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme6\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme6\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"FF3300\",\"profile_sidebar_border_color\":\"86A4A6\",\"profile_sidebar_fill_color\":\"A0C5C7\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/501975131367817216\\/m28LvaFR_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/501975131367817216\\/m28LvaFR_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1673656622\\/1404292224\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":2,\"favorite_count\":136,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ja\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"nekoiruka9035\",\"name\":\"\\u5a01\\u7460\\u67b6\",\"id\":1673656622,\"id_str\":\"1673656622\",\"indices\":[3,17]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178010700\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189275475968,\"id_str\":\"517338189275475968\",\"text\":\"RT @NaaniKrainuk: Voy a extra\\u00f1ar mucho mucho\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2220713066,\"id_str\":\"2220713066\",\"name\":\"Ani \\u2625\",\"screen_name\":\"Annitaapp\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":238,\"friends_count\":168,\"listed_count\":0,\"favourites_count\":455,\"statuses_count\":12049,\"created_at\":\"Fri Nov 29 03:05:17 +0000 2013\",\"utc_offset\":-7200,\"time_zone\":\"Mid-Atlantic\",\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"131516\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme14\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme14\\/bg.gif\",\"profile_background_tile\":true,\"profile_link_color\":\"F5ABB5\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"EFEFEF\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/508375866607284224\\/AYmhj9Qq_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/508375866607284224\\/AYmhj9Qq_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2220713066\\/1410043059\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:37:51 +0000 2014\",\"id\":517337603662958593,\"id_str\":\"517337603662958593\",\"text\":\"Voy a extra\\u00f1ar mucho mucho\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1531157413,\"id_str\":\"1531157413\",\"name\":\"Naani\",\"screen_name\":\"NaaniKrainuk\",\"location\":\"Uruguay\",\"url\":\"https:\\/\\/www.facebook.com\\/naani.krainuk\",\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":275,\"friends_count\":260,\"listed_count\":1,\"favourites_count\":355,\"statuses_count\":4238,\"created_at\":\"Wed Jun 19 15:20:32 +0000 2013\",\"utc_offset\":-10800,\"time_zone\":\"Brasilia\",\"geo_enabled\":true,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FF6699\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme11\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme11\\/bg.gif\",\"profile_background_tile\":true,\"profile_link_color\":\"B40B43\",\"profile_sidebar_border_color\":\"CC3366\",\"profile_sidebar_fill_color\":\"E5507E\",\"profile_text_color\":\"362720\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/495015138651410432\\/-Ljq8rev_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/495015138651410432\\/-Ljq8rev_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1531157413\\/1402701487\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":1,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"es\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"NaaniKrainuk\",\"name\":\"Naani\",\"id\":1531157413,\"id_str\":\"1531157413\",\"indices\":[3,16]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178010683\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189292240896,\"id_str\":\"517338189292240896\",\"text\":\"You might land in a heap of trouble today if you think you sho... More for Aries http:\\/\\/t.co\\/n97IujG5cL\",\"source\":\"\\u003ca href=\\\"http:\\/\\/www.twittascope.com\\\" rel=\\\"nofollow\\\"\\u003eTwittascope\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":564852635,\"id_str\":\"564852635\",\"name\":\"Caits\",\"screen_name\":\"Caitlinprestonn\",\"location\":\"\",\"url\":null,\"description\":\"A hate my neighbour\",\"protected\":false,\"verified\":false,\"followers_count\":1232,\"friends_count\":1109,\"listed_count\":1,\"favourites_count\":2920,\"statuses_count\":7566,\"created_at\":\"Fri Apr 27 19:23:43 +0000 2012\",\"utc_offset\":7200,\"time_zone\":\"Amsterdam\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/583264126\\/fsufdc7bngzsnjwcld44.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/583264126\\/fsufdc7bngzsnjwcld44.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516250227339440130\\/Y393MLv7_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516250227339440130\\/Y393MLv7_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/564852635\\/1410190967\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/n97IujG5cL\",\"expanded_url\":\"http:\\/\\/bit.ly\\/zzEL3G\",\"display_url\":\"bit.ly\\/zzEL3G\",\"indices\":[81,103]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178010669\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189300654080,\"id_str\":\"517338189300654080\",\"text\":\"Al mismo tiempo que voy arriesgando m\\u00e1s por nosotros, m\\u00e1s voy perdiendo #wtf\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2776397933,\"id_str\":\"2776397933\",\"name\":\"Jacob  Sevilla \",\"screen_name\":\"JacobSevillaOb\",\"location\":\"\",\"url\":null,\"description\":\"Buscando el camino m\\u00e1s sabio para la felicidad, americanista pero no apasionado, corredor de 10k y tradicionalista aun en estos tiempos.\",\"protected\":false,\"verified\":false,\"followers_count\":156,\"friends_count\":358,\"listed_count\":0,\"favourites_count\":0,\"statuses_count\":744,\"created_at\":\"Fri Sep 19 17:41:18 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/513089888065822720\\/D5Eu_sth_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/513089888065822720\\/D5Eu_sth_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2776397933\\/1411165230\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"wtf\",\"indices\":[72,76]}],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178010670\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189275471873,\"id_str\":\"517338189275471873\",\"text\":\"RT @ClassicPict: http:\\/\\/t.co\\/EO95trTVVW\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":436170005,\"id_str\":\"436170005\",\"name\":\"Katie Garvin\",\"screen_name\":\"KatieGarvin1\",\"location\":\"\",\"url\":null,\"description\":\"You can go the distance, you can run  mile. You can walk straight through hell with a smile.\",\"protected\":false,\"verified\":false,\"followers_count\":151,\"friends_count\":205,\"listed_count\":0,\"favourites_count\":788,\"statuses_count\":4635,\"created_at\":\"Tue Dec 13 21:40:24 +0000 2011\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FFFFFF\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/383850982\\/4-213829126.br.jpg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/383850982\\/4-213829126.br.jpg\",\"profile_background_tile\":false,\"profile_link_color\":\"0000FF\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"F0EFF0\",\"profile_text_color\":\"000000\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/466945351933755393\\/xgQL1rYd_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/466945351933755393\\/xgQL1rYd_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/436170005\\/1371185021\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Tue Sep 16 19:16:47 +0000 2014\",\"id\":511956884060774400,\"id_str\":\"511956884060774400\",\"text\":\"http:\\/\\/t.co\\/EO95trTVVW\",\"source\":\"\\u003ca href=\\\"http:\\/\\/blackberry.com\\/twitter\\\" rel=\\\"nofollow\\\"\\u003eTwitter for BlackBerry\\u00ae\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":918346674,\"id_str\":\"918346674\",\"name\":\"Unexplained World\",\"screen_name\":\"ClassicPict\",\"location\":\"\",\"url\":null,\"description\":\"World Unsolved Mysteries.\",\"protected\":false,\"verified\":false,\"followers_count\":633469,\"friends_count\":321,\"listed_count\":707,\"favourites_count\":68,\"statuses_count\":368,\"created_at\":\"Thu Nov 01 06:09:34 +0000 2012\",\"utc_offset\":-25200,\"time_zone\":\"Pacific Time (US & Canada)\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"EDECE9\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme3\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme3\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"088253\",\"profile_sidebar_border_color\":\"D3D2CF\",\"profile_sidebar_fill_color\":\"E3E2DE\",\"profile_text_color\":\"634047\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/470078621143404544\\/2aQu7-2U_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/470078621143404544\\/2aQu7-2U_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/918346674\\/1408670720\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":24142,\"favorite_count\":27081,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":511956883846885376,\"id_str\":\"511956883846885376\",\"indices\":[0,22],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/BxrWEsoCcAAWd3C.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/BxrWEsoCcAAWd3C.jpg\",\"url\":\"http:\\/\\/t.co\\/EO95trTVVW\",\"display_url\":\"pic.twitter.com\\/EO95trTVVW\",\"expanded_url\":\"http:\\/\\/twitter.com\\/ClassicPict\\/status\\/511956884060774400\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":340,\"h\":231,\"resize\":\"fit\"},\"large\":{\"w\":499,\"h\":341,\"resize\":\"fit\"},\"medium\":{\"w\":499,\"h\":341,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"}}}]},\"extended_entities\":{\"media\":[{\"id\":511956883846885376,\"id_str\":\"511956883846885376\",\"indices\":[0,22],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/BxrWEsoCcAAWd3C.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/BxrWEsoCcAAWd3C.jpg\",\"url\":\"http:\\/\\/t.co\\/EO95trTVVW\",\"display_url\":\"pic.twitter.com\\/EO95trTVVW\",\"expanded_url\":\"http:\\/\\/twitter.com\\/ClassicPict\\/status\\/511956884060774400\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":340,\"h\":231,\"resize\":\"fit\"},\"large\":{\"w\":499,\"h\":341,\"resize\":\"fit\"},\"medium\":{\"w\":499,\"h\":341,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"und\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"ClassicPict\",\"name\":\"Unexplained World\",\"id\":918346674,\"id_str\":\"918346674\",\"indices\":[3,15]}],\"symbols\":[],\"media\":[{\"id\":511956883846885376,\"id_str\":\"511956883846885376\",\"indices\":[17,39],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/BxrWEsoCcAAWd3C.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/BxrWEsoCcAAWd3C.jpg\",\"url\":\"http:\\/\\/t.co\\/EO95trTVVW\",\"display_url\":\"pic.twitter.com\\/EO95trTVVW\",\"expanded_url\":\"http:\\/\\/twitter.com\\/ClassicPict\\/status\\/511956884060774400\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":340,\"h\":231,\"resize\":\"fit\"},\"large\":{\"w\":499,\"h\":341,\"resize\":\"fit\"},\"medium\":{\"w\":499,\"h\":341,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"}},\"source_status_id\":511956884060774400,\"source_status_id_str\":\"511956884060774400\"}]},\"extended_entities\":{\"media\":[{\"id\":511956883846885376,\"id_str\":\"511956883846885376\",\"indices\":[17,39],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/BxrWEsoCcAAWd3C.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/BxrWEsoCcAAWd3C.jpg\",\"url\":\"http:\\/\\/t.co\\/EO95trTVVW\",\"display_url\":\"pic.twitter.com\\/EO95trTVVW\",\"expanded_url\":\"http:\\/\\/twitter.com\\/ClassicPict\\/status\\/511956884060774400\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":340,\"h\":231,\"resize\":\"fit\"},\"large\":{\"w\":499,\"h\":341,\"resize\":\"fit\"},\"medium\":{\"w\":499,\"h\":341,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"}},\"source_status_id\":511956884060774400,\"source_status_id_str\":\"511956884060774400\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"und\",\"timestamp_ms\":\"1412178010690\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189288075264,\"id_str\":\"517338189288075264\",\"text\":\"Al\\u00f3jese usted mismo una bala en el cerebro http:\\/\\/t.co\\/FtyOnelJwb\",\"source\":\"\\u003ca href=\\\"http:\\/\\/publicize.wp.com\\/\\\" rel=\\\"nofollow\\\"\\u003eWordPress.com\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":270935104,\"id_str\":\"270935104\",\"name\":\"TonoCano\",\"screen_name\":\"caneando\",\"location\":\"Granada, Andaluc\\u00eda\",\"url\":\"http:\\/\\/www.secretolivo.com\",\"description\":\"Director de @SecretOlivo\",\"protected\":false,\"verified\":false,\"followers_count\":864,\"friends_count\":810,\"listed_count\":12,\"favourites_count\":3972,\"statuses_count\":13960,\"created_at\":\"Wed Mar 23 14:45:08 +0000 2011\",\"utc_offset\":-7200,\"time_zone\":\"Greenland\",\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FFFFFF\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/446467837096239104\\/YeovtqcJ.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/446467837096239104\\/YeovtqcJ.jpeg\",\"profile_background_tile\":false,\"profile_link_color\":\"19AB9C\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"FFFFFF\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":false,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/428054229177999360\\/WL0FtnnN_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/428054229177999360\\/WL0FtnnN_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/270935104\\/1396572988\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/FtyOnelJwb\",\"expanded_url\":\"http:\\/\\/wp.me\\/p3n2me-5bs\",\"display_url\":\"wp.me\\/p3n2me-5bs\",\"indices\":[43,65]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178010669\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189288062976,\"id_str\":\"517338189288062976\",\"text\":\"*gets emotional over a shortbread cookie*\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2744410220,\"id_str\":\"2744410220\",\"name\":\"Madison Mendez\",\"screen_name\":\"SpillFreeWowCup\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":13,\"friends_count\":17,\"listed_count\":0,\"favourites_count\":45,\"statuses_count\":162,\"created_at\":\"Tue Aug 19 09:09:35 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/501662173290975232\\/LL-8pfev_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/501662173290975232\\/LL-8pfev_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2744410220\\/1411545026\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178010676\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189292244993,\"id_str\":\"517338189292244993\",\"text\":\"@STBN99977 \\u304a\\u3084\\u3059\\u307f\\u3001\\u541b\\u306e\\u6240\\u3078\\u884c\\u304f\\u304b\\u3089\\u5f85\\u3063\\u3066\\u3044\\u3066\\u306d\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/bot_amaterasu\\\" rel=\\\"nofollow\\\"\\u003e\\u795e\\u65e9\\u5742\\u5b66\\u5712\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517337807535108097,\"in_reply_to_status_id_str\":\"517337807535108097\",\"in_reply_to_user_id\":2834359626,\"in_reply_to_user_id_str\":\"2834359626\",\"in_reply_to_screen_name\":\"STBN99977\",\"user\":{\"id\":184419409,\"id_str\":\"184419409\",\"name\":\"\\u9ad8\\u5929\\u539f\\u30c6\\u30eb(bot)\",\"screen_name\":\"bot_amaterasu\",\"location\":\"\\u795e\\u65e9\\u5742\\u5b66\\u5712\",\"url\":null,\"description\":\"\\u604b\\u795e-\\u30e9\\u30d6\\u30ab\\u30df-\\u975e\\u516c\\u5f0fbot\\u300210\\/09\\/05\\uff5e\\u4eee\\u7a3c\\u52d5\\u4e2d\\u30022\\u5206\\u9593\\u9694\\u3067\\u30ea\\u30d7\\u30e9\\u30a4\\u3092\\u8fd4\\u3057\\u307e\\u3059\\u3002\\u5c11\\u306a\\u3044\\u3067\\u3059\\u304cTL\\u306b\\u3082\\u53cd\\u5fdc\\u3059\\u308b\\u306e\\u3067\\u3054\\u6ce8\\u610f\\u3092\\u3002\\u30e9\\u30f3\\u30c0\\u30e0Post\\u306f1\\u6642\\u9593\\u9593\\u9694\\u3067\\u3059\\u3002\\uff08\\u4f55\\u304b\\u3042\\u308a\\u307e\\u3057\\u305f\\u3089 @sora_sky_air \\u307e\\u3067\\u304a\\u9858\\u3044\\u3057\\u307e\\u3059\\u3002\\uff09\",\"protected\":false,\"verified\":false,\"followers_count\":1477,\"friends_count\":1569,\"listed_count\":48,\"favourites_count\":0,\"statuses_count\":584590,\"created_at\":\"Sun Aug 29 14:19:17 +0000 2010\",\"utc_offset\":32400,\"time_zone\":\"Tokyo\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/222455741\\/lovekami_banner_mv05.png\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/222455741\\/lovekami_banner_mv05.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/1286660472\\/amaterasu_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/1286660472\\/amaterasu_normal.png\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"STBN99977\",\"name\":\"\\u541b\\u306e\\u6240\\u3078\\u884c\\u304f\\u304b\\u3089\\u5f85\\u3063\\u3066\\u3044\\u3066\\u306d\",\"id\":2834359626,\"id_str\":\"2834359626\",\"indices\":[0,10]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178010668\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189292257281,\"id_str\":\"517338189292257281\",\"text\":\"\\u91ce\\u8c5a\\u3055\\u3093\\u306e\\u8a71\\u5168\\u7136\\u8033\\u306b\\u5165\\u3063\\u3066\\u304d\\u307e\\u305b\\u3093\\u3067\\u3057\\u305f #daitoanime\",\"source\":\"\\u003ca href=\\\"https:\\/\\/sourceforge.jp\\/projects\\/opentween\\/\\\" rel=\\\"nofollow\\\"\\u003eOpenTween\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":232858681,\"id_str\":\"232858681\",\"name\":\"\\u304d\\u304f\\u3089\\u3052\",\"screen_name\":\"kikurage_modoki\",\"location\":\"\\u306a\\u3093\\u5b9fV\\u3068\\u304b\\u270c\\uff9f(\\uff9f\\u00b4\\uff9f)\\uff9f\\u270c\",\"url\":\"http:\\/\\/twilog.org\\/kikurage_modoki\",\"description\":\"\\u30a2\\u30cb\\u30e1(\\u30ad\\u30fc\\u5c40\\/MX\\/tvk\\/\\u30c1\\u30d0\\/\\u7389)+\\u30b5\\u30b9\\u30da\\u30f3\\u30b9\\u7cfb\\u30c9\\u30e9\\u30de\\u5b9f\\u6cc1\\u6c11 \\u898f\\u5236\\u57a22\\u2192@kikurage_magai\\u30013\\u2192@kikurage_mitai\\u30014\\u2192@kikurage_kamone 5\\u2192@kikurage_noyou 6\\u2192@kikurage_rashii \\u5b9f\\u306f\\u307e\\u3060\\u3042\\u308b\",\"protected\":false,\"verified\":false,\"followers_count\":572,\"friends_count\":861,\"listed_count\":40,\"favourites_count\":1040,\"statuses_count\":474489,\"created_at\":\"Sat Jan 01 14:55:26 +0000 2011\",\"utc_offset\":32400,\"time_zone\":\"Tokyo\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"0099B9\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme4\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme4\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"0099B9\",\"profile_sidebar_border_color\":\"5ED4DC\",\"profile_sidebar_fill_color\":\"95E8EC\",\"profile_text_color\":\"3C3940\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/1533391126\\/CA3J0523_normal.jpg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/1533391126\\/CA3J0523_normal.jpg\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"daitoanime\",\"indices\":[21,32]}],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178010667\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189267091458,\"id_str\":\"517338189267091458\",\"text\":\"@prt_yi \\n\\u30d0\\u30a4\\u30c8\\u5148\\u3067\\u304a\\u53cb\\u3060\\u3061\\u306b\\u306a\\u3063\\u3066\\u304f\\u308c\\u305f\\u306e\\uff08\\uff3e\\u03bd\\uff3e\\uff09\\n\\u3075\\u305f\\u308a\\u3068\\u3082\\u304a\\u3057\\u3083\\u308c\\u3067\\u304b\\u308f\\u3046\\u3043\\u301c\\u306d\\ud83d\\udc93\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517334684334706688,\"in_reply_to_status_id_str\":\"517334684334706688\",\"in_reply_to_user_id\":1262499992,\"in_reply_to_user_id_str\":\"1262499992\",\"in_reply_to_screen_name\":\"prt_yi\",\"user\":{\"id\":2437719739,\"id_str\":\"2437719739\",\"name\":\"\\u304a\\u3072\",\"screen_name\":\"kzmdr_18\",\"location\":\"\",\"url\":null,\"description\":\"\\u305f\\u306e\\u3057\\u304f\\uff01\\u3084\\u3055\\u3057\\u304f\\uff01\\u3044\\u3063\\u3057\\u3087\\u3046\\u3051\\u3093\\u3081\\u3044\\uff01\",\"protected\":false,\"verified\":false,\"followers_count\":134,\"friends_count\":136,\"listed_count\":0,\"favourites_count\":301,\"statuses_count\":181,\"created_at\":\"Fri Apr 11 00:44:57 +0000 2014\",\"utc_offset\":32400,\"time_zone\":\"Tokyo\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/517088474432696320\\/lbjLGwGG_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/517088474432696320\\/lbjLGwGG_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2437719739\\/1408528383\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"prt_yi\",\"name\":\"\\u3074\\u3089\\u305f\",\"id\":1262499992,\"id_str\":\"1262499992\",\"indices\":[0,7]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178010662\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189267079169,\"id_str\":\"517338189267079169\",\"text\":\"@Cheese_1st \\uff81\\uff6f\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517337749821464576,\"in_reply_to_status_id_str\":\"517337749821464576\",\"in_reply_to_user_id\":631872370,\"in_reply_to_user_id_str\":\"631872370\",\"in_reply_to_screen_name\":\"Cheese_1st\",\"user\":{\"id\":869913368,\"id_str\":\"869913368\",\"name\":\"\\u7d19\",\"screen_name\":\"PAPERnoko\",\"location\":\"\\u3084\\u307e\",\"url\":\"http:\\/\\/twpf.jp\\/PAPERnoko\",\"description\":\"\\u2570( ^o^)\\u256e-=\\uff86=\\u306a\\u307d\\u3055\\u3093\",\"protected\":false,\"verified\":false,\"followers_count\":322,\"friends_count\":330,\"listed_count\":29,\"favourites_count\":2538,\"statuses_count\":29105,\"created_at\":\"Tue Oct 09 13:42:50 +0000 2012\",\"utc_offset\":32400,\"time_zone\":\"Tokyo\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FF6699\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme11\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme11\\/bg.gif\",\"profile_background_tile\":true,\"profile_link_color\":\"B40B43\",\"profile_sidebar_border_color\":\"CC3366\",\"profile_sidebar_fill_color\":\"E5507E\",\"profile_text_color\":\"362720\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/517337050266075136\\/IszoaIFk_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/517337050266075136\\/IszoaIFk_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/869913368\\/1411283629\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"Cheese_1st\",\"name\":\"\\uff81\\uff6f\",\"id\":631872370,\"id_str\":\"631872370\",\"indices\":[0,11]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178010662\"}",
			"{\"createdthe_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189292253186,\"id_str\":\"517338189292253186\",\"text\":\"\\u3075\\u308d\\u306b\\u5165\\u3063\\u305f\\u3089\\u3001\\n\\u3042\\u308a\\u5f97\\u306a\\u3044\\u91cf\\u306e\\u6e6f\\u304c\\u5f35\\u3063\\u3066\\u3042\\u3063\\u3066\\u3001\\u3053\\u306e\\u4f53\\u8eaf\\u3067\\u306f\\u6eba\\u308c\\u305d\\u3046\\u306b\\u306a\\u3063\\u3066\\u3057\\u307e\\u3063\\u305f\\u3057\\u3001\\n\\u66f4\\u306b\\u3001\\u3053\\u306e\\u6c34\\u4f4d\\u3067\\u8a2d\\u5b9a\\u6e29\\u5ea6\\u304c44\\u2103\\u306b\\u306a\\u3063\\u3066\\u3044\\u3066\\u3001\\n\\u306a\\u3093\\u306e\\u7f70\\u30b2\\u30fc\\u30e0\\u3060\\u3088\\u3063\\u3066\\u601d\\u3044\\u307e\\u3057\\u305f\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1669968698,\"id_str\":\"1669968698\",\"name\":\"\\u308a\\u3087\\u3046\\u3044\",\"screen_name\":\"ryoe312\",\"location\":\"\\u4e2d\\u7b49\\u56fd\\u8a9e2\\u5e74\",\"url\":null,\"description\":\"\\u5fc3\\u306e\\u81d3\\u304c \\u308f\\u305a\\u304b\\u306b \\u9038\\u308b\\u30d3\\u30fc\\u30c8 \\u8e0a\\u308a\\u307e\\u3059\\u304b\",\"protected\":false,\"verified\":false,\"followers_count\":90,\"friends_count\":98,\"listed_count\":1,\"favourites_count\":314,\"statuses_count\":2481,\"created_at\":\"Wed Aug 14 08:53:22 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/517259619010224128\\/ETm8GXwn_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/517259619010224128\\/ETm8GXwn_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1669968698\\/1411745390\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178010671\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189275484163,\"id_str\":\"517338189275484163\",\"text\":\"RT @neverthinks_: [PREVIEW] 141001 #\\uc704\\ub108 \\ub098\\uace0\\uc57c \\ud22c\\uc5b4 #\\uc1a1\\ubbfc\\ud638 \\uba38\\ub9ac \\ub0b4\\ub9ac\\ub2c8\\uae4c \\uc560\\uae30\\u3160\\u3160\\u3160\\u3160\\u3160\\u3160\\u3160 http:\\/\\/t.co\\/PI2rEa1TqJ\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.softama.com\\/\\\" rel=\\\"nofollow\\\"\\u003e\\u30c4\\u30a4\\u30bf\\u30de for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":265792972,\"id_str\":\"265792972\",\"name\":\"S-sayo\",\"screen_name\":\"sa2834\",\"location\":\"\",\"url\":null,\"description\":\"I\\u2661BIGBANG\\u2661GD\\n WINNER\\u2665MINO\",\"protected\":false,\"verified\":false,\"followers_count\":86,\"friends_count\":331,\"listed_count\":0,\"favourites_count\":860,\"statuses_count\":2248,\"created_at\":\"Mon Mar 14 04:31:23 +0000 2011\",\"utc_offset\":32400,\"time_zone\":\"Tokyo\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/455745865097834496\\/FJ053QFZ_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/455745865097834496\\/FJ053QFZ_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/265792972\\/1397493210\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 13:18:21 +0000 2014\",\"id\":517302501322670080,\"id_str\":\"517302501322670080\",\"text\":\"[PREVIEW] 141001 #\\uc704\\ub108 \\ub098\\uace0\\uc57c \\ud22c\\uc5b4 #\\uc1a1\\ubbfc\\ud638 \\uba38\\ub9ac \\ub0b4\\ub9ac\\ub2c8\\uae4c \\uc560\\uae30\\u3160\\u3160\\u3160\\u3160\\u3160\\u3160\\u3160 http:\\/\\/t.co\\/PI2rEa1TqJ\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1943720066,\"id_str\":\"1943720066\",\"name\":\"\\uc0dd\\uac01\\uc9c0\\ub3c4\\ubabb\\ud588\\ub2e4\",\"screen_name\":\"neverthinks_\",\"location\":\"\",\"url\":\"http:\\/\\/neverthinks.com\",\"description\":\"WINNER \\uc1a1\\ubbfc\\ud638 \\ud32c\\ud398\\uc774\\uc9c0 \\uc0dd\\uac01\\uc9c0\\ub3c4 \\ubabb\\ud588\\ub2e4\\nneverthinks_@naver.com\",\"protected\":false,\"verified\":false,\"followers_count\":15943,\"friends_count\":3,\"listed_count\":325,\"favourites_count\":6,\"statuses_count\":1497,\"created_at\":\"Mon Oct 07 10:43:04 +0000 2013\",\"utc_offset\":32400,\"time_zone\":\"Irkutsk\",\"geo_enabled\":false,\"lang\":\"ko\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"000000\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"000000\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":false,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/460689568358858753\\/QN2YSv87_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/460689568358858753\\/QN2YSv87_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1943720066\\/1401202831\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":404,\"favorite_count\":135,\"entities\":{\"hashtags\":[{\"text\":\"\\uc704\\ub108\",\"indices\":[17,20]},{\"text\":\"\\uc1a1\\ubbfc\\ud638\",\"indices\":[28,32]}],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":517302499951136768,\"id_str\":\"517302499951136768\",\"indices\":[51,73],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3T4gcCUAAn48j.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3T4gcCUAAn48j.jpg\",\"url\":\"http:\\/\\/t.co\\/PI2rEa1TqJ\",\"display_url\":\"pic.twitter.com\\/PI2rEa1TqJ\",\"expanded_url\":\"http:\\/\\/twitter.com\\/neverthinks_\\/status\\/517302501322670080\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":800,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":453,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":768,\"h\":1024,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":517302499951136768,\"id_str\":\"517302499951136768\",\"indices\":[51,73],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3T4gcCUAAn48j.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3T4gcCUAAn48j.jpg\",\"url\":\"http:\\/\\/t.co\\/PI2rEa1TqJ\",\"display_url\":\"pic.twitter.com\\/PI2rEa1TqJ\",\"expanded_url\":\"http:\\/\\/twitter.com\\/neverthinks_\\/status\\/517302501322670080\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":800,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":453,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":768,\"h\":1024,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ko\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"\\uc704\\ub108\",\"indices\":[35,38]},{\"text\":\"\\uc1a1\\ubbfc\\ud638\",\"indices\":[46,50]}],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"neverthinks_\",\"name\":\"\\uc0dd\\uac01\\uc9c0\\ub3c4\\ubabb\\ud588\\ub2e4\",\"id\":1943720066,\"id_str\":\"1943720066\",\"indices\":[3,16]}],\"symbols\":[],\"media\":[{\"id\":517302499951136768,\"id_str\":\"517302499951136768\",\"indices\":[69,91],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3T4gcCUAAn48j.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3T4gcCUAAn48j.jpg\",\"url\":\"http:\\/\\/t.co\\/PI2rEa1TqJ\",\"display_url\":\"pic.twitter.com\\/PI2rEa1TqJ\",\"expanded_url\":\"http:\\/\\/twitter.com\\/neverthinks_\\/status\\/517302501322670080\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":800,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":453,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":768,\"h\":1024,\"resize\":\"fit\"}},\"source_status_id\":517302501322670080,\"source_status_id_str\":\"517302501322670080\"}]},\"extended_entities\":{\"media\":[{\"id\":517302499951136768,\"id_str\":\"517302499951136768\",\"indices\":[69,91],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3T4gcCUAAn48j.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3T4gcCUAAn48j.jpg\",\"url\":\"http:\\/\\/t.co\\/PI2rEa1TqJ\",\"display_url\":\"pic.twitter.com\\/PI2rEa1TqJ\",\"expanded_url\":\"http:\\/\\/twitter.com\\/neverthinks_\\/status\\/517302501322670080\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":800,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":453,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":768,\"h\":1024,\"resize\":\"fit\"}},\"source_status_id\":517302501322670080,\"source_status_id_str\":\"517302501322670080\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ko\",\"timestamp_ms\":\"1412178010684\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189301039104,\"id_str\":\"517338189301039104\",\"text\":\"\\\"@DavidRoads: I trust God with my Life... after all He gave it to me.\\\"\",\"source\":\"\\u003ca href=\\\"https:\\/\\/mobile.twitter.com\\\" rel=\\\"nofollow\\\"\\u003eMobile Web (M5)\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1713446077,\"id_str\":\"1713446077\",\"name\":\"Lynn\",\"screen_name\":\"JustmichelleL7\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":61,\"friends_count\":148,\"listed_count\":1,\"favourites_count\":18,\"statuses_count\":448,\"created_at\":\"Fri Aug 30 18:25:48 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"642D8B\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme10\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme10\\/bg.gif\",\"profile_background_tile\":true,\"profile_link_color\":\"FF0000\",\"profile_sidebar_border_color\":\"65B0DA\",\"profile_sidebar_fill_color\":\"7AC3EE\",\"profile_text_color\":\"3D1957\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/378800000386114190\\/e47e0f8dc4cd8531b8a2f825c8e3bb8b_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/378800000386114190\\/e47e0f8dc4cd8531b8a2f825c8e3bb8b_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1713446077\\/1412039507\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"DavidRoads\",\"name\":\"Motivational Quotes\",\"id\":114685387,\"id_str\":\"114685387\",\"indices\":[1,12]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178010686\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189300641793,\"id_str\":\"517338189300641793\",\"text\":\"RT @LP_MICHI: \\u30ca\\u30ad\\u300c\\u30c1\\u30c3\\u300d\\n\\u30bf\\u30bf\\u30e9\\u300c\\u820c\\u6253\\u3061\\u306f\\u3088\\u304f\\u306a\\u3044\\u300d\\n\\u30ca\\u30ad\\u300c\\u30c1\\u30e5\\u30c3\\u300d\\n\\u30bf\\u30bf\\u30e9\\u300c\\u3044\\u3044\\u3060\\u308d\\u3046\\u300d\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2590740870,\"id_str\":\"2590740870\",\"name\":\"\\u4eac\\u90fd\\u306e\\u622f\\u308c\\u30b9\\u30da\\u30fc\\u30b9\\u5927\\u7d0d\\u8a00\",\"screen_name\":\"Neradicator48a\",\"location\":\"\",\"url\":null,\"description\":\"\\u58f0\\u512a\\u30fb\\u30e9\\u30ce\\u30d9\\u30fb\\u30a2\\u30cb\\u30e1\\u30aa\\u30bf\\u30af\\u3002\\u30b3\\u30df\\u30b1\\uff08\\u4e00\\u822c\\uff09\\u53c2\\u52a0\\u3082\\u3057\\u3066\\u307e\\u3059\\u3002\\u7d75\\u5e2b\\u300e\\u30ab\\u30f3\\u30c8\\u30af\\u300f\\u5148\\u751f\\u306e\\u5927\\u30d5\\u30a1\\u30f3\\u3067\\u3059\\u3002\\n\\u597d\\u304d\\u306a\\u7269\\u306f\\u3001\\u30a8\\u30f4\\u30a1\\u30fb\\u30a2\\u30a4\\u30de\\u30b9\\u30fb\\u6771\\u9ce92\\u30fb\\u3051\\u3044\\u304a\\u3093\\u30fb\\u30b7\\u30e3\\u30ca\\u30fb\\u5909\\u732betc\\u2026\\u2026\\u3002\\u30d5\\u30a9\\u30ed\\u30fc\\u8fd4\\u3057\\u307e\\u3059(\\u00b4\\u2200\\uff40*)\",\"protected\":false,\"verified\":false,\"followers_count\":0,\"friends_count\":22,\"listed_count\":0,\"favourites_count\":811,\"statuses_count\":242,\"created_at\":\"Fri Jun 27 04:25:40 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/502267163927773184\\/IWc7a1wr_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/502267163927773184\\/IWc7a1wr_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:34:47 +0000 2014\",\"id\":517336834242654209,\"id_str\":\"517336834242654209\",\"text\":\"\\u30ca\\u30ad\\u300c\\u30c1\\u30c3\\u300d\\n\\u30bf\\u30bf\\u30e9\\u300c\\u820c\\u6253\\u3061\\u306f\\u3088\\u304f\\u306a\\u3044\\u300d\\n\\u30ca\\u30ad\\u300c\\u30c1\\u30e5\\u30c3\\u300d\\n\\u30bf\\u30bf\\u30e9\\u300c\\u3044\\u3044\\u3060\\u308d\\u3046\\u300d\",\"source\":\"\\u003ca href=\\\"https:\\/\\/itunes.apple.com\\/us\\/app\\/theworld-for-ios\\/id548994749?mt=8&uo=4\\\" rel=\\\"nofollow\\\"\\u003eTheWorld for iOS_\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1452661412,\"id_str\":\"1452661412\",\"name\":\"\\u307f\\u3061\\u307f\\u3061\",\"screen_name\":\"LP_MICHI\",\"location\":\"\",\"url\":null,\"description\":\"\\ua4b0\\u2022\\u0361\\u032b\\u2022\\u0f7c\\ua4b1\\u3069\\u3082\\u3088\\u308d\\u3057\\u304f\",\"protected\":false,\"verified\":false,\"followers_count\":3197,\"friends_count\":176,\"listed_count\":104,\"favourites_count\":137205,\"statuses_count\":24449,\"created_at\":\"Thu May 23 22:20:55 +0000 2013\",\"utc_offset\":32400,\"time_zone\":\"Irkutsk\",\"geo_enabled\":true,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FFF04D\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/443966343444848640\\/dpi6aLW6.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/443966343444848640\\/dpi6aLW6.jpeg\",\"profile_background_tile\":false,\"profile_link_color\":\"0099CC\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":false,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516814341950038018\\/slma27-__normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516814341950038018\\/slma27-__normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1452661412\\/1410089653\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":488,\"favorite_count\":2908,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ja\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"LP_MICHI\",\"name\":\"\\u307f\\u3061\\u307f\\u3061\",\"id\":1452661412,\"id_str\":\"1452661412\",\"indices\":[3,12]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178010690\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189271670784,\"id_str\":\"517338189271670784\",\"text\":\"So the fire practice has definitely been the highlight of today\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1628775020,\"id_str\":\"1628775020\",\"name\":\"Serena Doshi\",\"screen_name\":\"serenadoshi\",\"location\":\"Birmingham\",\"url\":\"http:\\/\\/notasophist.blogspot.co.uk\",\"description\":\"4 8 15 16 23 42\",\"protected\":false,\"verified\":false,\"followers_count\":150,\"friends_count\":258,\"listed_count\":1,\"favourites_count\":668,\"statuses_count\":648,\"created_at\":\"Sun Jul 28 21:18:21 +0000 2013\",\"utc_offset\":3600,\"time_zone\":\"London\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/507577475439013888\\/7xli9qHt_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/507577475439013888\\/7xli9qHt_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1628775020\\/1411413410\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178010660\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189271281665,\"id_str\":\"517338189271281665\",\"text\":\"@Hudahuda96Www @867ec3c65ead474 @mriomh_m @ZahoorZezo @hannona331 \\u0627\\u0646\\u062a\\u064a \\u0627\\u0644\\u0627\\u062d\\u0644\\u06cc ...\\u0627\\u0633\\u0645 \\u0627\\u0644\\u0644\\u0647 \\u0627\\u0644\\u0631\\u062d\\u0645\\u0627\\u0627\\u0627\\u0646\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517337996098424832,\"in_reply_to_status_id_str\":\"517337996098424832\",\"in_reply_to_user_id\":2815757514,\"in_reply_to_user_id_str\":\"2815757514\",\"in_reply_to_screen_name\":\"Hudahuda96Www\",\"user\":{\"id\":2781221390,\"id_str\":\"2781221390\",\"name\":\"\\u00ed\\u043c\\u0360p\\u03cc\\u0160\\u0160\\u00ed\\u00df\\u013a\\u00e8 \\u013a\\u03ccV\\u00e8\",\"screen_name\":\"mohammed22zxc\",\"location\":\"(\\u00ed\\u0158\\u1eabq)\",\"url\":null,\"description\":\"\\u200f\\u200f\\u0627\\u0630\\u0650\\u0627 \\u0627\\u0628\\u064f\\u062f\\u064b\\u0644\\u064f \\u0627\\u0644\\u064f\\u0645\\u064f\\u062e\\u0650\\u062f\\u064b\\u0629 \\u0627\\u064a\\u0651\\u0636\\u064c\\u064a\\u0651\\u0639\\u0651 \\u0645\\u064f\\u0646\\u064e\\u064a\\u0651 \\u0627\\u0644\\u064f\\u0646\\u064e\\u0624\\u064c\\u0624\\u064c\\u0624\\u064c\\u0624\\u064c\\u0645\\u064f\\n\\u0639\\u0651\\u062c\\u064e\\u064a\\u0651\\u0628\\u064f\\u0629 \\u0634\\u064e\\u0644\\u064f\\u0624\\u064c\\u0646\\u064e \\u064a\\u0651\\u063a\\u064b\\u0641\\u064f\\u0629 \\u0627\\u0644\\u064f\\u0628\\u064f\\u062f\\u064b\\u0644\\u064f \\u0627\\u062d\\u064e\\u0628\\u064f\\u0627\\u0627\\u0627\\u0627\\u0627\\u0627\\u0627\\u0628\\u064f\\u0629\",\"protected\":false,\"verified\":false,\"followers_count\":1150,\"friends_count\":1272,\"listed_count\":2,\"favourites_count\":1220,\"statuses_count\":4518,\"created_at\":\"Sat Aug 30 22:42:49 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ar\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516595054253600769\\/Ea3pet1s_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516595054253600769\\/Ea3pet1s_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2781221390\\/1411663809\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"Hudahuda96Www\",\"name\":\"\\u0634\\u062e\\u0635\\u064a\\u0647 \\u062e\\u0624\\u0624\\u0631\\u0627\\u0641\\u064a\\u0647\",\"id\":2815757514,\"id_str\":\"2815757514\",\"indices\":[0,14]},{\"screen_name\":\"867ec3c65ead474\",\"name\":\"\\u0645\\u0644\\u0640\\u0640\\u0640\\u0640 \\u0642\\u0644\\u0628\\u064a \\u0640\\u0640\\u0640\\u0640\\u0643\",\"id\":2637992369,\"id_str\":\"2637992369\",\"indices\":[15,31]},{\"screen_name\":\"mriomh_m\",\"name\":\"\\u0645\\u0631\\u064a\\u0645 \\u0645\\u0631\\u064a\\u0648\\u0645\\u0647\",\"id\":1580063042,\"id_str\":\"1580063042\",\"indices\":[32,41]},{\"screen_name\":\"ZahoorZezo\",\"name\":\"#\\u0627\\u0644\\u0639\\u0631\\u0627\\u0642 Zahoore zezo\",\"id\":2596919804,\"id_str\":\"2596919804\",\"indices\":[42,53]},{\"screen_name\":\"hannona331\",\"name\":\"\\u062d\\u0633\\u0627\\u0633\\u0629 \\u0648\\u062f\\u0645\\u0639\\u062a\\u064a \\u0623\\u0644\\u0645\\u0627\\u0633\\u0629\",\"id\":2766804792,\"id_str\":\"2766804792\",\"indices\":[54,65]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"fa\",\"timestamp_ms\":\"1412178010673\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189271662592,\"id_str\":\"517338189271662592\",\"text\":\"RT @jamesmorrow22: Naked playing fifa x http:\\/\\/t.co\\/nSNHIvKA6N\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1323391694,\"id_str\":\"1323391694\",\"name\":\"haydenrobb\",\"screen_name\":\"haydenrobb\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":195,\"friends_count\":131,\"listed_count\":0,\"favourites_count\":1257,\"statuses_count\":1975,\"created_at\":\"Tue Apr 02 22:27:44 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/497775278715076608\\/fL1WPS7s_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/497775278715076608\\/fL1WPS7s_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1323391694\\/1407504263\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 14:46:35 +0000 2014\",\"id\":517324702118060032,\"id_str\":\"517324702118060032\",\"text\":\"Naked playing fifa x http:\\/\\/t.co\\/nSNHIvKA6N\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":700282392,\"id_str\":\"700282392\",\"name\":\"James Morrow\",\"screen_name\":\"jamesmorrow22\",\"location\":\"Carnoustie\",\"url\":null,\"description\":\"Support the most successful club in Scotland\",\"protected\":false,\"verified\":false,\"followers_count\":336,\"friends_count\":307,\"listed_count\":0,\"favourites_count\":6953,\"statuses_count\":16605,\"created_at\":\"Tue Jul 17 03:30:08 +0000 2012\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/512822371439243264\\/DdBrVDAd_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/512822371439243264\\/DdBrVDAd_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/700282392\\/1411324674\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":3,\"favorite_count\":13,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":517324699596894208,\"id_str\":\"517324699596894208\",\"indices\":[21,43],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3oEskCMAAb_6A.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3oEskCMAAb_6A.jpg\",\"url\":\"http:\\/\\/t.co\\/nSNHIvKA6N\",\"display_url\":\"pic.twitter.com\\/nSNHIvKA6N\",\"expanded_url\":\"http:\\/\\/twitter.com\\/jamesmorrow22\\/status\\/517324702118060032\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":576,\"h\":1024,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":576,\"h\":1024,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":604,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":517324699596894208,\"id_str\":\"517324699596894208\",\"indices\":[21,43],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3oEskCMAAb_6A.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3oEskCMAAb_6A.jpg\",\"url\":\"http:\\/\\/t.co\\/nSNHIvKA6N\",\"display_url\":\"pic.twitter.com\\/nSNHIvKA6N\",\"expanded_url\":\"http:\\/\\/twitter.com\\/jamesmorrow22\\/status\\/517324702118060032\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":576,\"h\":1024,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":576,\"h\":1024,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":604,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"en\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"jamesmorrow22\",\"name\":\"James Morrow\",\"id\":700282392,\"id_str\":\"700282392\",\"indices\":[3,17]}],\"symbols\":[],\"media\":[{\"id\":517324699596894208,\"id_str\":\"517324699596894208\",\"indices\":[40,62],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3oEskCMAAb_6A.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3oEskCMAAb_6A.jpg\",\"url\":\"http:\\/\\/t.co\\/nSNHIvKA6N\",\"display_url\":\"pic.twitter.com\\/nSNHIvKA6N\",\"expanded_url\":\"http:\\/\\/twitter.com\\/jamesmorrow22\\/status\\/517324702118060032\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":576,\"h\":1024,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":576,\"h\":1024,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":604,\"resize\":\"fit\"}},\"source_status_id\":517324702118060032,\"source_status_id_str\":\"517324702118060032\"}]},\"extended_entities\":{\"media\":[{\"id\":517324699596894208,\"id_str\":\"517324699596894208\",\"indices\":[40,62],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3oEskCMAAb_6A.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3oEskCMAAb_6A.jpg\",\"url\":\"http:\\/\\/t.co\\/nSNHIvKA6N\",\"display_url\":\"pic.twitter.com\\/nSNHIvKA6N\",\"expanded_url\":\"http:\\/\\/twitter.com\\/jamesmorrow22\\/status\\/517324702118060032\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":576,\"h\":1024,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":576,\"h\":1024,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":604,\"resize\":\"fit\"}},\"source_status_id\":517324702118060032,\"source_status_id_str\":\"517324702118060032\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178010678\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189300641792,\"id_str\":\"517338189300641792\",\"text\":\"RT @nekoiruka9035: \\u3072\\u3044\\u3075\\u3057\\u9811\\u5f35\\u3063\\u3066\\u306d\",\"source\":\"\\u003ca href=\\\"https:\\/\\/twitter.com\\/ABS104a\\\" rel=\\\"nofollow\\\"\\u003eBiyon\\u2261(\\u3000\\u03b5:) Pro\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2834723964,\"id_str\":\"2834723964\",\"name\":\"\\u3075\\u3041\\u307c\\u3075\\u3057\",\"screen_name\":\"favossi_oth_sev\",\"location\":\"\",\"url\":null,\"description\":\"\\u3072\\u3044\\u3075\\u3057\\u306e\\u3075\\u3041\\u307c\\u57a2\",\"protected\":false,\"verified\":false,\"followers_count\":2,\"friends_count\":1,\"listed_count\":0,\"favourites_count\":660,\"statuses_count\":449,\"created_at\":\"Sun Sep 28 06:41:04 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516115455371513857\\/jGuxobJ7_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516115455371513857\\/jGuxobJ7_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:38:42 +0000 2014\",\"id\":517337820562608128,\"id_str\":\"517337820562608128\",\"text\":\"\\u3072\\u3044\\u3075\\u3057\\u9811\\u5f35\\u3063\\u3066\\u306d\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1673656622,\"id_str\":\"1673656622\",\"name\":\"\\u5a01\\u7460\\u67b6\",\"screen_name\":\"nekoiruka9035\",\"location\":\"\\u3057\\u3083\\u3061\\u307b\\u3053\\u306b\\u5473\\u564c\\u3092\\u304b\\u3051\\u3066\\u98df\\u3079\\u308b\",\"url\":null,\"description\":\"\\u672c\\u90f7\\u594f\\u591a.\\u795e\\u6728\\u9686\\u4e4b\\u4ecb.\\u5d50\\u306b\\u306e\\u62c5.\\u5bae\\u4e0b\\u904a.\\u3080\\u3059\\u3081\\u3093\\u3002.ROOT FIVE.\\u83c5\\u7530\\u5c06\\u6689.S!N.\\uff71\\uff86\\uff92.\\uff84\\uff9e\\uff85\\uff99\\uff84\\uff9e.\\u30cb\\u30b3\\u52d5.\\u70cf\\u9f8d\\u8336\\u306a\\u3069\\u3092\\u611b\\u3057\\u3059\\u304e\\u3066\\u3044\\u308b\\u305f\\u307e\\u306b\\u7d75\\u3092\\u63cf\\u304f\\uff8a\\uff9e\\uff76\\u306a\\u5c0f\\u5b6612\\u5e74\\u751f\\u3002(\\u656c\\u79f0\\u7565)\\u30d8\\u30c3\\u30c0\\u30fc\\u261e@hyougetu999\",\"protected\":false,\"verified\":false,\"followers_count\":240,\"friends_count\":287,\"listed_count\":2,\"favourites_count\":3406,\"statuses_count\":8215,\"created_at\":\"Thu Aug 15 17:14:02 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"709397\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme6\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme6\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"FF3300\",\"profile_sidebar_border_color\":\"86A4A6\",\"profile_sidebar_fill_color\":\"A0C5C7\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/501975131367817216\\/m28LvaFR_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/501975131367817216\\/m28LvaFR_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1673656622\\/1404292224\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":2,\"favorite_count\":136,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ja\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"nekoiruka9035\",\"name\":\"\\u5a01\\u7460\\u67b6\",\"id\":1673656622,\"id_str\":\"1673656622\",\"indices\":[3,17]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178010704\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189292634113,\"id_str\":\"517338189292634113\",\"text\":\"GANG !\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":702486540,\"id_str\":\"702486540\",\"name\":\"On 4 Nem \\u270a\",\"screen_name\":\"__PrettyGirrl\",\"location\":\"\",\"url\":null,\"description\":\"FREE @droh103 .. #Gang \\u270a\",\"protected\":false,\"verified\":false,\"followers_count\":1325,\"friends_count\":631,\"listed_count\":2,\"favourites_count\":5493,\"statuses_count\":147914,\"created_at\":\"Wed Jul 18 06:15:50 +0000 2012\",\"utc_offset\":-18000,\"time_zone\":\"Central Time (US & Canada)\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516015561793609728\\/k5vvhAYN_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516015561793609728\\/k5vvhAYN_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/702486540\\/1411860370\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"in\",\"timestamp_ms\":\"1412178010669\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189296447488,\"id_str\":\"517338189296447488\",\"text\":\"Luke Hemmings \\n\\u2601\\ufe0f\\u2600\\ufe0f\\u2601\\ufe0f\\u2600\\ufe0f\\u2601\\ufe0f\\u2600\\ufe0f\\nPlease follow me?\\n\\u2601\\ufe0f\\u2600\\ufe0f\\u2601\\ufe0f\\u2600\\ufe0f\\u2601\\ufe0f\\u2600\\ufe0f\\nI love you so much \\n\\u2601\\ufe0f\\u2600\\ufe0f\\u2601\\ufe0f\\u2600\\ufe0f\\u2601\\ufe0f\\u2600\\ufe0f\\nThanks xx\\n\\u2601\\ufe0f\\u2600\\ufe0f\\u2601\\ufe0f\\u2600\\ufe0f\\u2601\\ufe0f\\u2600\\ufe0f\\n4,114\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1665502783,\"id_str\":\"1665502783\",\"name\":\"\\u2639 alisha jane \\u2639\",\"screen_name\":\"lrwinsdaisy\",\"location\":\"adelaide \\u2022 australia\",\"url\":null,\"description\":\"\\u263c i fell in love with you because you loved me when i couldnt love myself \\u263c\",\"protected\":false,\"verified\":false,\"followers_count\":362,\"friends_count\":335,\"listed_count\":2,\"favourites_count\":5723,\"statuses_count\":8770,\"created_at\":\"Mon Aug 12 16:31:23 +0000 2013\",\"utc_offset\":34200,\"time_zone\":\"Adelaide\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"0099B9\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/498302010039361536\\/V8pPLpdd.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/498302010039361536\\/V8pPLpdd.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"0099B9\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/517150008978595840\\/QGcTaYcV_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/517150008978595840\\/QGcTaYcV_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1665502783\\/1411811128\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178010669\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189271691264,\"id_str\":\"517338189271691264\",\"text\":\"@PaameElizabeth yo te dije para ir y distes muchas vueltas, el a\\u00f1o q viene vamos\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517337547648008192,\"in_reply_to_status_id_str\":\"517337547648008192\",\"in_reply_to_user_id\":186226595,\"in_reply_to_user_id_str\":\"186226595\",\"in_reply_to_screen_name\":\"PaameElizabeth\",\"user\":{\"id\":2590640774,\"id_str\":\"2590640774\",\"name\":\"#Mani :) \",\"screen_name\":\"ManuelRiveroOsv\",\"location\":\"\",\"url\":null,\"description\":\"Mi novia me ama, y soy de ella\\u2665 SOY DE MI NOVIA\",\"protected\":false,\"verified\":false,\"followers_count\":1,\"friends_count\":20,\"listed_count\":0,\"favourites_count\":8,\"statuses_count\":214,\"created_at\":\"Fri Jun 27 02:42:47 +0000 2014\",\"utc_offset\":-10800,\"time_zone\":\"Buenos Aires\",\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0009B3\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/495029682132484096\\/gq2kQJVb_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/495029682132484096\\/gq2kQJVb_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2590640774\\/1406859246\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"PaameElizabeth\",\"name\":\"#Pamelita :3\",\"id\":186226595,\"id_str\":\"186226595\",\"indices\":[0,15]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178010663\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189279662080,\"id_str\":\"517338189279662080\",\"text\":\"RT @BenyArgely: Sou o unico sobrevivente dos argelinos que nunca teve sem tweets\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2577057608,\"id_str\":\"2577057608\",\"name\":\"Tom\\u00e1s , o Argelino\",\"screen_name\":\"oPegaMonstros\",\"location\":\"Margem Sul\",\"url\":null,\"description\":\"16 - 1.83 - \\u00c1guias - Futsal - FC Porto- SD 1986 - In\\u00eas Tom\\u00e1s ( berry ) s2\",\"protected\":false,\"verified\":false,\"followers_count\":668,\"friends_count\":512,\"listed_count\":0,\"favourites_count\":5835,\"statuses_count\":17710,\"created_at\":\"Thu Jun 19 15:33:29 +0000 2014\",\"utc_offset\":7200,\"time_zone\":\"Amsterdam\",\"geo_enabled\":true,\"lang\":\"pt\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"000000\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme14\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme14\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"25DB83\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"000000\",\"profile_text_color\":\"000000\",\"profile_use_background_image\":false,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/497507008208068608\\/UCo57wg__normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/497507008208068608\\/UCo57wg__normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2577057608\\/1410820246\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 10:37:15 +0000 2014\",\"id\":517261956722753536,\"id_str\":\"517261956722753536\",\"text\":\"Sou o unico sobrevivente dos argelinos que nunca teve sem tweets\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":588389330,\"id_str\":\"588389330\",\"name\":\"Benitez,o Argelino\\u2655\",\"screen_name\":\"BenyArgely\",\"location\":\"\",\"url\":null,\"description\":\"Para al\\u00e9m de ser um gajo fudido, gostava de ser como tu.\",\"protected\":false,\"verified\":false,\"followers_count\":291,\"friends_count\":187,\"listed_count\":0,\"favourites_count\":4476,\"statuses_count\":7792,\"created_at\":\"Wed May 23 16:02:39 +0000 2012\",\"utc_offset\":7200,\"time_zone\":\"Amsterdam\",\"geo_enabled\":false,\"lang\":\"pt\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"1A1B1F\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/479468240733614082\\/_rlVNoIX.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/479468240733614082\\/_rlVNoIX.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"ED2B2B\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/514696322977255424\\/ZM3VxMIr_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/514696322977255424\\/ZM3VxMIr_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/588389330\\/1410766278\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":4,\"favorite_count\":3,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"pt\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"BenyArgely\",\"name\":\"Benitez,o Argelino\\u2655\",\"id\":588389330,\"id_str\":\"588389330\",\"indices\":[3,14]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"pt\",\"timestamp_ms\":\"1412178010699\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189292257282,\"id_str\":\"517338189292257282\",\"text\":\"RT @_QPX_: \\u305d\\u308d\\u305d\\u308d\\u5bdd\\u308b\\u304b\\u301c\\u301c\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2568736988,\"id_str\":\"2568736988\",\"name\":\"\\u3071\\u308d\\u3059\\u3051\",\"screen_name\":\"mahatmadetain\",\"location\":\"\",\"url\":null,\"description\":\"\\u4ffa\\u306f\\u30a2\\u30cb\\u30e1\\u3068\\u97f3\\u697d\\u3068\\u30dc\\u30ab\\u30ed\\u3068\\u6771\\u65b9\\u304c\\u7d50\\u69cb\\u597d\\u304d\\u306a\\u7d50\\u69cb\\u30c0\\u30e1\\u30c0\\u30e1\\u4eba\\u9593\\u3060\\u305c\\uff01\\uff01\\u305d\\u3057\\u3066\\u305d\\u3057\\u3066\\u597d\\u304d\\u306a\\u30a2\\u30cb\\u30e1\\u306f\\u30a2\\u30af\\u30bb\\u30eb\\u30ef\\u30fc\\u30eb\\u30c9\\u30fbSAO\\u30fb\\u9280\\u9b42\\u30fb\\n\\n\\u3000\\uff22\\uff45\\uff41\\uff44\\uff53\\uff01\\u30fb\\u30af\\u30e9\\u30ca\\u30c9\\u30fb\\u3068\\u3042\\u308b\\u30fb\\u306a\\u3069\\u306a\\u3069\\u3067\\u6771\\u65b9\\u306e\\u597d\\u304d\\u306a\\u30ad\\u30e3\\u30e9\\u306f\\u30d5\\u30e9\\u30f3\\u3068\\u7a7a\\u3055\\u3093\\u305d\\u3057\\u3066\\u3001\\u4ffa\\u306e\\u5ac1\\u306f\\u9b54\\u7406\\u6c99\\u3060\\u305c\\uff01\\uff01\\u7f8e\\u9234\\u540c\\u76df\\u211616\",\"protected\":false,\"verified\":false,\"followers_count\":0,\"friends_count\":23,\"listed_count\":0,\"favourites_count\":829,\"statuses_count\":275,\"created_at\":\"Sun Jun 15 09:52:54 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/501960636260040704\\/PBnbPYxv_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/501960636260040704\\/PBnbPYxv_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:39:20 +0000 2014\",\"id\":517337980487204864,\"id_str\":\"517337980487204864\",\"text\":\"\\u305d\\u308d\\u305d\\u308d\\u5bdd\\u308b\\u304b\\u301c\\u301c\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1278047569,\"id_str\":\"1278047569\",\"name\":\"\\u3074\\u3093\\u3057\\u3085\",\"screen_name\":\"_QPX_\",\"location\":\"\\u5317\\u6d77\\u9053\\u7db2\\u8d70\\u5211\\u52d9\\u6240\",\"url\":\"http:\\/\\/twpf.jp\\/_QPX_\",\"description\":\"\\u56fd\\u4f1a\\u8b70\\u4e8b\\u5802\\u3092\\u5275\\u8a2d\\uff0f2007\\u5e74\\u56fd\\u6c11\\u6804\\u8a89\\u8cde\\u53d7\\u8cde\\uff0f2013\\u5e74\\u300c\\u304a\\u304b\\u3042\\u3055\\u3093\\u3068\\u3044\\u3063\\u3057\\u3087\\u300d\\u306b\\u51fa\\u6f14\\u3068\\u540c\\u6642\\u306b\\u902e\\u6355\\uff0f\\u672d\\u5e4c\\u3067\\u9f3b\\u304f\\u305d\\u307b\\u3058\\u3063\\u3066\\u305f\\u3089\\u66f8\\u985e\\u9001\\u691c\\u3055\\u308c\\u3066\\u6975\\u3081\\u3066\\u907a\\u61be\\u3067\\u3042\\u308b\\uff0f\\u6700\\u8fd1\\u306f\\u30b2\\u30fc\\u30bb\\u30f3\\u3067\\u30c8\\u30a4\\u30ec\\u3059\\u308b\\u4e8b\\u304c\\u8da3\\u5473\\uff0f\\u6771\\u65b9\\u3001\\u30dc\\u30ab\\u30ed\\u3001\\u30e9\\u30d6\\u30e9\\u30a4\\u30d6\\u597d\\u304d\\uff0fmaimai\\uff0f\\u7a42\\u4e43\\u679c\\u63a8\\u3057\",\"protected\":false,\"verified\":false,\"followers_count\":26067,\"friends_count\":91,\"listed_count\":188,\"favourites_count\":152709,\"statuses_count\":111751,\"created_at\":\"Mon Mar 18 15:31:00 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516203534946025472\\/1u3C7KdL_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516203534946025472\\/1u3C7KdL_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1278047569\\/1411907065\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":66,\"favorite_count\":402,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ja\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"_QPX_\",\"name\":\"\\u3074\\u3093\\u3057\\u3085\",\"id\":1278047569,\"id_str\":\"1278047569\",\"indices\":[3,9]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178010692\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189267079168,\"id_str\":\"517338189267079168\",\"text\":\"RT @your48hours: Pre Order\\nJogger Pants\\nRp 200.000\\n\\nBBM : 74A91C6B\\nline : fachriedu @FinecutSneakers @kensstore http:\\/\\/t.co\\/yTwV8shrDi\",\"source\":\"\\u003ca href=\\\"http:\\/\\/www.tweetcaster.com\\\" rel=\\\"nofollow\\\"\\u003eTweetCaster for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":124618128,\"id_str\":\"124618128\",\"name\":\"CLASSIC CORE MURAH !\",\"screen_name\":\"kensstore\",\"location\":\"MALANG - BOGOR\",\"url\":\"http:\\/\\/instagram.com\\/kensstore\",\"description\":\"SELLING ORIGINAL BRAND  || info Line : ismailkennedi\\/padiing  | WA : 082230676344 | SMS : 085752747955 | BBM : 75E6D791 |  Instagram : @kensstore\",\"protected\":false,\"verified\":false,\"followers_count\":825,\"friends_count\":96,\"listed_count\":1,\"favourites_count\":201,\"statuses_count\":6192,\"created_at\":\"Sat Mar 20 00:54:27 +0000 2010\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/491252632359424001\\/QfJ7qKgU_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/491252632359424001\\/QfJ7qKgU_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/124618128\\/1410833011\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:37:51 +0000 2014\",\"id\":517337606887968768,\"id_str\":\"517337606887968768\",\"text\":\"Pre Order\\nJogger Pants\\nRp 200.000\\n\\nBBM : 74A91C6B\\nline : fachriedu @FinecutSneakers @kensstore http:\\/\\/t.co\\/yTwV8shrDi\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2786459526,\"id_str\":\"2786459526\",\"name\":\"48 & Co\",\"screen_name\":\"your48hours\",\"location\":\"Jakarta - Bekasi\",\"url\":null,\"description\":\"We made you Gress on! Pre order jogger & Cargo pants . More info bbm : 74A91C6B \\/ line : fachriedu\",\"protected\":false,\"verified\":false,\"followers_count\":196,\"friends_count\":79,\"listed_count\":0,\"favourites_count\":31,\"statuses_count\":905,\"created_at\":\"Tue Sep 02 18:57:05 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/512367402944696320\\/B2hmHB8T_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/512367402944696320\\/B2hmHB8T_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2786459526\\/1410992939\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":1,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"FinecutSneakers\",\"name\":\"FINECUTSNEAKERS\",\"id\":973208580,\"id_str\":\"973208580\",\"indices\":[67,83]},{\"screen_name\":\"kensstore\",\"name\":\"CLASSIC CORE MURAH !\",\"id\":124618128,\"id_str\":\"124618128\",\"indices\":[84,94]}],\"symbols\":[],\"media\":[{\"id\":517337602374905856,\"id_str\":\"517337602374905856\",\"indices\":[95,117],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3zzvKCMAABkGk.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3zzvKCMAABkGk.jpg\",\"url\":\"http:\\/\\/t.co\\/yTwV8shrDi\",\"display_url\":\"pic.twitter.com\\/yTwV8shrDi\",\"expanded_url\":\"http:\\/\\/twitter.com\\/your48hours\\/status\\/517337606887968768\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":600,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":340,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":1024,\"h\":1024,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":517337602374905856,\"id_str\":\"517337602374905856\",\"indices\":[95,117],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3zzvKCMAABkGk.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3zzvKCMAABkGk.jpg\",\"url\":\"http:\\/\\/t.co\\/yTwV8shrDi\",\"display_url\":\"pic.twitter.com\\/yTwV8shrDi\",\"expanded_url\":\"http:\\/\\/twitter.com\\/your48hours\\/status\\/517337606887968768\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":600,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":340,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":1024,\"h\":1024,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"en\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"your48hours\",\"name\":\"48 & Co\",\"id\":2786459526,\"id_str\":\"2786459526\",\"indices\":[3,15]},{\"screen_name\":\"FinecutSneakers\",\"name\":\"FINECUTSNEAKERS\",\"id\":973208580,\"id_str\":\"973208580\",\"indices\":[84,100]},{\"screen_name\":\"kensstore\",\"name\":\"CLASSIC CORE MURAH !\",\"id\":124618128,\"id_str\":\"124618128\",\"indices\":[101,111]}],\"symbols\":[],\"media\":[{\"id\":517337602374905856,\"id_str\":\"517337602374905856\",\"indices\":[112,134],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3zzvKCMAABkGk.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3zzvKCMAABkGk.jpg\",\"url\":\"http:\\/\\/t.co\\/yTwV8shrDi\",\"display_url\":\"pic.twitter.com\\/yTwV8shrDi\",\"expanded_url\":\"http:\\/\\/twitter.com\\/your48hours\\/status\\/517337606887968768\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":600,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":340,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":1024,\"h\":1024,\"resize\":\"fit\"}},\"source_status_id\":517337606887968768,\"source_status_id_str\":\"517337606887968768\"}]},\"extended_entities\":{\"media\":[{\"id\":517337602374905856,\"id_str\":\"517337602374905856\",\"indices\":[112,134],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3zzvKCMAABkGk.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3zzvKCMAABkGk.jpg\",\"url\":\"http:\\/\\/t.co\\/yTwV8shrDi\",\"display_url\":\"pic.twitter.com\\/yTwV8shrDi\",\"expanded_url\":\"http:\\/\\/twitter.com\\/your48hours\\/status\\/517337606887968768\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":600,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":340,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":1024,\"h\":1024,\"resize\":\"fit\"}},\"source_status_id\":517337606887968768,\"source_status_id_str\":\"517337606887968768\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178010706\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189300645888,\"id_str\":\"517338189300645888\",\"text\":\"\\uadc0\\uc5ec\\uc6e4\\u314b\\u314b\\u314b\\u314b\\u314b\\u314b\\u314b\\u314b\\u314b\\u314b\\u314b\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2751941412,\"id_str\":\"2751941412\",\"name\":\"BJ\",\"screen_name\":\"beuljin\",\"location\":\"\",\"url\":\"http:\\/\\/twpf.jp\\/beuljin\",\"description\":\"\\ud504\\uc0ac\\ub294 \\uc580\\ub2d8\\uc774 \\uadf8\\ub824\\uc900 \\uc9c4\\uc9dc\\uc5c4\\uccad\\uc815\\ub9d0\\uc9f1\\uc9f1 \\uc798\\uc0dd\\uae30\\uace0 \\uba4b\\uc788\\uace0 \\uadc0\\uc5fd\\uace0 \\uc774\\uc05c \\ud788\\uc5b4\\ub85c\",\"protected\":false,\"verified\":false,\"followers_count\":6,\"friends_count\":17,\"listed_count\":0,\"favourites_count\":26,\"statuses_count\":423,\"created_at\":\"Thu Aug 21 11:51:58 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ko\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"B2DFDA\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme13\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme13\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"00B2B8\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"FFFFFF\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/515876874082197504\\/u_gw6uoS_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/515876874082197504\\/u_gw6uoS_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2751941412\\/1410318404\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ko\",\"timestamp_ms\":\"1412178010689\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189304836096,\"id_str\":\"517338189304836096\",\"text\":\"RT @rukdd: \\u0e40\\u0e27\\u0e25\\u0e32\\u0e21\\u0e35\\u0e41\\u0e08\\u0e49\\u0e07\\u0e40\\u0e15\\u0e37\\u0e2d\\u0e19\\u0e44\\u0e25\\u0e19\\u0e4c\\u0e40\\u0e02\\u0e49\\u0e32\\u0e21\\u0e32 \\u0e40\\u0e23\\u0e32\\u0e01\\u0e47\\u0e2b\\u0e27\\u0e31\\u0e07\\u0e43\\u0e2b\\u0e49\\u0e40\\u0e1b\\u0e47\\u0e19\\u0e41\\u0e01\\u0e19\\u0e30\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2534725814,\"id_str\":\"2534725814\",\"name\":\"PtrsyMk.           \\u0e49\",\"screen_name\":\"PtrsyMk_pig\",\"location\":\"\",\"url\":null,\"description\":\"\\u0e0a\\u0e37\\u0e48\\u0e2d\\u0e40\\u0e2d\\u0e25\\u0e1f\\u0e4c  \\u0e40\\u0e1e\\u0e37\\u0e48\\u0e2d\\u0e19\\u0e40\\u0e23\\u0e35\\u0e22\\u0e01 \\u0e2d\\u0e49\\u0e27\\u0e19 \\u0e2d\\u0e35\",\"protected\":false,\"verified\":false,\"followers_count\":21,\"friends_count\":136,\"listed_count\":0,\"favourites_count\":2905,\"statuses_count\":1851,\"created_at\":\"Fri May 30 10:00:58 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"th\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/515551616275996672\\/G7zVgThg_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/515551616275996672\\/G7zVgThg_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2534725814\\/1411141386\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Mon Sep 22 15:05:10 +0000 2014\",\"id\":514067891071627265,\"id_str\":\"514067891071627265\",\"text\":\"\\u0e40\\u0e27\\u0e25\\u0e32\\u0e21\\u0e35\\u0e41\\u0e08\\u0e49\\u0e07\\u0e40\\u0e15\\u0e37\\u0e2d\\u0e19\\u0e44\\u0e25\\u0e19\\u0e4c\\u0e40\\u0e02\\u0e49\\u0e32\\u0e21\\u0e32 \\u0e40\\u0e23\\u0e32\\u0e01\\u0e47\\u0e2b\\u0e27\\u0e31\\u0e07\\u0e43\\u0e2b\\u0e49\\u0e40\\u0e1b\\u0e47\\u0e19\\u0e41\\u0e01\\u0e19\\u0e30\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":374499538,\"id_str\":\"374499538\",\"name\":\"rukdd\",\"screen_name\":\"rukdd\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":65917,\"friends_count\":19,\"listed_count\":39,\"favourites_count\":6,\"statuses_count\":11763,\"created_at\":\"Fri Sep 16 12:34:29 +0000 2011\",\"utc_offset\":-25200,\"time_zone\":\"Pacific Time (US & Canada)\",\"geo_enabled\":false,\"lang\":\"th\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"000000\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/622183294\\/njxkahnghgkbsv5cmg8x.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/622183294\\/njxkahnghgkbsv5cmg8x.jpeg\",\"profile_background_tile\":false,\"profile_link_color\":\"EB8DB3\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"E2F5DC\",\"profile_text_color\":\"6CAD0A\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/492971634190327808\\/xbxo82GM_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/492971634190327808\\/xbxo82GM_normal.jpeg\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":3298,\"favorite_count\":396,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"th\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"rukdd\",\"name\":\"rukdd\",\"id\":374499538,\"id_str\":\"374499538\",\"indices\":[3,9]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"th\",\"timestamp_ms\":\"1412178010716\"}" 
	};
}
